Introducing MCMS 2002

Microsoft Content Management Server (MCMS) 2002 is a comprehensive solution for managing Web content.

You can use MCMS 2002 to do the following:

  • Build scalable and dynamic Web sites using extensible MCMS controls.
  • Empower your business users to create, publish, and manage their own Web content.
  • Enable multiple site authors with the appropriate rights to create and update many parts of a Web site simultaneously by effectively separating content from format.

The following figure shows the MCMS tools for managing a production site.

MCMS tools diagram

Site authors can use the MCMS Web Author and Authoring Connector to produce content for their Web sites with little need to understand the technical aspects of site development. Site managers use the Site Manager to manage site content and workflow, and optionally, the Site Stager, to transform their Web sites.

Developers can take advantage of various .NET-based technologies, such as Microsoft Windows Forms and ASP.NET. They can use the MCMS Publishing application programming interface (API) to customize Web sites. MCMS integration with Microsoft Visual Studio .NET enhances developer productivity and supports parallel efforts by multiple developers.

See Also

What's New and Different in MCMS 2002 with SP1a

MCMS Roles and Responsibilities

Getting Started for System Administrators

Getting Started for Site Managers

Getting Started for Site Authors


MCMS Roles and Responsibilities

Web site design is a collaborative process involving people with diverse skills and responsibilities. Your organization has unique requirements for your Web site(s), and only you can best decide who should be involved in defining the requirements of the Web site and designing the appearance and content of the Web site.

About roles and responsibilities

Summary of user categories

Design phase

Implementation phase

Maintenance phase


Getting Started for System Administrators

In Microsoft Content Management Server (MCMS) 2002, system administrators install MCMS, configure the Server component in MCMS and the database it references, secure the site, and deploy content from one site to another.

To learn about installing MCMS 2002 and the WoodgroveNet sample site see http://go.microsoft.com/fwlink/?LinkId=9918. To learn about setting up guest access on the site, see Enabling Guest Access.

The following tasks are performed by system administrators:

  • Set up user authentication to maintain strong site-wide security and authentication using Microsoft Internet Information Services (IIS), ASP.NET, and the System Configuration Application (SCA). See Authenticating Users.
  • Monitor Web site performance to ensure that your Web servers are meeting user demand. See MCMS Performance Considerations.
  • Install and configure MCMS in different types of environments (such as development, staging, and production). See Deploying MCMS 2002.
  • Deploy Web site content using Site Manager. See Deploying Web Site Content.
  • Use MCMS Site Stager to convert dynamic, database-driven MCMS 2002 sites into static, file-based (.htm and .asp files) sites. See Staging a Site.

    Note Site Stager works only with ASP-based sites, and not with ASP.NET-based sites.

See Also

Performing Administrative Tasks


Getting Started for Site Managers

In Microsoft Content Management Server (MCMS), site managers set up user roles and rights, and set up the channel and gallery structures.

Note Site managers also delegate administrative tasks by assigning channel management to designated channel managers.

To learn about setting up user roles and rights, and channel structure, see Site Manager Tutorial.

The following tasks are performed by site managers:

  • Create and manage the channels that are used to organize and store pages. See Using Channels.
  • Create and manage the galleries that are used to organize and store resources and templates. See Using Resource Galleries and Using Template Galleries.
  • Create and manage rights groups, including adding members to rights groups and assigning rights groups to containers such as channels and galleries. See Creating Rights Groups.
  • As required, investigate page and resource revision histories to determine when particular changes were made. See Viewing Revision Histories.

See Also

Managing Site Structure and Workflow


Getting Started for Site Authors

Site authors are non-technical business users whose main tasks are creating, editing, publishing, and updating Web content.

To learn how to use the Web Author and the Author Connector to create and publish content, see Site Author Tutorial.

In Microsoft Content Management Server (MCMS) 2002, site authors can use two tools for creating or modifying content:

  • MCMS 2002 Web Author, which enables multiple users to create, edit, publish, and update Web content. See Authoring Content from the Web Site.
  • MCMS 2002 Authoring Connector, which provides site authors with an easy-to-use alternative to the Web Author. An author creates a document in Microsoft Word® 2002 and uses the Authoring Connector Wizard to submit the content to the Web site. The author must supply some publishing details in the wizard, but does not need to understand the requirements of Web publishing. See Authoring Content with Word 2002.

    Note Authoring Connector can be installed by any user with authoring rights onto any computer that is running Microsoft Office XP.


Accessibility for People with Disabilities

Microsoft is committed to making its products and services easier for everyone to use. This section provides information about features that make Microsoft Content Management Server (MCMS) 2002 more accessible to people with disabilities.

To learn about… | See…
Using your keyboard to navigate within the Help Viewer | Using Help Viewer Keyboard Shortcuts

Microsoft Windows 2000 Server accessibility features

For additional accessibility information


MCMS Newsgroups

Join the Microsoft Content Management Server (MCMS) newsgroups for peer-to-peer technical support and discussion on the news server msnews.microsoft.com. Read about how others are using the product and learn more about how to maximize the security and Web site management benefits of MCMS.

To find out how to access the MCMS 2002 newsgroups to receive announcements and support information, see http://go.microsoft.com/fwlink/?LinkId=9960.


Professional Support Options

Visit our customized support sites for pay-per-incident assistance (http://go.microsoft.com/fwlink/?LinkId=9961) online and phone (in the US) by experts trained to assist business professionals (http://go.microsoft.com/fwlink/?LinkId=9962). To advance-purchase support incidents, please call Professional Support Sales at (800) 936-3500. If you are calling from Canada, Professional Support is available by calling (800) 805-4440 from 8:00 a.m. — 8:00 p.m., Monday — Friday Eastern Time.

Get additional information on our support offerings in the U.S.:

  • Professional Support for Developers: http://go.microsoft.com/fwlink/?LinkId=9933
  • Professional Support for IT Professionals: http://go.microsoft.com/fwlink/?LinkId=9934
  • Professional Support for Value Add Partners, Resellers, Consultants: http://go.microsoft.com/fwlink/?LinkId=9935
  • Professional Support for Microsoft Certified Partners: http://go.microsoft.com/fwlink/?LinkId=9936
  • Professional Support for OEMs: http://go.microsoft.com/fwlink/?LinkId=9937

Submit your incident online in the US:

  • http://go.microsoft.com/fwlink/?LinkId=9962

Submit your incident over the phone:

Area of expertise | Phone number
Developers | (800) 936-5800
IT Professionals | (800) 936-4900
Partners (resellers/consultants) | (888) 456-5570
Microsoft Certified Solution Providers | (888) 677-9444
Original Equipment Manufacturers | (800) 936-2197
System Builders | (888) 456-5570

Note Microsoft support services are subject to the then-current prices, terms, and conditions of Microsoft, which are subject to change without notice.


Additional Support Options

For larger organizations requiring managed support direct from Microsoft, contracts are also available through various Premier Support & Alliance Support offerings. Visit http://go.microsoft.com/fwlink/?LinkId=9963 for more information.


International Product Support

For up-to-date support information that is country/region specific, see the International Product Support Web site at http://go.microsoft.com/fwlink/?LinkId=9959. If there is no Microsoft subsidiary office in your country/region, please contact the establishment from which you obtained your Microsoft product.


Comparing Standard Edition and Enterprise Edition

The following table compares Enterprise Edition features to Standard Edition features:

Feature | Enterprise Edition | Standard Edition
Number of users who can be added to any role other than subscriber | Unlimited | 15 allowed
Number of Active Directory groups that can be added to any role other than subscriber | Unlimited | 0 allowed
Number of users that can be added to the subscriber role | Unlimited | Unlimited
Number of Active Directory groups that can be added to the subscriber role | Unlimited | Unlimited
Supports Web server clustering | Yes | No
Number of processors supported per server | Unlimited | 1
Site Stager supported | Yes | No
Host header mapping supported | Yes | No

For more information about Standard Edition, see Standard Edition Features.


Standard Edition Features

Standard Edition contains the same features as Enterprise Edition with the following restrictions:

  • Standard Edition restricts the number of users who do not belong to the subscriber role to 15 unique users.

    Note For information about MCMS roles, see MCMS User Roles.

  • You can add Active Directory groups to the subscriber role. However, if you add an Active Directory group to any other role, only the Administrator and members of the subscriber role will be able to log on.
  • Standard Edition restricts clustering. Only one server in a cluster can serve HTTP requests to subscribers.
  • Only one processor is supported for each server.
  • Standard Edition does not support any version of Site Stager.
  • Standard Edition does not support host header mapping.

For more information, see Troubleshooting Standard Edition.


MCMS 2002 with SP1a Standard Edition Now Available

Standard Edition of MCMS 2002 with SP1a is now available for companies that require fewer features and a lower price for their Web content management solution. Standard Edition can be used by companies that support departmental intranets, or by small to medium companies for their corporate Web sites.

For information about the editions of MCMS 2002 with SP1a, see Editions of MCMS 2002 with SP1a.

For information about the differences between Standard Edition and Enterprise Edition, see Comparing Standard Edition and Enterprise Edition.

For information about the features of Standard Edition, see Standard Edition Features.


Changes to Allowed Characters in Placeholder Names, Query Strings, and Custom Property Names

Some characters allowed in Microsoft Content Management Server (MCMS) 2002 placeholder names, query strings, and custom property names may expose your MCMS Web site to cross-scripting issues. MCMS 2002 with SP1a removes this exposure by restricting the allowable characters for these properties.

If your MCMS Web site uses placeholder or custom property definitions with characters not allowed by MCMS 2002 with SP1a, you must change those definitions.

Note If your MCMS Web site uses query strings with characters not allowed by MCMS 2002 with SP1a, you must redo the query strings or add them into the Web.config file so they can be accepted my MCMS. See the section Adding Valid Characters to Query String Contents for more information.

Valid characters are listed in the following table:

Characters | Hex Code | Notes
 |  | All Unicode alphabetic letters
 |  | All Unicode decimal digits
 |  | All Unicode whitespace
! | 0x21 | Exclamation
$ | 0x24 | Dollar sign
( | 0x28 | Left parenthesis
) | 0x29 | Right parenthesis
* | 0x2A | Asterisk
, | 0x2C | Comma
- | 0x2D | Hyphen (minus)
. | 0x2E | Full stop
: | 0x3A | Colon
; | 0x3B | Semicolon
= | 0x3D | Equal sign
? | 0x3F | Question mark
@ | 0x40 | Commercial at
[ | 0x5B | Left square bracket
] | 0x5D | Right square bracket
^ | 0x5E | Circumflex accent
_ | 0x5F | Underscore
` | 0x60 | Grave accent
{ | 0x7B | Left curly bracket
} | 0x7D | Right curly bracket
~ | 0x7E | Tilde


Adding Valid Characters to Query String Contents

With Microsoft Content Management Server (MCMS) 2002 with SP1a, query strings are now validated (see the section Changes to Allowed Characters in Placeholder Names, Query Strings, and Custom Property Names). Your MCMS Web application may use characters in the query string that are no longer allowed. However, you can add them to your application using the following procedure.

Note Adding new characters can make your application vulnerable to cross-site scripting issues.

To add additional valid characters

  1. Click Start, click Control Panel, click Administrative Tools, and then click Internet Information Services Manager.
  2. Expand Web Sites, right-click Default Web Site (or the site where your MCMS Web application is installed).
  3. In a text editor (for example, NotePad), open your Web.config file, and add the following XML code to the <configuration> section.

<appSettings>
     <add key="WebAuthor.CustomValidCharacters" value="/>
</appSettings>


Configuring the Resource View in the Web Author

You can configure the MCMS Web Author to display resources in tree view, list view, or both (the default) when you select resources. You can set the view that you want the Web Author to display.

To configure the resource view

  1. Click Start, click Control Panel, click Administrative Tools, and then click Internet Information Services Manager.
  2. Expand Web Sites, right-click Default Web Site (or the site where your MCMS Web application is installed).
  3. In a text editor (for example, NotePad), open your Web.config file for your MCMS application, and add the following XML code to the <configuration> section.

<appSettings>
     <!—Choose "TreeView" or "ListView" or "Both" for WebAuthor.ResourceGalleryView
     <add key="WebAuthor.ResourceGalleryView" value="Both" />
</appSettings>


Web Author Dialog Boxes Converted to UTF-8

The folder \Server\IIS_NR\System\WBC\Customizable\WBCFuncPagesConfig\MLSDisplayConfig used to configure the encoding of the Web Author ASP dialog boxes is no longer available in MCMS 2002 with SP1a.

All Web Author ASP dialog boxes are now encoded to UTF-8.


New APIs in MCMS 2002 with SP1a

Microsoft Content Management Server (MCMS) 2002 with SP1a adds the following new APIs to MCMS:

  • Resource.CanUseForAuthoring Property
  • ResourceCollection.FilterByCanUseForAuthoring Method
  • Template.CanUseForAuthoring Property
  • TemplateCollection.FilterByCanUseForAuthoring Method


Using the Help Viewer

The Microsoft Content Management Server (MCMS) 2002 Help system uses HTML to format and display information. The Help Viewer provides a table of contents, an index, and a full-text search feature so that you can find information easily. Book icons open to reveal sub-books and topics.

To expand the table of contents and view topics within a book, click the expand indicator (+) next to a book title. When you click the collapse indicator (-), the topics are hidden. Using the Help Viewer, you are able to see the table of contents, index, or search results at the same time you are viewing a Help topic.

The Help Viewer also includes a Favorites tab, which you can use to bookmark topics. This enables you to quickly display topics that you refer to often.

To learn more about MCMS, you can use the table of contents to browse through the documentation. When you click a topic in the table of contents, information is displayed in the content pane of the Help window.

In the Help Viewer, the following browse and search options are available:

  • Contents tab
    • To browse the table of contents, click the Contents tab. Double-click the book icons to reveal topic entries and sub-books.
    • Click a table of contents entry to display the corresponding topic.
  • Index tab
    • To see a list of index entries, click the Index tab, and then either type a word or scroll through the list. Topics are often indexed under more than one entry.
    • Double-click an index entry to display the corresponding topic.
  • Search tab
    • To locate every occurrence of a word or phrase, click the Search tab, type the word or phrase for which you want to search, and then click List Topics. To make your search results more specific, you can combine multiple words or phrases with AND, OR, NEAR, or NOT.
    • Double-click a search results entry to display the corresponding topic.

    For more information about searching for a topic, see Searching for a Help Topic.

  • Favorites tab
    • To bookmark a topic, use the Contents, Index, or Search tabs to locate and then display a topic.
    • Click the Favorites tab, and click Add to save the topic title to the Topics list.
    • To display the topic, double-click a bookmark in the Topics list.

See Also

Searching for a Help Topic

Bookmarking a Help Topic

Printing a Help Topic

Copying a Help Topic

Using Help Viewer Keyboard Shortcuts


Searching for a Help Topic

Use the following procedure to search for a Help topic.

To search for a Help topic

  1. To locate every occurrence of a word or phrase, click the Search tab, type the word, and then click List Topics.
  2. To search for a specific phrase, surround the phrase in quotes; for example type the computer and monitor to find topics that contain the exact phrase "the computer and monitor."
  3. To make your search results more specific, you can combine multiple words or phrases with AND, OR, NEAR, or NOT.

    For example, on the Search tab:

    • Type computer and monitor to find topics that contain both words, computer and monitor.
    • Type computer or monitor to find topics that contain either the word computer or the word monitor.
    • Type computer near monitor to find topics that contain both the words computer and monitor in close proximity to each other.
    • Type computer not monitor to find topics that contain the keyword computer but do not contain the keyword monitor.
  4. Double-click a search results entry to display the corresponding topic.

See Also

Bookmarking a Help Topic

Printing a Help Topic

Copying a Help Topic

Using Help Viewer Keyboard Shortcuts


Bookmarking a Help Topic

Use the following procedure to bookmark a Help topic.

To bookmark a Help topic

  1. Use the Contents, Index, or Search tab to locate and then display the topic you want to bookmark.
  2. Click the Favorites tab, and then click Add.

The Help Viewer adds the topic title to the Topics list. Later, you can return to this list and double-click the bookmark to quickly display the topic.

Note You can create a list of frequently visited Help topics. To remove a bookmark from the Topics list, click the bookmark, and then click Remove.

See Also

Searching for a Help Topic

Printing a Help Topic

Copying a Help Topic

Using Help Viewer Keyboard Shortcuts


Printing a Help Topic

Use the following procedure to print a Help topic.

To print a Help topic

  • Right-click the topic that you want to print, and then click Print.
  • To print a pop-up topic, right-click inside the pop-up window, and then click Print.
  • To print all topics within a book, on the Contents tab, select the book. On the Help toolbar, click Options, click Print, and then click Print the selected heading and all subtopics.

Note If you print a section with multiple topics that contain multiple illustrations, the illustrations will not print. Printing code samples and large illustrations could result in incomplete printing. If a line of code is very long or an illustration is very large, the right edge of the code or illustration might extend beyond the margin boundary and will not print.

See Also

Bookmarking a Help Topic

Searching for a Help Topic

Copying a Help Topic

Using Help Viewer Keyboard Shortcuts


Copying a Help Topic

Use the following procedure to copy a Help topic.

To copy a Help topic

  1. In the topic pane of the Help Viewer, right-click inside the topic that you want to copy, and then click Select All.
  2. Inside the topic, right-click again, and then click Copy.
  3. Open the document to which you want to copy the topic.
  4. Click the place in your document where you want the information to appear.
  5. On the Edit menu, click Paste.

Note If you want to copy only part of a topic, select the part that you want to copy, right-click the selection, and then click Copy. Step numbers are not copied to the Clipboard.

See Also

Printing a Help Topic

Bookmarking a Help Topic

Searching for a Help Topic

Using Help Viewer Keyboard Shortcuts


Using Help Viewer Keyboard Shortcuts

If your mouse is unavailable or if you prefer using your keyboard, you can use the following keyboard commands to navigate within the Help Viewer.

Help Viewer keyboard shortcuts

Press | To
ALT+SPACEBAR | Display the system menu.
SHIFT+F10 | Display the Help Viewer shortcut menu. Note Use this shortcut when the focus is in the topic pane.
ALT+TAB | Switch between the Help Viewer and other open windows.
ALT+O | Display the Options menu.
ALT+O, and then press T | Hide or show the navigation pane.
CTRL+TAB | Switch to the next tab in the navigation pane.
CTRL+SHIFT+TAB | Switch to the previous tab in the navigation pane.
UP ARROW | Move up one topic in the table of contents, index, or search results list.
DOWN ARROW | Move down one topic in the table of contents, index, or search results list.
PAGE UP | Move up one page in the table of contents, index, or search results list.
PAGE DOWN | Move down one page in the table of contents, index, or search results list.
F6 | Switch focus between the navigation pane and the topic pane.
ALT+O, and then press R | Refresh the topic that appears in the topic pane.
UP ARROW or DOWN ARROW | Scroll through a topic.
CTRL+HOME | Move to the beginning of a topic.
CTRL+END | Move to the end of a topic.
CTRL+A | Highlight all text in the topic pane.
ALT+O, and then press P | Print a topic.
ALT+O, and then press B | Move back to the previously viewed topic.
ALT+O, and then press F | Move forward to the next (previously viewed) topic.
ALT+F4 | Close the Help Viewer.

Contents tab keyboard shortcuts

Press | To
ALT+C | Display the Contents tab.
RIGHT ARROW | Open a book.
LEFT ARROW | Close a book.
BACKSPACE | Return to the previous open book.
UP ARROW or DOWN ARROW | Select a topic.
ENTER | Display the selected topic.

Index tab keyboard shortcuts

Press | To
ALT+N | Display the Index tab.
UP ARROW or DOWN ARROW | Select a keyword in the list.
ALT+D or ENTER | Display the associated topic.

Search tab keyboard shortcuts

Press | To
ALT+S | Display the Search tab.
ALT+L | Start a search.
ALT+D or ENTER | Display the selected topic.

Favorites tab keyboard shortcuts

Press | To
ALT+I | Display the Favorites tab.
ALT+A | Add a topic to the Topics list.
ALT+P | Select a topic in the Topics list. Note Use this shortcut when the focus is in the topic pane and you want to move to the Topics list.
ALT+R | Remove a topic from the Topics list.
ALT+D | Display a topic from the Topics list.

See Also

Printing a Help Topic

Bookmarking a Help Topic

Searching for a Help Topic

Copying a Help Topic


Web Author Console

The Web Author console is an area reserved on your Web site home page which you use to log on, create a page, assign page properties, submit a page, and view the revision history of a page. The Web Author console is user-configurable; the selections that are available also vary depending on whether you are in live mode or edit mode and on the rights that you have logged on with. For example, an editor can select Approve on a page in the Web Author console that has the status, Waiting for Editor Approval, but an author or moderator cannot.

If you are in live mode (on the home page of your Web site), the only available option in the Web Author console is to switch to edit mode.

If you are in edit mode, you will see the status of the current page, and a menu of options appropriate to your user rights. The following table lists the types of options available for the Web Author.

Option | Purpose
Page Status | Automatically provides the current status of the page
Lock Status | Displays a Locked/Not Locked status for the current page
Production Manager | Lists saved pages that are in the production queue
Approval Assistant | Lists pages awaiting approval
Resource Manager | Lists available resource galleries and resources in those galleries, such as shared images and documents
Preview | Provides a preview of the current page
Create New Page | Creates a new page
Create Connected Page | Creates a page that is to be connected to an existing page
Edit | Edits a single or a connected page
Delete | Deletes a single or a connected page
Copy | Copies a single or a connected page
Move | Moves a single or a connected page
Page Properties | Display the properties of the current page and can be used to modify properties
Revision History | Displays all the versions of a page
View Revisions by Date | Displays versions of a page for a specified date
Channel Properties | Displays standard and custom properties for a channel

The Resource Manager can be used to manage the resources you need to create a Web page. Resources, such as image files, can be added, modified, or deleted. However, you must have administrative, channel manager, template designer, or resource manager rights in order to modify resources using the Resource Manager.


Page Management Concepts

To effectively manage Web pages, you must understand the elements on a page and the progression of the page from creation through publication and update, including the statuses assigned to a page at each step. Users with different Microsoft Content Management Server 2002 (MCMS) roles own the pages as they go through the publishing cycle.

  • Page elements: templates and placeholders
  • Page statuses
  • Page ownership
  • Connected pages

Page elements: templates and placeholders

A Microsoft Content Management Server (MCMS) Web page is published on a live Web site. Every MCMS page has a template assigned to it and each template contains one or more placeholders that hold editable page content.

Templates control the design of the page. A template may include, for example, a company logo, a background design, and a color. These elements are part of the template design and cannot be changed or moved by a user. Templates can be designed to ensure that a consistent look is achieved throughout the site, or several templates can be used to apply different looks to different areas of the site.

Placeholders are found within templates and contain the page content that can be edited by users. Placeholders keep the page content separate from the page design.

The type of content and formatting options in a placeholder are set by the template designer. For example, a template designer may decide that:

  • A placeholder will allow a user to add text but not to change the font.
  • A placeholder will accept an image only.
  • A placeholder will accept a variety of content, such as text typed directly into it, drag-and-drop text or images, or other files from a folder or a desktop application.

Page statuses

After an author or content provider creates or identifies the content to be used in all the placeholders for a page, the page must be reviewed by editors and moderators, and it must be approved before it is published. Each time an editor or moderator makes a change to the page, or approves it, the status of the page changes. The status levels required to move the page ahead in the process depend upon the role of the user who created the content.

The following table shows the page status levels and provides a description of each.

Status | Description
New | A page has been created by an author, but the page has not yet been saved.
Saved | A page has been saved, but it has not yet been submitted for approval.
Waiting for Editor Approval | A page has been submitted for approval, but it has not yet been approved by an editor or a moderator. A page usually enters this state from the Saved state, but a New, Declined, or Expired page can be created or re-edited and then saved and submitted as a single action, thereby avoiding the Saved state.
Waiting for Moderator Approval | A page has been approved, but the scheduling information has changed although the content has not.
Approved | A page has been approved by an editor or moderator, and the current time is earlier than the start time of the page.
Declined | A page has been declined, but not modified and resubmitted.
Expired | A page has been approved, but the current time is later than the expiration time of the page.
Published | A page has been published to the live Web site.

Page ownership

When a page has been created and has a status of saved, or the page is being modified after it was published, it is owned either by the user who created it or by the user who is editing it, and only this user can delete the page.

After a page is published, it is owned by everyone who has rights in the channel, and it can be deleted by any user with authoring rights in that channel, including authors, editors, moderators, template designers, channel managers, and administrators.

Connected pages

Connected pages are two or more pages that use the same template, or that use templates from a set of connected templates, and that reference the same content source. Connected templates share a common set of placeholder definitions and custom properties.

The following are examples of how you use connected pages:

  • Creating multilingual sites. A page can appear in an English and a Spanish channel on a site with the same content, but in different languages.
  • Displaying the same information in more than one area of your site. For example, if you want to publish details about a job opportunity both internally and externally, you may want the information to be the same on both the Internet and the intranet, but you may want to add more information to the internal page. If you create two connected pages, the first page might show the content that exists in placeholder 1 and 2, and the second may show the contents in placeholders 1, 2, and 3. Placeholder 3 contains the content that you want to show to internal candidates only.

Authors, editors, and moderators usually create connected pages. To create connected pages, a user must have authoring rights in both the source and the destination channels.

Connected pages can be published to the same channel only if the second instance of the page does not use the same template as the first, but uses another template from the set of connected templates.

Connected pages can also be published to multiple channels so that the underlying content is shared. You can create a collection of connected pages without first publishing any of the pages. For more information about creating connected pages, see the procedure To create a connected page.


Creating a Page

You can use the MCMS Web Author to create a page on the Microsoft Content Management Server (MCMS) Web site.

To create a page with the Web Author

  1. In Internet Explorer, in the Address box, type the URL of your company Web site.
  2. On the Login page, log on as a user with authoring rights, and then type your password.
  3. On the Web site home page, click Switch to Edit Site.
  4. On the edit site Web Author console, click Create New Page.

    The Select Template Gallery page opens, listing template gallery options, organized in galleries. The number of templates in each gallery is noted in parentheses.

  5. On the Select Template Gallery page, click a template gallery name to select it.

    The template gallery that you select opens to display a list of templates that you can work with.

  6. Click the hand icon in the Select column beside the template that you need. Or, to preview a template, click the icon to the left of the template name.

    The main browser window loads the selected template, and you can now create the document. The page template contains areas, called placeholders, where you add content such as text and graphics.

  7. Add content to the placeholders in the template as shown in the following examples.

    The following figure shows a placeholder before any changes have been made.

    Placeholder sample view

    The following figure shows a placeholder after changes have been made. The image has been replaced and changes were made to the text, text color, font, and bolding.

    Placeholder sample view

  8. On the Web Author console, click Page, and then click Save.
  9. In the Create New Page dialog box, do the following, and then click OK.
    Use this | To do this
    Name | Type a name for the page. Names must contain US-ASCII characters only.
    Display Name | Type a name that will be displayed on the Web page, and that will be part of the URL if you use the hierarchical method of URL generation. The Display Name is not restricted to US-ASCII characters only. If you leave the Display Name box blank, the display name defaults to the same value as Name.
    Same as Name | Set the Display Name value to be equal to the Name value.
  10. Click Page, and then click Save and Exit.

The edit site appears, from which you can view the page that you just created.


Defining Standard Page Properties

The properties of a page must be defined before the page that you have created can be published. Many companies use a set of required standard properties, such as starting and ending publishing times. Other standard page properties can be defined by the template designer or by the developer in order to capture particular business information. For example, a template that is to be used for publishing Human Resources information may have a custom property added to it to enable the content creator to give it an importance rating. For more information about custom properties, see Modifying Custom Properties.

Use the following procedure to define page properties for your Web page, such as starting and ending publishing times.

To define page properties

  1. On the Web Author console, click Page Properties.
  2. In the Page Properties dialog box, on the Standard tab, in the Description box, type a description of the page you have created.
  3. In the Page Properties dialog box, on the Standard tab, in the Publishing Options box, do the following:
    Use this | To do this
    Start Publishing | Select the Immediately option to publish your page immediately after approval and submission, Or, select the starting date and time using the drop-down boxes.
    Stop Publishing | Select the Never option to have your page never expire. Or, select the ending date and time using the drop-down boxes.
    Owner | Note the assigned owner of the page.
    Modified | Note the modification history of the page.
    Important Page | Select this property to enable template designers to specify actions for an Important Page. For example, an important page could have flashing animation added to it, or could appear first in the navigation pane.
    Hide when Published | Select this property to hide the channel or page from visitors on the live site. This may be useful when creating a summary page.
    Web robots can crawl links (default) | Select this property to indicate that Web robots should follow links to other pages or channels.
    Web robots can index this page (default) | Select this property to indicate that Web robots should index the content in a given page or channel.
  4. Click Save Changes to close the Page Properties window.
  5. On the Web Author console, click Page, and then click Submit.

    The page status changes to Waiting for Editor Approval. If an editor or moderator is not assigned to the channel, the page is approved automatically.

  6. Click Logoff.


Modifying Custom Properties

Custom properties are properties that are defined by the user and are associated with Microsoft Content Management Server (MCMS) 2002 channels and pages. With custom properties, administrators, channels managers, and template designers can perform tasks that include:

  • Creating summaries of page and channel content
  • Creating cross-references between pages and channels
  • Categorizing pages and channels based on content

Template designers can create custom properties in their development environment.

If you have authoring, editing, or moderating rights, you can view and edit page custom properties only.

Users with administrator, channel manager, or template designer rights are shown a Channels option in the Web Author console after logging on and then switching to the edit site. Using this option, those users can modify the custom properties for a channel.

Note The Standard tab and the Custom tab are both on the Page Properties page. You would normally set them at the same time. Not all pages will have custom properties assigned to them.

To modify a custom property

  1. On the Web Author console, click Page Properties.
  2. In the Page Properties dialog box, on the Custom tab, type any changes to the value of the custom property to be changed.
  3. When you have completed changing the value of the custom property, click Save Changes.


Approving Pages Using the Approval Assistant

The Approval Assistant is available from the Web Author console and lists all pages that are currently waiting for approval.

Note You can select multiple pages to approve at the same time by selecting the checkbox beside the page name in the list.

To approve a page using the Approval Assistant

  1. In Internet Explorer, in the Address box, type the URL of your company Web site.
  2. On the Login page, log on as a user with editing rights, and then type your password.
  3. On the Web site home page, click Switch to Edit Site.
  4. On the edit site Web Author console, click Approval Assistant.

    The Pages Waiting for Approval list appears, showing the pages submitted to channels where you have approval rights.

  5. Click the Preview icon to display the preview in a separate browser window.
  6. Close the preview browser window and return to the Approval Assistant window.
  7. Select the checkbox next to your page, and then click Approve.

    After the page has been approved, it will have one of the following statuses:

    • Approved — the page is ready to be published, but the publishing start time is in the future.
    • Published — the publishing start time has passed and the page is published to the Web.
    • Expired — the publishing expiration time has passed. Pages with this status are only visible in edit mode.

    The approved pages are removed from the Approval Assistant list.

  8. Close the Approval Assistant. The pages you just approved appear.
  9. Click Logoff.


Viewing Pages with the Production Manager

The Production Manager lists all pages that are currently in production (that is, pages that have been created but have not been published on the site). It is available from the Web Author console if your template designers have included this option in the Web Author console design.

To view the Production Manager

  1. In Internet Explorer, in the Address box, type the URL of your company Web site.
  2. On the Login page, log on as a user with editing rights, and then type your password.
  3. On the Web site home page, click Switch to Edit Site.
  4. On the edit site Web Author console, click Production Manager.
  5. In the Production Manager window, check to see if there are any pages currently in production.

After you have viewed the status of the pages you own in the Production Manager, you can close the Production Manager window.


Editing a Page

Editors can edit any page if they have rights to the template that was used to create the page. Authors, however, can edit only the pages in which they have rights; for more information about editing rights, see Page ownership. Pages can be edited before or after they are published.

You edit a connected page in the same way that you edit a standard page. For more information about connected pages, see Connected pages.

To edit a page

  1. In Internet Explorer, in the Address box, type the URL of your company Web site.
  2. On the Login page, log on as a user with editor rights, and then type your password.
  3. On the Web site home page, click Switch to Edit Site.
  4. Navigate to the page to edit, and then click Edit on the Web Author console.
  5. Make the necessary edits, and then do one of the following:
    Use this | To do this
    Save | Click to save your changes and remain in authoring mode.
    Save and exit | Click to save your changes and exit authoring mode.
    Exit | Click to exit the authoring mode without saving your changes.
  6. Make your selection. If you clicked Save and exit or Exit in the previous step, the Web Author console opens.
  7. On the Web Author console, do the following:
    Use this | To do this
    Submit | Click to submit the page for editor approval.
    Approve | Click to approve the submitted page.
    Decline | Click to reject the page and return it to the workflow for changes.


Copying a Page

You can use the Web Author to copy a page and place it in a different location. For more information about the rights you need to copy a page, contact your system administrator.

You copy a connected page in the same way that you copy a standard page. For more information about connected pages, see Connected pages.

Important If you copy a connected page, the resulting copy is not connected to the original page.

To copy a page, you must have the following rights:

  • Viewing rights to the page
  • Subscriber rights to the source channel
  • Subscriber rights to the destination channel
  • Authoring rights to the template gallery that contains the template used by the source page
  • Authoring rights to the destination channel

To copy a published page

  1. In Internet Explorer, in the Address box, type the URL of your company Web site.
  2. On the Login page, log on as a user with authoring or editing rights, and then type your password.
  3. On the Web site home page, navigate to the page to be copied, and then click Switch to Edit Site.
  4. On the Web Author console, click Copy.

    A channel map appears.

  5. Navigate to the destination channel where you want to place the copy and then click the channel name.

    The full path to the destination channel appears at the bottom of the window.

  6. Click OK.

    The window closes. The status of the copied page is Waiting for Approval.

  7. On the Web Author console, click Approve.


Moving a Page

You can use the Web Author to move a page to a different channel. For more information about navigating to the destination channel, contact your system administrator.

You move a connected page to a different location in the same way that you move a standard page. When you move a connected page, it is still a part of the connected page set. For more information about connected pages, see Connected pages.

To move a published page

  1. In Internet Explorer, in the Address box, type the URL of your company Web site.
  2. On the Login page, log on, and then type your password.
  3. From the Web site home page, navigate to the page to be moved.
  4. On the Web Author console, click Switch to Edit Site.
  5. On the Web Author console, click Move.

    A channel map appears.

  6. From the channel map, navigate to the destination channel to which you want to move the page, and then click the channel name.

    The full path to the destination channel appears at the bottom of the window.

  7. Click OK.

    The window closes. The page is moved to the selected channel. The status of the moved page is Waiting for Approval.

  8. On the Web Author console, click Approve.


Deleting a Page

Editors, moderators, template designers, and channel managers can delete any page in any channel where they have been given rights. Authors can delete pages that they own or that are owned by everyone.

Important A deleted page cannot be retrieved.

You delete a single connected page in the same way that you delete a standard page. Deleting a connected page does not delete any of the shared content, even if that content is no longer used by any other connected page. To delete the content, you must delete the last page from a set of connected pages. For more information about connected pages, see Connected pages.

To delete a page

  1. In Internet Explorer, in the Address box, type the URL of your company Web site.
  2. On the Login page, log on, and then type your password.
  3. From the Web site home page, navigate to the page to be deleted.
  4. From the page that you want to delete, click Switch to Edit Site on the Web Author console.
  5. Click Delete on the Web Author console.

    A confirmation dialog box appears.

  6. Click Close if you do not want to delete the page; otherwise, click OK.


Creating Connected Pages

When you create a connected page, the Web Author displays only the templates that you can use to create the connected page. If the original template was not a connected template, then only the original template is available. If the original template was a connected template, then all of the other connected templates in the same set are displayed, provided that the user has sufficient rights to use them for page creation.

To create a connected page

  1. In Internet Explorer, in the Address box, type the URL of your company Web site.
  2. On the Login page, log on, and then type your password.
  3. On the Web site home page, click Switch to Edit Site.
  4. Navigate to the page that you will use as the basis for the connected page, and then click Create Connected Page.

    The Create Connected Page window opens, showing the current page, the full path to the current channel, and a map of all channels you have access to in the site appears.

  5. Navigate to the channel to which the connected page will be published, and then click the channel name. The following appears:
    • The current page
    • The full path to the current channel
    • The full path to the destination channel
    • A list of templates associated with the connected page

    The following figure shows example information needed to create a connected page. The page is named Blue Yonder Airlines. It is currently in the Case Studies channel, and you want to place it in the Services channel. You can see that one template is available for use with this page.

    Create connected page

  6. Click Select beside the appropriate template.

    The connected page is created and the edit site page appears.

  7. From the Web Author console, click Save New Page.
  8. In the Save New Connected Page dialog box, type a display name, and then click OK.
  9. From the Web Author console, click Submit.

    The page status changes to Waiting for Editor Approval. If no editor or moderator is assigned to the channel, the page is approved automatically.

    Note If a connected page expires, the other pages that are connected to it do not necessarily expire. You set the expiration dates on these pages separately.

  10. Click Logoff.


Comparing Two Documents

To view the revision history of a page and compare it to another, you must have authoring rights to that page.

To view the revision history and compare two documents

  1. In Internet Explorer, in the Address box, type the URL of your company Web site.
  2. On the Login page, log on as a user with rights to at least one page in the site, and then type your password.
  3. Navigate to the page whose history you want to view, and then click Switch to Edit Site.
  4. On the edit site Web Author console, click Revision History.
  5. In the View Revision History dialog box, from the Revision Types to List list, select the type, or types, of revisions to be displayed. The options are:
    • Page content or page properties
    • Shared resource used in page

    A list of all the revisions of the type you requested is displayed, with the revision approval dates indicated. If no revisions were made of the type you selected, the Approved Revisions list will be empty.

  6. From the Approved Revisions list, select two versions to be compared. The dates of the two versions appear in the Revisions to Compare pane.
  7. Click Compare.

    The revisions are displayed.

  8. To set the colors to use when comparing the appearance of the documents, click the Set Colors box. From the drop-down list, select the colors to be used for the insertions and deletions. Click OK.
  9. When you have finished viewing the pages, click Close.


Viewing a Revision by Date and Time

To view a revision of a page by date and time, you must have authoring or editing rights to that page.

When you view revisions by date, they may not appear exactly as they did originally. For example:

  • Pages that have been moved appear in their current location rather than in their original location.
  • Properties that are not included in subsequent versions contain their current values and not the original values. These properties can be displayed from the Properties tab when you click Revision History and could include items such as Display Name, Start Publishing Date, and Stop Publishing Date.
  • Current rights are applied to all items, even if they have been changed since the page was created.
  • Deleted items are removed completely and are not visible even in the revision histories.

To view revisions by date in the MCMS Web Author

  1. In Internet Explorer, in the Address box, type the URL of your company Web site.
  2. On the Login page, log on as a user with authoring or editing rights, and then type your password.
  3. On the Web site home page, navigate to the page that you want to view, and then click Switch to Edit Site.
  4. From the Web Author console, click View Revisions by Date.
  5. In the Select Date and Time dialog box, select the date for the site preview of the version that you want to see. To do this, either:
    • Type the date in MM/DD/YY format
    • Click the drop-down list and select a date from the calendar
  6. Enter the time for the version you want to see in HH:MM:SS format.
  7. Click View.

    The page revision that was approved closest to that time appears in a separate window.

  8. When you have finished viewing the revision, close the page to return to the View Revisions by Date window.
  9. Click Cancel to exit.


Creating a Web Page from a Word File

An author follows the procedures described in this section to submit a Word document as a new Web page to the Microsoft Content Management Server (MCMS) Web site for approval.

When you submit your page to the Web site, it enters the MCMS workflow where it is submitted for approval to an editor or moderator. The new page will not appear on the Web site until it has been approved.

When the page is submitted, the MCMS publishing details, including a link to the new MCMS page, are saved to the open Word document for future reference.

Important If the channel to which the author is publishing a page does not have an assigned editor or a moderator, the page is automatically approved when it is submitted.

To create a Web page from a Word file

  1. From Word 2002 or 2003, create or locate the document that you want to submit as a new Web page.
  2. In Word 2002 or 2003, click File on the menu bar, and then click Send to MCMS.
  3. On the Send to MCMS menu, click Create New Page.
  4. On the Welcome to the Authoring Connector Wizard page, do the following:
    Use this | To do this
    Change server name and path | Select this option to submit your document to a different MCMS Content Server. For more information about which Content Server should be used, contact your site administrator or see Submitting Content to Other MCMS Content Servers.
    Next | Click to continue to the next page without changing the name of the MCMS Content Server or path.
  5. On the Publishing Task page, do the following:
    Use this | To do this
    Select a publishing task | Select the task you need to do from the displayed list. After you select the task, and click Next, you skip to the Page Information page (step 9 in this procedure).
    Manual entry of channel and template Select the checkbox that appears below the task list in order to manually choose the path and name of a channel and template instead of selecting a publishing task (which automatically selects a channel and template).

    After you click Next, you go to the Channel Information page and the Template Information page (steps 7 and 8 respectively of this procedure) to enter exact path names.

    If you do not select the checkbox, the next page displayed is the Page Information page.
  6. Click Next.

    If you selected a publishing task from the list, you go to the Page Information page (step 9 of this procedure).

    If you selected the Manual entry of channel and template box in the preceding step, you go to the Channel Information page and the Template Information page (steps 7 and 8 respectively of this procedure) to enter exact paths.

  7. In the Channel Information page, select the channel by expanding the displayed directory hierarchy and navigating to the channel required, or in the Channel path box, type the full channel path. Click Next.
  8. On the Template Information page, select the template by expanding the displayed directory hierarchy and navigating to the template required, or in the Template path box, type the full path of the template. Click Next.
  9. On the Page Information page, do the following and then click Next.
    Use this | To do this
    Page name | Type a name to identify the page.
    Title to appear on Web page Type a page display title.

    To use the page name for the page display title, select the Make the title the same as the page name checkbox.

    Note The title must contain US-ASCII characters only.
    Page description | Type a description of the page, and then click Next.
  10. On the Publishing Dates and Times page, do the following and then click Next.
    Use this | To do this
    Start Click Immediately to publish your page on the MCMS Web site immediately after approval and submission. Or, click Date and time to set the date and time to begin page publication. Use the drop-down calendar to set the date, or type the date in the format MM/DD/YYYY. Type the time or use the displayed default.

    Note All times displayed are local times.
    End | Click Never to have your page never expire. Or, click Date and time to indicate the end of page publication. Use the drop-down calendar to set the date, or type the date in the format MM/DD/YYYY. Type the time or use the displayed default.
    Advanced page properties | Select the checkbox to optionally select page attributes or custom properties.
  11. Click Next.

    If you did not select the Advanced page properties box in the preceding step, you go directly to the Page Submission page (step 14 of this procedure). If you did select the Advanced page properties box, you go to the Advanced Page Properties page (steps 12-13 of this procedure).

  12. On the Advanced Page Properties page, in the Page attributes box, do the following:
    Use this | To do this
    Mark page as special page | Select this option to indicate that this page has a special status, such as Important.
    Allow Web robots to crawl links | Select this option to enable robots of Web search engines to follow hyperlinks within the page.
    Hide page from subscriber when published | Select this option to hide the published page from users who have subscriber rights only.
    Allow Web robots to index this page | Select this option to enable search engines to search the MCMS Web site.

    Note The Web page attributes that are set on this page are stored with the Word document for future reference.

  13. On the Advanced Page Properties page (if custom properties have been defined for the template), in the Custom properties table, make any required changes to default values. An example of a custom property might be a font color, or a page background color, which you would be able to change.

    Note If there are no custom properties defined for the template you are working with, there will be nothing on the Advanced Page Properties page except the Page attributes.

  14. Click Next.
  15. On the Page Submission page, do the following and then click Next.
    Use this | To do this
    Preview Page | Preview the page as it will appear on the Web site after it has been published, if required. You will be required to log on if you have not yet opened the browser. Click Close on the preview page to return to the wizard.
    Name | Check that the name of the page is correct.
    Display Title | Check that the page display title that appears on the Web site is correct.
    Channel | Check that the page is located in the correct channel.
    Template | Check that the page has been created using the correct template.
  16. On the Completing the Authoring Connector Wizard page, do the following:
    Use this | To do this
    Finish | Select this option to close the Authoring Connector Wizard and return to the open Word document.
    Launch MCMS Web Author | Select this option to edit or approve the changes you made to the document on the MCMS Web Author edit site, provided you have the rights to do so. Click Finish.


Updating an Existing Page

You can update a page that was previously created using Microsoft Word and is published on a Microsoft Content Management Server (MCMS) 2002 Web site by editing the Word document and updating the contents of the Web page.

To update an existing page

  1. In Word 2002 or 2003, navigate to the original Word document, make the required changes, and then save the document.
  2. In Word, from the File menu, click Send to MCMS, click Update Same Page, and then click Next.

    If you have not yet saved your work, you are prompted to do so. The Authoring Connector Wizard starts.

  3. On the Page Information page, change the page information if necessary, and then click Next.
  4. On the Publishing Dates and Times page, change the publishing information if necessary, and then click Next.
  5. On the Page Submission page, you can preview the page by clicking Page Preview, and review the page information for accuracy. To make changes to any of the displayed information, click Back until you are at the page on which you need to change information. When complete, click Next.
  6. On the Completing the Authoring Connector Wizard page, do the following:
    Use this | To do this
    Finish | Select this option to close the Authoring Connector Wizard and return to the open Word document.
    Launch MCMS Web Author | Select this option to edit or approve the changes you made to the document on the MCMS Web Author edit site, provided you have rights to do so. Click Finish.


Replacing a Page

You can overwrite or replace a page containing a Microsoft Word document that has been previously published by you or another author.

Using the Page to Replace option, you can:

  • Replace a page with a new Word document.
  • Replace an existing page that was created using the Web Author as long as that page uses a template that is compatible with Authoring Connector.
  • Update a previously published Microsoft Content Management Server (MCMS) page containing a Word document with any Word document or part of a document, even if that document has never been submitted before and does not contain embedded MCMS publishing details. In this situation, the Web page remains unchanged and only the Word content of the page is updated.

Important Whether you select all or a part of a Word document to submit, the selected content will overwrite all of the Word content in the target page. Make sure that you have selected the correct target page to replace or you may lose some content that is still needed.

For more information, see Submitting Selected Content.

To replace a page

  1. From Word 2002 or 2003, create or navigate to the Word document that you want to use, and then save the document.
  2. In Word 2002 or 2003, on the File menu, click Send to MCMS, and then click Replace Any Page.

    The Authoring Connector Wizard starts. If you have not yet saved your work, you are prompted to do so. Click Next.

  3. In the Page to Replace dialog box, in the Select page area, expand Channels until you find the page to be replaced, or in the Web page path box, type the full path to the page to be replaced. Click Next.
  4. On the Page Information page, change the page information if necessary, and then click Next.
  5. On the Publishing Dates and Times page, change the publishing information if necessary, and then click Next.
  6. On the Page Submission page, preview the page, or review the page information for correctness. To make changes to any of the displayed information, click Back until you are at the page on which you need to change information. When complete, click Next.
  7. On the Completing the Authoring Connector Wizard page, do the following:
    Use this | To do this
    Finish | Select this option to close the Authoring Connector Wizard and return to the open Word document.
    Launch MCMS Web Author | Select this option to edit or approve the changes you made to the document on the MCMS Web Author edit site, provided you have the rights to do so. Click Finish.


Submitting Selected Content

Using the Microsoft Content Management Server (MCMS) 2002 Authoring Connector, you can select specific content from an existing Microsoft Word document and submit that selection to be published as a Web page. When selecting the content that you want to submit, you can:

  • Select text strings that are not consecutive by holding down the CTRL key while you highlight the text strings that you want to submit
  • Select text and/or embedded graphics
  • Select only some cells in a table

To submit selected content

  1. From Word 2002 or 2003, navigate to the Word document that contains the content you want to publish, and select the required content.
  2. In Word 2002 or 2003, click File from the menu bar, click Send to MCMS, and then click Create New Page.

    The Authoring Connector Wizard starts.

  3. On the Welcome page, ensure that the Selected content only option is selected, and then click Next.
  4. On the Publishing Task page, do one of the following:
    Use this | To do this
    Select a publishing task | Select the task you need to do from the displayed list. After you select the task, and click Next, you skip to the Page Information page (step 8 in this procedure).
    Manual entry of channel and template Select the checkbox that appears below the task list in order to manually choose the path and name of a channel and template instead of selecting a publishing task (which automatically selects a channel and template).

    After you click Next, you go to the Channel Information page and the Template Information page (steps 6 and 7 respectively of this procedure) to enter path names.

    If you do not select the checkbox, the next page displayed is the Page Information page.
  5. Click Next.

    If you selected a publishing task from the list, you go to the Page Information page (step 8 of this procedure).

    If you selected the Manual entry of channel and template box in the preceding step, you go to the Channel Information page and the Template Information page (steps 6 and 7 respectively of this procedure) to enter paths.

  6. In the Channel Information page, select the channel by expanding the displayed directory hierarchy and navigating to the channel required, or in the Channel path box, type the full channel path. Click Next.
  7. On the Template Information page, select the template by expanding the displayed directory hierarchy and navigating to the template required, or in the Template path box, type the full path of the template. Click Next.
  8. On the Page Information page, do the following and then click Next:
    Use this | To do this
    Page name | Type a name to identify the page.
    Title to appear on Web page Type a page display title.

    To use the page name for the page display title, select the Make the title the same as the page name checkbox.

    Note The title must contain US-ASCII characters only.
    Page Description | Type a description of the page, and then click Next.
  9. On the Publishing Dates and Times page, do the following.
    Use this | To do this
    Start Click Immediately to publish your page on the MCMS Web site immediately after approval and submission. Or, click Date and time to set the date and time to begin page publication. Use the drop-down calendar to set the date, or type the date in the format MM/DD/YYYY. Type the time or use the displayed default.

    Note All times displayed are local times.
    End | Click Never to have your page never expire. Or, click Date and time to indicate the end of page publication. Use the drop-down calendar to set the date, or type the date in the format MM/DD/YYYY. Type the time or use the displayed default.
    Advanced page properties Select the checkbox to optionally select page attributes or custom properties.

    If you do not select the checkbox, the next page that is displayed is the Page Submission page.
  10. Click Next.

    If you did not select the Advanced page properties box in the preceding step, you go directly to the Page Submission page (step 14 of this procedure). If you did select the Advanced page properties box, you go to the Advanced Page Properties page (steps 11 to 13 of this procedure).

  11. On the Advanced Page Properties, in the Page attributes box, do the following.
    Use this | To do this
    Mark page as special page | Select this option to indicate that this page has a special status, such as Important.
    Allow Web robots to crawl links | Select this option to enable robots of the Web search engines to follow hyperlinks within the page.
    Hide page from subscriber when published | Select this option to hide the published page from users who have subscriber rights only assigned.
    Allow Web robots to index this page | Select this option to enable search engines to search the MCMS Web site.

    Note The Web page attributes that are set on this page are stored with the Word document for future reference.

  12. On the Advanced Page Properties page (if custom properties have been defined for the template), in the Custom Properties table, make any required changes to default values. An example of a custom property might be a font color, or a page background color, which you would be able to change.

    Note If there are no custom properties defined for the template you are working with, there will be nothing on the Advanced Page Properties page except the Page attributes.

  13. Click Next.
  14. On the Page Submission page, do the following and then click Next.
    Use this | To do this
    Preview Page | Preview the page as it will appear on the Web site after it has been published if required. You will be required to log on if you have not yet opened the browser. Click Close on the preview page to return to the wizard.
    Review page information | Review the page information for accuracy. To make changes to any of the displayed information, click Back.
    Name | Check that the name of the page is correct.
    Display Title | Check that the page display title that appears on the Web site is correct.
    Channel | Check that the page is located in the correct channel.
    Template | Check that the page has been created using the correct template.
  15. On the Completing the Authoring Connector Wizard page, do the following:
    Use this | To do this
    Finish | Click to close the Authoring Connector Wizard and return to the open Word document.
    Launch MCMS Web Author | Select this option to edit or approve the changes you made to the document on the MCMS Web Author edit site, provided you have the rights to do so. Click Finish.


Submitting Content to Other MCMS Content Servers

When you submit a Microsoft Word document as a Web page, you have the option of publishing it to any of the Microsoft Content Management Server (MCMS) 2002 Content Servers to which you have authoring rights.

To submit content to a different MCMS server

  1. Create or navigate to the Microsoft Word document you want to submit as a Web page, and then save the document.
  2. In Word, on the File menu, click Send to MCMS.
  3. On the Send to MCMS menu, select one of the three options, Create New Page, Update Same Page, or Replace Any Page. If you have not yet saved your work, you are prompted to do so. Click Next.

    The Authoring Connector Wizard starts.

  4. Select the Change server name and path checkbox, and then click Next.
  5. On the Default MCMS Server page, in the Server name and path box, type the full path to the new server to which you want to submit your document, and then click Next.

    For example, the default is http://<servername>/mcms/cms/officewizard/oc.aspx. You need to change the actual server name in the path, if all the servers are configured the same way.

  6. Continue to submit your document using the wizard, depending on the task you chose from the menu.

    To do this, complete the instructions for Creating a Web Page from a Word File, Updating an Existing Page or Replacing a Page.


MCMS Architecture

The following figure shows the architecture of Microsoft Content Management Server (MCMS).

MCMS architect structure

MCMS architecture is made up of the following components:

  • ASPX template file. This MCMS component is an .ASPX file in which you write your template code, and which you view while debugging that code. The code portion of placeholders now exists in the form of placeholder controls that you drag onto the ASPX template file and configure using the Microsoft Visual Studio® .NET Properties window.
  • Authoring Connector. This MCMS component integrates with Microsoft Word enabling content authors to create content and send it directly to MCMS for eventual publication on the MCMS Web site, all from within Word itself. Authors can provide content for both text and attachment placeholders using Authoring Connector.
  • Browser. This component is a standard browser, and it shows how the Web Author application is accessed through a standard browser. This means that the largest population of MCMS users, the content authors, editors, and other approvers in the workflow, do not need to have any MCMS software installed on their computers.
  • Commerce Server. This component is Microsoft Commerce Server 2002, which offers a comprehensive framework for building tailored, effective e-commerce solutions. Commerce Server can be integrated with MCMS using the Microsoft Solutions for Internet Business (MSIB) 2002 Content Connector feature. For more information about Commerce Server, see http://go.microsoft.com/fwlink/?LinkId=9588&clcid=0x409.
  • Content Connector. MSIB 2002 Content Connector is a supplemental feature of MCMS that allows MCMS managed Web sites to take advantage of key features of Commerce Server, such as the Profile System and the Targeting System. Content Connector is not included in MCMS 2002. For information about how Content Connector works with MCMS 2002, see http://go.microsoft.com/fwlink/?LinkId=9156.
  • Content Repository. This MCMS component is the Microsoft SQL Server™ database, including table definitions and stored procedures, that is used by MCMS to persist most of its data. This includes information about the structure of the site and its content, including resources.
  • Content server. This MCMS component is used to encapsulate the core engine of MCMS. This includes the Internet Server application programming interface (ISAPI) filter that receives and authenticates incoming HTTP requests, and the MCMS Publishing API.
  • Custom Web service. This extension to MCMS represents a Web service that can be created to allow an arbitrary application to interact with the Content Server, typically to provide some service to that application. For example, you could create a custom Web service that lets you syndicate your content, allowing another business to retrieve content from your site to display within their site.
  • File system. This component is the Microsoft Windows® file system that is used in MCMS 2002 to store the code associated with your templates.
  • ISAPI filter and security service. This MCMS component integrates with Microsoft Internet Information Services (IIS) to intercept HTTP requests for the MCMS Web site. This component handles authentication of these requests, creates the context in which the ASPX template file will run, and then runs the template file.
  • Microsoft Word. This component is Microsoft Word, customized by Authoring Connector to allow publishing to an MCMS Web site from within Word itself. Authoring Connector adds a Send to MCMS menu item to the File menu in Word. You use the Send to MCMS menu item to access several other menu items below it. These include Create New Page and Update Same Page. Typically, these commands will open a wizard to guide you through the corresponding process.
  • Placeholder control. This MCMS component is the new way in which placeholder code is implemented in MCMS 2002. There are distinct placeholder controls for distinct types of content such as text, images, and attachments, and distinct placeholder controls for use with Authoring Connector. The placeholder framework is designed to be extensible, enabling you to create new types of placeholders based on the existing placeholders.
  • Publishing API. This MCMS component provides programmatic access to the MCMS object model that is available in the ASPX file (and its code-behind file, if any). This API is also used by the code in the placeholder control(s) to access the appropriate version of their content for display in either presentation or authoring mode.
  • Site deployment. This MCMS component encompasses several tools that are useful for deploying an MCMS Web site from one server to another, which is required when your development environment is separate from your production environment. Site Deployment Manager provides a user interface for several deployment tasks, such as exporting and importing site packages, and is available through the Site Manager application. MCMS 2002 also contains a COM-based deployment API.
  • Site Manager. This MCMS component is a scaled-down version of the application known as Site Builder in previous versions of MCMS. It was renamed because its scope of use changed. Authoring is no longer performed within this application (the Web Author and Authoring Connector are now the only supported methods for authoring content).

    The MCMS Site Manager application is now used primarily by site managers and channel managers. Site managers use the MCMS Site Manager application to establish and manage rights groups, and to access the Site Deployment Manager functionality. Channel managers use the MCMS Site Manager application to create and manage the channel, resource gallery, and template gallery hierarchies. For information about performing administrative tasks using the MCMS Site Manager application, see Managing Site Structure and Workflow.

  • SQL Server 2000. This component is the database in which the Content Repository is implemented.
  • Visual Studio .NET client. This MCMS component encompasses the various extensions to Visual Studio .NET that MCMS provides. These extensions include the Content Management Server tab on the Toolbox, the MCMS Template Explorer, MCMS projects, several custom collection editor dialog boxes, and MCMS-specific uses of the Visual Studio .NET Properties window. For more information, see the Microsoft Content Management Server 2002 SDK at http://go.microsoft.com/fwlink/?LinkId=44604&clcid=0x409.
  • Visual Studio .NET. This component is Visual Studio .NET, which is extended when MCMS is installed so that MCMS-specific functionality is available within Visual Studio .NET itself. For more information about integration with Visual Studio .NET, see the Microsoft Content Management Server 2002 SDK at http://go.microsoft.com/fwlink/?LinkId=44604&clcid=0x409.
  • Web Author. This MCMS component is the main authoring application for MCMS 2002. It is an application for Web site authoring that uses the Web site itself as the application navigation framework. In other words, regardless of how the site grows over time, the authors, editors, and so on, simply navigate around the site to do their work. When users are authenticated as someone with rights to perform actions, such as adding new pages, their view of the Web site includes extra links that allow them to view the site in a way that allows changes to be made.


About Site Deployment

In Microsoft Content Management Server (MCMS) 2002, site deployment is the transfer of Web content from a source MCMS server to one or more destination servers through export and import operations. The site assets are transferred as packages of Extensible Markup Language (XML) files and resource files (for example, images), which are files with an .sdo extension. Site deployment functionality preserves the dynamic behavior of the content when it is deployed to the target server(s).

Retaining the dynamic behavior of the content has three distinct advantages:

  • The content can be modified on the destination server without shutting it down.
  • The site dynamically recognizes user preferences, creating a personalized experience for each user.
  • For future deployments, existing links between posted objects are updated seamlessly, even if the source object has been moved or renamed.


MCMS User Roles

Every Microsoft Content Management Server (MCMS) user, from a subscriber who browses your site to read pages to an administrator who sets up the site, is assigned a role.

User roles have the following characteristics:

  • They are tied to channels or galleries.

    Example: Dave is an author in the Sales channel; Mary is an editor in the Sales channel; and Ann is a moderator in the Sales channel.

  • They are not system-wide.

    Example: Dave is an author in the Sales channel, and he is also an author in the Company News channel, but he is not an author in any other channels.

  • They are not mutually exclusive. A user can have more than one role.

    Example: Ann is an author in the Sales channel; in the Marketing channel, Ann is an editor.

  • They can overlap each other.

    Example: Ann is both an author and an editor in the Sales channel.

  • They control the parts of MCMS that users need to see in order to perform their roles.

    Example: Because Ann has been assigned to the moderator role, she can approve modifications to publishing details.

The following table summarizes all eight of the MCMS roles and the associated rights in the publishing process.

Role Rights
Subscriber Browse the site to view the contents of channels where the subscriber has rights.

View individual postings (pages) that have been approved.

View resources from a resource gallery where the subscriber has rights. This is not required to view postings.

Note: it is possible to write Publishing API code that enumerates or retrieves resources directly from the resource gallery. In this case, the subscriber would need access to these galleries.

Note: Although you can use Site Manager to add subscribers to resource galleries and template galleries, it does not give the subscriber rights to those galleries.

Author

Browse the site to view the contents of channels where the author has rights.

Create pages.

Edit, submit, and delete pages they own.

Edit, submit, and delete pages owned by Everyone in a channel to which the author has rights.

View published and unpublished pages in channels to which the author has access.

View and use resources that are from a resource gallery where the author has rights.

View and use templates.

Create pages in channels to which the author has rights from templates to which the author has rights.

Copy pages from a channel to which the author has read access to channels to which the author has rights.

Preview pages the author creates.

Create connected pages.

Move pages.

View revision history.

View channel properties.

View and edit page properties on pages the author owns.

Authors can approve their own pages. If there are no editors or moderators in the workflow, the page is published when it is approved by the author. If there are moderators or editors in the workflow, clicking Approve does not publish the page, only moves it to the next step in the workflow.

An author can do anything a subscriber can do.

Editor Browse the site to view the contents of channels where the editor has rights.

Create, edit, and submit pages and page content.

Use the Approval Assistant.

Edit, submit, approve, decline, and delete pages, regardless of who owns them.

View and use resources that are from a resource gallery where the editor has rights.

View and use templates that are from a template gallery where the editor has rights.

An editor can do anything a subscriber or an author can do.

Moderator

Browse the site to view the contents of channels where the moderator has rights.

View and edit page publishing properties.

Approve and decline pages, regardless of who owns them.

A moderator can do everything a subscriber can do.

Note: Although you can use Site Manager to add moderators to resource galleries and template galleries, it does not give the moderator rights to that gallery.

Note: Moderators are not a part of the workflow unless page properties have been changed and have not yet been approved.

Resource manager Create shared resources.

View, create, update and delete shared resources in resource galleries to which the resource manager has rights.
Template designer

View pages in channels where the template designer has rights.

Create channels, resource galleries, and template galleries.

Create, edit, and check in templates.

Edit, check in, debug, and delete templates to which the template designer has rights.

Assign rights groups to containers where the template designer has rights.

Act as an author, editor, moderator, or resource manager in the channels and resource galleries where the template designer has rights.

Channel manager

Has full administrator and publishing rights to channels, resource galleries, and template galleries where the channel manager has rights. For example, if you are managing multiple MCMS sites, you can assign one channel manager to one site by granting the channel manager rights to only the channels in that particular site.

Create channels, resource galleries, and template galleries.

Assign rights groups to containers where the channel manager has rights.

Act as an author, editor, moderator, template designer, or resource manager in the channels and galleries where the channel manager has rights.

Rights as a channel manager or administrator are required to export objects.

Administrator

Has full administrator and publishing rights to the entire site.

Create channels, resource galleries, and template galleries.

Create rights groups for all user roles and assigns members to them.

Assign rights groups to all containers.

Act as an author, editor, moderator, template designer, or resource manager in all channels and galleries.

Rights as an administrator are required to import objects or to export objects, with the exception that channel managers can export objects through the SDAPI.

For more information see Creating Rights Groups.


Publishing Workflow

This section provides information about the Microsoft Content Management Server (MCMS) publishing workflow, which involves a group of people who collaborate in the process of setting up and using a system for publishing and managing Web site content on your intranet, extranet, and Internet Web sites. The publishing workflow provides an overview of how people in your organization can:

  • Create pages without HTML experience.
  • Control when pages are made available for viewing, and who can view them.

The following process summarizes the five primary steps in the MCMS publishing workflow:

MCMS publishing flow

Step 1 - Creating a Template

Step 2 - Adding Content

Step 3 - Editing Content

Step 4 - Approving Publishing Details

Step 5 - Viewing Content


About Site Authoring Tools

In Microsoft Content Management Server (MCMS) 2002, content contributors can author content using the MCMS Web Author or MCMS Authoring Connector. They cannot author using MCMS Site Manager, previously known as Site Builder.

With the MCMS 2002 Web Author, multiple users with the appropriate MCMS rights can simultaneously create and update Web content from the Web site itself, making it easy to keep even large Web sites updated with current information.

With MCMS 2002 Authoring Connector, business users can author and edit documents in Microsoft Word 2002 or 2003 and submit them for approval and publication to an MCMS Web site. In order to be an Authoring Connector content contributor, you must be assigned the role of author, editor, or administrator on the MCMS Web site. After you install Authoring Connector, it is accessed through Microsoft Word 2002 or 2003.

For information about using the Web Author and Authoring connector, see Site Author Tutorial.

Web Author

Authoring Connector


Authentication and Authorization Concepts

Microsoft Content Management Server (MCMS) 2002 takes advantage of ASP.NET technology by implementing the authentication provided by the .NET Framework and Microsoft Internet Information Services (IIS), giving you robust authentication and security.

MCMS uses access control lists (ACL) to protect file system resources such as resources and templates.

MCMS performs authorization using user rights groups to protect content stored in the Content Repository, such as postings. For a complete description of user rights groups in MCMS, see MCMS User Roles.

MCMS uses encrypted authentication tickets stored in cookies to identify users that have been successfully authenticated.

For more information about authentication in MCMS 2002 including recommended configurations and best practices, see Authenticating Users.

See Also

Managing User Access

Creating Rights Groups


About Caching

Caching is the process of storing frequently used documents, images, user controls, and rendered Web pages in memory in order to expedite data retrieval. With Microsoft Content Management Server (MCMS) 2002, developers can improve the performance of the Web site by enabling ASP.NET output caching and by using best practices when creating MCMS templates. For more information about using caching, see ASP.NET Output Caching in MCMS.

The Server Configuration Application (SCA) in MCMS provides configuration settings that enable you to tune your site performance by specifying the size and location of the disk cache. For more information, see Optimizing MCMS Site Performance.

See Also

MCMS Performance Considerations

Specifying Cache Properties


About Templates

In Microsoft Content Management Server (MCMS) 2002, a template is the framework that is used to control the way that page content is presented. A template can be designed to ensure that a consistent look is achieved throughout the site, or several templates can be used to apply different looks to different areas of the site. Every MCMS page has a template assigned to it and each template contains one or more placeholders that will hold editable page content.

In MCMS 2002, a template can be an ASP, ASP.NET, or ASCX file. Code (script and HTML) in a template file may also be placed in code-behind files. Template files are stored in the file system making it easy to use familiar source control systems, such as Microsoft Visual SourceSafe, to manage revisions to template files.

See Also

About Placeholders

About Template Galleries and Resource Galleries


About Placeholders

Placeholders are found within templates and contain the page content that can be edited by users. Placeholders keep the page content separate from the page design. The type of content and formatting options in a placeholder are set by the template designer.

In Microsoft Content Management Server (MCMS) 2002, placeholders are implemented as .NET server controls, and are referred to as placeholder controls. Because these controls bring their code with them, when they are dragged into an ASPX template file, they become part of the page.

Placeholders are governed by the placeholder definitions in the corresponding template. Placeholders have a number of properties that can be modified using the Microsoft Visual Studio .NET Properties window. These properties can be set differently for a given placeholder in each template file that the placeholder is associated with because each template file has its own copy of the placeholder control.

The following different types of content have their own corresponding placeholder control:

  • HTML
  • XML
  • Images
  • Attachments

See Also

About Templates

About Template Galleries and Resource Galleries


About Template Galleries and Resource Galleries

In Microsoft Content Management Server (MCMS) 2002, galleries are virtual storage spaces used to organize templates and resources. Resource managers and template designers use two types of galleries to organize resources: template galleries and resource galleries.

  • Template galleries contain all the templates that are created by the template designers.
  • Resource galleries contain such files as Microsoft Word documents, graphics, animations, or zip files.

See Also

About Templates

Site Manager Tutorial

Managing Site Structure and Workflow


About Channels

A channel is a virtual storage space that Microsoft Content Management Server (MCMS) 2002 uses to organize pages. By assigning user rights to channels, site or channel managers can specify the pages that can be viewed, edited, and approved by groups of users.

A site manager can use the MCMS Site Manager application to create new channels. The channel hierarchy in the MCMS Site Manager application determines the structure of MCMS sites.

For more information about creating, removing, restoring, and deleting channels, see Using Channels.

See Also

About Templates

Site Manager Tutorial

Managing Site Structure and Workflow


Microsoft Visual Studio .NET

Microsoft Visual Studio .NET is recommended for developing Web sites using Microsoft Content Management Server (MCMS) 2002. When MCMS 2002 is installed, Visual Studio .NET enables the following features:

  • MCMS Projects and Solutions. With MCMS 2002 you can create a project from within Visual Studio .NET. You can also select whether to create a Web application or a Web service, and the language that you would like to use: Microsoft Visual Basic .NET or Microsoft Visual C#.
  • MCMS Template Explorer. This new window contains a tree control that shows the MCMS template gallery hierarchy. You use the Template Explorer to create or delete templates and template galleries, re-arrange the hierarchy, and examine and set template properties using the Visual Studio .NET Properties window
  • Custom Collection Editor dialog boxes. You use these dialog boxes to manage the collection properties of templates: placeholder definitions and custom property definitions. When defining a custom property another custom collection editor dialog box is used in a nested fashion to define the set of allowed values.
  • Template files. A Content Management Server section has been added to the Visual Studio .NET Add New Item dialog box. In this section, you can add a template file that has preconfigured for use in an MCMS project. Template files are managed in Visual Studio .NET Solution Explorer. Once a template has been associated with a template file, you can also open a template file for editing by double-clicking the corresponding template in MCMS Template Explorer.
  • Content Management Server Toolbox tab and Placeholder controls. A new tab, named Content Management Server, has been added to the Toolbox window. The tab contains several different types of placeholder controls that can be dragged into template files. The controls correspond to the different types of content that can be used and displayed. Placeholder controls for HTML, single images, and single attachments are included with MCMS 2002, but new custom placeholder controls can be created as well. When a placeholder control is selected on the Design tab of the main editing window, its properties are displayed in the Visual Studio .NET Properties window, from which they can be examined and set.
  • Web Author console. The Web Author console is a menu of options that content contributors use to perform actions on a page. When you create an MCMS Web application or you enable a Web application for MCMS using Microsoft Visual Studio .NET, MCMS automatically adds a copy of the default console to your application. You can modify the console in your application to match the appearance of your Web application using HTML or server controls.

For more information about the ways MCMS 2002 has extended Visual Studio .NET, and for procedures for working with these extensions, see MCMS Integration into Visual Studio .NET.

For more information about Visual Studio .NET, see http://go.microsoft.com/fwlink/?LinkId=9777.


Microsoft SQL Server 2000

Microsoft SQL Server 2000 serves as the MCMS database or (Content Repository). SQL Server includes a graphical user interface (UI) with a complete development environment for planning, developing, and maintaining MCMS Web sites.

For more information about SQL Server, see http://go.microsoft.com/fwlink/?LinkId=9790.


Microsoft Commerce Server 2002

Microsoft Commerce Server 2002, part of the Microsoft Windows Server System, is used to build scalable business-to-consumer (B2C) and business-to-business (B2B) site applications. Commerce Server supports personalization, targeting, data warehousing, and the transactional services of an e-commerce site. It provides features including profiling, targeting, direct mail, campaign management, catalog management, Web log processing, reporting, and analysis.

MCMS 2002 provides content contribution and delivery and site management capabilities, while Commerce Server 2002 includes application framework, sophisticated feedback mechanisms, and analytical capabilities. By integrating the features of Content Management Server 2002 with those of Commerce Server 2002, organizations realize the benefits of:

  • Automated publishing and workflow for Web content
  • Centralized control of site design and usability for rich product catalogs
  • Quick and cost-effective deployment of content-driven sites
  • Delivery of targeted and personalized experiences to site users

For more information about Commerce Server, see http://go.microsoft.com/fwlink/?LinkId=9588.


Microsoft Application Center 2000 and Later

Microsoft Content Management Server (MCMS) 2002 can be used with Microsoft Application Center 2000 and later versions. Application Center is a high-availability deployment and management tool for Web applications built on Windows 2000. It extends the core set of Web application services found in Microsoft Windows 2000 (Internet Information Services (IIS) 5.0, Active Server Pages (ASP), COM+, Message Queuing), by providing an additional suite of monitoring, testing, and diagnostic. Application Center is designed for customers with high-end requirements for scalability and availability.

You can use Application Center with MCMS to deploy an MCMS Web site, including incremental updates of items such as the include files and registry settings. For more information about using Application Center with MCMS, see Creating Site Deployment Scripts.

For more information about Application Center 2000, see http://go.microsoft.com/fwlink/?LinkId=9514.


Microsoft SharePoint Portal Server 2001

Microsoft SharePoint™ Portal Server (SPS) 2001 and Microsoft Content Management Server (MCMS) 2002 can be integrated to provide a complete solution for content management and publishing for Internet, intranet, and extranet Web solutions. SharePoint Portal Server 2001 provides a central point of access to business-critical information and applications through a customized Web-based portal interface combined with powerful enterprise search technology.

SharePoint Portal Server 2001 is a flexible portal solution that integrates search and document management with tools you use every day. SPS combines enterprise-wide search, document sharing, and content aggregation to enable you to deploy intranet portal sites for teams, business units and your entire organization.

The two products, used together, enable you to:

  • Link the publishing processes for Web sites and intranet portals to shorten publication cycles
  • Share content between Web sites and intranet portals to decrease duplication and increase information consistency
  • Use MCMS tools in portals created by SPS to increase the productivity of knowledge workers and content authors.

For more information about SharePoint Portal Server, see http://go.microsoft.com/fwlink/?LinkId=9792.


Microsoft Internet Security and Acceleration Server 2000

Microsoft Internet Security and Acceleration (ISA) Server 2000 provides fast, secure, and manageable Internet connectivity. ISA Server integrates an extensible, multilayer enterprise firewall and a scalable high-performance Web cache, building on Microsoft Windows® 2000 security and directory for policy-based security, acceleration, and management of internetworking.

With ISA Server, you can store cached content in a centralized location for your MCMS Web site. For more information on enabling output caching with ISA Server, see Enabling ASP.NET Output Caching with ISA Server.

For more information about Internet Security and Acceleration Server, see http://go.microsoft.com/fwlink/?LinkId=9833.


Microsoft BizTalk Server 2002 and Later

Microsoft Content Management Server (MCMS) 2002 integrates with Microsoft BizTalk Server 2002 and later versions. BizTalk Server provides a comprehensive solution for business-to-business electronic document exchange and business process integration. BizTalk Server acts as a document gateway between trading partners, and manages the data translation, encryption, digital signatures, and document tracking services for many different transport mechanisms.

For more information about BizTalk Server, see http://go.microsoft.com/fwlink/?LinkId=9724.


Microsoft Host Integration Server 2000

Microsoft Host Integration Server 2000 is a comprehensive platform that provides support for Internet, and client/server technologies while preserving investments in existing systems. By recognizing that accessing existing data is only the first step in leveraging enterprise computer resources, Host Integration Server provides enterprise developers with a way to create distributed applications that make the most of either client/server or Web computer, and host information.

For more information about Host Integration Server, see http://go.microsoft.com/fwlink/?LinkId=9793.


Microsoft Operations Manager 2000

Microsoft Operations Manager 2000 (MOM) is a server monitoring solution that delivers enterprise-class operations management by providing comprehensive event management, proactive monitoring and alerting, reporting, and trend analysis capabilities. The Application Management Pack–the extensive product support knowledge base included in MOM–is the key to helping reduce the day-to-day support costs associated with running applications and services in a Microsoft Windows®-based IT infrastructure.

For more information about Microsoft Operations Manager, see http://go.microsoft.com/fwlink/?LinkId=9794.


MSIB 2002 Content Connector

Microsoft Solution for Internet Business (MSIB) 2002 Content Connector is a feature provided by MSIB 2.0 that enables you to merge the .NET capabilities of Microsoft Content Management Server (MCMS) 2002 and Commerce Server 2002. Content Connector creates and maintains associations between MCMS pages and Commerce Server page profile information, and stores the combined information, called a profiled page, in a Microsoft SQL Server database. The profiled page is used to target Commerce Server users with MCMS content.

Content Connector enables site managers to do the following:

  • Edit Commerce Server product catalog data from MCMS-based Web pages.
  • Associate a page profile with any MCMS page using the Commerce Server profile service features.
  • Personalize sites by targeting content to specific users on selected pages.

The following figure shows an overview of the Content Connector architecture. Content Connector retrieves the data from Commerce Server and Content Management Server.

Content Connector architecture

For more information about how Content Connector works with MCMS 2002, see http://go.microsoft.com/fwlink/?LinkId=9156.


Business Processes Checklist

Before you deploy your site, make sure you have captured and implemented your business processes. Check for the following:

  • You have mapped existing workflows to the MCMS 2002 publishing workflow.
  • You have identified and defined roles for site managers, site authors, system administrators, site developers, graphic designers, authors, reviewers, and editors.
  • You have assigned user roles. For example, moderator, resource manager, and template designer.
  • You have determined and tested all workflows.
  • You have identified the publishing process steps including site development, build, content authoring, staging, load testing, and final production.
  • System administrators have received initial training and business managers, the primary users of MCMS 2002 client tools, have completed the MCMS 2002 tutorials.

The server environment team has been identified and operational procedures (for example, change request, change control log, server update, maintenance schedules, and problem escalation procedures) have been determined.


Site Development and Testing Checklist

Before you deploy your site, make sure you have completed your site development and testing. Check for the following:

  • Site development is complete.
  • The site is packaged.
  • A list of site resources has been documented.
  • Names have been determined for site servers.
  • Database names, user names, and passwords have been determined.
  • Testing is complete. You have tested for the following items: content, browser compatibility, performance, server load, databases, search options, query response time, data validity and integrity, system recovery, visual consistency, links, and routers. You have tested the performance of your site by using the Web Application Stress tool.
  • An independent, outside company has completed a security audit of your site. Such a review is an effective means for discovering security risks.


Network Topology and Architecture Checklist

Before you define the network topology and architecture for your MCMS 2002 deployment, make sure you have addressed the following concerns:

  • You have identified the number of MCMS environments needed and their roles.
  • You have identified the required database, Web, and domain controller servers.
  • You have determined the number of firewalls needed and their configuration.
  • All of the required databases have been mapped to the MCMS publishing environment.
  • You have established trust relationships across different domains.
  • A software or hardware Network Load Balancing (NLB) service has been configured.


Intranet Deployment

In an intranet scenario, site building and testing occur on a development server, content development and testing occur on a separate server, and the site is served and browsed from more than one production server. This scenario is a common deployment strategy for sites that have frequent feature additions or template changes. This work is completed on the development server without affecting content production. The site building team may use the development server to build one or more sites that are then pushed out to content production servers using the Site Manager and deployment scripts. For more information about site deployment see Deploying Web Site Content.

The following figure shows the development, content production, and production servers for an intranet deployment.

Intranet deployment diagram

In a typical intranet deployment, there are two environments, development and production, as described in the following sections. However, in extremely large intranet deployments three server environments may be used similar to the Internet deployment example.

The following figure shows a physical intranet deployment.

Intranet deployment diagram


Internet Deployment

Site structure, templates, and user management are developed on the development server. The site is moved to the content development and test server using the Site Manager and deployment scripts. Content production and testing of the entire site occur on this server.

In this scenario, servers are clustered with a load balancer to provide scalability. One IP address is available to the Internet, and the load balancer directs traffic among the servers to ensure performance and availability.

The following figure shows an Internet deployment.

Site deployment overview

An enterprise Internet deployment is divided into three separate environments: development, test and content production, and production. The following figure shows the physical Internet deployment.

Internet deployment diagram


Isolating the Network Tiers

Most Internet services require configurations that separate the user interface tier from the business logic tier and the database tier, for security reasons.

The following figure shows how many e-commerce sites further isolate business logic from underlying data.

Data logic structure

In a multi-tiered configuration, such as the one shown here, client browsers access Web pages and the Web pages activate associated business logic hosted on a Web server. The persistent data that the business objects require is maintained in a separate database tier.

Data and state information control processing logic and the client experience. The following table describes typical design strategies you can use for isolating each tier.

Tier Strategy
User interface tier

  • Low state (does not hold much application code state information), unique data is stored in cookies or in the registry.
  • Wide variety of low-end client machines.
Business logic tier

  • Web applications, such as the publishing APIs, run on this tier.
  • Low state, no unique data, inexpensive servers.
  • Minimize downtime by using software or hardware single-Internet Protocol (IP) load balancing.
Database tier

  • The data that MCMS 2002 uses is managed and stored in the databases on this tier.
  • System state and data are stored on this tier.
  • Minimize downtime by using a clustered or replicated configuration.


Clustering Concepts

The key to scaling a deployment is clustering. By grouping multiple servers together into a single cluster, you can leverage the resources of each server and distribute client workload across those servers. As site usage increases, you can add servers to the cluster to accommodate the increased workload.

Depending on site architecture and deployment design, clustering can also increase performance and availability by removing single points of bottleneck or failure and enhancing specific functionality. For example, if processing transactions is the bottleneck, you can isolate this functionality onto its own database. You can then increase the availability and performance of this database through clustering, independent of the other servers in your deployment.

Typically, MCMS 2002 components use Network Load Balancing on the Web tier to provide load balancing and scalability. Load balancing across the Web tier is more suitable for data that is stateless (such as data used for Web servers, streaming media, Microsoft Virtual Private Networking. (VPN), and proxy servers). It is also recommended that you cluster the database tier to provide failover capability.

A Web cluster using Network Load Balancing typically consists of multiple cluster members. Each member runs as an independent Web server and does not share data with other cluster members (other than any data used for cluster operations). If any cluster member fails or encounters errors, this member can be set offline or taken out of the cluster so that incoming client requests are load balanced to working members only. For more information about Network Load Balancing, see the documentation in Windows 2000 Advanced Server or Windows 2000 Datacenter Server.

See Also

Deployment Scenarios


Using a Single-Firewall Configuration

The least expensive option in a small site configuration is to have one firewall separate Internet browsers, your site, and your internal network. This is possible if the firewall contains three network adapters, each connected to one of the three environments.

You might want to use just one firewall in your development environment. For a figure showing a single-firewall configuration, see Isolating the Network Tiers.

Advantages of the single-firewall solution include the following:

  • The network containing Web servers and database servers is separated physically from the other networks, thereby limiting intrusions into the site. If someone is able to exploit any server that is accessible publicly, they do not have direct access to the internal network.
  • There is only one firewall to purchase and manage.
  • The internal network (containing computers such as the staging server or development computers) is not dependent upon the Web site environment to function. If the site has network problems, the internal network does not necessarily lose connectivity.
  • This design is implemented easily in an existing architecture where a firewall is already serving to separate the internal network from the Internet. You might only need to add a third network adapter to the existing firewall.

Disadvantages of the single-firewall solution include the following:

  • The database servers are not separated from the Web servers. Hypertext Transfer Protocol (HTTP) and Hypertext Transfer Protocol Secure (HTTPS) are the only protocols allowed from the Internet to the Web site.
  • An intruder who gains access to a server in the ISP network might gain access to other servers on the site. Additional security is necessary to protect these servers.
  • Communication between Web servers and database servers travels unprotected within the ISP network.
  • Some firewall vendors might not support three interfaces.


Using a Two-Firewall Configuration

In this configuration, one firewall separates the Internet from the Web servers, and the second firewall separates the Web servers from the internal network, which contains the database servers and the MCMS 2002 client computers.

Advantages of the two-firewall solution include the following:

  • The system administrator is able to separate the internal network from the Web servers and Internet browsers. Site management is carried out outside the ISP network, on the internal network. The internal network becomes much more difficult for an intruder to access.
  • A layer of protection is implemented to protect the database servers from vulnerabilities that are not dependent upon the relationship between the Web servers and database servers. Such vulnerabilities can result in denial-of-service attacks.
  • The number of computers that are accessible to Internet browsers is minimized. By using two firewalls, it is more difficult to disrupt or abuse the database servers.
  • It is easier to prevent an Internet browser from impersonating an authorized user. For example, a Web server can be told to listen only for database server requests from one specific IP address. Because both connections are controlled with a firewall, these addresses cannot be used improperly.
  • The Web servers are separated physically from the other networks, thereby limiting intrusions into the site. If someone is able to exploit any server that is accessible publicly, they do not have direct access to the internal network.

Disadvantages of the two-firewall solution include the following:

  • It is more difficult and costly to maintain two firewalls with different configurations.
  • Communication between Web servers and database servers is unprotected within the ISP network. Additional security is needed to protect this communication.
  • The internal corporate network is dependent on the Web site to function. If the Web site has network problems, the internal network could lose connectivity. You should provide a separate network line to connect internal network computers to the Internet, bypassing the ISP network. This separate connection would bypass the firewall separating the ISP network from the internal network.
  • Any traffic that is allowed between the internal network and the Internet is also allowed between the ISP network and the Internet and between the database-server network and the Internet. The security ramifications are determined by the protocols that are allowed by the default security policy of the user.


Using a Three-Firewall Configuration

This configuration is like the two-firewall configuration, with the addition of a firewall that separates the internal network from the database servers and MCMS 2002 client computers.

Advantages of the three-firewall solution include the following:

  • The MCMS Web site (Web and database servers) is separated physically from the other networks, providing maximum protection from intruders.
  • It is easier to prevent an Internet browser from impersonating an authorized user. For example, a Web server can be configured to fulfill requests only for database server requests from one specific IP address. Because both connections are controlled with a firewall, these addresses cannot be used improperly.
  • A layer of protection is implemented to protect the database servers from vulnerabilities that are not dependent upon the relationship between the Web servers and database servers. Such vulnerabilities can result in denial-of-service attacks.
  • Adding three firewalls minimizes the number of computers that are accessible directly through the Internet. It is more difficult to disrupt or abuse the database servers.
  • The database servers are protected from intruders residing in the internal network.

Disadvantages of the three-firewall solution include the following:

  • It is more difficult and costly to maintain three firewalls with different configurations.
  • Communication between Web servers and database servers is unprotected within the ISP network. Additional security is needed to protect this communication.
  • Any traffic that is allowed between the internal network and the Internet is also allowed between the ISP network and the Internet, and between the database server and the Internet. The security ramifications are determined by which protocols are allowed by the default security policy of the user.
  • This is a more difficult configuration to set up and manage.


Full Site Deployment

You perform a full site deployment when you are ready to deploy the entire Microsoft Content Management Server (MCMS) managed Web site content from the development environment to the production environment.

There are two scenarios for a full site deployment:

  • Deploying for the first time
  • Deploying to an existing site

Full site deployment for MCMS managed objects can be performed by using Site Manager or Microsoft SQL Server backup and restore process. Using Site Manager, you create object packages that are exported from a source site and imported into the destination site. For more information about how to deploy sites using the Site Manager, see Deploying Web Site Content. For more information about SQL Server backup and restore process, see http://go.microsoft.com/fwlink/?LinkId=9559.

The following figure shows a site deployment object (.sdo) package being exported from the source server and imported to the destination server.


Incremental Site Deployment

You perform an incremental site deployment to export only MCMS-managed objects that have changed since the last deployment. MCMS managed objects include channels and approved pages, as well as the resources that they depend on. The incremental deployment updates all changes related to the tasks associated with managed objects, in creation, deletion, and updates.

Note During incremental deployment, objects deleted on the source system are deployed to the destination system as deleted items. Dependent objects are deleted only if no other objects reference them.

The Site Deployment application programming interface (API) is used for the incremental deployment process. For an overview of the Site Deployment API, see Creating Site Deployment Scripts.

For information about using the API to write scripts to automate incremental deployment, see COM-Based Site Deployment API.


Selective Site Deployment

You perform a selective site deployment when you want to export specific Microsoft Content Management Server (MCMS) objects. Using the Site Manager, you can select any MCMS-managed object such as a channel, page, or a resource gallery item. The export process adds the selected objects to a site deployment object (.sdo) file. When you select the .sdo file for import, all of its contents are imported to the specified destination server.

For more information about how to deploy sites using the Site Manager, see Deploying Web Site Content.


Client-Side Versus Server-Side Scripts

The Microsoft Content Management Server (MCMS) 2002 site deployment application programming interface (API) contains two parallel sets of objects:

  • Client-Side Site Deployment API. The client-side objects in the MCMS site deployment API enable you to create site deployment scripts that run on a client computer to export, import, back up, and restore database-based Web site assets stored on a remote MCMS server. The client computer needs to have HTTP (or HTTPS) access to the MCMS server, but not necessarily to the server upon which SQL Server is running. Creating and running this type of script can be particularly useful when physical access to the MCMS server is limited or not available.
  • Server-Side Site Deployment API. The server-side objects in the MCMS site deployment API enable you to create site deployment scripts that run on the MCMS server on which the database-based Web site assets are to be exported, imported, backed up, or restored (this is not necessarily the same server upon which SQL Server is running and upon which these assets are stored). These objects directly access MCMS and do not require HTTP (or HTTPS) access to perform their function.

One example of a way in which these two sets of objects can be used together is to create a script that performs the following high-level steps:

  1. Use the server-side export object to export database-based Web site assets from the (source) MCMS server upon which the script is running to a Site Deployment Object (SDO) file.
  2. Use one of several possible means outside the domain of MCMS to transfer the SDO file to the target server.
  3. Use the client-side import object to import the database-based Web site assets from the transferred SDO file into the MCMS database that is accessible from the target MCMS server.

For reference information about the client-side objects in the MCMS site deployment API, see:

  • Client-Side CmsDeployExport Object
  • Client-Side CmsDeployImport Object
  • Client-Side CmsUserGroupBackupRestore Object

For reference information about the server-side objects in the MCMS site deployment API, see:

  • Server-Side CmsDeployExport Object
  • Server-Side CmsDeployImport Object
  • Server-Side CmsUserGroupBackupRestore Object

The client-side and server-side export objects share a dependent object that is used for specifying export options. Likewise, the client-side and server-side import objects share a dependent object that is used for specifying import options. For reference information about these objects, see:

  • CmsDeployExportOptions Object
  • CmsDeployImportOptions Object


Creating Export Scripts for Incremental Deployment

Creating an export script or the export portion of a larger script using the Microsoft Content Management Server (MCMS) site deployment API consists of the following high-level steps, regardless of whether you are creating a client-side script or a server-side script:

  1. Create an instance of the CmsDeployExport object, either the client-side version or the server-side version as appropriate to the environment in which your script will run.

    For reference information about the client-side and server-side versions of the CmsDeployExport object, see Client-Side CmsDeployExport Object and Server-Side CmsDeployExport Object, respectively.

  2. Call one of the following authentication methods of the CmsDeployExport object (client-side or server-side), as appropriate:

    Client-Side CmsDeployExport.AuthenticateAsCurrentUser Method

    Client-Side CmsDeployExport.AuthenticateAsUser Method

    Server-Side CmsDeployExport.AuthenticateAsCurrentUser Method

    Server-Side CmsDeployExport.AuthenticateAsUser Method

    Server-Side CmsDeployExport.AuthenticateUsingUserHandle Method

    Note The AuthenticateUsingUserHandle method of the server-side CmsDeployExport object is only intended for use with C++.

  3. If the default export option settings are not acceptable, obtain a reference to the automatically created dependent object CmsDeployExportOptions using the Options property of the CmsDeployExport object (client-side or server-side); otherwise, skip to step 5.

    For reference information about the Options property of the client-side or server-side CmsDeployExport object, see Client-Side CmsDeployExport.Options Property or Server-Side CmsDeployExport.Options Property, respectively.

  4. Set the export options as appropriate to your scenario by setting one or more of the following properties of the CmsDeployExportOptions object:
    • The IncludeCreatedBy property gets or sets a value that controls whether or not information about who created an object is to be included in the export operation. For reference information about this property, see CmsDeployExportOptions.IncludeCreatedBy Property.
    • The IncludeRightsGroup property gets or sets a value that controls how the rights groups and the user lists of rights groups are imported. For reference information about this property, see CmsDeployExportOptions.IncludeRightsGroups Property.

    For reference information about the CmsDeployExportOptions object, see CmsDeployExportOptions Object.

  5. Call the Export method of the CmsDeployExport object (client-side or server-side) to export database-based Web site assets into a specified Site Deployment Object (SDO) file.

    The TimeInterval and ParentChannel parameters of the Export method can be used to control which assets get exported. The TimeInterval parameter is used to specify how recently assets must have changed in order to be included in the export operation, and the ParentChannel parameter can be used to specify that only those assets related to a specific part of the Web site be included in the export operation.

    For reference information about the Export method of the client-side or server-side CmsDeployExport object, see Client-Side CmsDeployExport.Export Method or Server-Side CmsDeployExport.Export Method, respectively.


Creating Import Scripts for Incremental Deployment

Creating an import script or the import portion of a larger script using the Microsoft Content Management Server (MCMS) site deployment API consists of the following high-level steps, regardless of whether you are creating a client-side script or a server-side script:

  1. Create an instance of the CmsDeployImport object, either the client-side version or the server-side version as appropriate to the environment in which your script will run.

    For reference information about the client-side and server-side versions of the CmsDeployImport object, see Client-Side CmsDeployImport Object and Server-Side CmsDeployImport Object, respectively.

  2. Call one of the following authentication methods of the CmsDeployImport object (client-side or server-side), as appropriate:

    Client-Side CmsDeployImport.AuthenticateAsCurrentUser Method

    Client-Side CmsDeployImport.AuthenticateAsUser Method

    Server-Side CmsDeployImport.AuthenticateAsCurrentUser Method

    Server-Side CmsDeployImport.AuthenticateAsUser Method

    Server-Side CmsDeployImport.AuthenticateUsingUserHandle Method

    Note The AuthenticateUsingUserHandle method of the server-side CmsDeployImport object is only intended for use with C++.

  3. If the default export option settings are not acceptable, obtain a reference to the automatically created dependent object CmsDeployImportOptions using the Options property of the CmsDeployImport object (client-side or server-side); otherwise, skip to step 5.

    For reference information about the Options property of the client-side or server-side CmsDeployExport object, see Client-Side CmsDeployImport.Options Property or Server-Side CmsDeployImport.Options Property, respectively.

  4. Set the import options as appropriate to your scenario by setting one or more of the following properties of the CmsDeployImportOptions object:
    • The IncludeCreatedBy property gets or sets a value that specifies how information about who created an object is to be set during an import operation. For reference information about this property, see CmsDeployImportOptions.IncludeCreatedBy Property.
    • The IncludeRightsGroups property gets or sets a value that specifies how rights groups and user lists are established during an import operation. For reference information about this property, see CmsDeployImportOptions.IncludeRightsGroups Property.
    • The RightsOnAdd property gets or sets a value that specifies how rights are established for containers added during an import operation. For reference information about this property, see CmsDeployImportOptions.RightsOnAdd Property.
    • The RightsOnReplace property gets or sets a value that specifies how rights are established for containers replaced during an import operation. For reference information about this property, see CmsDeployImportOptions.RightsOnReplace Property.

    For reference information about the CmsDeployImportOptions object, see CmsDeployImportOptions Object.

  5. Call the Import method of the CmsDeployImport object (client-side or server-side) to import the database-based Web site assets from a specified Site Deployment Object (SDO) file.

    For reference information about the Import method of the client-side or server-side CmsDeployImport object, see Client-Side CmsDeployImport.Import Method or Server-Side CmsDeployImport.Import Method, respectively.


Creating Backup Scripts to Run Before Replacing an Entire MCMS Database

The CmsUserGroupBackupRestore object is useful for backing up Microsoft Content Management Server (MCMS) rights groups and their user lists prior to using SQL Server functionality to completely replace an MCMS database. Creating a script to back up the rights groups and their user lists from an MCMS database using the MCMS site deployment API consists of the following high-level steps, regardless of whether you are creating a client-side script or a server-side script:

  1. Create an instance of the CmsUserGroupBackupRestore object, either the client-side version or the server-side version as appropriate to the environment in which your script will run.

    For reference information about the client-side and server-side versions of the CmsUserGroupBackupRestore object, see Client-Side CmsUserGroupBackupRestore Object and Server-Side CmsUserGroupBackupRestore Object, respectively.

  2. Call one of the following authentication methods of the CmsUserGroupBackupRestore object (client-side or server-side), as appropriate:

    Client-Side CmsUserGroupBackupRestore.AuthenticateAsCurrentUser Method

    Client-Side CmsUserGroupBackupRestore.AuthenticateAsUser Method

    Server-Side CmsUserGroupBackupRestore.AuthenticateAsCurrentUser Method

    Server-Side CmsUserGroupBackupRestore.AuthenticateAsUser Method

    Server-Side CmsUserGroupBackupRestore.AuthenticateUsingUserHandle Method

    Note The AuthenticateUsingUserHandle method of the server-side CmsUserGroupBackupRestore object is only intended for use with C++.

  3. Call the Backup method of the CmsUserGroupBackupRestore object (client-side or server-side) to back up the rights groups and their user lists to a specified Site Deployment Object (SDO) file.

    For reference information about the Backup method of the client-side or server-side CmsUserGroupBackupRestore object, see Client-Side CmsUserGroupBackupRestore.Backup Method or Server-Side CmsUserGroupBackupRestore.Backup Method in the Site Deployment API, respectively.


Creating Restore Scripts to Run After Replacing an Entire MCMS Database

The CmsUserGroupBackupRestore object is useful for restoring Microsoft Content Management Server (MCMS) rights groups and their user lists after using Microsoft SQL Server functionality to completely replace an MCMS database. Creating a script to restore the rights groups and their user lists to an MCMS database using the MCMS site deployment API consists of the following high-level steps, regardless of whether you are creating a client-side script or a server-side script:

  1. Create an instance of the CmsUserGroupBackupRestore object, either the client-side version or the server-side version as appropriate to the environment in which your script will run.

    For reference information about the client-side and server-side versions of the CmsUserGroupBackupRestore object, see Client-Side CmsUserGroupBackupRestore Object and Server-Side CmsUserGroupBackupRestore Object, respectively.

  2. Call one of the following authentication methods of the CmsUserGroupBackupRestore object (client-side or server-side), as appropriate:

    Client-Side CmsUserGroupBackupRestore.AuthenticateAsCurrentUser Method

    Client-Side CmsUserGroupBackupRestore.AuthenticateAsUser Method

    Server-Side CmsUserGroupBackupRestore.AuthenticateAsCurrentUser Method

    Server-Side CmsUserGroupBackupRestore.AuthenticateAsUser Method

    Server-Side CmsUserGroupBackupRestore.AuthenticateUsingUserHandle Method

    Note The AuthenticateUsingUserHandle method of the server-side CmsUserGroupBackupRestore object is only intended for use with C++.

  3. Call the Restore method of the CmsUserGroupBackupRestore object (client-side or server-side) to restore the rights groups and their user lists to a specified Site Deployment Object (SDO) file.

    The Restore method has a Boolean parameter named RemoveUsers that controls whether all existing user lists from all rights groups (other than the users in the MCMS administrators group) are removed before the restore operation is performed. A value of true removes all existing user lists, and a value of false preserves existing users as well as adding new users from the SDO file.

    For reference information about the Restore method of the client-side or server-side CmsUserGroupBackupRestore object, see Client-Side CmsUserGroupBackupRestore.Restore Method or Server-Side CmsUserGroupBackupRestore.Restore Method in the Site Deployment API, respectively.


Glossary

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

A

access control list (ACL)

A list that specifies the rules for access to a particular resource. Microsoft Windows NT implements user-based ACLs, which specify the resources available to a particular user. In Microsoft Content Management Server (MCMS) 2002, one method of providing access is to use access control lists (ACLs) on templates and containers.

Active Directory

The directory service for Microsoft Windows 2000 Server. Active Directory stores information about objects on the network and makes this information available for authorized system administrators and users. It gives network users access to permitted resources anywhere on the network using a single logon process. It also provides system administrators with an intuitive hierarchical view of the network and a single point of administration for all network objects.

Active Server Pages (ASP)

A server-side scripting environment used to create dynamic Web pages or to build Web applications. ASP pages are files that contain HTML tags, text, and script commands. With ASP, you can add interactive content to Web pages or build entire Web applications that use HTML pages as the interface to site visitors.

administrator (MCMS)

A predefined role in Microsoft Content Management Server (MCMS) 2002 . The administrator sets up and manages publishing in the (MCMS) environment. MCMS administrators have full privileges (including the right to create, edit, and approve pages) in all MCMS 2002 containers. The first administrator created by the Database Configuration Application (DCA) when a database is created or upgraded. Initially, this is the only user who can log on to Microsoft Content Management Server (MCMS) 2002 through the MCMS 2002 Site Builder.

administrator (Windows 2000)

A user with administrative rights on the computer where the MCMS 2002 Content Server and database are installed. It is typically the responsibility of the Windows 2000 administrator to install and configure Microsoft Content Management Server (MCMS) 2002and to set up user accounts. The Windows 2000 administrator need not be the same person as the MCMS 2002 administrator.

Allowed Values Collection Editor

A custom collection editor dialog box in Visual Studio .NET that developers use to define the set of allowed values for a custom property of the type "selection." This dialog box opens when you click the ellipsis […] button in the value field of the AllowedValues property in the Custom Property Definition Collection Editor dialog box.

anonymous access

An authentication method that you specify at the Web site or application level in Internet Information Services (IIS) 5.0. Anonymous authentication is used to establish an anonymous Web (HTTP) connection without providing a user name or password. It is commonly used in the public areas of an Internet site. If you enable anonymous authentication for a site, an anonymous connection will be made even if authenticated access has also been enabled, unless more restrictive Windows NT file system (NTFS) permissions exist on the individual file being requested. Also called anonymous authentication.

anonymous user

A user who accesses content on a Web site without providing a user logon name and password.

application

A computer program, such as a word processor or electronic spreadsheet, or a group of scripts in ASP or ASP.NET pages and components that perform prescribed tasks

Application Center 2000

A Microsoft deployment and management tool for high-availability Web applications built on Microsoft Windows 2000.

Application Programming Interface (API)

The functions, messages, data structures, data types, and statements that programmers can use to create applications that run on the Windows operating system. In the same way that most applications have a graphical user interface, many applications also have an Application Programming Interface (API) with which other applications can interact.

approval

A two-part process for validating content to be published using Microsoft Content Management Server (MCMS) pages. First, pages are approved by editors for accuracy of content; second, the pages to be published are approved by moderators for publication. When a page is approved, its status changes from Waiting to Approved.

See also: auto-approve

Approval Assistant

A report, accessible from the Web Author, that generates a list of all pages waiting for the approval of the user who is logged on.

See also: approval, production manager

ASP.NET

A set of technologies in the Microsoft .NET Framework for building Web applications and XML Web services. ASP.NET pages run on the server and generate markup files (such as HTML, WML, or XML) that are sent to a desktop or mobile browser. ASP.NET pages use a compiled, event-driven programming model that enables the separation of application logic and the user interface. ASP.NET pages and XML Web services files created using ASP.NET contain server-side (rather than client-side) logic written in Visual Basic .NET, C# .NET, or any .NET-compatible language. Web applications and XML Web services take advantage of the features of the common language runtime, such as type safety, inheritance, language interoperability, versioning, and integrated security.

authenticated access

A user access option that you specify at the default Web site level or Application level in IIS. Authenticated access requires a user to have a valid account and password to access the site. The four types of authenticated access in IIS are Basic authentication, Digest authentication, anonymous authentication, and Integrated Windows authentication/NTLM.

authentication

The process of discovering and verifying the identity of a user by examining the credentials of the user against some authoritative source.

authentication page

A Web page presented to unauthenticated users logging on to a Microsoft Content Management Server (MCMS) 2002 site with a Web browser. On the authentication page, guests select a valid 2000 domain or an LDAP (Lightweight Directory Access Protocol) Organizational Unit (OU) and enter their user name and password to gain access to the site.

author

A predefined role in Microsoft Content Management Server (MCMS) 2002. Authors can access the following Site Manager containers through the Web Author: channel, template gallery, and resource gallery.

See also: role

Authoring Connector

A Microsoft Content Management Server (MCMS) 2002 feature that enables users to author, edit, and submit content from a Microsoft Word document to an MCMS Web site.

authorization

A process that verifies that a user has the correct permissions to access a resource such as a Web page or database, or has the correct privileges to perform a task such as approving templates. Authorization is typically set up by a system administrator, or site developer, and checked and cleared by the computer. The user provides some type of identification, such as a code number or a password, which the computer verifies against its internal records.

auto-approve

An option in the authoring and publication process. If the option is selected, pages bypass the editor or moderator approval process and instead are automatically approved. Content is auto-approved for publication if the user has authoring rights to the channel and the channel has no editor and no moderator.

See also: approval

B

breadcrumb navigation

The process that creates and displays a dynamically generated set of links, frequently displayed at the top of a Web page, to show users their current position in the site.

C

caching

The process of storing frequently used documents, images, Common Gateway Interface (CGI) or ASP scripts, and Internet Server API (ISAPI) extension dynamic-link libraries (DLLs) in memory in order to improve performance.

See also: fragment caching, output caching

capacity planning

The process of identifying and preparing for the application, hardware, and network requirements needed to support the expected site traffic and to achieve site performance goals.

channel

A virtual storage space used to organize pages. By assigning user rights to channels, administrators or channel managers can specify the pages that can be viewed, edited, and approved by groups of users.

See also: container

channel manager

A predefined role in Microsoft Content Management Server (MCMS) 2002 that allows a user or group to have administrative rights within a particular branch of the channel hierarchy. Within channels in which they have rights, channel managers can create hierarchies, assign rights to containers, and act as an author, editor, moderator, template designer, or resource manager.

channel rendering script

A specific script that is run when a channel in a site is selected, or one of the postings that is used to render the channel. Channel managers determine which script will be run by setting channel properties in the Site Manager. In a framed site, a Web page containing a frameset tag is generally run for a channel. In a frameless site, a posting with a special name, such as default, is generally used to render the channel.

common language runtime

The engine at the core of managed code execution in the .NET Framework. The common language runtime supplies managed code with services such as cross-language integration, code access security, object lifetime management, and debugging and profiling support.

connected pages

Pages that use connected templates and reference the same content source. Connected templates share placeholder definitions with the same name and formatting. Connected pages can be used to display a page on a multilingual site, or to display the same information in more than one area of your site.

See also: connected templates

connected templates

Template objects that share placeholder definitions, but which may refer to different template files, and have different layouts and placeholder server controls.

See also: connected pages, placeholder definition

container

Virtual storage spaces (channels or galleries) that site managers use to organize pages, resources, and templates. Pages are stored in channels; resources and templates are stored in galleries.

content

Text, an image, or any embedded item that can be used to fill the placeholders in a page.

Content Repository

The SQL Server database component, including table definitions, stored procedures, and so on, that is used by MCMS to store most of its data. This includes information about the structure of the site and its content, and the content itself, including resources.

Content Server

The MCMS processing engine that receives incoming page requests, and then dynamically assembles the corresponding Web pages from its components in the Content Repository (database) and the file system.

cookie

Information about a user (such as an identification number, a password, click history, or number of times the user visited a site) that is stored in a file. Microsoft Content Management Server (MCMS) supports both persistent and non-persistent cookies. Persistent cookies are stored on the user computers. Non-persistent cookies are used to track the activity of authenticated users who visit a site. When the session ends, the non-persistent cookie is deleted.

custom property

A name/value pair associated with a page or a channel. Within Site Manager, sets of custom properties for channels are defined and specified for each channel. Sets of custom properties for pages are defined in the corresponding template, using Visual Studio .NET, and are specified in the Web Author. Custom properties can be used by the code in the Web site to search for channels or pages with a particular property value, and so on.

custom property definition

A set of attributes that define the characteristics of a custom property, such as whether it is a text-based or a selection-based custom property. For text-based custom properties, the default text is also part of the definition while selection-based custom properties include the set of allowed values in the definition. Custom properties for channels are defined in Site Manager. Custom properties for pages are defined as properties of the corresponding template using the Custom Property Definition Collection Editor and the Allowed Values Collection Editor dialog boxes in Visual Studio .NET.

Custom Property Definition Collection Editor

A custom collection editor dialog box in Visual Studio .NET that is used to define the set of custom properties associated with a particular template. This dialog box opens when you click the ellipsis […] button in the value field of the CustomPropertyDefinitions property in the Properties window when a template is selected in the MCMS Template Explorer.

Custom Web Service

An extension to MCMS that can be created to allow an arbitrary application to interact with the Content Server, typically to provide some service to that application. For example, you could create a custom Web service that lets you syndicate your content, allowing another business to retrieve "raw" content from your site to display within their site.

D

Database Configuration Application (DCA)

A Microsoft Content Management Server (MCMS) 2002 utility you use to select and populate a Microsoft SQL Server database with the data and tables required by the MCMS 2002 server. During a new installation of MCMS 2002, the Database Configuration Application (DCA) is also used to select the virtual Web site (for the MCMS Content Server and the Server Configuration Application), a new MCMS system account, and the initial MCMS administrator. After you have used the DCA for a new installation, you can select a new database.

See also: Server Configuration Application (SCA)

decline

The alternative to approving a page. Editors and moderators can decline pages that are inaccurate or otherwise unsuitable for a specific channel. Declining a page changes the status of the page from Waiting to Declined. An author can then make changes to the page and resubmit it.

default content

The configurable default data that is displayed in the placeholder server controls in a Visual Studio .NET development environment; for example, the HtmlPlaceholderDefinition Description property that is set in the Placeholder Definition editing section of the template gallery viewer in Visual Studio .NET. For custom placeholder controls, the default data display is configurable.

dependent object

An object that includes the template that a page is based on and the resources (images, text, and video files) that are embedded in the page.

See also: object, template, resource

dependent report

A report listing all of the pages that use a particular template. Dependent reports are accessed from the Site Manager and can be requested for any template.

dependent user control

A user control for which the rendered output is the same for the subsequent requests of the same page but different for different pages. A user control that renders local navigation is an example of a posting dependent user control.

destination directory - staging

The directory that receives the static HTML or ASP versions of your Microsoft Content Management Server (MCMS) 2002 site when it is staged with Site Stager.

destination server

The Microsoft Content Management Server (MCMS) 2002 server that imports the contents of an object package.

E

editor

A predefined role in Microsoft Content Management Server (MCMS) 2002 that is responsible for approving or declining pages based on accuracy and overall content suitability; revising pages as required; and managing pages in containers where the editor has editing rights.

F

fragment caching

The process of storing only parts of a Web page. You accomplish this by caching the output of a user control, such as navigation bars, headers, and footers.

framed site

A Web site that uses HTML frames throughout to display its hierarchies of channels and pages.

frameless site

A Web site that displays its hierarchies of channels and pages without using HTML frames.

G

gallery

A Microsoft Content Management Server (MCMS) 2002 storage space for either templates or resources (such as images). Templates and resources are stored in separate galleries.

See also: container

global.asa

A file maintained on an Internet Information Services (IIS) 5.0 server for each application. The server automatically processes the Global.asa file when the IIS application starts and stops, or when individual users start and stop browser sessions that access the Web pages of the application. This file typically contains scripts to initialize application or session variables, connect to databases, send cookies, and perform other operations that pertain to the application as a whole.

global.asax

The ASP.NET version of the global.asa file.

guest user (MCMS)

The account used for anonymous site visitors. Guest users must be granted rights to channels, pages, and resources but are only given read access to the site. All users are given guest access in addition to any explicit rights they may have.

H

hook

An event handler used by developers for extending the Microsoft Content Management Server (MCMS) 2002 Web Author functionality.

I

internal resource

A resource that exists only within the context of a specific page, as opposed to a resource that is stored in the resource gallery and that is available to all authors with rights on that gallery.

Internet Information Services (IIS)

The Microsoft Windows 2000 services that support Web site creation, configuration, and management, along with other Internet functions. You must install IIS on a server before you install Microsoft Content Management Server.

Internet Information Services (IIS) application

An IIS virtual directory that is marked as an application. One IIS site may have many IIS applications. IIS applications can be configured in different ways; for example many files may be part of a single IIS application. Each IIS application contains a single application file that can contain global data or receive global events. In Active Server Pages (ASP) that file is named global.asa; in ASP.NET that file is named global.asax.

See also: global.asa

J

There are no glossary terms that begin with this letter.

K

Kill Lock

A function available to administrators and channel managers through the MCMS Site Manager. Using the Kill Lock function, an administrator or channel manager can remove a short-term session lock placed on an object by the system.

See also: ownership lock, session lock

L

local properties

Properties that are unique to each page and are not shared between connected pages. Local properties include: display name, Web crawler options, and important priority status.

M

managed code

Code that runs under common language runtime. Managed code must supply the metadata necessary for the runtime to provide services such as memory management, cross-language integration, code access security, and automatic lifetime control of objects. All code based on Microsoft intermediate language (MSIL) executes as managed code.

Microsoft Content Management Server (MCMS) 2002 system

Includes the Microsoft Content Management Server (MCMS) 2002 Content Server, all of the MCMS 2002 Site Builders and Web Authors that connect to the server, and the database. Content Management Server 2002 can also include multiple MCMS 2002 servers performing different functions, such as development, staging, or production.

Microsoft Management Console (MMC)

A framework for hosting administrative tools called consoles. A console can contain tools, folders, other containers, Web pages, and other administrative items. These items are displayed in the left pane of the console, called a console tree. A console has one or more windows that can provide views of the console tree. The main MMC window provides commands and tools for authoring consoles.

moderator

A predefined role in Microsoft Content Management Server (MCMS) 2002, similar to editors, in that moderators can create, modify and delete content without owning the content. Moderators and editors differ in the scope of their approvals. Moderators approve publication details, such as lifetime and Web crawler options; editors approve content. The responsibilities of a moderator include approving or declining the publication of pages, based on relevance and suitability, revising page schedules, and managing the pages in channels where they have moderating rights.

multilingual support (MLS)

A tool that enables the display of textual data in more than one language.

See also: template switching

N

namespace

A logical naming scheme for grouping related types. The Microsoft .NET Framework uses a hierarchical naming scheme for grouping types into logical categories of related functionality, such as the ASP.NET technology or remoting functionality. Design tools can use namespaces to make it easier for developers to browse and reference types in their code. The concept of a namespace is orthogonal to that of an assembly: a single assembly can contain types whose hierarchical names have different namespace roots, and a logical namespace root can span multiple assemblies. In the .NET Framework, a namespace is a logical design-time naming convenience, whereas an assembly establishes the name scope for types at run time.

native flag

A control that administrators or developers use to define specific properties of objects (such as pages and channels) within Microsoft Content Management Server (MCMS) 2002. These flags have the ability to hide pages at run time, control Web robot access, and designate content as important for enhanced search capability and use in summary pages.

O

object

A Microsoft Content Management Server (MCMS) 2002 data object that is maintained in the MCMS 2002 database and can be manipulated by users. An object can be a container such as a channel, gallery, or rights group, or an MCMS page, resource, template, or user.

object file

A file that contains objects exported from a Microsoft Content Management Server (MCMS) 2002 system using site deployment. Object files have the file extension .sdo and can be imported to other MCMS 2002 systems.

object package

An MCMS data structure that contains the objects selected for export.

See also: object

object property

An attribute of an object that developers use to define customized pieces of data which can be added to Microsoft Content Management Server (MCMS) 2002 objects. Object properties are used to make the site more extensible and enable improved scripting and searching capabilities.

orphaned object

An object that has been imported to a site where the parent object does not exist. Objects are arranged in a hierarchy as parent and children objects.

See also: object

output caching

The process of storing the output generated by a dynamic page. On subsequent requests, the cached output is used to satisfy the request rather than dynamically executing the page code. Output caching is also referred to as page caching.

ownership lock

A lock established on pages and templates based on ownership. Ownership locking blocks authors and/or template designers from editing the same page or template concurrently. The lock is removed when the page or template is published, or checked in. Ownership locks are set by administrators and depend on the working environment and rights assignments. For example, authors can only edit the MCMS object that they themselves own or that is owned by Everybody, but editors, administrators or channel managers can override the locks.

P

page

Web page created by adding content, such as text or images, to the placeholders on templates. Microsoft Content Management Server (MCMS) 2002 pages differ from other Web pages in that different views of the same content can be generated from a single page, and each view of the content can be posted to a different channel. Because pages can use several views, each one based on a different template, the content of the views can be customized to suit different audiences. MCMS pages are also referred to as postings.

See also: placeholder, placeholder control, placeholder definition

page revision

The version of a Microsoft Content Management Server (MCMS) 2002 object (page, template, or resource) that is stored when changes are approved and published. Site managers can preview page revisions and replace current pages with them if necessary. An individual version of an object also maintains links to all dependencies that were in effect when the revision was approved. A newly created and published revision in MCMS Web Author always has one revision in its revision history.

page template

See definition for: template

placeholder

An area in a template that is reserved to contain unique content for each page. Site developers implement placeholders using placeholder server controls in template files and placeholder definitions in templates, and the actual content (accessed programmatically through Placeholder objects) is defined to fill those placeholders on a page-by-page basis using the Web Author or the Authoring Connector. Different placeholders exist for different types of content, such as HTML, images, attachments, and XML.

See also: default content, placeholder definition, placeholder object, placeholder control, template

placeholder control

An ASP.NET-based server control in MCMS that provides the user interface for a placeholder in both the authoring and presentation modes of the Web Author. In authoring mode, a placeholder control provides a way for the corresponding content to be created and modified. In presentation mode, a placeholder control presents the content as appropriate.

placeholder definition

Properties that, taken together, define the characteristics, such as constraints on the content, for a placeholder. Placeholder definitions are associated with a template and determine the placeholders to which they are bound on all pages based on that template. Connected templates share placeholder definitions.

Placeholder Definition Collection Editor

A custom collection editor dialog box in Visual Studio .NET that is used to define the set of placeholder definitions associated with a particular template. This dialog box opens when you click the ellipsis […] button in the value field of the PlaceholderDefinitions property in the Properties window when a template is selected in the MCMS Template Explorer.

placeholder object

The part of the posting object that can get and set content. Placeholder objects contain the content associated with each posting in the system. They are instantiated from the placeholder definitions associated with the template on which a page is based.

posting

See definition for: page

priority

A status, such as Important, that can be assigned to pages or channels that contain timely information. Site developers can create pages that display only Important priority pages, and can sort lists of channels and pages so that Important objects are shown at the top of the list.

production manager

A report available to MCMS users who have editing rights anywhere in the system, showing a list of all of the pages that a user owns. Each page is displayed with its status: New, Saved, Waiting for Approval, Approved, Declined, or Expired. The production manager is used only in the Web Author.

profile

See definition for: staging profile

Publishing API

An MCMS component that provides programmatic access to the MCMS object model that is available to code in the ASPX file (and its code-behind file, if any). The Publishing API is also used by the code in the placeholder server control(s) to access the appropriate version of their content for display in either presentation or authoring mode.

Q

There are no glossary terms that begin with this letter.

R

resource

Any file that can be inserted in, or attached to, a page, whether it is a shared resource from a gallery or a local resource from a desktop.

resource gallery

A container used within Microsoft Content Management Server (MCMS) 2002 to organize and control access to resources. You must have subscriber rights at minimum to a resource gallery to view a resource in the gallery. You must have content creator rights (as an author, editor, moderator, template designer, channel manager or administrator) to a resource gallery to be able to insert resources in, or attach them to, a page.

resource manager

A predefined role in Microsoft Content Management Server (MCMS) 2002. Resource managers maintain and update resources in the galleries in which they have rights. Only resource managers and administrators have read and write access to the files in a resource gallery and can add, replace, preview, and delete resources.

rights

The right to access, modify, and approve content for publishing. In Microsoft Content Management Server (MCMS) 2002, rights are derived from membership in one or more rights groups, and members of a rights group hold privileges to containers based on the predefined MCMS role the rights group is assigned.

See also: rights group, role

rights group

The group of users assigned to one of the Microsoft Content Management Server (MCMS) 2002 predefined roles. Members of a rights group hold privileges to containers based on the role the rights group is assigned. Authors, for example, can create pages in a folder, while editors can both create and approve pages in folders. An MCMS administrator or channel manager specifies access to specific containers (folders, channels, galleries) for a rights group.

See also: rights, role

role

A predefined title that corresponds loosely to a user's function in a Web site development effort, but that has specific rights associated with it. The combination of role and rights group to which a user belongs determines the actions that the user can perform in containers. Microsoft Content Management Server (MCMS) 2002 has the following predefined roles: subscriber, author, editor, moderator, template designer, resource manager, channel manager, and administrator.

See also: rights, rights group

S

sample site

A set of fully tested sites (Woodgrove) recommended practices for using Microsoft Content Management Server (MCMS) 2002. Each sample site addresses a particular customer Web requirement such as external unilingual, external multilingual, or framed sites.

Server Configuration Application (SCA)

A Microsoft Content Management Server (MCMS) 2002 utility used to configure individual or multiple servers. After a new installation, users can selectively configure, globally or on just one server, activities such as changing the MCMS 2002 system account, adding and removing supported Windows NT domains, and adding or removing Active Directory groups as the network topology changes or grows.

session lock

A type of lock that prevents more than one user from modifying an object (such as a page or template) at the same time. MCMS places a lock on an object while a user modifies it. When a user, other than an administrator, channel manager, or the one who has the lock, opens a locked item, the item will open in read-only mode.

shared property

A name/value pair that is associated with any page that is connected to it. For example, the name property for pages and templates can be a shared property.

Site Builder

See definition for: Site Manager

site deployment

The act of exporting objects such as resources, templates, and galleries from a source system and importing them to a destination system. A common application of site deployment is moving data from a development server to a production server. Site deployment can be performed by a site administrator only.

Site Deployment API

An application program interface designed for scripting and automating. The Site Deployment API is works in conjunction with Application Center.

site deployment object file

See definition for: object file

Site Manager

A client-side component of Microsoft Content Management Server (MCMS) 2002 used for site administration tasks and container management that operates on a Windows 32-bit platform. In MCMS 2001, this component was named Site Builder.

Site Map URL

The Uniform Resource Locator (URL) that points to the file (sitemap.asp) that generates a description of the Microsoft Content Management Server (MCMS) 2002 site to be staged.

Site Stager

A component of Microsoft Content Management Server (MCMS) 2002 that produces static HTML or ASP copies of part or all of your Web site and enables you to host this content from another directory or server. MCMS 2002 Site Stager reduces browser traffic on your MCMS 2002 site by allowing you to host your site on platforms other than Windows 2000. Site Stager will not work with an ASP.NET-based MCMS site.

Stage As User

A Windows 2000 user account whose container rights determine which channels and pages are staged by the MCMS Site Stager. The MCMS administrator creates the Stage As User account by first creating a Windows 2000 user account and then adding its user name to the MCMS subscriber or administrator rights groups. When Site Stager stages a site, it stages the channels assigned to members of this rights group.

staged site

A static HTML site created by the Site Stager that can be ported to various platforms. A staged site consists of static HTML versions of the channels and pages from the Microsoft Content Management Server (MCMS) 2002 site to be staged. The contents of the staged site can be hosted on a Web server for site visitors to browse.

staging profile

A collection of the information that the MCMS 2002 Site Stager needs to move a site to another platform. A profile contains the directory of the site to be staged, the channels to be staged, and a schedule that sets the staging frequency. You can stage multiple sites by creating a different profile for each one.

subscriber

A predefined role in Microsoft Content Management Server (MCMS) 2002. The subscriber is assigned the minimum level of rights required before information can be accessed in MCMS container objects. Subscribers must have rights to resources and templates in order to view resources in the Web Author. Also, a minimum of subscriber rights are required to access channels or galleries (including resource or template galleries).

T

template

An MCMS object that is stored in the Content Repository and that serves as the primary source of information about a particular set of pages that are said to be based on that template. Templates encapsulate the placeholder and custom property definitions, and identify the template file (which contains the executable code and controls), for their pages.

template designer

A predefined role in Microsoft Content Management Server (MCMS) 2002. The template designer has the rights needed to create new channels, resource galleries and template galleries in designated areas. Template designers can create, modify, check in, debug and delete templates that they own or that are owned by Everyone. They can create, modify, submit and delete pages regardless of ownership. They can also modify rights assignments on all types of containers. They cannot remove locks placed by other users.

Template Explorer

An MCMS window that contains a tree control that shows the MCMS template gallery hierarchy. Site developers use the Template Explorer to create or delete templates and template galleries, rearrange the hierarchy, and to view and specify template properties.

template file

An ASPX, ASP, or ASCX source file that defines an overall appearance for a set of pages in an MCMS Web site and contains the executable code associated with a template object in MCMS. Certain areas of the template file are predefined for all pages based on the template file; others areas, known as placeholder definitions, are reserved for custom content in each page based on the template file. Templates are implemented as a combination of information in the Content Repository, known as the template object, and an ASPX source file in the file system known as the template file.

See also: placeholder, placeholder control, template

template gallery

A container used to manage access to templates. No template gallery can be accessed by a user without subscriber rights at minimum.

template object

An object that references the template file to be used to render content, the placeholder definitions to be used to contain content, and the custom property collection.

template status

A code that indicates the availability of the template for use. A content creator can see the template status in the check in/check out status column next to its name in the list frame of the Microsoft Content Management Server (MCMS) 2002 window.

template switching

A Microsoft Content Management Server (MCMS) 2002MCMS feature that redirects [what?] from one template to one or more alternate templates to accommodate specific conditions, such as the need to support different browser types or multiple languages on a site, while maintaining a simple navigation structure.

U

unmanaged code

Code that is created without regard for the conventions and requirements of the common language run time. Unmanaged code runs in the common language run-time environment with minimal services (for example, no garbage collection and limited debugging).

See also: managed code

V

There are no glossary terms that begin with this letter.

W

waiting

The status of a page after it has been submitted for approval and before it has been approved (or declined) for publication.

Web Author

A tool that enables authors, editors, and moderators to create and approve pages from a Web browser. The Microsoft Content Management Server (MCMS) 2002 Web Author is a Web application that uses server-side and client-side scripting to generate an editable version of existing or new pages.

Web Entry Point

A Microsoft Internet Information Services (IIS) Web site that Microsoft Content Manager (MCMS) 2002 recognizes as configured to support MCMS content. MCMS checks all requests coming to that site to determine if they are MCMS requests or not.

Web farm

Two or more Web servers connected together for the purpose of sharing resources and request loads. Typically, a Web farm will involve support for load balancing, fault tolerance, and failover, and will appear to the user as a single server with a single Internet Protocol (IP) address. Web farms are also called server farms or server clusters.

Web form

The ASP.NET page framework that supports the server-side controls that render an HTML user interface on a Web browser.

Web robot

A program used by a search engine to search the Internet for matches to a search request.

Woodgrove

See definition for: sample site

X

There are no glossary terms that begin with this letter.

Y

There are no glossary terms that begin with this letter.

Z

There are no glossary terms that begin with this letter.


Installation and Upgrade

The Installation Guide and the Upgrade Guide have moved. You can now view them at http://go.microsoft.com/fwlink/?LinkId=9918.


Setting Site Manager Options

You can set options for Site Manager to specify whether or not confirmation dialog boxes should accompany certain tasks.

To set Site Manager options

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with administrative credentials, and then click Start.
  3. In the Site Manager window, click the Tools menu, and then click Options.
  4. In the Options dialog box, do the following:
    Use this | To do this
    Show warning before sending to Deleted Items bin | Select this check box to show a warning each time an item is deleted.
    Enable Limited Export notice | Select this check box to enable limited export notice.
    Enable Expanded Export notice | Select this check box to enable expanded export notice.
    Enable Preview Export prompt | Select this check box to display a confirmation dialog box during the export process. This dialog box asks whether or not you want to view an export preview report.
  5. Click OK.

See Also

About Site Management

Refreshing the Site Manager

Setting Up the Publishing Environment

Deploying Web Site Content


Refreshing the Site Manager

Microsoft Content Management Server (MCMS) stores and retrieves items in the cache whenever the Site Manager is used. When many users work at one time, the cached version of containers and pages can become misaligned with the current ones stored in the database. For example, if you are working in the Web Author and the Site Manager is also open, the Site Manager will not reflect the changes you make from the Web Author. You must refresh the Site Manager to see the reflected changes. Refreshing the Site Manager ensures you are working with the latest version of containers and pages.

You can refresh the Site Manager with the Refresh or Global Refresh tools.


Best Practices for Site Deployment

The following are best practices for the export and import process.

  • Read-only site (export)

To export a read-only site, use the Web tab in the Server Configuration Application (SCA) to set up another Web site or to point to an existing Web site with authoring rights to the same server on which the read-only site resides. For more information about Server Configuration Application (SCA), see Using the Server Configuration Application.

  • Perform large import processes during period of low user activity

    You should perform large import processes during periods of low user activity on your site to avoid slow MCMS response time and system errors.

  • Print the Export and Import Preview report before exporting and importing To ensure that the export and import objects are properly sent and received, print and compare the Export and the Import Preview reports. For more information about the reports, see Import and export reports.
  • Roll back

Because the importing objects process is performed as a database transaction, the changes can be rolled back if problems occur during the import process.

  • Save the Export Profile for multiple exports

An export profile is a file containing the export objects and options to be exported. The saved export profile can be used again if you need to export the same objects and options.

  • Export rights groups and member information

MCMS 2002 rights groups can be exported with or without the members of the rights groups. If the destination server and the source server use a common domain, you can export both the rights groups and the rights group members that have been assigned to the object file being exported. If the domains are different, you should not export members because the user information provides no information in the destination environment

  • Back up the Microsoft SQL Server™ database before you import

Before you import objects, back up the destination server by backing up the SQL Server database to prevent data loss. For more information about SQL Server backup and restore process, see http://go.microsoft.com/fwlink/?LinkId=9559.

See Also

Deploying Web Site Content

Managing Site Structure and Workflow

Performing Administrative Tasks

Deploying MCMS 2002


Exporting Objects

The system administrator exports object to the destination server. An object can be a container such as a channel, gallery, or user role, or an item such as a page, resource, template, or rights group.

To select objects and rights options

To preview and print the export preview report

To start export, print the export report, and save the export profile

To select objects and rights options

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager login dialog box, log in as the administrator, and then click Start.
  3. In the Site Manager screen, from the Tools menu, click Options and then do the following:
    Use this | To do this
    Show warning before sending to Deleted Items bin | Select this option to have a warning notice appear before channel items are sent to the deleted bin.
    Enable Limited Export notice | Select this option to have a limited export package notice appear before exporting.
    Enable Expanded Export notice | Select this option to have an expanded export notice appear before exporting.
    Enable Preview Export prompt | Select this option to have a preview export notice appear before exporting.
  4. After you select the options you want, click OK.
  5. In the Site Manager screen, from the File menu, point to Package, and then click Export. The following figure shows the Site Deployment Export screen.

    Site Deployment Export screen

  6. On the Item Selection tab, select Export Containers Only if you want only containers exported.
  7. In the Choose Objects for Export section, select the objects and then do the following:
    Use this | To do this
    Include | Select this option to include the selected objects for the export process.
    Exclude Select this option to exclude the selected objects from the export process.

    Note You can exclude the children of selected container objects, but you cannot exclude objects that are dependent objects of objects being exported.
  8. In the Included and Excluded Export Objects section, select an object for removal by clicking on the object, and then click Remove.
  9. In the Site Deployment Export screen, on the Rights Options tab, in the Rights Groups Security section, do the following:
    Use this To do this
    Export Rights Groups Select this option to export the rights groups without exporting the export users assigned to the containers.

    Note When you select this option, the Export Users check box becomes available.
    Export Users Select this option to export the users (members of rights groups) with the exported Rights Groups. In order for exported users to have access to the imported objects, they must exist on the domain of the destination system.

    Note This check box is available only if the Export Rights Groups check box is selected.

    Clear the Export Users check box to preserve security by not exporting user information when the source and destination servers do not share domains.

Note You can export MCMS 2002 rights groups with or without the members of the rights groups. If the destination server and the source server use a common domain, you can export both the rights groups and the rights group members that have been assigned to the object file being exported. If the domains are different, it is recommended that you do not export members.

To preview and print the export preview report

  1. From the Site Deployment Export screen, click Report, and then click Export Preview.
  2. In the Export Preview Report screen, click File menu, and then click Print to print the export preview report.

    Note You should compare the Export Preview report to the Export Report for any discrepancies.

  3. On the File menu, click Close to exit the Export Preview Report.

To start export, print the export report, and save the export profile

  1. In the Site Deployment Export screen, on the Item Selection tab, type the file path name of the .sdo file created in the Export to File (.sdo) text box or click Browse to select the location of the file, and then in the Save As dialog box, click Save.

    Note All of the contents of any container in the Included and Excluded Export Objects box will be exported, unless you select the child objects (that is, channels or pages) for exclusion. The parent containers for selected objects are not automatically exported.

  2. In the Site Deployment Export screen, click Export to begin the export process.

    Note The export completed dialog box indicates that the object file was created successfully.

    An error message appears if the export was not successful.

    You can cancel the export operation at any time. The cancel process may not occur immediately.

  3. In the export completed dialog box, click Show Report.
  4. In the Export Report screen, click File, and then click Print.

    Note After you print the Export Report, compare it to the Export Preview Report to see if there are any discrepancies (for example, an object has been deleted that you planned to export).

  5. To close the Export Report screen, click File, and then click Close.
  6. In the Site Deployment Export dialog box, click File, and then click Save Export Profile.
  7. In the Save Export Profile dialog box, select the directory to which you will save the export profile, enter a name for the profile, and then click Save.

    Note The saved MCMS Export Profile has the file extension .sdo.

See Also

Importing Objects

Importing Templates and Files

About Exporting and Importing Objects

Managing Site Structure and Workflow

Performing Administrative Tasks

Deploying MCMS 2002


Importing Objects

The system administrator uses Site Manager to control the import of object files (Web content) to the destination server. For example, after the containers are imported, the rights assigned to those containers come from either the destination server or the import file. An object can be a container such as a channel, gallery, or user role, or an item such as a page, resource, template, or rights group.

Note Before you import objects, back up the Microsoft SQL Server database on the destination server to prevent data loss. For more information about SQL Server backup and restore, see http://go.microsoft.com/fwlink/?LinkId=9559.

To select container rules, rights groups, and orphaned objects

To generate an import report

To start the import process

To select container rules, rights groups, and orphaned objects

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager login dialog box, log in as the system administrator, and then click Start.
  3. From the File menu, point to Package, and then click Import. The Site Deployment Import screen appears.

    Site development import box

  4. On the Container Rules tab, in the When Adding Containers section, do the following:
    Use this | To do this
    Inherit destination parent rights | Select this option when to adopt the security configuration from the destination server. Imported containers inherit the privileges assigned to the parent container on the destination system.
    Use package container rights | Select this option to import the containers in the object file and the rights group assigned to them. The security settings from the source system are retained. If a rights group does not exist in the destination system, they are removed from the container rights.
    Leave container rights list empty | Select this option if you want containers to be created on the destination server with no access rights. The containers in the object file are imported with no user rights group assigned to them.
  5. On the Container Rules tab, in the When Replacing Containers section, do the following:
    Use this | To do this
    Inherit destination parent rights | Select this option if you want the replaced containers to inherit the users assigned to the parent container on the destination system.
    Replace with package container rights | Select this option to import the containers and replace the rights group assigned by the destination server. Using this option, the security settings from the source server are retained.
    Keep destination container rights | Select this option to import the containers in the object file and to replace the existing containers on the destination server, leaving the rights groups originally assigned.
    Combine package and destination rights | Select this option to import the containers in the object file with their assigned rights group and add them to the existing list of rights group assigned to the container on the destination system.
  6. On the Container Rules tab, select the appropriate check box:
    Use this | To do this
    Change container hierarchy on destination to match the package hierarchy | Select this option to specify that the imported objects have the same hierarchy as they did on the source system.
    Delete all existing container contents when replacing a container Select this option to delete the destination container contents before the container from the object file is imported and its children are added.

    Important Templates can not be deleted if pages based on the template still exist in the destination server.

    Note You can select this option only if the Change container hierarchy on destination to match the package hierarchy option is selected.

    Select this option if you want the contents of the destination server to be the same as the container contents on the source server.
  7. Click Browse to specify the Import from File (.sdo), select the file, and then click Open.

    Note The Import from File (.sdo) name should be the same for the container rules, rights groups, and orphaned objects.

  8. In the Site Deployment Import screen, click the Rights Group tab. Items on the Rights Groups tab are available if rights groups and users were exported to the object file.

    Review the Export Report to see which rights groups and users were exported to the object file. You can import rights groups with or without their members. Make sure the members of imported rights groups exist on the domain of the destination system. Users on the destination system will be unable to access the imported containers and objects if the destination server cannot authenticate the imported user names.

  9. In the Select how Rights Groups are imported section, do the following:
    Use this | To do this
    Do not import any Rights Groups or Users | Select this option to prevent the import of rights groups and users.
    Import User Rights Groups | Select this option to enable the import of user rights groups.
    Import User Rights Groups and Users Select this option to enable the import of user right groups and users.

    Note If you select this option, the Select how Users are imported section becomes available.
  10. In the Select how Users are imported section, do the following:
    Use this | To do this
    Use only the package user lists | Select this option to add the users in the object file who belong to the rights group. If the user rights group is already on the destination server and is being replaced, the members list is overwritten.
    Use package and destination user lists combining them for replaced Rights Groups | Select this option to add the users in the object file. If the user rights group already exists, its members list is merged with users imported from the object file.
  11. In the Site Deployment Import screen, click the Orphaned Objects tab.
  12. Click Browse to specify the default containers for orphaned objects.

    Note You can specify an existing container for the orphaned object by using Site Manager. If a container is not specified, then it is automatically created during the import process under the root container.

    Default containers are created for each type of container, such as channel, template gallery, and resource gallery. These containers are named CMS Default Site Deploy Destination. Only system administrators have access to default containers.

To generate an import report

  1. In the Site Deployment Import screen, click Reports, and then click Import Preview from the Report menu. A progress indicator appears and then the Import Preview opens.

    Note It may take longer than anticipated to generate this report, depending on the number of objects in the file.

  2. To print the Import Preview report, from the File menu, click Print.
  3. In the Site Deployment Import screen, from the File menu, select Save Import Profile As.
  4. In the Save Import Profile As dialog box, select a directory and enter a name for the profile, and then click Save. Import Profiles that are saved have an .sdi file extension.

    Note The container rules, rights groups, and orphaned objects are saved in an import profile based on the options selected when it was saved. To open a previously saved import profile from the Site Deployment Import screen, click File, click Open Import Profile, and then select the import profile.

To start the import process

  1. From the Site Deployment Import screen, from the File menu, select Import to start the import operation.

    Caution After you start the import operation, it cannot be stopped. An import operation may take considerable time, depending on the contents of the object file.

    A successful import is indicated by an Import confirmation dialog box. An error message is displayed if there is an unsuccessful import.

  2. After the import has completed, in the confirmation dialog box, click Show Report to view the Import Report.

    Note The Import Report lists the changes that were made to objects during the import operation, including deleted objects, or objects that contain potentially broken links.

See Also

Exporting Objects

Importing Templates and Files

About Exporting and Importing Objects

Managing Site Structure and Workflow

Performing Administrative Tasks

Deploying MCMS 2002


Importing Templates and Files

After you import templates, you must add all of the system files referenced by the imported template to the destination server. These files may include:

  • Templates on the file system
  • Files external to the Microsoft Content Management Server (MCMS) 2002 database that are referenced by a URL
  • Files included using Active Server Pages (ASP) scripting
  • All component files of a frameset
  • External Microsoft JScript files
  • External cascading style sheet (CSS) files

Note If you have modified the destination server and the system files, perform a backup before copying over them.

If the imported templates use virtual directories (for example, Internet Information Server (IIS)) to reference MCMS system files, you must also duplicate these virtual directories on the destination system. For more information about IIS, see http://go.microsoft.com/fwlink/?LinkId=9534.

To export the template files not managed by MCMS (for example ASP or ASP.NET scripts), you can use Microsoft Application Center 2000. Application Center 2000 is a Web deployment and management tool. It can be used to synchronize files that are not stored in the MCMS content repository across servers and server clusters. For more information about Application Center 2000, see http://go.microsoft.com/fwlink/?LinkId=12329.

Note Site developers can programmatically automate site deployment tasks using the Site Deployment application programming interface (API). For information about site deployment scripts, see Creating Site Deployment Scripts. For information about the Site Deployment API, see the COM-Based Site Deployment API.

See Also

Exporting Objects

Importing Objects

About Exporting and Importing Objects

Managing Site Structure and Workflow

Performing Administrative Tasks

Deploying MCMS 2002


Managing Internal Access

After you have set up channels and subscriber rights groups, it is important to let subscribers know their entry points for the site, and to coordinate with template designers to create those entry points, if necessary. This will ensure subscriber access.

If you plan to give subscribers different entry points according to their identities or design-time roles, be sure to send an e-mail message, or to otherwise notify them of their own specific entry point. You can also accomplish this task through specific links at a single-entry point.

See Also

Managing External Access

Requirements for Web Indexing

Authenticating Users

Setting Up the Publishing Environment


Managing External Access

Unlike managing internal access where you typically allow access to all internal users, managing external access to your Microsoft Content Management Server (MCMS) 2002 site requires you to decide which external users you want to access your site. This topic provides details on how to manage external access.

  • Setting up guest access for non-staged sites
  • Setting up visitor access
  • Restricting external access
  • About Web search access (for dynamic sites)


Requirements for Web Indexing

If you plan to have your site indexed by an Internet search engine, or to use a Web crawler to allow users to do full-text searches on your site, this section explains the general requirements.

  • About Web indexing software
  • Setting the title of a page template
  • Configuring Internet Information Server for Web indexing


Preventing Multiple Users from Accessing the Same Object

While a user is working on a Microsoft Content Management Server (MCMS) object such as a page, that object is locked to prevent two users from working on the same object at one time. Additional users can work with a locked object in read-only mode.

If a client computer was turned off while one or more objects were in use, the object(s) may remain locked after rebooting. Use the Kill Lock command from the Tools menu in the MCMS Site Manager to end the lock.

If users consistently report being unable to work with an object that they have rights to, use the Kill Lock command on it after making sure that no user is currently working with the object.

Caution Ensure that no one is using the page at the time that the Kill Lock command is used. If the page is in use a loss of data may result.

See Also

Managing User Access

Authenticating Users

Setting Up the Publishing Environment


Copying and Moving a Channel

You can copy or move an entire channel and its contents. You can do this using cut and paste.

To copy or move a channel

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager. The Site Manager dialog box opens.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Channels icon to display the channels hierarchy.
  4. Right-click the channel you want to copy or move. To copy the channel, click Copy. To move the channel, click Cut.
  5. Right-click the channel where you want to copy or move the channel to and click Paste.

See Also

Creating Channels

Managing Site Structure and Workflow


Deleting and Restoring a Channel

Only administrators, channel managers, and template designers can delete and restore channels. When you delete a channel, it goes to the Deleted Items container.

To delete a channel

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Channels icon to display the channels hierarchy.
  4. Right-click the channel you want to delete, and then click Delete.

Items moved to the Deleted Items container are no longer in the Microsoft Content Management Server (MCMS) hierarchy, but remain in the MCMS database. To delete an item from the database, and remove it permanently, the item must be removed from the Deleted Items container. For more information, see Removing a Channel.

To restore a channel

To make the channel available for use again, move it from the Deleted Items container back into the channel hierarchy.

See Also

Removing a Channel

Creating Channels

Authoring Content from the Web Site

Managing Site Structure and Workflow


Removing a Channel

Removing a channel deletes it permanently from the system.

To remove a channel

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager. The Site Manager dialog box opens.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Channels icon to display the channels hierarchy.
  4. Expand Deleted Items, right-click the channel you want to remove, and then click Delete.

See Also

Creating Channels

Authoring Content from the Web Site

Managing Site Structure and Workflow


Copying and Moving Pages from a Channel

You can copy or move pages form a channel.

To copy or move a page from a channel

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager. The Site Manager dialog box opens.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Channels icon to display the channels hierarchy.
  4. Select the channel that contains the page (or pages) that you want to copy or move.
  5. Right-click the page you want to copy or move. To copy the page click Copy. To move the page, click Cut.
  6. Right-click the channel where you want to copy or move the page and click Paste.

See Also

Creating Channels

Managing Site Structure and Workflow


Deleting and Restoring Pages from a Channel

Only administrators, channel managers, and template designers can delete and restore pages from a channel. When you delete a page from a channel, it goes to the Deleted Items container.

To delete a page from a channel

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Channels icon to display the channels hierarchy.
  4. Select the channel that contains the page (or pages) that you want to delete.
  5. Right-click the page you want to delete, and then click Delete.

Items moved to the Deleted Items container are no longer in the Microsoft Content Management Server (MCMS) hierarchy, but remain in the MCMS database. To delete an item from the database, and remove it permanently, the item must be removed from the Deleted Items container. For more information, see Removing Pages from a Channel.

To restore a page

To make the page available for use again, move it from the Deleted Items container back into the channel hierarchy.

See Also

Creating Channels

Managing Site Structure and Workflow


Removing Pages from a Channel

Removing a page deletes it permanently from the system. A page must be deleted before it can be permanently removed. This procedure will permanently remove pages from the Deleted Items container.

To remove a page from a channel

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager. The Site Manager dialog box opens.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Channels icon to display the channels hierarchy.
  4. Expand Deleted Items, right-click the page you want to remove, and then click Delete.

See Also

Removing a Channel

Creating Channels

Managing Site Structure and Workflow


Publishing Pages Consecutively

You can publish pages consecutively by creating a new version of a page to replace the original version on a given date. The consecutive pages must be in the same channel. You publish pages consecutively by doing the following:

  • Giving the replacement page the same name as the original page.
  • Setting the expiration date of the original page to the date on which you want it to be replaced.
  • Setting the start date of the new page to the date on which you want the original page to be replaced.

If both pages share the same publishing dates, they will both appear in the run-time channel hierarchy with the same name. To completely replace the original page, specify an expiration date.

The approval process for each page version is completely independent; you can modify or approve each version at any time.

See Also

Creating Channels

Authoring Content from the Web Site

Managing Site Structure and Workflow


Publishing Channels Consecutively

You can publish channels consecutively by creating a version of a channel to replace the original on a given date. You publish channels consecutively by doing the following:

  • Giving the new channel the same name as the original channel.
  • Setting the expiration date of the original channel to the date on which you want it to be replaced.
  • Setting the start date of the new channel to the date on which you want it to replace the original.

If the original channel and new channel share the same publishing dates, both appear in the run-time channel hierarchy and have the same name. To replace a channel, you must not only create a second channel with the same name, but you must also specify the expiration date for the first channel.

Published channels that are children of an expired channel or are children of a channel with a start date in the future do not appear in the browser channel hierarchy.

See Also

Creating Channels

Authoring Content from the Web Site

Managing Site Structure and Workflow


Step 1: Naming and Describing a Channel

When you create a channel for the first time, you need to name it and give it a description.


Step 2: Assigning Rights to a Channel

If the administrator has not created rights groups to assign to the channel, go to Creating Rights Groups for information about creating rights groups.

Note A newly created channel automatically inherits all of the rights groups that were assigned to the parent channel.

When you assign rights groups to a channel, you are granting rights groups members permission to access that channel through a browser. Make sure that you have already completed Step 1: Naming and Describing a Channel before continuing with the following procedure.

To assign rights groups to a channel

  1. In the New Channel dialog box, click Select.
  2. In the Select User Rights for Channel dialog box, in the Look In box, select the appropriate user role from the drop-down list. You can assign subscribers to the channel first so that users can view pages in the channel on your site.
  3. In the Look In box, select the rights group and click Add. Or, to assign the channel the same rights groups as its parent folder, click Add Parent's Rights. The rights groups for the parent channel appear in the Selected Rights Groups box.
  4. Repeat steps 2 and 3 to assign other rights groups (such as authors, editors, and moderators) to the channel.
  5. In the Select User Rights Groups dialog box, click OK.

After assigning rights to the channel, go to Step 3: Rendering a Channel.


Step 3: Rendering a Channel

When you create a new channel, you can specify a default page (the first page that users will see when they visit your site), or associate a script for rendering the content in the channel. Make sure that you have already completed Step 1: Naming and Describing a Channel before continuing with the following procedure.

To render a channel

  1. In the <channel name> Properties dialog box, click the Publishing tab.
  2. On the Publishing tab, in the Channel Rendering section, click Select.
  3. In the Select Channel Rendering dialog box, in the Default Page section, do the following:
    Use this | To do this
    Use first page | To render the first page as the default page for the channel.
    Use page with this name | Type the name of the default page you want to render for the channel.
  4. In the Channel Rendering section, do the following:
    Use this | To do this
    Script URL | To specify a script that defines how Microsoft Content Management Server (MCMS) should render content in the channel. For example, you might run a script that defines a frameset, or defines the default behavior when users type only the channel name in the URL (without specifying a page).
    Use channel script with Pages | Select Yes to always run the channel rendering script when users access pages. Select No to run the script when users type only the channel name in the URL (without specifying a page).
    Navigation URL | To specify a script that defines how users navigate through pages in the channel hierarchy.
  5. In the Select Channel Rendering dialog box, click OK to close.

After defining how MCMS renders the channel, go to Step 4: Setting the Publishing Schedule.


Step 4: Setting the Publishing Schedule

You can set a publishing schedule for a channel by specifying the start and stop publishing dates. The start date defines when Microsoft Content Management Server (MCMS) starts publishing content for the channel (the time that subscribers can start viewing content in the channel). The expiration date defines when MCMS stops publishing content for the channel (the time that subscribers will no longer be able to view content in the channel).

Note The start and expiration dates for a channel may override the start and expiration dates for a page. Any page submitted to the channel will not be visible until the start publishing date for the channel, even if you set the publishing date for the page to immediate.

Make sure that you have already completed Step 1: Naming and Describing a Channel before continuing with the following procedure.

To set the start and expiration dates for a channel

  1. In the <channel name> Properties dialog box, click the Publishing tab.
  2. On the Publishing tab, in the Lifetime section, click Set.
  3. In the Set Channel Lifetime dialog box, in the Start Publishing section, do the following:
    Use this | To do this
    Immediately | Select this option to allow subscribers to view the content in the channel immediately.
    On | Select this option to specify a date and time that MCMS will start publishing content in the channel. Before this time, subscribers will be unable to view the content in the channel.
  4. In the Stop Publishing section, do the following:
    Use this | To do this
    Never Stop Publishing | Select this option to allow subscribers to view the content in the channel permanently.
    Interval | Select this option to specify a time period after which the channel will expire. This time period is relative to the Start Publishing date.
    On | Select this option to specify a date and time that MCMS will stop publishing content in the channel. After this time, subscribers will be unable to view the content in the channel.

    Note Internally, the Content Server component of MCMS stores dates and times in Greenwich mean time (GMT). However, the start dates and times that you specify are always local. Therefore, make sure the client and server clocks are accurate. For example, if the clock on the server displays 3:01 P.M. CST and the clock on the client displays 5:15 P.M. PST, the start times for pages created on that client will be different by 14 minutes.

  5. In the Set Channel Lifetime dialog box, click OK.

After setting the publishing schedule for the channel, go to Step 5: Setting the Web Author Default Galleries.


Step 5: Setting the Web Author Default Galleries

When you create a channel, you can set the default location for storing the template and resource galleries of a channel. Authors should use these templates and resources when creating and updating pages in the Web Author. Make sure that you have already completed Step 1: Naming and Describing a Channel before continuing with the following procedure.

To set the Web Author default galleries

  1. In the <channel name> Properties dialog box, click the Web Authoring tab.
  2. On the Web Authoring tab in the Template Gallery box, click the browse button to select the location for storing the Web Author templates. Click Clear to remove the selected default template gallery.
  3. In the Resource Gallery box, click the browse button to select the location for storing the Web Author resources. Click Clear to remove the selected default resource gallery.

After setting the Web Author default galleries, go to Step 6: Setting Channel Options.


Step 6: Setting Channel Options

When you create a new channel, you can set options for denoting important channels and hiding published channels. Make sure that you have already completed Step 1: Naming and Describing a Channel before continuing with the following procedure.

To set the channel options

  1. In the <channel name> Properties dialog box, click the Publishing tab.
  2. On the Publishing tab, in the Options section, do the following:
    Use this | To do this
    Important Channel | Select this box to mark the channel as important. This option is useful for sites that display important channels differently than regular channels.
    Hide When Published | Select this box to hide the content when the channel is published.
    Web Robots Can Crawl Links | Select this box to allow users to perform full-text searches on your site by using an Internet search engine.
    Web Robots Can Index This Channel's Navigation | Select this box to allow the content on your site to be indexed by an Internet search engine.
  3. In the <channel name> Properties dialog box, click OK.

After setting the channel options, you have completed the process of setting up a new channel.

See Also

Editing Channel Properties

Managing Site Structure and Workflow


Changing the Name of a Channel

You can change the name of a channel the same way you change a file name in any Microsoft Windows environment. When a user views a channel in a Web browser, the URL does not necessarily contain the name of the channel.

To change the name of a channel

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Channels icon to display the channels hierarchy.
  4. Right-click the channel for which you want to change the name, and select Rename.
  5. Type a new name or abbreviation for the channel, and then press ENTER. This name will be used as part of the URL for the channel.

See Also

Creating Channels

Managing Site Structure and Workflow


Editing Channel Display Name and Description

You can edit the display name and description for a channel after the channel has been created.

To edit the display name and description of a channel

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the left navigation pane, click the Channels icon to display the channels hierarchy.
  4. Right-click the channel you want to edit and click Properties.
  5. In the <channel name> Properties dialog box, on the General tab, do the following:
    Use this | To do this
    Name | The channel name appears. To edit this name, see Changing the Name of a Channel.
    Display Name | Change this text to a new display name for the channel. For example, if you are publishing press releases in this channel, use Press Releases.
    Description | Type a description of up to 255 characters that makes the channel easy to identify for MCMS Site Manager users. This description can briefly describe the type of content that the channel will contain, and indicate which rights groups have rights in that channel.
    Same As Name | Click this button to use the channel name as the Display Name.
  6. In the <channel name> Properties dialog box, click OK.

See Also

Creating Channels

Managing Site Structure and Workflow


Editing Channel Options

You can edit the options for an existing channel by setting such properties as Important Channel, Hide When Published, Web Robots Can Crawl Links, and Web Robots Can Index This Channel's Navigation.

To edit the channel options

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. From the left navigation pane, click the Channels icon to display the channels hierarchy.
  4. Right-click the channel you want to edit and click Properties.
  5. In the <channel name> Properties dialog box, click the Publishing tab.
  6. On the Publishing tab, in the Options section, do the following:
    Use this | To do this
    Important Channel | Select this box to mark the channel as important. This option is useful for sites that display important channels differently than regular channels.
    Hide When Published | Select this box to hide the content when the channel is published.
    Web Robots Can Crawl Links | Select this box to allow users to perform full-text searches on your site by using an Internet search engine.
    Web Robots Can Index This Channel's Navigation | Select this box to allow the content on your site to be indexed by an Internet search engine.
  7. In the <channel name> Properties dialog box, click OK.

See Also

Creating Channels

Managing Site Structure and Workflow


Editing the Publishing Schedule

You can edit the publishing schedule for an existing channel by changing the Start and Stop publishing dates.

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. From the left navigation pane, click the Channels icon to display the channels hierarchy.
  4. Right-click the channel you want to edit and click Properties.
  5. In the <channel name> Properties dialog box, click the Publishing tab.
  6. In the Lifetime section, click Set.
  7. In the Set Channel Lifetime dialog box, in the Start Publishing section, do the following:
    Use this | To do this
    Immediately | Select this option to allow subscribers to view the content in the channel immediately.
    On | Select this option to specify a date and time that MCMS will start publishing content in the channel. Before this time, subscribers will be unable to view the content in the channel.
  8. Under the Stop Publishing section, do the following:
    Use this | To do this
    Never Stop Publishing | Select this option to allow subscribers to view the content in the channel permanently.
    Interval | Select this option to specify a time period after which the channel will expire. This time period is relative to the Start Publishing date.
    On | Select this option to specify a date and time that MCMS will stop publishing content in the channel. After this time, subscribers will be unable to view the content in the channel.
  9. In the Set Channel Lifetime dialog box, click OK.
  10. In the <channel name> Properties dialog box, click OK.

See Also

Creating Channels

Managing Site Structure and Workflow


Editing Channel Rendering Properties

You can edit the channel rendering properties for an existing channel by specifying the default page that appears when users first access the channel, and any scripts that impact how Microsoft Content Management Server (MCMS) accepted/rejected copyedits, then released renders the channel.

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the left navigation pane, click the Channels icon to display the channels hierarchy.
  4. Right-click the channel you want to edit and click Properties.
  5. In the <channel name> Properties dialog box, click the Publishing tab.
  6. In the Channel Rendering section, click Select.
  7. In the Select Channel Rendering dialog box, under the Default Page section, do the following:
    Use this | To do this
    Use first page | To render the first page as the default page for the channel.
    Use page with this name | Type the name of the default page you want to render for the channel. If the page does not exist, MCMS will use the first available page.
  8. In the Channel Rendering section, do the following:
    Use this | To do this
    Script URL | To specify a script that defines how MCMS should render content in the channel. This option is useful if you migrated framed sites from MCMS 2001.
    Use channel script with Pages | Select Yes to always run the channel rendering script when users access pages. Select No to run the script when users type only the channel name in the URL (without specifying a page). For framed sites, select Yes.
    Navigation URL | To specify a script that defines how users navigate through pages in the channel hierarchy.
  9. In the Select Channel Rendering dialog box, click OK.
  10. In the <channel name> Properties dialog box, click OK.

See Also

Channel Rendering Scripts

Creating Channels

Editing Channel Properties

Managing Site Structure and Workflow


Editing the Web Author Default Galleries

You can edit the Web Author default galleries for an existing channel by specifying the default location of the template and resource galleries.

To edit the Web Author default galleries

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the left navigation pane, click the Channels icon to display the channels hierarchy.
  4. Right-click the channel for which you want to change the Web Author default galleries, and then click Properties.
  5. In the <channel name> Properties dialog box, click the Web Authoring tab.
  6. On the Web Authoring tab in the Template Gallery box, click the browse button to select the location for storing the Web Author templates. Click Clear to remove the selected default template gallery.
  7. In the Resource Gallery box, click the browse button to select the location for storing the Web Author resources. Click Clear to remove the selected default resource gallery.
  8. In the <channel name> Properties dialog box, click OK.

See Also

Creating Channels

Authoring Content from the Web Site

Managing Site Structure and Workflow


Sorting the Channel Structure

You can change the organization of an existing channel hierarchy by sorting the pages within the channel.

To sort the channel structure

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Channels icon to display the channels hierarchy.
  4. Right-click the channel for which you want to sort the channel structure, and then click Properties.
  5. In the <channel name> Properties dialog box, click the Sorting tab.
  6. Click the item you want to move, and press the Up or Down button to move it in the list. When you have finished sorting pages, click OK.

See Also

Creating Channels

Editing Channel Properties

Managing Site Structure and Workflow


Editing the Channel Rights

You can edit the rights for a channel after the channel has been created.

To edit the channel rights

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Channels icon to display the channels hierarchy.
  4. Right-click the channel for which you want to edit the channel rights, and then click Properties.
  5. In the <channel name> Properties dialog box, click the Rights tab.
  6. On the Rights tab, click Modify.
  7. In the Select User Rights for Channel dialog box, in the Look In box, select the appropriate user role from the drop-down list.
  8. In the Look In box, select the rights group and click Add. Or, to assign the channel the same rights groups as its parent folder, click Add Parent's Rights. The rights groups for the parent channel appear in the Selected Rights Groups box.
  9. Repeat steps 7 and 8 to assign rights groups for authors, editors, and moderators to the channel.
  10. In the Select User Rights for Channel dialog box, click OK.
  11. In the <channel name> Properties dialog box, click OK.

See Also

Creating Channels

Authoring Content from the Web Site

Managing Site Structure and Workflow


Customizing the Channel

You can customize an existing channel by adding custom properties.

To customize the channel

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager. The Site Manager dialog box opens.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Channels icon to display the channels hierarchy.
  4. Right-click the channel you want to customize, and then click Properties.
  5. In the <channel name> Properties dialog box, click the Custom tab.
  6. On the Custom tab, click New.
  7. In the Add Custom Property dialog box, do the following:
    Use this | To do this
    Property Name | Type a name for the custom property.
    Property Type | Select the property type from the drop-down list.
    Current Text Value | Type your customized text for this custom property.
  8. In the Add Custom Property dialog box, click OK.
  9. In the <channel name> Properties dialog box, click OK.

See Also

Creating Channels

Authoring Content from the Web Site

Managing Site Structure and Workflow


Copying and Moving a Resource Gallery

You can copy or move an entire resource gallery and its contents. You can do this using cut and paste.

To copy or move a resource gallery

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager. The Site Manager dialog box opens.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, template designers, or resource gallery managers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Resource Gallery icon to display the resource gallery hierarchy, and expand to the resource gallery item you want to copy or move.
  4. Right-click the resource gallery you want to copy or move. To copy the resource gallery, click Copy. To move the resource gallery, click Cut.
  5. Right-click the resource gallery where you want to copy or move the resource gallery to and click Paste.

See Also

Using Resource Galleries

Managing Site Structure and Workflow


Deleting and Restoring a Resource Gallery

Only administrators, resource managers, channel managers, and template designers can delete and restore resource galleries. When you delete a resource gallery, Microsoft Content Management Server (MCMS) moves it to the Deleted Items container.

To delete a resource gallery

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Resource Gallery icon to display the resource gallery hierarchy.
  4. Right-click the resource gallery you want to delete, and then click Delete.

Items moved to the Deleted Items container are no longer in the MCMS hierarchy, but remain in the MCMS database. To remove an item from the database and delete it permanently, the item must be deleted from the Deleted Items container. For more information, see Removing a Resource Gallery.

To restore a resource gallery

To make the resource gallery available for use again, move it from the Deleted Items container back into the resource gallery hierarchy.

See Also

Using Resource Galleries

Managing Site Structure and Workflow


Removing a Resource Gallery

Removing a resource gallery deletes it permanently from the system.

To remove a resource gallery

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Resource Gallery icon to display the resource gallery hierarchy.
  4. Expand Deleted Items, right-click the resource gallery you want to remove, and then click Delete.

See Also

Using Resource Galleries

Managing Site Structure and Workflow


Adding Resources to a Resource Gallery

Use the Web Author to add resources to a resource gallery. You cannot add resources to a resource gallery through Site Manager.

To add resources to a resource gallery

  1. Click Start, point to Programs, and then click Internet Explorer.
  2. In Internet Explorer, in the Address box, type the URL for your Web Site. For example, http://<computername>/Woodgrovenet.
  3. Log on to the site using an administrative account (such as the administrator, resource manager, channel manager, template designer account).

    The default home page appears.

  4. In the Authoring Console, click Switch To Edit Site.
  5. In the Authoring Console, click Resource Manager.
  6. In the Select Resource Gallery dialog box, select the resource gallery to which you want to add resources.
  7. In the Select Resource Gallery > Manage Resources dialog box, click Add New.
  8. In the Add Resource dialog box, do the following:
    Use this | To do this
    Local Resource | Enter the location of the resource you want to add or click Browse to browse to this resource.
    File Type | Select the file type from the drop-down list if the resource you are adding does not have or indicate the file extension.
    Display Name | Enter a name for the resource.
    Description | Enter a description of the resource.

    Click OK.

  9. Close the Select Resource Gallery > Manage Resources dialog box.

See Also

Using Resource Galleries

Managing Site Structure and Workflow


Importing Resources to a Resource Gallery

You can import resources from elsewhere on your computer to the Resource Gallery.

To import a resource to the resource gallery

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager. The Site Manager dialog box opens.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, template designers, or resource gallery managers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Resource Gallery icon to display the resources hierarchy.
  4. Find the resource on your computer you want to import and select it.
  5. Drag the selected resource and drop it on to the resource gallery where you want to import it.

Note You must drop the selected resource on a resource gallery in the Resources hierarchy.


Copying and Moving Resources from a Resource Gallery

You can copy or move a resource from the resource gallery.

To copy or move a resource from a resource gallery

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager. The Site Manager dialog box opens.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, template designers, or resource gallery managers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Resource Gallery icon to display the resource gallery hierarchy.
  4. Select the resource gallery contains the resource (or resources) that you want to copy or move.
  5. Right-click the resource you want to copy or move. To copy the resource click Copy. To move the resource, click Cut.
  6. Right-click the resource gallery where you want to copy or move the resource and click Paste.

See Also

Using Resource Galleries

Managing Site Structure and Workflow


Deleting and Restoring Resources from a Resource Gallery

Only administrators, channel managers, and template designers can delete and restore pages from a resource gallery. When you delete an item from a resource gallery, it goes to the Deleted Items container.

To remove a resource from a resource gallery

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, template designers, or resource gallery managers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Resource Gallery icon to display the resource gallery hierarchy.
  4. Select the resource gallery that contains the resource (or resources) that you want to delete.
  5. Right-click the resource you want to delete, and then click Delete.

Items moved to the Deleted Items container are no longer in the Microsoft Content Management Server (MCMS) hierarchy, but remain in the MCMS database. To delete an item from the database, and remove it permanently, the item must be removed from the Deleted Items container. For more information, see Removing a Resource from the Resource Gallery.

To restore a resource gallery item

To make the resource available for use again, move it from the Deleted Items container back into the resource gallery hierarchy.

See Also

Using Resource Galleries

Managing Site Structure and Workflow


Removing Resources from a Resource Gallery

Removing a resource from the resource gallery deletes it permanently from the system. This procedure permanently deletes resources from the Deleted Items container. A resource must be deleted before it can be permanently removed.

To remove a resource gallery item

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager. The Site Manager dialog box opens.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Resource Gallery icon to display the resource gallery hierarchy.
  4. Expand Deleted Items, right-click the resource gallery item you want to remove, and then click Delete.

See Also

Using Resource Galleries

Managing Site Structure and Workflow


Step 1: Naming and Describing a Resource Gallery

When you create a resource gallery for the first time, you need to name it and provide a description.

To name and describe a resource gallery

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, resource managers, channel managers, or template designers), and then click Start.
  3. Click the Resource Gallery icon to display the resource gallery hierarchy.
  4. Right-click the resource gallery in which you want to create the new gallery, point to New, and then click Gallery.
  5. In the New Resource Gallery dialog box, do the following:
    Use this | To do this
    Name | Type a name that makes the new resource gallery easy to identify. For example, if it contains resources for default content, name it Default Content.
    Description | Enter a description of up to 255 characters in the description box to make the resource gallery easy to identify for content contributors. This description can briefly describe the type of content the resource gallery contains, and indicate which rights groups have rights to it.

After naming and describing the resource gallery, go to Step 2: Assigning Rights Groups to the New Resource Gallery.


Step 2: Assigning Rights Groups to a New Resource Gallery

After you have finished creating containers, you can create rights groups and assign them to the containers. Assigning rights groups to the resource gallery allows the rights group members to work there. Make sure that you have already completed Step 1: Naming and Describing a Resource Gallery before continuing with the following procedure.

Note If you have not created rights groups yet, go to Creating Rights Groups for information on creating rights groups.

To assign rights groups to the new resource gallery

  1. In the New Resource Gallery dialog box, click Select.
  2. In the Select User Rights Groups for Gallery dialog box, in the Look In area, select the appropriate user role from the drop-down list. You can assign resource managers, authors, editors, and template designers to the resource gallery.
  3. In the Look In box, select the rights group and click Add. Or, to assign the resource gallery the same rights groups as its parent folder, click Add Parent's Rights. The rights groups for the parent resource gallery appear in the Selected Rights Groups box.
  4. Repeat steps 2 and 3 to assign rights groups for other roles to the resource gallery.
  5. In the Select User Rights for Gallery dialog box, click OK.
  6. In the New Resource Gallery dialog box, click OK.

See Also

Creating Rights Groups

Creating Containers

Editing Resource Gallery Properties

Managing Site Structure and Workflow


Changing the Name of a Resource Gallery

You can change the name of a resource gallery the same way you change a file name in any Microsoft Windows environment.

To change the name of a resource gallery

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, resource managers, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Resource Gallery icon to display the resource galleries hierarchy.
  4. Right-click the resource gallery for which you want to change the name, and select Rename.
  5. Type a new name for the resource gallery, and then press ENTER.

See Also

Creating Resource Galleries

Using Resource Galleries

Managing Site Structure and Workflow


Editing the Description of a Resource Gallery

After you create a resource gallery, you can edit its description.

To edit a resource gallery description

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, resource managers, channel managers, or template designers), and then click Start.
  3. In the Site Manager dialog box, click the Resource Gallery icon to display the resource gallery hierarchy.
  4. Right-click the resource gallery in which you want to edit the description, and then click Properties.
  5. In the <resource gallery name> Properties dialog box, on the General tab, do the following:
    Use this | To do this
    Name | The name appears. To edit this name, see Changing the Name of a Resource Gallery.
    Description | Type a description of up to 255 characters that makes the resource gallery easy to identify for MCMS Site Manager users. This description can briefly describe the type of content the resource gallery contains, and indicate which rights groups have rights in that gallery.
  6. In the <resource gallery name> Properties dialog box, click OK.

See Also

Creating Resource Galleries

Using Resource Galleries

Managing Site Structure and Workflow


Editing the Rights of a Resource Gallery

After you create a resource gallery, you can edit its rights.

To edit the rights for a resource gallery

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, resource managers, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, click the Resource Gallery icon to display the resource gallery hierarchy.
  4. Right-click the resource gallery in which you want to edit the rights, and then click Properties.
  5. In the <resource gallery name>Properties dialog box, click the Rights tab.
  6. On the Rights tab, click Modify.
  7. In the Select User Rights Groups for Gallery dialog box, in the Look In area, select the appropriate user role from the drop-down list. You can assign resource managers, authors, editors, and template designers to the resource gallery.
  8. In the Look In box, select the rights group and click Add. Or, to assign the resource gallery the same rights groups as its parent folder, click Add Parent's Rights. The rights group appears in the Selected Rights Groups box.
  9. Repeat steps 7 and 8 to assign rights groups for other roles to the resource gallery.
  10. In the Select User Rights for Gallery dialog box, click OK.
  11. In the <resource gallery name> Properties dialog box, click OK.

See Also

Using Resource Galleries

Creating Rights Groups

Editing Channel Properties

Managing Site Structure and Workflow


Copying and Moving a Template Gallery

You can copy or move an entire resource gallery and its contents. You can do this using cut and paste.

To copy or move a template gallery

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager. The Site Manager dialog box opens.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Template Gallery icon to display the template gallery hierarchy, and expand to the template gallery item you want to copy or move.
  4. Right-click the template gallery you want to copy or move. To copy the template gallery, click Copy. To move the template gallery, click Cut.
  5. Right-click the template gallery where you want to copy or move the template gallery to and click Paste.

See Also

Using Template Galleries

Managing Site Structure and Workflow


Deleting and Restoring a Template Gallery

Only administrators, channel managers, and template designers can delete and restore template galleries. When you delete a template gallery, Microsoft Content Management Server (MCMS) moves it to the Deleted Items container.

To delete a template gallery

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Template Gallery icon to display the template gallery hierarchy.
  4. Right-click the template gallery you want to delete, and then click Delete.

Items moved to the Deleted Items container are no longer in the MCMS hierarchy, but remain in the MCMS database. To remove an item from the database, and delete it permanently, the item must be deleted from the Deleted Items container. For more information, see Removing a Template Gallery.

To restore a template gallery

To make the template gallery available for use again, move it from the Deleted Items container back into the template gallery hierarchy.

See Also

Using Template Galleries

Managing Site Structure and Workflow


Removing a Template Gallery

Removing a template gallery removes it permanently from the system.

To remove a template gallery

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.

    In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.

  2. In the Site Manager window, in the left navigation pane, click the Template Gallery icon to display the template gallery hierarchy.
  3. Expand Deleted Items, right-click the template gallery you want to remove, and then click Delete.

See Also

Using Template Galleries

Managing Site Structure and Workflow


Copying and Moving a Template from a Template Gallery

You can copy or move a template from the template gallery.

To remove a template from a template gallery

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager. The Site Manager dialog box opens.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, template designers, or resource gallery managers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Template Gallery icon to display the template gallery hierarchy.
  4. Select the template gallery containing the template (or templates) that you want to copy or move.
  5. Right-click the template you want to copy or move. To copy the template click Copy. To move the template, click Cut.
  6. Right-click the template gallery where you want to copy or move the template and click Paste.

See Also

Using Template Galleries

Managing Site Structure and Workflow


Deleting and Restoring a Template from a Template Gallery

Only administrators, channel managers, and template designers can delete and restore pages from a resource gallery. When you delete an item from a resource gallery, it goes to the Deleted Items container.

To delete a template from a template gallery

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, template designers, or resource gallery managers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Template Gallery icon to display the template gallery hierarchy.
  4. Select the template gallery that contains the template (or templates) that you want to delete.
  5. Right-click the template item you want to delete, and then click Delete.

Items moved to the Deleted Items container are no longer in the Microsoft Content Management Server (MCMS) hierarchy, but remain in the MCMS database. To delete an item from the database, and remove it permanently, the item must be removed from the Deleted Items container. For more information, see Removing a Template from the Template Gallery.

To restore a template

To make the template available for use again, move it from the Deleted Items container back into the template gallery hierarchy.

See Also

Using Template Galleries

Managing Site Structure and Workflow


Removing a Template from a Template Gallery

Removing a template deletes it permanently from the system. Since this procedure permanently deletes templates from the Deleted Items container, a template must be deleted before it can be permanently removed.

To remove a template from the template gallery

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager. The Site Manager dialog box opens.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Template Gallery icon to display the template gallery hierarchy.
  4. Expand Deleted Items, right-click the template you want to remove, and then click Delete.

See Also

Using Template Galleries

Managing Site Structure and Workflow


Reverting a Template

You can revert template that you have made changes to back to one that to that was previously approved.

To revert to a previously approved template

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager. The Site Manager dialog box opens.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Template Gallery icon to display the template gallery hierarchy.
  4. Expand the Template Gallery, right-click the template you want to revert to, and then click Revert to Approved.

Note Site Manager does not provide a visual indicator when a template can be reverted. If the revert to approved is disabled, then that template cannot be reverted.

See Also

Using Template Galleries

Managing Site Structure and Workflow


Finding All Pages that Use the Same Template

You can search for all pages that use the same template by creating a dependent report.

To search for all pages that use the same template by creating a dependent report

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager. The Site Manager dialog box opens.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Template Gallery icon to display the template gallery hierarchy.
  4. Expand the template gallery, right-click the template you want to run a report for, and then click Dependent Report.

See Also

Using Template Galleries

Managing Site Structure and Workflow


Step 1: Naming and Describing a Template Gallery

When you create a template gallery for the first time, you need to name it and provide a description.

To create a template gallery

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, click the Template Gallery icon to display the template gallery hierarchy.
  4. Right-click the template gallery in which you want to create a new template gallery, point to New, and then click Gallery.
  5. In the New Template Gallery dialog box, do the following:
    Use this | To do this
    Name | Type a name that makes the new template gallery easy to identify. For example, if it contains templates for default content, name it Default Content.
    Description | Enter a description of up to 255 characters in the description box to make the template gallery easy to identify for content contributors. This description can briefly describe the type of content the template gallery contains, and indicate which rights groups have rights to it.

After naming and describing the new template gallery, go to Step 2: Assigning Rights Groups to a New Template Gallery.


Step 2: Assigning Rights Groups to a New Template Gallery

After you have finished creating template galleries, you can create rights groups and assign them to the template galleries. Assigning rights groups to the template gallery allows the rights group members access to the gallery. Make sure that you have already completed Step 1: Naming and Describing a Template Gallery before continuing with the following procedure.

Note If you have not created rights groups yet, go to Creating Rights Groups for information on creating rights groups.

To assign rights groups to a new template gallery

  1. In the New Template Gallery dialog box, click Select.
  2. In the Select User Rights Groups for Gallery dialog box, in the Look In area, select the appropriate user role from the drop-down list.
  3. In the Look In box, select the rights group and click Add. Or, to assign the template gallery the same rights groups as its parent folder, click Add Parent's Rights. The rights group appears in the Selected Rights Groups box.
  4. Repeat steps 2 and 3 to assign rights groups for other roles to the template gallery.
  5. In the Select User Rights for Gallery dialog box, click OK.
  6. In the New Template Gallery dialog box, click OK.

See Also

Using Template Galleries

Creating Rights Groups

Managing Site Structure and Workflow


Changing the Name of a Template Gallery

You can change the name of a template gallery the same way you change a file name in any Microsoft Windows environment.

To change the name of a template gallery

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, resource managers, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Template Gallery icon to display the template galleries hierarchy.
  4. Right-click the template gallery for which you want to change the name, and select Rename.
  5. Type a new name for the template gallery, and then press ENTER.

See Also

Using Template Galleries

Managing Site Structure and Workflow


Editing the Description of a Template Gallery

After you create a template gallery, you can edit its description.

To edit a template gallery description

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the Site Manager window, click the Template Gallery icon to display the template gallery hierarchy.
  4. Right-click the template gallery in which you want to edit the description, and then click Properties.
  5. In the <template gallery name>Properties dialog box, on the General tab, do the following:
    Use this | To do this
    Name | The channel name appears. You cannot edit this name.
    Description | Type a description of up to 255 characters that makes the template gallery easy to identify for MCMS Site Manager users. You can use this description to briefly describe the type of content the template gallery will contain, and indicate which rights groups have rights in that gallery.
  6. In the <template gallery name> Properties dialog box, click OK.

See Also

Using Template Galleries

Managing Site Structure and Workflow


Editing the Rights of a Template Gallery

After you create a template gallery, you can edit its rights.

To edit the rights for a template gallery

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with site-management credentials (MCMS administrators, channel managers, or template designers), and then click Start.
  3. In the Site Manager dialog box, click the Template Gallery icon to display the template gallery hierarchy.
  4. Right-click the template gallery in which you want to edit the rights, and then click Properties.
  5. In the < template gallery name>Properties dialog box, click the Rights tab.
  6. On the Rights tab, click Modify.
  7. In the Select User Rights Groups for Gallery dialog box, in the Look In area, select the appropriate user role from the drop-down list.
  8. In the Look In box, select the rights group and click Add. Or, to assign the template gallery the same rights groups as its parent folder, click Add Parent's Rights. The rights group appears in the Selected Rights Groups box.
  9. Repeat steps 7 and 8 to assign rights groups for other roles to the template gallery.
  10. In the Select User Rights for Gallery dialog box, click OK.
  11. In the < template gallery name> Properties dialog box, click OK.

See Also

Using Template Galleries

Creating Rights Groups

Managing Site Structure and Workflow


Step 1: Creating a Rights Group

In this step, you create and name a new rights group.

To create a rights group

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. Log on to the Site Manager.
  3. In the Site Manager window, click User Roles.
  4. Under User Roles, right-click one of the roles (for example, the Subscribers user role), and then click New Rights Group.
  5. Right-click New Rights Group, click Rename, enter a name for the rights group that makes it easy to identify, and then press ENTER. For example, if the rights group is for authors who will create content related to small business, name it Small Business Authors.

    Note Microsoft Content Management Server (MCMS) disallows duplicate names of rights groups. For more information about which characters to use when naming rights groups, see Naming Conventions and Limitations.

  6. Right-click the new rights group, and then click Properties.
  7. In the <rights group name> Properties dialog box, for Description, enter a description of up to 256 characters for the rights group. This description should indicate which containers the rights group has rights to.

After you have created the rights group, proceed to Step 2: Adding Members to a Rights Group.


Step 2: Adding Members to a Rights Group

Once a rights group is created, the next step is to add members. If you have not created a rights group yet, go to Step 1: Creating a Rights Group.

To add members to a rights group

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. Log on to the Site Manager.
  3. In the Site Manager window, click User Roles.
  4. In the User Roles section, click the user role that contains the rights group to which you want to add members. For example, if you want to add members to the Small Business Authors rights group, click the Authors user role.
  5. Right-click the rights group to which you want to add members, and then click Properties.
  6. In the <rights group name> Properties dialog box, click the Group Members tab.

    Note If new users were recently created on the Microsoft Windows NT® domain, click Synchronize to update the list of users. It might take up to 10 minutes for new users to appear in the list.

  7. On the Group Members tab, click Modify.
  8. In the NT Domains section, select a domain.

    Note You cannot view users from a non-trusted Microsoft Windows NT® domain with Microsoft Content Management Server (MCMS). For example, if MCMS is in Domain A and you want to add users from Domain B, you must create a new account in both domains, and give them identical names and passwords. Then change the MCMS system account name to match the new user (for example, Domain A\MCMS_SYSTEM).

  9. For Group or User Name, enter the name of the rights group, and then click Add. The group moves to the Rights Groups Members section.

    To add individual members of a rights group, enter the name of the rights group in the Group or User Name box, and then click Members.

  10. In the NT Group Members dialog box, select the check box beside the name of a user to add them to the rights group. When finished, click OK.
  11. In the Modify Members dialog box, click OK.
  12. In the <rights group name> Properties dialog box, click OK.

After you have added members to the rights group, proceed to Step 3: Assigning Rights Groups to Containers.


Step 3: Assigning Rights Groups to Containers

Once a rights group has been created and members have been added to it, the next step is to choose which containers those members will work in. If you have not created a rights group yet, go to Step 1: Creating a Rights Group

Subscription rights to a container are automatically set when a rights group is assigned to any container. This allows the rights group members to view items in the container.

Note Ensure that subscribers have the proper rights configuration to view items in a container. If subscribers do not have rights to the parent container, then they cannot view items in the sub-containers, even if they are granted rights to the sub-containers.

To assign a rights group to a container

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. Log on to the Site Manager.
  3. In the Site Manager window, click User Roles, right-click the rights group for which you want to assign one or more containers to, and then click Properties.
  4. In the <rights group name> Properties dialog box, click the Group Rights tab. The tab displays a list of hierarchies for the containers to which the rights group can be assigned.

    Note To get more information about a particular container to help decide if you should assign it to a rights group, right-click the container and select Properties, then click the Rights tab. The tab displays a list of rights groups already assigned to the container.

  5. Assign at least one appropriate container from each category displayed on the Group Rights tab in either of the following two ways:
    • To assign one container to a rights group, click the name of a container you want to assign to the rights group. The X beside the container name changes to a check mark.
    • To assign a container and all of its subcontainers (children) to a rights group, right-click the container and select Propagate Rights to Children. Each X beside the container and its children changes to a check mark.

      Note Any changes you make on the Group Rights tab will take effect immediately and disable the Cancel button. To undo your changes, you must manually re-assign containers to rights groups.

  6. Click OK.

    Note Once a container has been assigned to a rights group, the users in that rights group are automatically subscribed to that container.

You have now completed the process of creating rights groups and assigning permissions to containers, which enables users to work in the appropriate MCMS workspaces.

See Also

Creating Containers

Getting Started

Concepts and Architecture


Active Directory Nested Groups and Logon Conventions

There is limited support for Microsoft Active Directory nested groups on domains running in native mode. You can log on to Microsoft Content Management Server (MCMS) as members of a subgroup if its parent group is granted rights to MCMS, but you cannot expand the nested group.

Distinguished names (DN) are displayed only if they cannot be converted from domain names to canonical format due to network problems. Otherwise, domains (and only domains) are displayed in canonical format For example, if you selected woodgrovebank.com as your domain and woodgrovebank.com/Users as your container in the Server Configuration Application (SCA), you would see woodgrovebank.com in the domain list when logging on.

Users can specify their logon as follows:

Domain Selected | User Name Format | Example
Windows NT 4.0 format | User logon | WinNT://Microsoft/jsmith
Active Directory domain - distinguished name format Relative distinguished name Depends on how the user was created in Active Directory.

The format can be user logon if first name and last name are not specified, or it can be first name, middle name, and last name.
Active Directory domain — canonical format You can also log on directly using the UPN format (jsmith@domain.com) and bypass selecting a domain.

jsmith@woodgrovebank.com

See Also

Creating Rights Groups

Authentication and Authorization Concepts


Removing Users from MCMS

If a Microsoft Content Management Server (MCMS) user has been removed from the Microsoft Windows 2000 domain (shown as the Microsoft Windows NT® domain on the dialog box), the user name will remain in the MCMS database but the user will no longer be able to log on to MCMS.


Revision Histories

A revision history is the collection of all page revisions in the Microsoft Content Management Server (MCMS) Content Server. A page revision is a separate page object that is a duplicate of the most recently approved page that is stored in the database when the content or shared properties of that page have been modified and subsequently reapproved by an editor.

A resource revision is a separate resource object that is a duplicate of the resource that was stored in the database just before the original resource was replaced with new content.

For Revision histories display
Unapproved page revisions

  • The date and time the page was last modified
  • The page status
Approved revisions

  • The date and time the page revision was originally approved or the resource revision was originally created
  • The type of revision (page or resource)
  • The name of the person who approved the revision

For both approved and unapproved revisions, you can preview and compare one version to another version. Revision histories cannot be exported.

The number of versions that can be stored is limited only by the size of your database. There is no option to automatically delete versions or to stop the creation of new versions. While the system resources required to create a version are not significant, be careful that you do not repeatedly replace large resources with subsequent versions because the generated versions will remain in the database until they are cleared.


Clearing Revisions by Time Stamp

Administrators can permanently delete all revisions that were made before a date and time specified using the Microsoft Content Management Server (MCMS) Site Manager. The default value for the date is three months in the past. You can delete revisions by date criteria only.

Deleted revisions are deleted from the entire site. You cannot delete them from selected pages.

To clear revisions by time stamp

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager. Log on to the Site Manager if it is required.
  2. In the MCMS Site Manager window, click the Tools menu, and then click Clear Revision History.
  3. In the Clear Revisions dialog box, in the Date and Time drop-down list, select the month, day, and time. All revisions approved before the selected date will be cleared.
  4. Click Clear. In the confirmation dialog box, click Yes.

The revision tracking feature deletes all revisions made before the date and time you specified.

See Also

Revision Histories

Managing Site Structure and Workflow

Getting Started

Concepts and Architecture


Best Practices for Authentication for Mixed Sites

Depending on the design of your site and the needs of your organization, you may need to take a staged approach to migration that relies on a mixed site; a site consisting of ASP-based and ASP.NET-based applications. ASP-based and ASP.NET-based applications can run side-by-side on a server. It is possible to have one area of an application running ASP and another area of the same application running ASP.NET.

While you can use mixed sites, implementing ASP.NET throughout your site is highly recommended. A mixed ASP-based and ASP.NET-based solution increases the complexity of your site and potentially impacts coding time, management costs, and overall site usability. However, a mixed site approach to migration may be beneficial if you have a complex site with a large amount of ASP-based code that you cannot port all at once due to resource constraints. Before deciding on a mixed site, there are several migration issues of which you should be aware.

Limit customization opportunities

Standardize the event model

Ensure application contexts are compatible

Ensure authentication models are compatible


Best Practices for Authentication for Web Farms

This topic describes two authentication issues particular to Web farms — the importance of synchronizing server keys and sharing encryption key values across the Web farm. Also described are the best practices for configuring local users and groups across Web farms.

Synchronizing server keys

Sharing encryption keys

Best practices for configuring local users and groups across Web farms


Step 1: Configuring Anonymous Authentication in IIS

This step describes the procedure to configure Anonymous authentication in Microsoft Internet Information Services (IIS).

To configure Anonymous authentication in IIS

  1. Click Start, point to Programs, point to Administrative Tools, and then click Internet Services Manager.
  2. In Internet Information Services, expand the domain node in which your application is stored, and then click Default Web Site.
  3. In the right pane, browse to your MCMS Web application.
  4. Right-click the virtual directory where your MCMS applications are stored, and then click Properties.
  5. In the Properties dialog box, on the Directory Security tab, in the Anonymous access and authentication control section, click Edit.
  6. In the Authentication Methods dialog box, select Anonymous access, ensure that the other Windows check boxes are not checked, and then click Edit.
  7. In the Anonymous User Account dialog box, click Browse.
  8. In the Select User dialog box, in the Look in section, select your computer from the drop-down list.
  9. In the Name/In Folder box, select the user IUSR_<computername>, and then click OK.
  10. In the Anonymous User Account dialog box, select Allow IIS to control password, and then click OK.
  11. In the Authentication Methods dialog box, click OK.
  12. In the Properties dialog box, click OK.

You have configured anonymous authentication. Proceed to Step 2: Implementing Secure Sockets Layer.

See Also

Forms-Based Authentication


Step 2: Creating and Administering Server Certificates

Use the following procedure to create and administer server certificates.

To create and administer server certificates

  1. Click Start, point to Programs, point to Administrative Tools, and then click Internet Services Manager.
  2. In Internet Information Services, expand the domain node in which your application is stored, and then click Default Web Site.
  3. In the right pane, browse to your MCMS Web application.
  4. Right-click the Default Web site where your MCMS applications are stored, and then click Properties.
  5. In the Default Web Site dialog box, on the Directory Security tab, in the Secure communications section, select Server Certificate.
  6. To create a new certificate, in the Welcome to the Web Server Certificate Wizard, assign an existing certificate or import a certificate from a backup file, and then click Next.
  7. Complete the IIS Web Server Certificate Wizard, entering information as required.
  8. Deploy the client certificate to the client workstation. There are different methods of doing this, ranging from a Web deployment to installing the certificate from a CD-ROM. For information about deploying certificates, go to http://go.microsoft.com/fwlink/?LinkId=86 and search for "Export Certificate".

Note For information about mapping public key certificates to Windows 2000 user accounts, including certificate mapping rules, go to http://go.microsoft.com/fwlink/?LinkId=9689.

You have configured certificate authentication. You can now configure settings in the Server Configuration Application (SCA).

See Also

Certificate Authentication

Using the Server Configuration Application


Step 1: Creating Active Directory Users

Use the following procedure to create Active Directory users for each type of access.

To create the MCMS system account and the MCMS initial administrator

  1. On the Microsoft Windowsdomain controller computer, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.
  2. In the Computer Management window, expand Local Users and Groups, right-click Users, and then click New User.
  3. In the New User dialog box, do the following:
    Use this | To do this
    User name | Type the name.
    Password | Type the password.
  4. Click Create, and then click Close.
  5. Repeat steps 2 and 3 for the each type of access. When complete, click File, and then click Exit.

You have created the Windows user accounts. Proceed to Step 2: Creating MCMS Subscriber Groups.

See Also

Custom Authentication


Step 2: Creating MCMS Subscriber Groups

Create MCMS subscriber groups in Site Manager for each type of access, and add each Active Directory user to the corresponding subscriber group. For more information about creating subscriber groups, see Creating Rights Groups.

After you have created the subscriber groups, proceed to Step 3: Configuring Forms-Based Authentication.

See Also

Custom Authentication


Step 3: Configuring Forms-Based Authentication

Configure ASP.NET Forms-based authentication for the application. For information about Forms-based authentication, see Forms-Based Authentication.

After you have configured Forms-based authentication, proceed to Step 4: Modifying the Logon Page.

See Also

Custom Authentication


Step 4: Modifying the Logon Page

Add code to the logon page you created in Step 3: Configuring Forms-Based Authentication so that it does the following:

  1. Gets external credentials from the form.
  2. Verifies the external credentials against the external authority.
  3. Maps the external user to an Active Directory user.
  4. Retrieves the Active Directory user's password.
  5. Authenticates the user to Microsoft Content Management Server (MCMS), using AuthenticateAsUser.

    The following example code shows a function that maps an external user to an Active Directory user and then authenticates the Active Directory user to MCMS.

    Note When you create the functions MappedServerAccount and RetrieveAccountPassword, be sure to follow security best practices. For information about security best practices, go to http://go.microsoft.com/fwlink/?LinkId=9531.

private bool AuthenticateMappedClientAccount( string clientAccountName, string clientAccountType )
{
    string serverAccountName;
    string serverAccountPassword;
    // map the client to an Active Directory user
    // to do: create the function MappedServerAccount
    serverAccountName = MappedServerAccount( clientAccountName, clientAccountType )
    // retrieve Active Directory password
    // to do: create the function RetrieveAccountPassword
    serverAccountPassword = RetrieveAccountPassword( serverAccountName );
    CmsAuthenticationTicket ticket = CmsFormsAuthentication.AuthenticateAsUser( serverAccountName, serverAccountPassword, clientAccountName, clientAccountType );
    if ( ticket != null )
    {
        // parameters: CmsAuthenticationTicket, setAspNetCookie, createPersistentCookie
        CmsFormsAuthentication.RedirectFromLoginPage( ticket, true, false );
        return true;
    }
    else
    {
        return false;
    }
}

You have configured custom authentication. You can now configure settings in the Server Configuration Application (SCA).

See Also

Custom Authentication

Using the Server Configuration Application


Step 1: Configuring Anonymous Authentication in IIS

This step describes the procedure to configure Anonymous authentication in Microsoft Internet Information Services (IIS).

To configure Anonymous authentication in IIS

  1. Click Start, point to Programs, point to Administrative Tools, and then click Internet Services Manager.
  2. In Internet Information Services, expand the domain node in which your application is stored, and then click Default Web Site.
  3. In the right pane, browse to your MCMS Web application.
  4. Right-click the virtual directory where your MCMS applications are stored, and then click Properties.
  5. In the Properties dialog box, on the Directory Security tab, in the Anonymous access and authentication control section, click Edit.
  6. In the Authentication Methods dialog box, select Anonymous access, ensure that the other Windows checkboxes are clear, and then click Edit.
  7. In the Anonymous User Account dialog box, click Browse.
  8. In the Select User dialog box, in the Look in section, select your computer from the drop-down list.
  9. In the Name/In Folder box, select IUSR_<computername>, and then click OK.
  10. In the Anonymous User Account dialog box, select Allow IIS to control password, and then click OK.
  11. In the Authentication Methods dialog box, click OK.
  12. In the Properties dialog box, click OK.

IIS is now configured. Proceed to Step 2: Creating and Administering Server Certificates.

See Also

Certificate Authentication


Step 2: Implementing Secure Sockets Layer

Secure Sockets Layer (SSL) is a scheme for protocols such as HTTP (named HTTPS when secure), FTP, and Network News Transfer Protocol (NNTP). When you use SSL to transmit data:

  • The data is encrypted.
  • A secure connection is established between the source and destination servers.
  • Server authentication is enabled.

To implement SSL, you need to acquire a digital certificate and install it on your server. Use the following procedure to acquire a digital certificate.

To acquire a digital certificate

  1. Click Start, point to Programs, point to Administrative Tools, and then click Internet Services Manager.
  2. In Internet Information Services, expand the domain node in which your application is stored, and then click Default Web Site.
  3. In the right pane, browse to your MCMS Web application.
  4. Right-click the Default Web site where your MCMS applications are stored, and then click Properties.
  5. In the Default Web Site dialog box, on the Directory Security tab, in the Secure communications section, select Server Certificate.
  6. To create a new certificate, in the Welcome to the Web Server Certificate Wizard, assign an existing certificate or import a certificate from a backup file, and then click Next.
  7. Complete the IIS Web Server Certificate Wizard, entering information as required.

You have enabled SSL. Proceed to Step 3: Creating a Logon Page.

See Also

Forms-Based Authentication


Step 3: Creating a Logon Page

Use the following procedures to create, design, and code a logon page for both the Microsoft Content Management Server (MCMS) Web Author and Authoring Connector Web applications.

Note A custom manual logon page, called ManualLogin.aspx, is available with the WoodgroveNet sample site, and is located at <InstallDrive>:/Program Files/Microsoft Content Management Server/Sample data/WoodgroveNet/Templates. You must have the WoodgroveNet sample site installed in order to view the ManualLogin.aspx page. For more information about installing sample sites, see "Installing the WoodgroveNet Sample Site" in the Installation Guide at http://go.microsoft.com/fwlink/?LinkId=9918.

To create a logon page

To design the logon page

To add the code to the logon page

To create a logon page

  1. Click Start, point to Programs, Microsoft Visual Studio .NET, and then click Microsoft Visual Studio .NET.
  2. On the File menu, point to Open, and then click Project.
  3. In the Open Project window, browse to your Web application and double-click the solution file.
  4. In the Solution Explorer window, select your Web application.
  5. On the File menu, click Add New Item.
  6. In the Add New Item window, in the Categories pane, select Web Project Items, and in the Templates pane, select Web Form.
  7. In the Name box, type MyLogonPage.aspx, and then click Open to open the file for editing.

    Note The Web.config <authentication> tag uses the name MyLogonPage.aspx to find the logon page.

  8. In the Properties window, scroll down to the pageLayout property.
  9. In the corresponding drop-down list, change the layout from GridLayout to FlowLayout.

To design the logon page

  1. In Visual Studio .NET, in the MyLogonPage.aspx page you created in the previous procedure ("To create a logon page"), type the following:

LABEL
Name: (MyDomain/MyUsername)
Password:
BUTTONS
  2. In the Toolbox window, on HTML tab, drag and drop a Label control next to the text LABEL, and then delete the text LABEL.
  3. In the Properties window, in the Text box, type Please enter your username and password.
  4. In the Toolbox window, on the HTML tab, drag and drop a Text Field control next to the text Name (MyDomain/MyUsername).
  5. In the Toolbox window, on the HTML tab, drag and drop a Password Field next to the text Password.
  6. In the Toolbox window, on the HTML tab, drag and drop a Reset Button and a Submit Button next to the text BUTTONS, and then delete the text BUTTONS.
  7. Right-click each of the controls dropped onto the page, and then click Run As Server Control.

To add the code to the logon page

  1. Double-click Submit to generate the Submit1_ServerClick event handler and open the code-behind page MyLogonPage.aspx.cs for editing.
  2. Add the following code to the Submit1_ServerClick event handler:

CmsAuthenticationTicket ticket;
ticket = CmsFormsAuthentication.AuthenticateAsUser(strServerAccount,
    strServerPassword,
    txtUserName.Text,
    "FirstName");
if( ticket != null )
{
    string strReturnUrl = Request.QueryString["ReturnUrl"];
    CmsFormsAuthentication.SetAuthCookie(ticket, true, false);
    StringBuilder strUrl = new StringBuilder();
    strUrl.Append("http://");
    strUrl.Append(Environment.MachineName);
    strUrl.Append(strReturnUrl);
    Response.Redirect(strUrl.ToString());
}
else
{
    Label1.Text = "Your username or password are incorrect. Please re-enter your username and password.";
}
  3. Add the following code to the Page_Load handler:

if(!Request.IsSecureConnection)
{
    StringBuilder strSSL = new StringBuilder();
    strSSL.Append("https://");
    strSSL.Append(Environment.MachineName);
    strSSL.Append("/");
    strSSL.Append(Request.Url.PathAndQuery);
    Response.Redirect(strSSL.ToString());
}
  4. On the File menu, click Save All to save your changes.
  5. On the Build menu, click Build Solution to build the Web application.

The logon page is created, designed, and coded. Proceed to Step 4: Modifying the Web.config File in the Web Application.

See Also

Forms-Based Authentication


Step 4: Modifying the Web.config File in the Web Application

This step shows how to configure the <forms>, the <authentication>, and the <authorization> tags in the Web.config file for Forms-based authentication for both the Microsoft Content Management Server (MCMS) Web Author and MCMS Authoring Connector.

The procedure to create a Forms-based logon page for Authoring Connector is similar to the procedure for creating a Forms-based logon page for the Web Author, except that you make the necessary changes in the Web.config file for Authoring Connector, which is located at <InstallDrive>/Program Files/Microsoft Content Management Server/Server/MCMS. The manual logon page will be displayed in the Authoring Connector Wizard. With these changes, users are directed to a logon page to provide credentials, and only authenticated users can access the application.

If you are configuring Forms-based authentication for Authoring Connector, follow the first procedure to create a separate Web.config file for Authoring Connector. If you are configuring Forms-based authentication for your Web site, proceed to the second procedure To configure the Web.config file for Forms-based authentication.

To create a Web.config file for Authoring Connector

To configure the Web.config file for Forms-based authentication

To create a Web.config file for Authoring Connector

  1. Click Start, point to Programs, point to Accessories, and then click Windows Explorer.
  2. Navigate to <InstallDrive>:/Program Files/Microsoft Content Management Server/Server/MCMS/.
  3. Right-click Web.config, and then click Copy.
  4. Navigate to <InstallDrive>:/Program Files/Microsoft Content Management Server/Server.
  5. Right-click Server, point to New, and then click Folder. While the new folder name is still selected, type ACWebApplication.
  6. Right-click ACWebApplication, and then click Paste.
  7. Click Start, point to Programs, point to Administrative Tools, and click Internet Services Manager.
  8. Right-click Default Web Site, point to New, and then click Virtual Directory.
  9. In the Virtual Directory Creation Wizard, click Next.
  10. On the Virtual Directory Alias page, in the Alias box, type ACWebApplication, and then click Next.
  11. On the Web Site Content Directory page, click Browse.
  12. Navigate to the directory <InstallDrive>:/Program Files/Microsoft Content Management Server/Server/ACWebApplication, and then click Next.
  13. On the Access Permissions page, select the Read, Run scripts, and Execute checkboxes, click Next, and then click Finish.
  14. In the Internet Information Services window, right-click ACWebApplication, point to New, and then click Virtual Directory.
  15. In the Virtual Directory Creation Wizard, click Next.
  16. On the Virtual Directory Alias page, in the Alias box, type MCMS, and then click Next.
  17. On the Web Site Content Directory page, click Browse.
  18. Navigate to the directory <InstallDrive>:/Program Files/Microsoft Content Management Server/Server/IIS_CMS, and then click Next.
  19. On the Access Permissions page, select the Read, Run scripts, Execute checkboxes, click Next, and then click Finish.

Use the following procedure to configure the Web.config file for Forms-based authentication.

To configure the Web.config file for Forms-based authentication

  1. Click Start, point to Programs, Microsoft Visual Studio .NET, and then click Microsoft Visual Studio .NET.
  2. On the File menu, point to Open, and then click Project.
  3. In the Open Project window, browse to your Web application or your Authoring Connector Web application and double-click the solution file.
  4. In the Solution Explorer window, double-click the Web.config file to open it for editing.
  5. Replace the existing <authentication> tag in the Web.config file with the following code:

<authentication mode="Forms">
    <forms name="MyCookieName" path="/" logonUrl="MyLogonPage.aspx" protection="All" timeout="30" >
    </forms>
</authentication>

    If you are building a logon page for Authoring Connector, replace <authentication> tag in the Web.config file with the following code:

<authentication mode="Forms">
<forms name="MyCookieName" path="/" loginUrl="/WoodgroveNet/Templates/ManualLogon.aspx" protection="All"  timeout="30" >
...</forms>
</authentication>
  6. Replace the existing <authorization> tag in the Web.config file with the following code:

<authorization>
    <allow users="*" />
</authorization>
  7. On the File menu, click Save All to save your changes.
  8. On the Build menu, click Build Solution to build the Web application.

Note If an unauthenticated user attempts to view a posting and your Web.config file is set up to deny anonymous users, that user will be redirected to an automatic logon page to be authenticated as an MCMS user based on their profile. After the user is authenticated, that user will then be redirected to the posting. However, if that user does not have rights to view that page, the user will be redirected again, to the logon page. There is potential for an infinite authentication loop with AutoLogon.aspx.

The Web.config file is modified. You can now configure the cookie settings on the Web site. Also, you can now enable guest access on the Web site.

See Also

Forms-Based Authentication

Setting Cookie Properties

Enabling Guest Access


Configuring Intranet Sites

Internal sites, such as corporate intranets, do not allow anonymous access. Users must be authenticated to access any part of the site. Some parts of the site may only be accessible by a limited number of users, and some groups may have access to only a few of those sections. Typically, simple internal sites have the following characteristics:

  • They use Integrated Microsoft Windowsauthentication.
  • They work inside a firewall.
  • They support a single browser type.
  • They have some authoring done on them from within the production site.
  • All templates use the same authentication model even if they are used by different Web applications.

An internal site has a database on a different computer than the one running the production server and is configured for authoring by internal users. Content is deployed to the live site using site deployment scripts.

For an internal section of a mapped site, access must be configured in three locations: Microsoft Internet Information Services (IIS), the ASP.NET web.config file, and the MCMS Server Configuration Application.

See Also

Configuring Extranet Sites

Configuring Internet Sites

Recommended Configurations for Authentication

Windows Authentication


Configuring Extranet Sites

Microsoft Content Management Server (MCMS) extranet sites, such as the WoodgroveNet sample site, use Forms-based authentication and have specific sections of the site configured for guest or anonymous access. Because no authentication is performed for read-only access for public areas of the site, users do not have to log on to the site. Privileged users to the site are provided with an identity from Active Directory directory service and are assigned a password to use for logging on to the site, or they are issued a certificate.

Typically, extranet sites have the following characteristics:

  • They support multiple types of browsers.
  • They work outside a firewall.
  • They have no authoring done on them from the production site.
  • They can use a non-Active Directory profile service such as Microsoft Passport or Microsoft Commerce Server profiling for personalization.
  • They have restricted access sections that are only readable by partners and privileged users.
  • They have private sections with privileged content that is protected using MCMS 2002 rights groups.

There are three different methods for configuring authentication on a simple external site — Forms-Based Authentication, Certificate Authentication, and Custom Authentication.

See Also

Configuring Intranet Sites

Configuring Internet Sites

Recommended Configurations for Authentication


Configuring Internet Sites

A site with guest-only authentication (Anonymous authentication) is public and contains no logon page unless profiling is enabled on your site.

Since Microsoft Internet Information Services (IIS) is set to Anonymous authentication, you do not need to reconfigure IIS. However, the ASP.NET Web.config file contains Forms-based authentication; therefore, you will need to modify the MCMS authorization module in the Web.config file.

Use the following procedure to modify the Web.config file.

To configure a public site by modifying the Web.config file

  1. The ASP.NET Web.config file is Forms-based. For guest-only access, you need to remove the MCMS authorization module by deleting the following code from the Web.config file:

 <add type="Microsoft.ContentManagement.Web.Security.CmsAuthorizationModule, Microsoft.ContentManagement.Web, Version=5.0.1200.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" name="CmsAuthorizationModule" />
  2. Next, you need to specify an existing account on a supported domain to use as the guest account, and add this account to the subscribers rights group. For more information, see Managing User Access and Enabling Guest Access.

See Also

Configuring Intranet Sites

Configuring Extranet Sites

Recommended Configurations for Authentication


Step 1: Configuring Integrated Windows Authentication in IIS

This step describes how to configure Integrated Windows authentication in Microsoft Internet Information Services (IIS).

To configure Integrated Windows authentication in IIS

  1. Click Start, point to Programs, point to Administrative Tools, and then click Internet Services Manager.
  2. In Internet Information Services, expand the domain node in which your application is stored, and then click Default Web Site.
  3. In the right pane, browse to your MCMS Web application.
  4. Right-click the Default Web site where your MCMS applications are stored, and then click Properties.
  5. In the Properties dialog box, on the Directory Security tab, in the Anonymous access and authentication control section, click Edit.
  6. In the Authentication Methods dialog box, select Integrated Windows authentication, ensure that the other Windows checkboxes are not checked, and then click OK.

IIS is configured for Integrated Windows authentication. Proceed to Step 2: Modifying the Web.config File in the Web Application.

See Also

Windows Authentication


Step 2: Modifying the Web.config File in the Web Application

This step describes how to access the Web.config file for your application, and configure the <windows>, the <authentication>, and the <authorization> tags in order to support Integrated Windows authentication.

Note This step presumes that you have already enabled an MCMS project in Microsoft Visual Studio.NET and have a previously modified Web.config file.

To configure the Web.config file for Integrated Windows authentication

  1. Click Start, point to Programs, point to Microsoft Visual Studio .NET, and then click Microsoft Visual Studio .NET.
  2. On the File menu, point to Open, and then click Project.
  3. In the Open Project window, browse to your Web application and double-click the solution file.
  4. In the Solution Explorer window, double-click the Web.config file to open it for editing.

    Replace the existing <authentication> tag in the Web.config file with following code:

<authentication mode="Windows" />
  5. Replace the existing <authorization> tag in the Web.config file with the following code:

   <authorization>
      <deny users="?" />
   </authorization>
  6. On the File menu, click Save All to save your changes.
  7. On the Build menu, click Build Solution to build the Web application.

The Web.config file is modified. You can now configure settings in the Server Configuration Application (SCA), such as disabling guest access on the Web site.

See Also

Windows Authentication

Using the Server Configuration Application


Exporting Objects

The system administrator exports object to the destination server. An object can be a container such as a channel, gallery, or user role, or an item such as a page, resource, template, or rights group.

To select objects and rights options

To preview and print the export preview report

To start export, print the export report, and save the export profile

To select objects and rights options

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager login dialog box, log in as the administrator, and then click Start.
  3. In the Site Manager screen, from the Tools menu, click Options and then do the following:
    Use this | To do this
    Show warning before sending to Deleted Items bin | Select this option to have a warning notice appear before channel items are sent to the deleted bin.
    Enable Limited Export notice | Select this option to have a limited export package notice appear before exporting.
    Enable Expanded Export notice | Select this option to have an expanded export notice appear before exporting.
    Enable Preview Export prompt | Select this option to have a preview export notice appear before exporting.
  4. After you select the options you want, click OK.
  5. In the Site Manager screen, from the File menu, point to Package, and then click Export. The following figure shows the Site Deployment Export screen.

    Site Deployment Export screen

  6. On the Item Selection tab, select Export Containers Only if you want only containers exported.
  7. In the Choose Objects for Export section, select the objects and then do the following:
    Use this | To do this
    Include | Select this option to include the selected objects for the export process.
    Exclude Select this option to exclude the selected objects from the export process.

    Note You can exclude the children of selected container objects, but you cannot exclude objects that are dependent objects of objects being exported.
  8. In the Included and Excluded Export Objects section, select an object for removal by clicking on the object, and then click Remove.
  9. In the Site Deployment Export screen, on the Rights Options tab, in the Rights Groups Security section, do the following:
    Use this To do this
    Export Rights Groups Select this option to export the rights groups without exporting the export users assigned to the containers.

    Note When you select this option, the Export Users check box becomes available.
    Export Users Select this option to export the users (members of rights groups) with the exported Rights Groups. In order for exported users to have access to the imported objects, they must exist on the domain of the destination system.

    Note This check box is available only if the Export Rights Groups check box is selected.

    Clear the Export Users check box to preserve security by not exporting user information when the source and destination servers do not share domains.

Note You can export MCMS 2002 rights groups with or without the members of the rights groups. If the destination server and the source server use a common domain, you can export both the rights groups and the rights group members that have been assigned to the object file being exported. If the domains are different, it is recommended that you do not export members.

To preview and print the export preview report

  1. From the Site Deployment Export screen, click Report, and then click Export Preview.
  2. In the Export Preview Report screen, click File menu, and then click Print to print the export preview report.

    Note You should compare the Export Preview report to the Export Report for any discrepancies.

  3. On the File menu, click Close to exit the Export Preview Report.

To start export, print the export report, and save the export profile

  1. In the Site Deployment Export screen, on the Item Selection tab, type the file path name of the .sdo file created in the Export to File (.sdo) text box or click Browse to select the location of the file, and then in the Save As dialog box, click Save.

    Note All of the contents of any container in the Included and Excluded Export Objects box will be exported, unless you select the child objects (that is, channels or pages) for exclusion. The parent containers for selected objects are not automatically exported.

  2. In the Site Deployment Export screen, click Export to begin the export process.

    Note The export completed dialog box indicates that the object file was created successfully.

    An error message appears if the export was not successful.

    You can cancel the export operation at any time. The cancel process may not occur immediately.

  3. In the export completed dialog box, click Show Report.
  4. In the Export Report screen, click File, and then click Print.

    Note After you print the Export Report, compare it to the Export Preview Report to see if there are any discrepancies (for example, an object has been deleted that you planned to export).

  5. To close the Export Report screen, click File, and then click Close.
  6. In the Site Deployment Export dialog box, click File, and then click Save Export Profile.
  7. In the Save Export Profile dialog box, select the directory to which you will save the export profile, enter a name for the profile, and then click Save.

    Note The saved MCMS Export Profile has the file extension .sdo.


Importing Objects

The system administrator uses Site Manager to control the import of object files (Web content) to the destination server. For example, after the containers are imported, the rights assigned to those containers come from either the destination server or the import file. An object can be a container such as a channel, gallery, or user role, or an item such as a page, resource, template, or rights group.

Note Before you import objects, back up the Microsoft SQL Server database on the destination server to prevent data loss. For more information about SQL Server backup and restore, see http://go.microsoft.com/fwlink/?LinkId=9512.

To select container rules, rights groups, and orphaned objects

To generate an import report

To start the import process

To select container rules, rights groups, and orphaned objects

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager login dialog box, log in as the system administrator, and then click Start.
  3. From the File menu, point to Package, and then click Import. The Site Deployment Import screen appears.

    Site development import box

  4. On the Container Rules tab, in the When Adding Containers section, do the following:
    Use this | To do this
    Inherit destination parent rights | Select this option when to adopt the security configuration from the destination server. Imported containers inherit the privileges assigned to the parent container on the destination system.
    Use package container rights | Select this option to import the containers in the object file and the rights group assigned to them. The security settings from the source system are retained. If a rights group does not exist in the destination system, they are removed from the container rights.
    Leave container rights list empty | Select this option if you want containers to be created on the destination server with no access rights. The containers in the object file are imported with no user rights group assigned to them.
  5. On the Container Rules tab, in the When Replacing Containers section, do the following:
    Use this | To do this
    Inherit destination parent rights | Select this option if you want the replaced containers to inherit the users assigned to the parent container on the destination system.
    Replace with package container rights | Select this option to import the containers and replace the rights group assigned by the destination server. Using this option, the security settings from the source server are retained.
    Keep destination container rights | Select this option to import the containers in the object file and to replace the existing containers on the destination server, leaving the rights groups originally assigned.
    Combine package and destination rights | Select this option to import the containers in the object file with their assigned rights group and add them to the existing list of rights group assigned to the container on the destination system.
  6. On the Container Rules tab, select the appropriate check box:
    Use this | To do this
    Change container hierarchy on destination to match the package hierarchy | Select this option to specify that the imported objects have the same hierarchy as they did on the source system.
    Delete all existing container contents when replacing a container Select this option to delete the destination container contents before the container from the object file is imported and its children are added.

    Important Templates can not be deleted if pages based on the template still exist in the destination server.

    Note You can select this option only if the Change container hierarchy on destination to match the package hierarchy option is selected.

    Select this option if you want the contents of the destination server to be the same as the container contents on the source server.
  7. Click Browse to specify the Import from File (.sdo), select the file, and then click Open.

    Note The Import from File (.sdo) name should be the same for the container rules, rights groups, and orphaned objects.

  8. In the Site Deployment Import screen, click the Rights Group tab. Items on the Rights Groups tab are available if rights groups and users were exported to the object file.

    Review the Export Report to see which rights groups and users were exported to the object file. You can import rights groups with or without their members. Make sure the members of imported rights groups exist on the domain of the destination system. Users on the destination system will be unable to access the imported containers and objects if the destination server cannot authenticate the imported user names.

  9. In the Select how Rights Groups are imported section, do the following:
    Use this | To do this
    Do not import any Rights Groups or Users | Select this option to prevent the import of rights groups and users.
    Import User Rights Groups | Select this option to enable the import of user rights groups.
    Import User Rights Groups and Users Select this option to enable the import of user right groups and users.

    Note If you select this option, the Select how Users are imported section becomes available.
  10. In the Select how Users are imported section, do the following:
    Use this | To do this
    Use only the package user lists | Select this option to add the users in the object file who belong to the rights group. If the user rights group is already on the destination server and is being replaced, the members list is overwritten.
    Use package and destination user lists combining them for replaced Rights Groups | Select this option to add the users in the object file. If the user rights group already exists, its members list is merged with users imported from the object file.
  11. In the Site Deployment Import screen, click the Orphaned Objects tab.
  12. Click Browse to specify the default containers for orphaned objects.

    Note You can specify an existing container for the orphaned object by using Site Manager. If a container is not specified, then it is automatically created during the import process under the root container.

    Default containers are created for each type of container, such as channel, template gallery, and resource gallery. These containers are named CMS Default Site Deploy Destination. Only system administrators have access to default containers.

To generate an import report

  1. In the Site Deployment Import screen, click Reports, and then click Import Preview from the Report menu. A progress indicator appears and then the Import Preview opens.

    Note It may take longer than anticipated to generate this report, depending on the number of objects in the file.

  2. To print the Import Preview report, from the File menu, click Print.
  3. In the Site Deployment Import screen, from the File menu, select Save Import Profile As.
  4. In the Save Import Profile As dialog box, select a directory and enter a name for the profile, and then click Save. Import Profiles that are saved have an .sdi file extension.

    Note The container rules, rights groups, and orphaned objects are saved in an import profile based on the options selected when it was saved. To open a previously saved import profile from the Site Deployment Import screen, click File, click Open Import Profile, and then select the import profile.

To start the import process

  1. From the Site Deployment Import screen, from the File menu, select Import to start the import operation.

    Caution After you start the import operation, it cannot be stopped. An import operation may take considerable time, depending on the contents of the object file.

    A successful import is indicated by an Import confirmation dialog box. An error message is displayed if there is an unsuccessful import.

  2. After the import has completed, in the confirmation dialog box, click Show Report to view the Import Report.

    Note The Import Report lists the changes that were made to objects during the import operation, including deleted objects, or objects that contain potentially broken links.


Measuring and Testing Site Performance

Measuring and testing your Microsoft Content Management Server (MCMS) Web site performance provides you with detailed information on how efficiently your site is operating. You can start by measuring your current Web site performance to get the performance baseline. You use the baseline to compare and evaluate site performance as changes are made to your site. Your goal is to keep your site performing at optimum speed by monitoring usage and hardware capacity, and by optimizing your site on an ongoing basis. For more information about performance testing, see http://go.microsoft.com/fwlink/?LinkId=9511.

Performance testing methodologies

MCMS performance counters


Optimizing MCMS Site Performance

You can configure the Microsoft Content Management Server (MCMS) 2002 to optimize site performance. The system administrator uses the configuration settings in the Server Configuration Application (SCA) in MCMS to control server settings that affect MCMS site performance. These include settings such as specifying read-only/read write mode, and adjusting the node cache size and file cache size. Before you configure the SCA, it is important to know the types of caches used in MCMS sites.

Types of caches used for MCMS sites

Using the Server Configuration Application (SCA)


Using MCMS Background Cleanup

Background processing in Microsoft Content Management Server (MCMS) 2002 uses Microsoft SQL Server Agent jobs to clean up MCMS databases. The SQL Server Agent job does the following:

  • Deletes expired postings (not by default, you must enable this option)
  • Removes unused resource gallery items
  • Fixes URL links to resource galleries

Note For more information about SQL Server Agent, see SQL Server Books Online and search on "Configuring SQLServerAgent Service."

To ensure optimum performance, perform background processing on a regular basis on sites that are undergoing content change. In addition, you should defragment the indexes in the database regularly.

The following is a summary of how the MCMS 2002 background processing works:

  • When you install MCMS or upgrade to MCMS 2002, the Database Configuration Application (DCA) sets up background processing by inserting stored procedures into each database and configuring a SQL Server Agent job to run these stored procedures.

    If you rerun the DCA and select an existing database that already has an associated SQL Server Agent job, DCA does not change that job.

    If the selected database does not have an associated SQL Server Agent job, DCA creates one.

  • The name of the SQL Server Agent job is BGP-<database name>.
  • You can use SQL Enterprise Manager to modify the SQL Server Agent job information. For example, you can change the following defaults:
    • The job is configured to run at 1 a.m., daily.
    • The job does not delete expired postings. You must set the starting step in the SQL Server Agent job to enable this option.
  • When the background processing job starts, stops, completes, or encounters an error, a text-only log file is written. The log file is located in the SQL Server Agent directory.

When using background processing, note the following issues:

  • Background processing will not start if the Site Deployment is running. An error message is written to the Event Log.
  • If you stop SQL Server, SQL Server Agent is also stopped. When you restart SQL Server, however, SQL Server Agent is not restarted automatically. You must restart SQL Server Agent manually.
  • If the DCA is installed locally and SQL Server is installed on a remote computer, the DCA cannot start SQL Server Agent. You must start SQL Server Agent manually.

For more information about SQL Server backup and restore, see http://go.microsoft.com/fwlink/?LinkId=9559.


Best Practices for MCMS Site Performance

The following are best practices for structuring your Microsoft Content Management Server (MCMS) 2002 site to improve performance.

Site Manager best practices

Content providers best practices

Site developers best practices

Server Configuration Application (SCA) best practices


Planning for Hardware Capacity

To improve Microsoft Content Management Server (MCMS) site performance, carefully plan to provide sufficient hardware capacity for your site. As part of this planning, you estimate and manage the maximum anticipated load capacity for your site. Capacity planning can help you determine the type of architecture required for your site.

Capacity planning involves information gathering during the site planning phase, determining your business goals and user targets, and using transaction cost analysis methodology to determine site performance needs. Your goal is to ensure that your server can meet or exceed your site's projected maximum capacity demands.

The capacity of your site is determined by measuring the number of users who visit your site (Web traffic), the number of requests it can handle, the number of Web sites that will be served in a given time, and by analyzing the types of activity the user performs, and how much demand those activities place on the server. The results of these measurements are used to determine capacity requirements.

The following resource considerations may also increase site capacity:

  • Adding more Web servers to your farm
  • Procuring faster database servers
  • Increasing your network bandwidth
  • Installing additional random access memory (RAM)

In addition, plan for site redundancy and availability when you update your site. See the article "Using Transaction Cost Analysis for Site Capacity Planning" http://go.microsoft.com/fwlink/?LinkId=9509.


Granting Access to the Staging Computers

It is recommended that you restrict access to the NR/System/Staging IIS virtual directory so that only authorized computers can access it. This directory is globally accessible by default and poses a significant security risk.

To grant access to remote staging computers

  1. Click Start, point to Programs, point to Administrative Tools, and then click Internet Services Manager.
  2. Expand the server, expand Default Web Site, expand NR, expand System, right-click the Staging folder, and then select Properties.
  3. In the Staging Properties dialog box, on the Directory Security tab, in the IP address and domain name restrictions frame, click Edit.
  4. In the IP Address and Domain Name Restrictions dialog box, do the following:
    • If the address is listed in the IP Address and Domain Name Restrictions dialog box, select the IP address for the computer where Site Stager is installed.
    • If the address is not listed in the IP Address and Domain Name Restrictions dialog box, click Add. In the Grant Access On dialog box, do the following:
      Use this | To do this
      Type Select the type of IP Address you are going to enter:

      • Single computer
      • Group of computers
      • Domain name
      IP Address | Type the IP address.
      DNS Lookup | Click to see the computer name associated with an IP address.
  5. Click OK.
  6. Click OK to close the Staging Properties dialog box.

After you grant access to the staging computers, you prepare your MCMS site for staging. For information about preparing an MCMS site for staging, see Preparing to Stage a Site.


Staging a Site Automatically

You use the Microsoft WindowsControl Panel scheduled task feature to set up a schedule for automatically staging your site. Site Stager runs automatically for any active staging profile with a valid schedule.

Note You cannot stage a site as a Lightweight Directory Access Protocol (LDAP) user.

To schedule a staging profile

  1. From the Site Stager computer, click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Stager.
  2. In the Site Stager Administration dialog box, and double-click the staging profile you want to schedule.
  3. In the <profile> - Properties dialog box, on the Schedule tab, do the following:
    Use this | To do this
    Scheduled Task From the drop-down list, select from the following intervals:

    • Daily
    • Weekly
    • Monthly
    • Once
    • At System Startup
    • At Logon
    • When idle
    Start time | Type the start time for the staging profile.
    Schedule | Set the appropriate schedule information for the interval you selected.
  4. Click Apply, and then click OK to close the dialog boxes.

If a valid profile is active, the profile stages automatically according to the schedule that was set for it.


Staging a Site Manually

You use the MCMS Site Stager application to manually stage a site. The server must be running when Site Stager is started. Never stage more than one profile simultaneously to the same destination directory.

Note If two staging profiles must share the same destination directory:

  • Ensure there is enough time to move the staging results before the next staging occurs.
  • Confirm that the destination drive will have enough unused space to accommodate the generated Web sites.

To manually stage a site

  1. From the Site Stager computer, click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Stager.
  2. In the Site Stager Administration dialog box, click Stage Now.
  3. In the Stage Profile dialog box, click OK.

    Note The status listed in Site Stager will not refresh if the <profile> Properties dialog box is open during staging.

  4. Click Close.

The site staging process continues after you close the Site Stager. Staging continues as a background task until it completes.

If the Site Stager cannot connect to the server, or other errors occur during the staging process, the errors are written to a log file.

Site Stager stops after all accessible channels and pages have been converted to HTML or ASP files.


Site Stager Template Best Practices

If your Microsoft Content Management Server (MCMS) 2002 site will be staged, use the following best practices when you create channel rendering scripts and templates.

Use ResolveURL

Check for Staging mode

Package ActiveX objects and Java applets

Qualify URLs


Site Stager Redirection

If you use Response.Redirect to redirect browsers, the URL to which you are redirecting should be a full path, such as /files/recent/headline.html.

Note Redirecting to relative URLs will lock the Site Stager in an infinite loop.

If you want to redirect to a URL returned by a property, such as Posting.URL or Channel.URL, you must modify the URL before redirecting to it. You must remove the staging tags (<NCOMPASSSTAGINGSERVER>...< NCOMPASSSTAGINGSERVER>) that MCMS wraps around the URLs it generates.

The files included with the server include a VBScript function to strip off staging tags. You can use the StripOffStagingTags function in the Server\IIS_NR\Shared\Template.inc file to make generated URLs compatible with redirects, as shown in the following example.

=' Removes <NCOMPASSSTAGINGSERVER> tags from urls. These tags appear
' in staging mode. This function is most commonly used to remove
' staging tags from redirection URLs in Staging mode.
' (this function is from the intranet_common.inc file)
Function StripOffStagingTags(strUrl)
StripOffStagingTags = Replace(Replace(strUrl, "<NCOMPASSSTAGINGSERVER>", ""),
"</NCOMPASSSTAGINGSERVER>", "")
End Function
' check mode - if Autosession.IsModeStaging is true, you must
' modify header response redirects in the following manner:
If Autosession.IsModeStaging Then
     Dim pPosting
     Dim strURLWithStagingTags
     Dim strURLNoStagingTags
     ' set pPosting to the posting you want to redirect to
     ' ...
     ' get URL - in Autosession staging mode, generated
     ' URLs are wrapped in staging tags
     strURLWithStagingTags = pPosting.URL
     strURLNoStagingTags = StripOffStagingTags(strURLWithStagingTags)
     ' redirect to cleaned-up URL
     Call Response.Redirect(strURLNoStagingTags)
End If


Destination Directories

When you install Site Stager, Site Stager creates a destination directory structure for the static HTML or .ASP pages that it creates from your dynamic MCMS site. The destination directory receives the HTML "snapshots" of the MCMS site being staged.

Within the destination directory, Site Stager creates a structure of subdirectories that it uses to store the different pieces of the staged site. These directories, as described in the following table.

Important Do not remove or alter the destination directories or any files that they contain.

Directory Type | Description
Logs directory | Stores the log files that report Site Stager activity such as file downloads and directory creation, and that are used internally by Site Stager.
Temp directory | During the staging process, temporarily stores all files before they are moved to their final destination.
<resources> directory | Stores the resources that you have selected to store separately from the rest of the site content that you are staging. Note If you use this option, you must create a virtual path to this directory. Site Stager will use the virtual path to correctly display the contents of this directory on the site.
<channels> directory | Stores the staged HTML content. It also stores resources if the Store Resources Separately option was not selected.

During staging to the destination directory, files or directories maintain their security attributes. If Site Stager creates files and directories during the staging process, they are given the security attributes of the directory where they are stored.

By default, MCMS log files are stored in the SiteStagerLogs subdirectory. This subdirectory is found in the MCMS\Site Stager folder, for example, C:\Program Files\Microsoft Content Management Server\Site Stager\SiteStagerLogs. You can use a text editor to open a log file for viewing.

A log file is created every time a staging profile is activated, either automatically or manually. Errors that occur during sessions are recorded in the log file. The name of each log file is based on the details of the profile's session, including the name of the profile and the time at which it was activated. An entry in a log file would appear in the following format, with a .log suffix:

profile name_year_month_day_hours_minutes_seconds_ {GUID}.log.


Stage-as and Destination User Accounts

A stage-as user account is a dedicated Microsoft Windows NTdomain user account with Microsoft Content Management Server (MCMS) 2002 subscription rights. A profile stages only the channels and content to which a stage-as user account has subscription rights.

You use the rights of a stage-as user account to determine the content from your MCMS 2002 site that will be created on the static site. Each stage-as user account can have multiple staging profiles. To create a stage-as user account, see Step 1: Creating the Stage-as User Account. To create a staging profile for your site, see Step 5: Creating a Staging Profile.

You can create different versions of a site by creating a separate stage-as user account and staging profile for each version. It is recommended that you create stage-as user accounts specifically for Site Stager use only.

The stage-as user account must be a member of a subscribers rights group and a resource managers rights group for the site. It is recommended that you create a special resource mangers rights group just for the stage-as user accounts. To add the stage-as user account to the appropriate rights groups in the MCMS Site Manager application, see Step 4: Assign Access for the Channels You Want to Stage.

Site Stager uses the destination user Microsoft Windows NT domain user account for creating directories and files as it stages a site. The destination user account does not need to be a member of an MCMS 2000 User Group.

Site Stager requires that the destination user account have the following privileges on the Site Stager computer:

  • Local computer administrator rights
  • Write privileges in all directories where the generated HTML files are stored
  • Log on as batch job rights
  • Log on locally rights

You must explicitly grant the Log on as batch job right to the destination user account. The Log on locally right can be explicitly granted to the destination user account or inherited from a Windows NT group to which the destination user account belongs.

If the destination user account is modified, you must give the new destination user account these rights on the Site Stager computer. It is recommended that you create destination user accounts specifically for Site Stager use only.

For information about granting the appropriate rights to the destination user account, see Step 2: Creating a Destination User Account.


Staging Profiles

You use staging profiles in Site Stager to stage sites. A staging profile is a collection of all the information required by Site Stager to stage a site. Information in the profile includes:

  • A unique name to distinguish it from other profiles
  • The directory of the site to be staged
  • The channels to be staged
  • A schedule that specifies the frequency of staging

You can have more than one staged site by creating a different staging profile for each one. It is recommended that you set up separate subscriber groups for staging so that the staging profiles are kept distinct.

When a Site Stager profile is activated, Site Stager navigates an MCMS Web site, converting dynamic MCMS pages to static HTML files. The HTML files, along with linked elements such as graphics, are organized in a directory structure that is identical to the channel hierarchy of the site.

Each staging profile should have its own destination directory. The staged site is written to the destination directory. Staging a site overwrites the files in the destination directory. If two profiles must share the same destination directory, you must move the staging results from the first staging before the next staging occurs. Also, you should confirm that the destination drive will have enough unused space to accommodate the generated Web sites.

You can use Site Stager to manually run a staging profile, or you can schedule the staging profile to run automatically.


Step 1: Creating a Stage-as User Account

Site Stager requires a Microsoft Windows NT domain user account called the stage-as account to stage a site. The stage-as account must be created in the same domain as the Site Stager.

To create the stage-as user Windows NT domain user account

  1. From the Windows NT domain controller, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.
  2. Expand Local Users and Groups, right-click Users, and then click New User.
  3. In the New User dialog box, do the following:
    Use this | To do this
    Name | Type <domain>\<stage-as user account name>.
    Password | Type a password for the account.
  4. Click Close.
  5. From the File menu, select Exit.

After you create the stage-as user account, you can create the destination user account. For information about creating the destination users account, see Step 2: Creating a Destination User Account.


Step 2: Creating a Destination User Account

Site Stager requires a Microsoft Windows NT domain user account called the destination user account to stage a site.

The destination user account must have Log On As Batch Job and Log On Locally rights, and write privileges in the destination directory and all subdirectories where the generated HTML files of a staged site will be stored. Staging does not occur unless the destination directory is configured properly.

To create a destination user Windows NT domain user account

To add the destination user to the Windows administrators user group

To give the destination user log on as batch job rights

To give the destination user log on locally rights

To configure the destination user in Site Stager

To create a destination user Windows NT domain user account

  1. From the Windows NT domain controller, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.
  2. Expand Local Users and Groups, right-click Users, and then click New User.
  3. In the New User dialog box, do the following:
    Use this | To do this
    Name | Type <domain>\<destination user account name>.
    Password | Type a password for the account.
  4. Click Close.
  5. From the File menu, select Exit.

To add the destination user to the Windows administrators user group

  1. From the Windows NT domain controller, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.
  2. Expand Local Users and Groups, and then click Groups.
  3. In the groups list, right-click Administrators, and then click Properties.
  4. In the Administrators Properties dialog box, click Add.
  5. In the Select Users or Groups dialog box, do the following:
    Use this | To do this
    Look in | From the drop-down list, select the domain to which the destination user account belongs.
    Name | From the list, select the name of the destination user account.
  6. Click Add, and then click OK.

To give the destination user log on as batch job rights

  1. From the Site Stager computer, click Start, point to Settings, point to Control Panel, and then double-click Administrative Tools.
  2. In Administrative Tools, double-click Local Security Policy.
  3. In the IP Security Management message box, click OK.
  4. In Local Security Settings, expand Local Policies, and then click User Rights Assignment.
  5. In the Policy list, double-click Log on as batch job.
  6. In the Local Security Policy Setting dialog box, click Add.
  7. In the Select Users or Groups dialog box, do the following:
    Use this | To do this
    Look in | From the drop-down list, select the domain for the user account.
    Name | From the list, select the user account.
  8. Click Add, and then click OK to close the dialog boxes.

To give the destination user log on locally rights

  1. From the Site Stager computer, click Start, point to Settings, point to Control Panel, and then double-click Administrative Tools.
  2. In Administrative Tools, double-click Local Security Policy.
  3. In the IP Security Management message box, click OK.
  4. In Local Security Settings, expand Local Policies, and then click User Rights Assignment.
  5. In the Policy list, double-click Log on locally.
  6. In the Local Security Policy Setting dialog box, click Add.
  7. In the Select Users or Groups dialog box, do the following:
    Use this | To do this
    Look in | From the drop-down list, select the domain for the user account.
    Name | From the list, select the user account.
  8. Click Add, and then click OK to close the dialog boxes.

To configure the destination user account in Site Stager

  1. From the Site Stager computer, click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Stager.
  2. In the Destination User is not a Member of the Administrators dialog box, click OK.
  3. In the Destination User Setup dialog box, click OK.
  4. In Site Stager, click Configure.
  5. In the Destination User Setup dialog box, do the following:
    Use this | To do this
    Destination User | Type <domain>\<user name> for the destination user account.
    Password | Type the password for the destination user account.
  6. Click OK.

After you create the destination user account and assign it the appropriate rights, you can create the subscriber rights group for the stage-as user account. For information about creating the subscriber rights group for the stage-as user account, see Step 3: Create an MCMS Subscriber Rights Group for the Stage-as User.


Step 3: Creating an MCMS Subscriber Rights Group for the Stage-as User Account

You use the Microsoft Content Management Server (MCMS) 2002 Site Manager application to create a subscriber rights group for the stage-as user account.

To create a subscriber rights group

To create a resource manager rights group

To add the stage-as user account as a member to the new subscribers rights group

To add the stage-as user account as a member to the new resource manager rights group

To create a subscriber rights group

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, do the following:
    Use this | To do this
    Log in as the following user | Select this option to log in as the site manager.
    Domain | Type the domain name for the site manager account.
    User Name | Type the user name for the site manager account.
    Password | Type the password for the site manager account.
  3. Click Start.
  4. In Site Manager, click User Roles.
  5. In the User Roles pane, right-click Subscribers, and then select New Rights Group.
  6. In the Subscribers pane, right-click New Rights Group, click Rename, and then type Stage-As.
  7. Press ENTER.

To create a resource manager rights group

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, do the following:
    Use this | To do this
    Log in as the following user | Select this option to log in as the site manager.
    Domain | Type the domain name for the site manager account.
    User Name | Type the user name for the site manager account.
    Password | Type the password for the site manager account.
  3. Click Start.
  4. In Site Manager, click User Roles.
  5. In the User Roles pane, right-click Resource Managers, and then select New Rights Group.
  6. In the Resource Managers pane, right-click New Rights Group, click Rename, and then type Stage-As.
  7. Press ENTER.

To add the stage-as user account as a member to the new subscribers rights group

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, do the following:
    Use this | To do this
    Log in as the following user | Select this option to log in as the site manager.
    Domain | Type the domain name for the site manager account.
    User Name | Type the user name for the site manager account.
    Password | Type the password for the site manager account.
  3. Click Start.
  4. In Site Manager, click User Roles.
  5. In the User Roles pane, click Subscribers.
  6. In the Subscribers pane, right-click Stage-As, and then click Properties.
  7. In the Stage-As Properties dialog box, on the Group Members tab, click Modify.
  8. In the Modify Members – Stage-As dialog box, in the Windows NT Domains section, click the domain to which you belong, and then from the Windows NT Domains drop-down list, select Select from list of all groups and users.
  9. In the Modify Members – Stage-As dialog box, in the NT Domains section, from the Select from list of all groups and users list, select the Users group, and then click Members.
  10. In the NT Group Members dialog box, in the Members box, select your account, and then click OK.
  11. Click OK to close the Modify Members – Stage-As dialog box.

To add the stage-as user account as a member to the new resource manager rights group

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, do the following:
    Use this | To do this
    Log in as the following user | Select this option to log in as the site manager.
    Domain | Type the domain name for the site manager account.
    User Name | Type the user name for the site manager account.
    Password | Type the password for the site manager account.
  3. Click Start.
  4. In Site Manager, click User Roles.
  5. In the User Roles pane, click Resource Managers.
  6. In the Resource Managers pane, right-click Stage-As, and then click Properties.
  7. In the Stage-As Properties dialog box, on the Group Members tab, click Modify.
  8. In the Modify Members – Stage-As dialog box, in the Windows NT Domains section, click the domain to which you belong, and then from the Windows NT Domains drop-down list, select Select from list of all groups and users.
  9. In the Modify Members – Stage-As dialog box, in the Windows NT Domains section, from the Select from list of all groups and users list, select the Users group, and then click Members.
  10. In the Windows NT Group Members dialog box, in the Members box, select your account, and then click OK.
  11. Click OK to close the Modify Members – Stage-As dialog box.


Step 4: Assigning Access for the Channels You Want to Stage

You use the MCMS Site Manager application to assign channel access to the stage-as subscriber rights group. All channels that the stage-as subscriber rights group has access to will be staged.

To assign the stage-as rights group access to channels you want to stage

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, do the following:
    Use this | To do this
    Log in as the following user | Select this option to log in as the site manager.
    Domain | Type the domain name for the site manager account.
    User Name | Type the user name for the site manager account.
    Password | Type the password for the site manager account.
  3. Click Start.
  4. In Site Manager, click the Channels icon to display the channels hierarchy.
  5. In the channels hierarchy, expand Channels, expand your site, right-click the channel you want to stage, and then click Properties.
  6. In the <channel> Properties dialog box, on the Rights tab, click Modify.
  7. In the Select User Rights for Channel dialog box, do the following:
    Use this | To do this
    Look In | From the drop-down list, select Subscribers, and then in the rights group members box, select Stage-As.
    Add | Click to add the rights group to the channel.
  8. Click OK to close the Select User Rights for Channel dialog box.
  9. Click OK to close the <channel> Properties dialog box.

Repeat this procedure for every channel that you want to stage. After you assign the stage-as user account to the channels you want to stage, you can create the staging profile. For information about creating a staging profile, see Step 5: Creating a Staging Profile.


Step 5: Creating a Staging Profile

You use the Microsoft Content Management Server (MCMS) 2002 Site Stager application to create a staging profile and configure staging options.

To create a staging profile

  1. From the Site Stager computer, click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Stager.
  2. In the Site Stager Administration dialog box, click Add.
  3. In the Properties dialog box, do the following:
    Use this | To do this
    Profile Name | Type a name for the staging profile.
    Active Select this option to have Site Stager run this profile automatically according to the specified schedule.

    Note If you clear the Active check box, the profile must be started manually.

    For information about creating a schedule for a staging profile, see Staging a Site Automatically.
    Stage As User | Type the <domain>\<user name> for the stage-as user account.
    User Password | Type the password for the stage-as user account.
    Default Filename | Type the name of the file to be used as the default, top-level page for the staged version of the MCMS site.
    Destination Directory | Click the ellipsis […] button. In the Browse for Folder dialog box, select the destination directory, and then click OK.
    Shell After Staging Type the path of the program to be run after staging is complete.

    For example, if you enter: "C:\Program Files\TextPad 4\TextPad.exe" c:\test1.txt, the text file "c:\test1.txt" is opened after staging has completed successfully. If staging has not completed successfully, the program is not run.

    Note Be sure to enter all arguments if they exist and separate them with spaces. For example, "c:\dir1\dir2\test.exe arg1 arg2". If the path to the executable contains spaces, you must surround the path with double quotes.
    Description | Type a description for the staging profile.
  4. Click Apply, and then click OK.
  5. In Site Stager, click Close.

After you have configured the options for a staging profile, you can schedule it. For information about scheduling a staging profile, see Staging a Site Automatically.


Operation and Options

The primary interface for the Site Stager Script Generator tool is through the command line. The command line tool supports the following input options:

GenStagingScript.exe  [ -? ] [ -r ] [ -c ConfigFile ]
    [ -s SourceFileExtension ] [ -d DestFileExtension ]
    [ files | directories ]
-?                           Help (this screen).
-r                           Recurse directories.
-c ConfigFile                use an Xml configuration file.
-s SourceFileExtension       use the specified source file extension format.
-d DestFileExtension         use the specified destination file extension format.
files | directories          a list of files and/or directories to process.

Any command line options specified after –c supercede any options set in the configuration file.

If directories are specified in the command line arguments, all files with a matching input file extension are processed. If the –r flag is set, all subdirectories are also processed in the same way.

Wildcard file extensions are not allowed for filenames, directory names, or file extensions.

All explicitly listed files, whether on the command line, or in a configuration file, are processed regardless of whether their names match the input file extension. In the event that the input file extensions do not match, the output extension is appended to the entire filename (for example, if the input file was xxx.asp, the input file extension was _editable.asp and the output extension was _staging.asp, then the output file would be named xxx_staging.asp).


Configuration File

The Site Stager Script Generator tool can use a configuration file to specify a list of files to transform as well as other options such a source and destination file extensions. The file is an XML file with the following format:

<?xml version="1.0" encoding="utf-8" ?>
<stagingTemplateGeneratorConfiguration>
        <options>
                <sourceFileExtension value="_editable.asp" />
                <destinationFileExtension value="_staging.asp" />
                <recurseDirectories value="false" />
        </options>
        <filelist>
                <file fullFileName="C:\src\cmsmain\private\CMS\Staging\GenStagingScript\testfiles\testfile1_editable.asp" />
                <file fullFileName="C:\src\cmsmain\private\CMS\Staging\GenStagingScript\testfiles\testfile2_editable.asp" />
                <directory fullFileName="C:\src\cmsmain\private\CMS\Staging\GenStagingScript\testfiles\subdir\" />
        </filelist>
</stagingTemplateGeneratorConfiguration>

Other than the root StagingTemplateGeneratorConfiguration tag, all of the other tags are optional.

The options section can contain any of three option tags:

  • sourceFileExtension specifies a file extension expected for source (editable) files. If not specified, the default "_editable.asp" is used.
  • destinationFileExtension specifies the file extension to append to stageable output files. If not specified, the default "_staging.asp" is used.
  • recurseDirectories allows you to specify whether directories should be recursed. Value should be either "true" or "false". The default is false.

The filelist section can contain <file> or <directory> items. Each file will be transformed, and the files for each directory are transformed if they match the input file extension.

Any extra tags or attributes in the XML file are ignored.

The order of the XML file is not important (that is, the filelist could come before the options section).


RESX STAGE_SCRIPT

Anything you enter between these tags is copied intact to the staged output. Because there is no validation of the content between the tags, there are no restrictions on what you enter.

Notes

  • The tags are case-sensitive.
  • Staging tags and script to be staged cannot be nested inside a set of scripting delimiters.
  • The lack of validation also means that an error in specifying the tags could result in the tagged content not being included in the staged file.
  • The default scripting language of the template must be VBScript. By default this is the case unless a script-directive (<%@ LANGUAGE=JScript %>) is placed at the top of the script.
  • The staged script should not access the MCMS 2002 Publishing API, assuming that the site is staged to a non-server.

To use these tags, enclose the script to be staged in a pair of scripting delimiters, as shown in the following example.

<!-- RESX STAGE_SCRIPT -->
[script content to be staged]
<!-- /RESX STAGE_SCRIPT -->


RESX RUN_AND_STAGE_SCRIPT LANG=VBSCRIPT

Anything you enter between these tags is copied intact to the staged output and a copy of the script is also left in the template to be executed during publishing mode.

Notes

  • The tags are case-sensitive.
  • The LANG attribute is mandatory.
  • Currently VBScript is the only supported language; in order to have script run and be staged, it must be in VBScript.
  • In the staged file, any output from the run-time version of the script appears after the script in the staged file.
  • The script must be enclosed in scripting delimiters for it to be executed properly during publishing mode.
  • Currently, there is error reporting if an unsupported language is specified.
  • Any error in specification of the tag results in the tag and its contents not appearing in the staged output.
  • The default scripting language of the template must be VBScript. By default this is the case unless a script-directive (<%@ LANGUAGE=JScript %>) is placed at the top of the script.
  • The output of the script shows up in Published mode only. That is, it will not show up in previews of any page based on the template.

To use these tags, enclose the script to be staged in a pair of scripting delimiters, as shown in the following example.

<!-- RESX RUN_AND_STAGE_SCRIPT LANG="VBSCRIPT" -->
<%
Response.Write "Hello World 2"
%>
<!-- /RESX RUN_AND_STAGE_SCRIPT-->

This is the appearance in staged script.

<%
Response.Write "Hello World 2"
%>


RESX STAGE_INCLUDE

Include references within these tags are staged out to the destination directory and the #include statement itself will be rewritten depending on whether resources are stored separately from the pages or not. If the "Store Resources Separately" option is selected, all include files will be stored in the resources directory and the #include file will be written as <!-- #include virtual=".." --> with the virtual directory as set by the user. If the "Store Resources Separately" option is not selected, the include files will be stored next to the first staged file that included it. The #include statement will be written as <!-- #include file=".." --> and the path is a relative path to the #include file.

Notes

  • The tags are case-sensitive.
  • Multiple #include statements can be placed between the tags.
  • The tags do not appear in the staged content.
  • The suffix of the include file should not be .asp or .jsp because only the output of the script will be staged, not the script itself. The suffix should be .inc to ensure success in staging the entire contents of the #include file.
  • The path to the #include file must be an absolute path without any server name, for example "/includes/inc1.inc".
  • The path to the #include file is assumed to be a valid path on the server being staged.
  • The #include statement to be staged must be of the following format:

<!-- #include virtual=".." -->

To use these tags, enclose the include file reference to be staged in a pair of scripting delimiters, as shown in the following example.

<!-- RESX STAGE_INCLUDE -->
<!-- #include virtual="/includes/inc1.inc" -->
<!-- /RESX STAGE_INCLUDE -->

The format of the staged include statement depends on whether the Store Resources Separately option is selected. If this option is selected, and a virtual directory "/ resources" is specified on the destination system, then the appearance of the staged script is as follows.

<!-- #include virtual="/resources/inc1.inc" -->

If the Store Resources Separately option is not selected, the appearance of the staged script is as follows.

<!-- #include file="inc1.inc" -->


RESX RUN_AND_STAGE_INCLUDE

Include references within these tags are staged out to the destination directory and a copy is also left in the template for processing during publishing mode.

Notes

  • The tags are case-sensitive.
  • Multiple #include statements can be placed between the tags.
  • The tags do not appear in the staged content.
  • The suffix of the include file should not be .asp or .jsp because only the output of the script will be staged, not the script itself. It should be .inc to ensure success in staging the entire contents of the #include file.
  • The path to the #include file must be an absolute path without any server name, for example "/includes/inc1.inc".
  • The path to the #include file is assumed to be a valid path on the server being staged.
  • The #include statement to be staged must be of the following format:

<!-- #include virtual=".." -->

To use these tags, enclose the include file reference to be staged in a pair of scripting delimiters, as shown in the following example.

<!-- RESX RUN_AND_STAGE_INCLUDE -->
<!-- #include virtual="/includes/inc1.inc" -->
<!-- /RESX RUN_AND_STAGE_INCLUDE -->


RESX STAGE_EXT

Use this tag to specify the suffix of the file to which the posting based on the template will be staged. This tag is inserted in the template to effect this change during staging and does appear in the content during publishing mode.

Notes

  • This tag disappears from the staged content.
  • By default, if a template contains scripted marked for staging then the staged file is an ASP file by default. If a JSP include is found then its extension is JSP. If an ASP include is found, then its extension is ASP. If the STAGE_EXT tag is found then it overrides the other values.

To use this tag for all postings based on a template, add the tag to a template, as shown in the following example.

<!-- RESX STAGE_EXT="cfm" -->

Any postings based on this template are staged with a suffix of ".cfm".

To specify an extension on a per-posting basis and not a per-template basis, insert the following code in the HTML source of a placeholder. Be aware however, that the tag appears in the content during publishing mode.

<br><!-- STAGE_EXT="ext" -->


Best Practices for Developing Staged Script

This topic contains tips for developing staged script.

Limit Use of API Values in Staged Script

Specify Extensions on a Per-Page Basis


Launching the Server Configuration Application

After you complete a database installation, the Database Configuration Application (DCA) automatically enables you to continue with the Server Configuration Application (SCA).

You can start the SCA in two different ways:

  • Type the following URL from any computer that has network access to the server: http://<computername>/NRConfig where <computername> is the computer or domain name that corresponds to the SCA Web site.

    or

  • Click Start, point to Programs, point to Microsoft Content Management Server, and then click Server Configuration Application.

If the SCA is installed on a Web site that uses a port other than 80, include the port number in the URL. For example, to specify port 5114, you would type: http://<computername>:5114/NRConfig.

To connect to the SCA on a remote Content Server, you must configure Secure Sockets Layer (SSL) for both the client and the server computer. For detailed information about configuring SSL, see the Windows Security documentation.


Specifying Web Entry Points

You can use the Microsoft Content Management Server (MCMS) Server Configuration Application (SCA) to specify the Web entry points that MCMS publishes.

To specify the Web entry points

  1. Click Start, point to Programs, point to Content Management Server 2002, and then click Server Configuration Application.
  2. In the MCMS Configuration Application dialog box, click the Web tab, and then click Configure.
  3. In the MCMS Configuration Application - Web Server Configuration dialog box, under the MCMS column for the specific Web site, select the appropriate value from the drop-down list, and then click OK.

    Note ASP-based Web site options with authoring are set in the file <drive:>/Program Files/Microsoft Content Management Server/Server/IIS_NR/System/WBC/Customizable/OptionsServer.inc.

    ASP-based Web site options without authoring are set in the file <drive:>/Program Files/Microsoft Content Management Server/Server/IIS_NR_RO_ASP/System/WBC/Customizable/OptionsServer_RT.inc.

  4. In the MCMS Configuration Application dialog box, click Close Application.


Adding Domains

This section provides information on adding Microsoft Windows NTdomains to your Microsoft Content Management Server (MCMS) environment. By adding domains to your environment, you can increase the number of users that participate in your publishing workflow.

Note To add local or standard accounts (such as Everyone or Authenticated Users) to an MCMS rights group, make sure that you add the local computer as a supported domain.

For more information about supporting users and accounts, see Authenticating Users.

To add Windows NT domains

  1. Click Start, point to Programs, point to Content Management Server 2002, and then click Server Configuration Application.
  2. In the MCMS Configuration Application dialog box, click the Access tab, and then click Configure.
  3. In the MCMS Configuration Application - Access dialog box, in the Windows NT Authentication section, enter the name of the Windows NT domain to add, and then click Add. To navigate to this domain, click Browse.
  4. In the MCMS Configuration Application - Access dialog box, click OK.
  5. In the MCMS Configuration Application dialog box, click Close Application.


Viewing License Information

You can use the Microsoft Content Management Server (MCMS) Server Configuration Application (SCA) to view the following properties of the product license:

  • User name
  • Company name
  • Product identification number
  • License type
  • License expiration date

To view license information

  1. Click Start, point to Programs, point to Content Management Server 2002, and then click Server Configuration Application.
  2. In the MCMS Configuration Application dialog box, click the License tab. MCMS displays the license information.
  3. In the MCMS Configuration Application dialog box, click Close Application.


Mapping Channel Names to Host Header Names

You can use Microsoft Content Management Server (MCMS) to serve multiple domains without redirection by mapping the names of channels to host header names. This mapping allows users to view a channel simply by entering the channel name instead of the entire domain, computer, and channel name. You will need to register the host header names with the Domain Name System (DNS) and Windows Internet Name Service (WINS) servers.

To map channel names to host header names

  1. Click Start, point to Programs, point to Content Management Server 2002, and then click Server Configuration Application.
  2. From the General tab, click Configure.
  3. In the MCMS Configuration Application - General Configuration dialog box, from the Map Channel Names to Host Header Names drop-down list, select Yes.
  4. In the MCMS Configuration Application - General Configuration dialog box, click OK.
  5. In the MCMS Configuration Application dialog box, click Close Application.


Viewing the ASP Compatibility Mode

You can install Microsoft Content Management Server (MCMS) in ASP.NET mode or mixed mode. The ASP.NET mode restricts all read-only sites to ASP.NET-based content only, while mixed mode supports read-only and read/write sites that use both Active Server Pages (ASP) and ASP.NET-based content. Use the MCMS Server Configuration Application (SCA) to view the ASP compatibility mode. You cannot change the ASP compatibility mode through the SCA; to change the ASP compatibility mode, uninstall and reinstall MCMS.

To view the ASP compatibility mode

  1. Click Start, point to Programs, point to Content Management Server 2002, and then click Server Configuration Application.
  2. From the General tab, click Configure.
  3. In the MCMS Configuration Application - General Configuration dialog box, the ASP compatibility mode is displayed in the Server ASP Compatibility Mode box.


About Hierarchy-Based URLs and Non-English Languages

In hierarchy-based URLs, Microsoft Content Management Server (MCMS) uses the name of the channel in the language in which it appears on your site. Provided that the names of channels and pages use Roman characters within the A to Z ASCII character set, hierarchy-based URLs are more compatible with Internet search engines.

MCMS stores container and item names as Unicode (UTF-8 encoded). Do not use characters that are outside the 0 to 9, A to Z range because they are automatically encoded on generated pages. You do not have to worry about the encoding, provided you are merely following links from one MCMS page to another.

However, certain non-Roman characters may not map correctly to ASCII and therefore may not work properly on the Internet. For instance, non-standard characters in a URL are replaced by URL-encoded characters. This changes the names of channels as they appear in the Address field of a Web browser. For example, some search engines cannot index pages where the URL contains any of the following symbols: ()@?#$%^&*.

If you are directly typing in the URL in your Web browser's Address box, you must manually replace the invalid character with its URL-encoded equivalent.

For example, to view a page named News that is in the Sales, Marketing, and Promotions channel, you would need to type the URL into your browser's Address box because the channel name includes a comma and spaces. You would type the URL as follows:

http://<yourserver>/Sales%2C+Marketing+and+Promotions/News

Note The .htm file name extension is optional for requested pages.

For information on setting up your MCMS site for use by Internet search engines, see Requirements for Web Indexing.


Specifying Hierarchy-Based or Unique ID-Based URLs

Hierarchical URLs mimic a directory structure using your channel hierarchy. It is easier to use them because the URLs are associated with your directory structure. Unique ID-based URLs generate numerical URLs to identify Microsoft Content Management Server (MCMS) items. The option to choose either hierarchy-based URLs or unique ID-based URLs is available from the Server Configuration Application (SCA). Use the following procedure to change the URL format.

To change the URL format

  1. Click Start, point to Programs, point to Content Management Server 2002, and then click Server Configuration Application.
  2. From the General tab, click Configure.
  3. In the MCMS Configuration Application - General Configuration dialog box, from the URL Format drop-down list, select one of the following: Hierarchical or Unique ID Based.
  4. In the MCMS Configuration Application - General Configuration dialog box, click OK.
  5. In the MCMS Configuration Application dialog box, click Close Application.


Specifying the MCMS System Account

You can use the Microsoft Content Management Server (MCMS) Server Configuration Application (SCA) to specify a system account for running the server application. You can only specify an existing account in the supported domains.

Note If your computer is on a large domain, you might not be able to view all of the members of the domain. To specify a system account from a large domain without being able to view all of its members, type the name of the account manually (using the format <domain>\<username>).

To specify the MCMS system account

  1. Click Start, point to Programs, point to Content Management Server 2002, and then click Server Configuration Application.
  2. In the MCMS Configuration Application dialog box, click the Security tab, and then click Configure.
  3. In the MCMS Configuration Application - Security Configuration dialog box, in the MCMS System Account section, do the following:
    Use this | To do this
    Windows NT User Account | Type the name of the account to use as the system account in the form, domain\username. Or click Browse to find this account.
    Account Password | Enter the corresponding password.
  4. In the MCMS Configuration Application - Security Configuration dialog box, click OK.
  5. In the MCMS Configuration Application dialog box, click Close Application.


Enabling Guest Access

Guest access permits users to access some or all of the Microsoft Content Management Server (MCMS) Web pages without providing authentication credentials. The system will not grant default guest users any rights greater than those a subscriber has, regardless of what kind of rights group is actually responsible for providing the account with rights. A minimum level of subscriber rights is required before any information about an object will be disclosed.

If the guest account is enabled, users are granted the rights they have explicitly been assigned plus all the rights that are assigned to the guest user. Which pages the anonymous user is allowed to access depends on the permissions of the subscriber group or groups to which the administrator assigns the guest account. The guest account must be added to the subscriber rights group using the MCMS Site Manager. For more information, see Creating Rights Groups.

To enable guest access

  1. Click Start, point to Programs, point to Content Management Server 2002, and then click Server Configuration Application.
  2. In the MCMS Configuration Application dialog box, click the Security tab, and then click Configure.
  3. In the MCMS Configuration Application - Security Configuration dialog box, in the Guest Visitors section, do the following:
    Use this | To do this
    Allow Guests On Site | From the drop-down list, select Yes or No.
    Guest Login Account | Type the name of the account to use as the guest account in the form, domain\username. Or click Browse to find this account.
  4. In the MCMS Configuration Application - Security Configuration dialog box, click OK.
  5. In the MCMS Configuration Application dialog box, click Close Application.


Setting Cookie Properties

You can set the lifetime of cookies and specify whether or not Microsoft Content Management Server (MCMS) should validate the IP addresses of the computers against these cookies.

To set cookie properties

  1. Click Start, point to Programs, point to Content Management Server 2002, and then click Server Configuration Application.
  2. In the MCMS Configuration Application dialog box, click the Security tab, and then click Configure.
  3. In the MCMS Configuration Application - Security Configuration dialog box, in the Web Browser Cookie Settings section, do the following:
    Use this | To do this
    Cookie Lifetime (minutes) | Enter the amount of time in minutes that you want cookies to be valid for.
    Check Machine IP Against Cookie | From the drop-down list, select Yes or No.
  4. In the MCMS Configuration Application - Security Configuration dialog box, click OK.
  5. In the MCMS Configuration Application dialog box, click Close Application.


Specifying Cache Location

You can use the Microsoft Content Management Server (MCMS) Server Configuration Application (SCA) to specify the location of the cache by entering the location or by navigating to the directory for the local disk cache.

Note The SCA does not allow you to specify a substituted drive for the location of the cache.

To specify cache location

  1. Click Start, point to Programs, point to Content Management Server 2002, and then click Server Configuration Application.
  2. In the MCMS Configuration Application dialog box, click the Cache tab, and then click Configure.
  3. In the MCMS Configuration Application - Cache Configuration dialog box, for Local Disk Cache Location, type in a directory for the local disk cache, or click Browse to navigate to this directory.
  4. In the MCMS Configuration Application - Cache Configuration dialog box, click OK.
  5. In the MCMS Configuration Application dialog box, click Close Application.


Specifying Maximum Cache Size

You can use the Microsoft Content Management Server (MCMS) Server Configuration Application (SCA) to specify the maximum size of the cache in megabytes (MB).

To specify cache size

  1. Click Start, point to Programs, point to Content Management Server 2002, and then click Server Configuration Application.
  2. In the MCMS Configuration Application dialog box, click the Cache tab, and then click Configure.
  3. In the MCMS Configuration Application - Cache Configuration dialog box, in the Maximum Disk Cache Size section, do the following:
    Use this | To do this
    Use Global Default | Select this option to use the global setting for maximum cache size.
    Set Global | Click this option to specify the global setting for maximum cache size.
    Use Local Override | Select this option to use the local setting for maximum cache size.
    Current Override Value | Enter the local setting for maximum cache size.
    Maximum Nodes in Memory Cache Select Use Global Default to use the global setting for number of maximum nodes in the memory cache. Click Set Global to specify this value.

    Or

    Select Use Local Override to use the local setting for number of maximum nodes in the memory cache. To specify this value, enter it in the text box.
  4. In the MCMS Configuration Application - Cache Configuration dialog box, in the Maximum Nodes in Memory Cache section, do the following:
    Use this | To do this
    Use Global Default | Select this option to use the global setting for number of maximum nodes in the memory cache.
    Set Global | Click this option to specify the global setting for number of maximum nodes in the memory cache.
    Use Local Override | Select this option to use the local setting for number of maximum nodes in the memory cache.
    Current Override Value | Enter the local setting for number of maximum nodes in the memory cache.
  5. In the MCMS Configuration Application - Cache Configuration dialog box, click OK.
  6. In the MCMS Configuration Application dialog box, click Close Application.


Clearing the Memory Cache

You can clear the memory cache to remove any temporary files that might have been stored in memory.

To clear the memory cache

  1. Click Start, point to Programs, point to Content Management Server 2002, and then click Server Configuration Application.
  2. In the MCMS Configuration Application dialog box, click the Cache tab, and then click Clear Memory Cache.
  3. In the Clear Memory Cache dialog box, click OK.
  4. In the MCMS Configuration Application dialog box, click Close Application.


For Additional Troubleshooting Information

For additional troubleshooting information, see the following resources:

Resource | Location
Debugging topics | Microsoft Visual Studio .NET Help Microsoft SQL Server Help Microsoft SharePoint Server Integration Pack Help
Microsoft Content Management Server 2002 Readme | Microsoft Content Management Server 2002 Installation CD
Microsoft Content Management Server Web site | http://www.microsoft.com/fwlink/?LinkId=8426
TechNet | Contains technical information and tools designed to help you plan, develop, deploy, and manage your e-commerce Web sites. For information about MCMS, select Content Management Server from the Products & Technologies menu on the left side of the screen. http://go.microsoft.com/fwlink/?LinkId=5160
MSDN information | Contains information about Microsoft Content Management Server (MCMS) and other Windows Server System™ integrated server software. You may find it helpful to visit this site on a regular basis. Search MSDN®, and enter Microsoft Content Management Server to find related documents and white papers. http://go.microsoft.com/fwlink/?LinkId=5161
Microsoft Servers site | A guide to the full range of Microsoft server products for IT professionals, developers, and Internet professionals. http://go.microsoft.com/fwlink/?LinkId=6732
Newsgroups | For information about accessing Microsoft newsgroups, see http://go.microsoft.com/fwlink/?LinkId=9960.
Premier Support | Premier support provides proactive access to the specialized technical expertise needed by large enterprises, maximizing business value and minimizing total cost. For more information see our customized support sites. For Premier customers, view the following fact sheets, contact your Microsoft account representative, or call Microsoft Enterprise Support Sales at (800) 936-3200 in the United States or Canada. Microsoft Premier Support for Enterprise Systems Microsoft Premier Support for Developers Microsoft Premier Support for MCSPs Microsoft Premier Support for Original Equipment Manufacturers (OEMs) Microsoft Authorized Premier Support


Displaying Non-ASCII Characters

If particular characters are not displaying correctly, first verify that support for the language is installed on the user computer.

To install Language Support

  1. Click Start, and then click Control Panel.
  2. Double-click Regional and Language Options.
  3. In the Regional and Language Options dialog box, on the Languages tab, in the Supplemental language support section, select the appropriate check box, and then click OK.


Installing MCMS on a MUI Version of Windows 2000

In order to install Microsoft Content Management Server (MCMS) on Microsoft Windows 2000 Multilanguage User Interface (MUI) with a language pack installed, you must first install Multilingual Menus and Dialogs for Internet Explorer. Installing Multilingual Menus and Dialogs for Internet Explorer will update the version numbers of the Internet Explorer components that MCMS checks during setup. For more information, see knowledge base article 263212, "File Version Information May Be Incorrect in Windows 2000 Multilanguage Version," located at http://go.microsoft.com/fwlink/?LinkId=20140 .


Using Different Language Versions of MCMS 2002 in the Same System

Using two or more different language versions in the same MCMS system is unsupported. If you configure MCMS 2002 to connect to a French MCMS Content Server from a Japanese Site Manager, your data could become corrupted.

The language of the Microsoft ActiveX control in the MCMS Web Author is also affected if you use two or more language versions. The first time a client connects to an MCMS Content Server, the version (including the language) on that Content Server will be downloaded. If a user then connects to an MCMS Content Server in another language, the ActiveX control will remain in the initial language and the user may see parts of the Web Author user interface (UI) in a different language.


Installing MCMS into a Folder with Non-ASCII Characters

Due some of the application programming interfaces (APIs) used in the MCMS Setup, the user should change their System Locale to the same language as the characters used in the setup folder. Note that if you are using a localized version of Windows, and the Program Files directory displays non-ASCII characters correctly, the System Locale is already set to the correct language.

Windows 2000

Note You must log on with local computer administrator privileges to install language support, Microsoft Windows 2000 Multilanguage User Interface (MUI) language packs, or to set the System Locale after setup. User locales and input locales (for example, Input Method Editor (IME) or keyboard layouts) are set separately for each user and can be set without administrator privileges. The following procedure shows how to install language support for Japanese.

To configure support for non-Unicode programs on Windows 2000

  1. Click Start, point to Settings, and then click Control Panel.
  2. Double-click Regional and Language Options.
  3. In the Regional and Language Options dialog box, from the User Locale drop-down list, select Japanese, and then click Set Default.
  4. In the Set System Locale dialog box, change the locale to Japanese, and then click OK.
  5. Restart the computer.

Windows XP and Windows Server 2003

Note You must log on with local computer administrator privileges to install language support, MUI language packs, or to set Language for non-Unicode programs after setup. Other settings (for example, Input Method Editor (IME) or keyboard layouts) are set separately for each user and can be set without administrator privileges. The following procedure shows how to install language support for Japanese.

To configure support for non-Unicode programs on Windows XP and Windows Server 2003

  1. Click Start, and then click Control Panel.
  2. Double-click Regional and Language Options.
  3. In the Regional and Language Options dialog box, in the Standards and formats section, select Japanese (this is the User Locale).
  4. On the Advanced tab, in the Language for non-Unicode programs section, from the drop-down list, select Japanese (this is the system locale).
  5. Click OK.
  6. Restart the computer.


Installing MCMS Developer Tools

Because of the way Microsoft Visual Studio .NET 2002 and Visual Studio .NET 2003 load resources into the user interface (UI), Visual Studio must be set to the same language as MCMS or the user will not be able to create any new projects. In addition, it is recommended to set the Standards and Formats and the System Locale to the same language as MCMS and Visual Studio.

Windows 2000

Note You must log on with local computer administrator privileges to install language support, Microsoft Windows 2000 Multilanguage User Interface (MUI) language packs, or to set the System Locale after setup. User locales and input locales (for example, Input Method Editor (IME) or keyboard layouts) are set separately for each user and can be set without administrator privileges. The following procedure shows how to install language support for Japanese.

To configure support for non-Unicode programs on Windows 2000

  1. Click Start, point to Settings, and then click Control Panel.
  2. Double-click Regional and Language Options.
  3. In the Regional and Language Options dialog box, from the User Locale drop-down list, select Japanese, and then click Set Default.
  4. In the Set System Locale dialog box, change the locale to Japanese, and then click OK.
  5. Restart the computer.

Windows XP and Windows Server 2003

Note You must log on with local computer administrator privileges to install language support, MUI language packs, or set Language for non-Unicode programs after setup. Other settings (for example, Input Method Editor (IME) or keyboard layouts) are set separately for each user and can be set without administrator privileges. The following procedure shows how to install language support for Japanese.

To configure support for non-Unicode programs on Windows XP and Windows Server 2003

  1. Click Start, and then click Control Panel.
  2. Double-click Regional and Language Options.
  3. In the Regional and Language Options dialog box, in the Standards and formats section, select Japanese (this is the User Locale).
  4. On the Advanced tab, in the Language for non-Unicode programs section, from the drop-down list, select Japanese (this is the system locale).
  5. Click OK.
  6. Restart the computer.


Installing MCMS Authoring Connector for Word

MCMS Authoring Connector setup is in English; it will install support for all included languages (Brazilian Portuguese, English, French, German, Italian, Japanese, Korean, Simplified Chinese, Spanish, and Traditional Chinese).

Note If Authoring Connector for Word is not installed on both the Server and the Client, the user may see different parts of the user interface (UI) in different languages.


Using Customized Date Formats

If the user has specified a customized date format as part of their User Locale, the COM transfer protocol cannot correctly use this format for MCMS. It is recommended that you use the standard date formats supplied by the operating system.


Entering Non-ASCII Characters into the MCMS Developer Tools

Not all parts of Visual Studio are Unicode enabled. If you wish to enter non-ASCII characters it is recommended that you have the System Locale set to the same language as those characters. For example, if you wish to enter Japanese characters the System Locale should also be set to Japanese.

Windows 2000

Note You must log on with local computer administrator privileges to install language support, Microsoft Windows 2000 Multilanguage User Interface (MUI) language packs, or to set the System Locale after setup. User locales and input locales (for example, Input Method Editor (IME) or keyboard layouts) are set separately for each user and can be set without administrator privileges. The following procedure shows how to install language support for Japanese.

To configure support for non-Unicode programs on Windows 2000

  1. Click Start, and then click Control Panel.
  2. Double-click Regional and Language Options.
  3. In the Regional and Language Options dialog box, click Set Default.
  4. In the Set System Locale dialog box, change the locale to Japanese.
  5. Click OK.
  6. Restart the computer.

Windows XP and Windows Server 2003

Note You must log on with local computer administrator privileges to install language support, Microsoft Windows 2000 Multilanguage User Interface (MUI) language packs, or to set Language for non-Unicode programs after setup. Other settings (for example, Input Method Editor (IME) or keyboard layouts) are set separately for each user and can be set without administrator privileges. The following procedure shows how to install language support for Japanese.

To configure support for non-Unicode programs on Windows XP and Windows Server 2003

  1. Click Start, and then click Control Panel.
  2. Double-click Regional and Language Options.
  3. In the Regional and Language Options dialog box, on the Advanced tab, in the Language for non-Unicode programs section, from the drop-down list, select Japanese (this is the system locale).
  4. Click OK.
  5. Restart the computer.


Entering Non-ASCII Characters into the Site Manager and the DCA

The Site Manager and the Database Configuration Application (DCA) do not support the input of Unicode characters. If you want to enter particular characters, you must have the System Locale set to the same language as the characters you want to enter. For example, if you wish to enter Japanese characters the System Locale setting should also be Japanese.

Additionally, if you copy and paste characters into the Site Manager or DCA, the characters may be converted to Unicode in the copying process, depending on the source of the data. If this is the case, the characters may not be displayed correctly. Direct input of all characters is recommended.

Windows 2000

Note You must log on with local computer administrator privileges to install language support, Microsoft Windows 2000 Multilanguage User Interface (MUI) language packs, or to set the System Locale after setup. User locales and input locales (for example, Input Method Editor (IME) or keyboard layouts) are set separately for each user and can be set without administrator privileges. The following procedure shows how to install language support for Japanese.

To configure support for non-Unicode programs on Windows 2000

  1. Click Start, and then click Control Panel.
  2. Double-click Regional and Language Options.
  3. In the Regional and Language Options dialog box, click Set Default.
  4. In the Set System Locale dialog box, change the locale to Japanese.
  5. Click OK.
  6. Restart the computer.

Windows XP and Windows Server 2003

Note You must log on with local computer administrator privileges to install language support, MUI language packs, or to set the Language for non-Unicode programs after setup. Other settings (for example, Input Method Editor (IME) or keyboard layouts) are set separately for each user and can be set without administrator privileges. The following procedure shows how to install language support for Japanese.

To configure support for non-Unicode programs on Windows XP and Windows Server 2003

  1. Click Start, and then click Control Panel.
  2. Double-click Regional and Language Options.
  3. In the Regional and Language Options dialog box, on the Advanced tab, in the Language for non-Unicode programs section, from the drop-down list, select Japanese (this is the system locale).
  4. Click OK.
  5. Restart the computer.


Using the Sample Sites on Non-English Versions of MCMS

If you installed a Microsoft Content Management Server (MCMS) sample site, some Channel properties, Resource Gallery properties, and Template Gallery properties will be in English. The tool tips for the Channels, the Resource Gallery, and the Template Gallery will also be in English.

If you want any of the MCMS 2002 sample sites to reflect the user locale settings you must first modify the settings.

To configure MCMS 2002 sample sites to reflect the user locale settings

In the global.asax.cs file, scroll down to the Application_BeginRequest function and insert the following code.

if (Request.UserLanguages != null)
{
     for (int i = 0; i < Request.UserLanguages.Length; i++)
     {
          string strLanguage = Request.UserLanguages[i];

          // Note that the languages other than the first are in
          // the format of
          // "<Language>;<q=<weight>>" (e.g., "en-us;q=0.5")

          if (strLanguage.IndexOf(';') >= 0)
          {
strLanguage = strLanguage.Substring(0, strLanguage.IndexOf(';'));
          }

          try
          {
Thread.CurrentThread.CurrentCulture = CultureInfo.CreateSpecificCulture(strLanguage);
               break;
          }
          catch (ArgumentException)
          {
          // Some cultures are not supported and will cause an exception
          // to be thrown.  In this case, we ignore the exception and
          // try the next culture based on client language preference.
          // Note that if no culture can be set properly, then the
          // default culture will be used.
          }
     }
}


Japanese Web Author Encoding Issue

In the ASP version of the Japanese Web Author, the Web Author console is saved as UTF-8. Any Web site using the Japanese version of MCMS 2002 with SP1a must set Web site encoding to UTF-8. This issue does not exist in the ASP.NET-based version of Web Author.


Web Author

In order to correctly display these characters in the Web Author, the user should ensure that their fonts are configured correctly. This is called font linking. It is a mechanism for linking missing glyphs to the currently selected font (also called the "base font") from alternative fonts (also called "linked font").

English Windows 2000 with English MCMS

Caution Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer.

To configure a font

  1. Click Start, and then Run.
  2. In the Run dialog box, type regedt32 to open the registry.
  3. Navigate to HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\FontLink\SystemLink, and then select the font (for example, Verdana).
  4. From the Edit menu, select Modify.
  5. In the Data box, type SimSun18030.TTC, SimSun-18030.
  6. Click OK to save the changes.

Repeat the above procedure to add the Verdana, Courier New, MS P Gothic, and Tahoma fonts.

If these font names are not available, you can easily add them with the following procedure.

To add fonts

  1. Click Start, and then Run.
  2. In the Run dialog box, type regedt32 to open the registry.
  3. Navigate to HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\FontLink\SystemLink, and then select the font (for example, Verdana).
  4. From the Edit menu, select New, and then Multi-String Value.
  5. In the new entry you created, type the font name (for example, Courier New, MS P Gothic, or Tahoma).
  6. Use the previous procedure, To configure a font, to link all of the fonts. When you are done, restart the computer.

You will now be able to open the Web Author and enter GB18030 characters.

Japanese Windows 2000 with Japanese MCMS and Japanese Windows 2003 with Japanese MCMS

Caution Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer

To configure a font

  1. Click Start, and then Run.
  2. In the Run dialog box, type regedt32 to open the registry.
  3. Navigate to HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\FontLink\SystemLink, and then select MS UI Gothic.
  4. From the Edit menu, select Modify.
  5. In the Data box, type the following:
    • L_10646.TTF
    • micross.ttf
    • SimSun.TTC,SimSun
    • gulim.ttc,gulim
    • mingliu.ttc,PMingLiU
    • SimSun18030.TTC,SimSun-18030
  6. Click OK to save the changes.

If MS P Gothic is not available, you can easily add it using the following procedure.

To add fonts

  1. Click Start, and then Run.
  2. In the Run dialog box, type regedt32 to open the registry.
  3. Navigate to HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\FontLink\SystemLink, and then select Verdana.
  4. From the Edit menu, select New, and then Multi-String Value.
  5. In the new entry you created, type MS P Gothic.
  6. You will now need to use the previous procedure To configure a font to link all of the fonts. When you are done, restart the computer.

You will now be able to open the Web Author and enter GB18030 characters.


Channels, Page Names, Resources and Other Container Items

Internet Information Services (IIS) 6.0 in Windows Server 2003 cannot automatically process 32-bit characters. This means that the user needs to modify an IIS registry setting to be able to enter all GB18030 characters. See knowledge base article 820129, "INF: Http.sys Registry Settings for IIS," located at http://go.microsoft.com/fwlink/?LinkId=20141 for more details.

Caution Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer.

To modify the registry setting

  1. Click Start, and then Run.
  2. In the Run dialog box, type regedt32 to open the registry.
  3. Navigate to HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\HTTP\Parameters\AllowRestrictedChars, and then select Default.
  4. From the Edit menu, select Modify, and then in the dialog box, change the value to 1.
  5. Click OK to save the changes.


Custom SQL Server Automation

If you need to run a process in Microsoft SQL Server for user-created automation, Microsoft Content Management Server (MCMS) with SP1a automatically creates a background processing job. Because some SQL components do not recognize 32-byte characters as valid, your computer may return the following error: "Cannot start job because it does not have any steps." Therefore, it is recommended that any values used in custom SQL automation not use Surrogate Pairs which contain 32-byte characters. Use GB18030 instead.


Channels, Page Names, Resources and Other Container Items

Internet Information Services (IIS) 6.0 in Microsoft Windows Server 2003 cannot automatically process 32-bit characters. This means that the user needs to modify an IIS registry setting to be able to enter Surrogate Pairs. See the knowledge base article 820129, INF: Http.sys Registry Settings for IIS, located at http://go.microsoft.com/fwlink/?LinkId=20141 for more details.

Caution Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer.

To modify the registry setting

  1. Click Start, and then click Run.
  2. In the Run dialog box, type regedt32 to open the registry.
  3. Navigate to HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\HTTP\Parameters\AllowRestrictedChars, and then select Default.
  4. From the Edit menu, select Modify.
  5. In the Modify dialog box, change the value to 1.
  6. Click OK to save the changes.


Custom SQL Server Automation

If you need to run a process in Microsoft SQL Server for user-created automation, Microsoft Content Management Server (MCMS) with SP1a automatically creates a background processing job. Because some SQL components do not recognize 32-byte characters as valid, your computer may return the following error: "Cannot start job because it does not have any steps." Therefore, it is recommended that any values used in custom SQL automation not use Surrogate Pairs which contain 32-byte characters.


MCMS Developer Tools

In order to display Surrogate Pairs in Visual Studio .NET, you must ensure that the font is correctly set in the application.

To set the font in Visual Studio .NET

  1. In Visual Studio .NET, from the Tools menu, select Options.
  2. In the Options dialog box, in the outline on the left, in the Environment section, select Fonts and Colors.
  3. For each value in the Show settings for drop-down list on the right, change the Font to one that supports Surrogate Pairs (for example, to display Simplified Chinese Surrogate Pairs, change the font to Simsun (Founder Extended).


Background Processing Starting Step Is Reset

Background processing is implemented as a Microsoft SQL Server Agent job. You may have modified the starting step in the background processing job (for instance, to enable the deletion of expired postings). Microsoft Content Management Server (MCMS) 2002 with SP1a resets the background processing starting step, so if you customized the background processing before you installed MCMS 2002 with SP1a, you must reset it after applying SP1a. See "Using MCMS Background Cleanup" in MCMS 2002 Help for more information about background processing.


Reselect SQL Server Database When Configuring a Restored MCMS 2001 Database

If you use a Microsoft Content Management Server (MCMS) 2001 database backup to restore an MCMS 2002 database, the Database Configuration Application (DCA) will not detect that the database is an MCMS 2001 database, and will not upgrade it.


New Users Do Not Appear in the Site Manager Modify Members Dialog Box

New users or groups have been added to the selected domain, but they do not appear in the Site Manager Modify Members dialog box. By default, your Site Manager application will be updated to reflect the changes within approximately 15 to 20 minutes.


Cannot Cancel Container Assignments in Site Manager

If you use the Microsoft Content Management Server (MCMS) Site Manager to change container assignment for a rights group by editing the properties of the rights group, the Cancel button is disabled and you must click OK to accept any changes. Additionally, clicking the close button [x] on the title bar accepts any changes before closing the dialog box.


Cannot Create or Upload Content with Site Manager

Microsoft Content Management Server (MCMS) 2002 Site Manager is not a content creation tool. Site Manager is an administrative and site architecture management tool.


Hidden and Important Flags Do Not Appear in Site Manager

Microsoft Content Management Server (MCMS) Site Manager does not provide a visual indicator when the Important property is set to true for channels and pages. Additionally, there is no visual indication when the Hide when published property is set to true for a page. A change in the appearance of a channel icon indicates that the Hide when published property is set to true for that channel. Setting the Important flag does not affect an MCMS site unless a developer uses it in the design of the site.


Site Manager Does Not Properly Display Strings That Require Specialized Language Fonts

Microsoft Content Management Server (MCMS) Site Manager does not correctly display strings that require specialized fonts unless both the Locale and the Default Language settings have been set to the appropriate region and font. This includes the display of container properties that allows multilingual entries, such as the Display Name property for channels. Saving container properties when the text is displayed in this state will overwrite the original property value with the incorrectly displayed text.


Active Directory Group Members Cannot Log On to Site Manager or Web Author

A Microsoft Active Directory group appears to be assigned as a member of a Microsoft Content Management Server (MCMS) rights group, but the members of the Active Directory group are not able to log on to MCMS using the MCMS Web Author or Site Manager. This will occur if the selected Active Directory group is a distribution group rather than a security group. The Modify Members dialog box in Site Manager is unable to distinguish these two types of Active Directory groups from each other.


Content Staging Fails and No Event Is Reported

If a Microsoft Windows scheduled task is not created for the staging profile or the Site Stager schedule feature is not installed, Site Stager will not stage and no event will be reported to the Site Stager log file.


Lightweight Directory Access Protocol (LDAP) User Cannot Stage a Site

There is a Microsoft Content Management Server (MCMS) Site Stager limitation whereby you cannot stage a site as a Lightweight Directory Access Protocol (LDAP) user.


Status Listed in the Site Stager Administration Window Does Not Refresh

The status listed in the Site Stager Administration window will not refresh if the <profile> Properties dialog box is opened during staging.


Error Occurs When Two Staging Profiles Share the Same Destination Directory

It is recommended that each staging profile have a different destination directory.


Profile Fails to Stage

A staging profile is a collection of all the information required by Microsoft Content Management Server (MCMS) Site Stager to stage a site. If active, a valid profile stages automatically according to any schedule set for it. If the profile failed to stage, it might not be valid.


Site Stager Does Not Work with ASP.NET-Based Sites

Microsoft Content Management Server (MCMS) Site Stager works with the Active Server Pages (ASP) sites only, and not with ASP.NET-Based sites.


Do Not Use sa Login for SQL Server

During installation, Microsoft SQL Server allows the selection of sa for the server administer login account. Using the SQL Server sa login, especially with the no password option is a known security risk.

Solution

It is highly recommended that you cancel the Database Configuration Application (DCA) and change the SQL Server administrator login account.


Cannot Upgrade a Database Created in a Different Language Version of SQL Server

During the upgrade process, Microsoft Content Management Server (MCMS) 2002 moves existing data from the MCMS 2001 database into a new MCMS 2002 database. If the original database is in a different language format from the instance of SQL Server that is used by MCMS 2002, the database migration will fail. For example, a U.S. Microsoft SQL Server database cannot be moved into a Japanese SQL Server environment.

Solution

Make sure that the database you are migrating was created in the same language version of SQL Server you are using with MCMS 2002.


Must Redefine Users in SQL Server if Database Has Been Moved from a Different Domain

If you have moved the Microsoft Content Management Server (MCMS) database from a different domain, the database will not be present in the list of databases in the MCMS Database Configuration Application (DCA) when you try to configure it.

Solution

Moving a Microsoft SQL Server database to a new domain does not change the user accounts associated with the database (they will still be members of the original domain). The DCA requires an MCMS system account on the current domain to configure the database. You must delete the existing MCMS system account from SQL Server and add an account from the current domain.


Changing the MCMS system account in the SCA can cause errors

MCMS requires a Windows NT user account that acts as the database access account. This user account must be granted administrative privileges to the MCMS database in SQL Server before you can configure the database for MCMS with the Database Configuration Application (DCA).

MCMS requires a Windows NT user account called the MCMS system account. You can use the MCMS system account as the access account for the MCMS database, or you can choose to specify a different Windows NT account.

When you use the DCA to configure the MCMS database, you can select the Trusted Account, which is the MCMS system account, or you can specify a valid SQL Server user account.

If you choose to use the MCMS system account as the database access account, and you later use the Server Configuration Application to change the MCMS system account, you will cause account validation errors to occur when you try to access the MCMS database.

To avoid errors caused by expiring account passwords that are not all updated everywhere necessary, when you configure the database access account, set the password never expires option and remember your password — incorrectly entered passwords will also cause account validation errors.

To create the database

  1. On the desktop, click Start, point to Programs, point to Microsoft SQL Server, and then click Enterprise Manager.
  2. In the Console Root window, expand the Console Root and navigate to the Databases folder.
  3. Right-click the Databases folder, and then click New Database.
  4. In the New Database dialog box, in the Name box, type a name for the database using the following conventions:
    • The database name cannot contain numbers alone.
    • The database name can contain a mixture of letters and numbers, and the underscore "_" character.
    • Do not use a Transact-SQL reserved word in the database name. SQL Server reserves both the uppercase and lowercase versions of reserved words.
  5. Click OK.
  6. In the SQL Server Enterprise Manager window, click Console, and then either:
    • Click Exit to close SQL Server Enterprise Manager

    Or

    • Move to step 2 of the following procedure to grant MCMS system account rights to the database

To grant the MCMS system account rights to the database

  1. On the desktop, click Start, point to Programs, point to Microsoft SQL Server, and then click Enterprise Manager.
  2. In SQL Server Enterprise Manager, expand the Microsoft SQL Servers node, and then navigate to the server on which the MCMS database is located.
  3. Expand the Security node, right-click Logins, and click New Login.
  4. In the New Login dialog box, in the Name section, click Browse to locate the system account user you created in "Step 1: Creating Windows User Accounts."
  5. In the List Names From section, select the local computer (or the domain) where you created the system account user.
  6. In the Names section, click the system account user and click Add, and then click OK.
  7. In the New Login dialog box, click OK.
  8. In the Logins pane, select the system account user who will have access to the database, right-click the user account, and then click Properties.
  9. In the SQL Server Login Properties dialog box, on the Database Access tab, in the Permit pane, select the check box beside the MCMS database that you created.

    A list of roles appears in the Permit in Database Role pane.

  10. In the Permit in Database Role pane, click db_ddladmin, db_datareader, and db_datawriter, and then click OK.

    Note The db_ddladmin is only needed if you are using the import function in site deployment.

  11. Click Console, and then click Exit to exit SQL Server Enterprise Manager.

You have created a local database and have granted the MCMS system account rights to that database.


DCA and SCA May Not Recognize a Database User

If you are using Microsoft SQL Server 2000 SP3, the Database Configuration Application (DCA) and the Server Configuration Application (SCA) may not recognize a database user and its database rights. This is a known SQL Server issue. For more information, see Knowledge Base article 305711 at http://go.microsoft.com/fwlink/?LinkId=18411.

To solve this issue you must define the Microsoft Content Management Server (MCMS) system account in SQL Server for the MCMS system account user, and add the database user to the MCMS system database role.

To define the MCMS system account in SQL Server

  1. Click Start, point to Programs, point to Microsoft SQL Server, and then click Enterprise Manager.
  2. In the Console Root window, expand the Microsoft SQL Servers node, and navigate to the server on which the MCMS database is located.
  3. Expand the Security node, right-click Logins, and then click New Login.
  4. On the General tab, add the MCMS system account using Windows Authentication <domain>\<username> or add a new SQL Login (username and a password).
  5. On the Database Access tab, select the MCMS database to add this user to.
  6. In the Permit in Database Role section, select the following permissions: ddladmin, db_datareader, and db_datawriter.
  7. Click OK. Proceed to the next step to add the database user to the MCMS system database role.

To add the database user to the MCMS system database role

  1. Click Start, point to Programs, point to Microsoft SQL Server, and then click Enterprise Manager.
  2. In the Enterprise Manager, navigate to the server on which the MCMS database is located, expand Databases, and then expand the MCMS database.
  3. Click the Roles icon to display the database roles.
  4. Right-click the MCMS system role to add the MCMS system account. Note that you must have already added this user to this database (as described in the previous procedure) in order to add it to a database role.


MCMS 2002 Components Did Not Install Successfully

Microsoft Content Management Server (MCMS) will not install a component if the software requirements for the component are not detected by the MCMS Installation Wizard during setup.

Solution

Install all required software before installing MCMS. The Custom Setup page of the MCMS Installation Wizard will show an X next to any component for which software requirements are missing.

To see a list of missing software requirements

  1. Insert the Microsoft Content Management Server CD in your CD-ROM drive, and then double-click setup.exe.
  2. On the Microsoft Content Management Server 2002 page, click Install Components.
  3. On the Install Components page, click Install MCMS Components.
  4. On the Welcome page, click Next.
  5. On the License Agreement page, click I accept the terms in the license agreement, and then click Next.
  6. On the Custom Setup page, an X beside a component name indicates that a required application is missing and therefore the component will not be installed.

    For every component that displays an X next to the component name, from the drop-down list to the left of the component name, select This feature will be installed on local hard drive, and then click Next.

    The Software Requirements page will appear and list which applications are missing.

  7. Click Back to return to the Custom Setup page.
  8. Click Cancel to cancel the MCMS Installation Wizard.

For information about specific software requirements, see the Installation Guide at http://go.microsoft.com/fwlink/?LinkId=9918.


Unexpected Event Log Messages Appear

When some computers are restarted, the following messages may appear in the Event Log:

Event Type: Error

Event Source: Service Control Manager

Event Category: None

Event ID: 7022

Description:

The Simple Mail Transport Protocol (SMTP) service hung on starting.

Event Type: Error

Event Source: Service Control Manager

Event Category: None

Event ID: 7022

Description:

The World Wide Web Publishing Service hung on starting.

This error is the result of a slow initialization of the tracing services that MCMS uses during Internet Information Services (IIS) initialization. This slow initialization appears to the Service Control Manager as a hung service; however, later in the Event Log these services do successfully start. No workaround is required.


Using MCMS 2002 with SP1a with .NET Framework 1.1

.NET Framework 1.1 has a new attribute (validateRequest) that is not compatible with .NET Framework 1.0. See the Knowledge Base article 821343 at http://go.microsoft.com/fwlink/?LinkId=18386 for more information.

If you target your Microsoft Content Management Server (MCMS) Web application and MCMS 2002 to use .NET Framework 1.1, then the validateRequest attribute must be added (and set to false) in one of the following:

  • All applications on your computer
  • All MCMS Web sites and in MCMS itself

    Note This attribute is not compatible with ASP.NET 1.0. If you move your MCMS Web application Web.config files (or the MCMS 2002 Web.config files) to a computer running ASP.NET 1.0 then neither your MCMS Web application nor MCMS 2002 will work properly until this attribute is removed.

To set request validation to false for all applications on your computer

  1. Right-click Start, click Explore, and browse to %Windir%\Microsoft.NET\Framework\v.1.1.xxxx\CONFIG\.
  2. In a text editor (for example NotePad), open the machine.config file.
  3. Set the validateRequest attribute to false as shown in the following code:

<configuration>
<system.web>
<pages validateRequest="false" />
</system.web>
</configuration>

To set request validation to false for your MCMS Web application and all MCMS internal applications

  1. Click Start, click Control Panel, click Administrative Tools, and then click Internet Information Services Manager.
  2. Expand Web Sites, expand Default Web Site (or the site where your MCMS Web application is installed) and select your MCMS Web site.
  3. In a text editor (for example NotePad), open your Web.config file, and then set the validateRequest attribute to false as shown in the following code:

<configuration>
<system.web>
<pages validateRequest="false" />
</system.web>
</configuration>

To disable request validation for all MCMS internal applications

  1. Right-click Start, click Explore, and browse to <installation directory>\Program Files\Microsoft Content Management Server\Server\IIS_CMS\OfficeWizard.
  2. In a text editor, open the Web.config file.
  3. Set the validateRequest attribute to false as shown in the following code:

<configuration>
<system.web>
<pages validateRequest="false" />
</system.web>
</configuration>
  4. Repeat these steps for the following files:
    • <installation directory>\Program Files\Microsoft Content Management Server\Server\MCMS
    • <installation directory>\Program Files\Microsoft Content Management Server\Server\MCMS\MCMSHomeport
    • <installation directory>\Program Files\Microsoft Content Management Server\Server\MCMS\sitedeployment


Adding Impersonation Privileges to ASPNET Users

In Windows Server 2003 (and Windows Server 2000 SP4), the account which the ASP.NET process runs under must have impersonation privileges. By default, this account is the local ASPNET user. If this account does not have impersonation privileges, then you must manually assign impersonation privileges to the appropriate account.

To assign impersonation privileges

  1. Click Start, click Control Panel, click Administrative Tools, and then click Local Security Policies.
  2. In the Local Security Settings window, expand Local Policies, click User Rights Assignment.
  3. In the User Rights Assignment folder, right-click Impersonate a client after authentication, and then click Properties.
  4. In the Properties dialog box, click Add User or Group.
  5. In the Select Users, Computers, or Groups dialog box, add the appropriate user or group, and then click OK.
  6. In the Properties dialog box, click OK.


Error Occurs When Uninstalling MCMS 2002 with SP1a Components on Windows Server 2003

If you have Visual Studio .NET running when you attempt to uninstall Microsoft Content Management Server (MCMS) 2002 with SP1a, you may receive the following error message: "Package Microsoft Content Management Server has failed to load properly."

To fix this, you must reinstall MCMS 2002 with SP1a, close Visual Studio .NET, and then uninstall MCMS 2002 with SP1a.


Files That Have Been Migrated from MCMS 2001 to MCMS 2002 Must Be Updated after You Uninstall MCMS 2002 with SP1a

The process of migrating from Microsoft Content Management Server (MCMS) 2001 to MCMS 2002 creates templates and resources on the file system in the directories listed below.

Important If you migrated from MCMS 2001 to MCMS 2002 you must back up the files listed below before you uninstall MCMS 2002 with SP1a, and then restore them when you are finished uninstalling MCMS 2002 with SP1a.

  • <installation directory>:\Program Files\Microsoft Content Management Server\Server\exeres\templates

    MCMS uses this directory to create template directories and template files.

  • <installation directory>:\Program Files\Microsoft Content Management Server\Server\exeres\Channel_rendering_scripts

    MCMS uses this directory to create rendering directories and files.

  • <installation directory>:\Program Files\Microsoft Content Management Server\Server\rdonyres\MigratedResources

    MCMS uses this directory to create resource directories and files.

After you replace these files, you must also restore the Access Control Lists (ACL) for each object because only administrators will have read and write access to these directories. You must grant read/write access to those users who need to access these files. (For example, template designers need access to these files.)


Cached Data Remains on Client Browsers

When your Microsoft Content Management Server (MCMS) site is accessed, resources are downloaded and internally cached by Internet Explorer. When you uninstall MCMS 2002 with SP1a the resources on the server revert back to the previous version, but Internet Explorer may still contain MCMS 2002 with SP1a resources. Therefore, when the site is accessed again, Internet Explorer may run a combination of MCMS 2002 with SP1a and MCMS 2002 script files, and a scripting error can occur as a result.

To work around this issue, wait for Internet Explorer to empty its cache, or manually empty the client cache in the temporary Internet folder.

To empty the temporary Internet folder

  1. In Internet Explorer, on the Tools menu, select Internet Options.
  2. On the General tab in the Temporary Internet Files section, click Delete Files.
  3. In the Delete Files dialog box, click OK.


Cannot Reinstall MCMS or Sample Site After Uninstalling MCMS 2002

If you try to install Microsoft Content Management Server (MCMS) 2002 or a sample site after you have uninstalled them, you may see the error 1607: Unable to install the InstallShield Scripting Runtime.

Solution

This error occurs when all MCMS files are not removed from the computer during the uninstall process.

After uninstalling MCMS 2002 and any sample sites, the following should be true:

  • Add/Remove Programs contains no MCMS entries in the currently installed programs list.
  • The MCMS installation directory only contains customized files.
  • The HKLM\Software\NCompass directory contains no MCMS registry entries.

If any of the above items are not true, you will need to complete the removal of MCMS from the computer and then run the MCMS Installation Wizard again.

To complete the removal of MCMS from the computer

  1. Remove any MCMS entries from the currently installed list in Add/Remove Programs.
  2. Delete any files that are not customized files from the MCMS installation directory.
  3. Delete any MCMS registry entries in the HKLM\Software\NCompass directory.

After you have completed the removal of MCMS from the computer, run the MCMS Installation Wizard again.


Video-Only Placeholder Controls Do Not Appear After Upgrading to MCMS 2002

Video-only placeholders are not supported in MCMS 2002.

Solution

Change video-only placeholders to single attachment placeholders. Refer to the migration report located at <drive>:\Program Files\Microsoft Content Management Server\LogFiles\MigrationReport.txt to identify which templates have video-only placeholders. Edit the templates so they use single attachment placeholders.


Characters Allowed in MCMS 2001 Object Properties May No Longer Be Valid in MCMS 2002

Microsoft Content Management Server (MCMS) 2002 has been enhanced to both allow more characters to be used in object properties and to more rigorously check for invalid characters. Because of this change, it is possible to save an object in MCMS 2001 whose properties contain characters that are no longer valid in MCMS 2002. During migration, MCMS 2002 will allow those invalid characters to be migrated without error. However, the enhanced validation in MCMS 2002 will prevent any object whose properties contain invalid characters from being saved.

Saves are initiated either in UI-based applications such as Microsoft Visual Studio .NET or MCMS Site Manager (resulting in error messages), or with Publishing application publishing interface (API) function calls (resulting in exceptions). If an error does occur, the invalid characters must be removed before the object can be saved. Note that changes to object properties may require additional changes (such as in the code).

For information about valid character sets for MCMS 2002 object properties, see the appropriate object in the MCMS .NET Class Reference.

Solution

You must edit invalid MCMS object names so that they only include valid characters for MCMS 2002 object names.


Console Does Not Appear in a Newly Created Channel After Upgrading to MCMS 2002

After the database schema is upgraded from Microsoft Content Management Server (MCMS) 2001 to MCMS 2002, new channels inherit their channel rendering script from their parents.

Solution

To create a page and display it in edit mode so you can see the console, you must edit the channel properties in Site Manager and leave the ScriptURL box empty.


Cannot Edit Placeholder Definitions for Checked Out Template Gallery Contents After Migrating to MCMS 2002

During migration of a Microsoft Content Management Server (MCMS) 2001 site to MCMS 2002, the ownership of checked out templates is changed to Everyone and in the placeholder definition Collection Editor, the Add and Remove buttons are disabled.

Solution

Check in the template gallery item and then check it back out as an administrator. The Add and Remove buttons are enabled in the placeholder definition Collection Editor.


Rights to Directories Are Not Migrated

After migrating to Microsoft Content Management Server (MCMS) 2002, only system administrators will have read and write rights to the directories where template files, channel rendering scripts, and application resources are created. Users will have read-only access to the following directories:

Directory | Description
<Install Drive>:\Program Files\Microsoft Content Management Server\Server\exeres\templates | This directory is used to create template directories and template files.
<Install Drive>:\Program Files\Microsoft Content Management Server\Server\exeres\Channel_redering_scripts | This directory is used to create rendering directories and file.
<Install Drive>:\Program Files\Microsoft Content Management Server\Server\rdonyres\MigratedResources | This directory is used to create resource directories and files.

Solution

In order for template developers to create or modify files in these directories, modify their permissions to be explicitly granted to the above directories. Access to resources is controlled by access control lists (ACLs) on the file system. You must change ACLs manually to assign a higher level of security to users who will have write access to the directories.


Authoring Connector Missing or Unavailable from the Word File Menu

After installing Microsoft Content Management Server (MCMS) and enabling write access to the site on a computer where Microsoft Word is installed, if the MCMS option is missing or unavailable from the File menu in Word, there are two possible causes:

  • The add-in was not registered properly.
  • There was an instance of Microsoft Word running in the background during the installation process.


Authoring Connector Wizard Displays an Empty Task List

If you try to access a publishing task list and you do not have rights to all of the channels and templates referenced by the tasks in the list, the task list will appear to be empty.

Additionally, if the publishing task list is not stored in the correct location, the Authoring Connector Wizard will not be able to find it, and the task list will appear to be empty.


Connected Page Changes Do Not Appear in Authoring Connector

After you have made changes to connected pages, you cannot view them in MCMS Authoring Connector.


Connected Pages Fail to Expire When Original Page Expires

When a page expires, its connected pages do not necessarily expire. Connected pages have independent schedules. If a page expires, its connected pages will continue to publish content until they expire.


Content Revisions Do Not Appear on Live Site

If an author adds some information to a page that was previously published and then saves the page, the new content will appear in the edit site only. The live site will not display the new content until it has been approved.


Content Revisions Appear on Live Site, Even Though Writer and Editor Do Not Have Rights to the Channel Containing the Updated Page

If a writer updates content that is used on multiple connected pages, when the editor approves the content for one page, the content is approved for all pages, regardless of whether the writer or editor have rights to the channel each page belongs to.


Cannot Modify Custom Properties on a Page

To modify custom properties for a page using the Web Author, you must be an administrator, a channel manager, or a template designer.


Selecting a Template and Clicking the HTML Placeholder Control Causes Internet Explorer to Fail

Microsoft Internet Explorer 5.5 with Service Pack 1 and Internet Explorer 5.5 with Service Pack 2 fail if you select a template and click the HTML placeholder control.


Attachment Image is Broken

You log on to the Microsoft Content Management Server (MCMS) Web Author as a resource manager, select Resource Manager from the console, choose a resource gallery, and then upload a file attachment, such as a .txt file, and the attachment is broken the first time you insert it.


Cannot Refresh Approval Assistant

If you are logged on as an administrator and you have submitted one page to the editor, when you run the Approval Assistant again it does not indicate that there is one item waiting for approval.


Multiple Placeholder Controls Bound to the Same HTML Placeholder Definition Results in Unexpected Runtime Behavior

The following placeholder controls must have a one-to-one relationship with the HTML placeholder definition that they are bound to because they share the same PlaceholderToBind property:

  • HTML placeholder control
  • Single image placeholder control
  • Single attachment placeholder control

Microsoft Visual Studio does not enforce this limitation. If you bind more than one of these placeholder controls to the same placeholder definition, you may observe unexpected runtime behavior.


Error Occurs When Installing Visual Studio .NET 2002 on Windows Server 2003

When you try to install the developer tools in Visual Studio .NET 2002 on Windows Server 2003 you may receive the following error message: "Unable to pre-create directory for profile files." For more information about this error message, including a workaround, see the Knowledge Base article 320930 at http://go.microsoft.com/fwlink/?LinkId=18359.


MCMS Default Console May Not Work with High Security Level Setting

In Windows Server 2003, the Internet Explorer internet zone has a high security level setting. The default console in MCMS may not work because this setting prevents the JavaScript file that supports the Switch To Edit Site link from being downloaded.

You must add the Microsoft Content Management Server (MCMS) Web site to the Trusted Sites list in Windows Server 2003.

To add the MCMS Web site to Trusted Sites

  1. Navigate to the site that you want to add.
  2. On the File menu, click Add this site to, and then click Trusted Sites Zone.
  3. In the Trusted sites dialog box, click Add to move the site to the list, and then click Close.
  4. Refresh the page to view the site from its new zone.
  5. Check the Status bar of the browser to confirm that the site is in the Trusted Sites Zone.


AESecurityService in Windows Server 2003 May Not Automatically Restart

If you manually stop the AESecurityService in Windows Server 2003 and attempt to access your MCMS Web site, the AESecurityService may not automatically restart and your MCMS Web site will not be available. AESecurityService must be manually restarted.

To manually restart the AESecurityService

  1. Click Start, click Control Panel, click Administrative Tools, and then click Services.
  2. Right-click AESecurityService and then click Start.


Cannot Create a Web Application in Visual Studio .NET 2002

You may be unable to create a Web application in Visual Studio .NET 2002 if you are using Windows Server 2003. Visual Studio .NET creates .tmp files, but Internet Information Services (IIS) 6.0 in Windows Server 2003 is not configured for this file type. This is a known issue with Visual Studio .NET 2002 and Windows Server 2003. For more information about this, including a workaround, see Knowledge Base article 327283 at http://go.microsoft.com/fwlink/?LinkId=18383.


Error Occurs When Deploying a Site in Windows Server 2003

When deploying a site in Windows Server 2003, the following error message may appear: "The remote server returned an error: (404) Not Found." This occurs because the ASPNET user does not have permission to access the site deployment directory on Windows Server 2003.

To grant the ASPNET user access to the site deployment directory

  1. Right-click Start, click Explore, and then browse to <installation directory>\inetpub\.
  2. Right-click the wwwroot folder and click Properties.
  3. In the wwwroot Properties dialog box, click the Security tab, and then click Add.
  4. In the Select Users or Groups dialog box, click Locations, select the local computer, and then click OK.
  5. In the text box, type aspnet, and then click Check Names. This changes the text to <computername>\ASPNET.
  6. Click OK.
  7. In the Permissions for ASP.NET Machine Account box make sure that the ASPNET account has the following permissions:
    • Read & Execute
    • List Folder Contents
    • Read
  8. Click OK.


Error Occurs During Site Deployment Import on Windows Server 2003

The following error message may appear when you are importing data in Windows Server 2003: "An underlying connection was closed. An unexpected error occurred." This may occur when you are importing a large amount of data, because Internet Information Services (IIS) will time out. You can modify the connection time in IIS.

To increase the timeout connection in IIS

  1. Click Start, click Control Panel, click Administrative Tools, and then click Internet Information Services Manager.
  2. Expand Web Sites, right-click Default Web Site (or the site where your MCMS Web application is installed), and then click Properties.
  3. Select the Web Site tab.
  4. In the Connections section, in the Connection timeout field, increase the seconds to a value large enough to allow for the length of the import.
  5. Click OK.


Standard Edition Controls Membership in Roles Other Than the Subscriber Role

Standard Edition controls membership in MCMS roles other than the subscriber role in the following ways:

  • Standard edition allows 15 users who do not belong to the subscriber role to log on to the server. Every time a user logs on to Microsoft Content Management Server (MCMS) 2002 with SP1a Standard Edition, the computer checks how many users who do not belong to the subscriber role are logged on.
  • Active Directory groups can only be added to the subscriber role.

If more than 15 unique users who are not members of the subscriber role are logged on to the server, or if you add an Active Directory group to a different role (for example, the writer, editor, or moderator roles), the following occurs:

  • Standard Edition allows only users who are members of the administrator or the subscriber role to log on.
  • Standard Edition enters a message in the Windows Application Event Log.


Standard Edition Limits Support of Clustered Web Servers

Standard Edition limits the support of clustered Web servers. Members of the subscriber role only can log on to the named server in a cluster, which is the server that can serve HTTP requests to subscribers. Subscriber role members cannot log on to any other servers in the cluster.

If one of the other servers in the cluster is designated as the Authoring server, members of the authoring role will be able to access it, but not the named server.

If you install clustered servers in a development environment, developers who are not members of the subscriber role and who use the servers will be able to do the following on the server that is not the named server in the cluster:

  • Access Microsoft Visual Studio .NET
  • Have local client access to Windows
  • Have remote client access to Windows

Developers who are members of the subscriber role and who use the servers will be able to do the following on the server that is not the named server in the cluster:

  • Have local access to the Web client
  • Have remote access to the Web client

If you install clustered servers in a production environment, users who are not members of the subscriber role and who use the servers will be able to do the following on the named server in the cluster:

  • Access Microsoft Visual Studio .NET
  • Have local client access to Windows
  • Have remote client access to Windows

Users who are members of the subscriber role and who use the servers will be able to do the following on the named server in the cluster:

  • Have local access to the Web client
  • Have remote access to the Web client


Standard Edition Does Not Support Site Stager

Standard Edition does not support any version of Site Stager.


Standard Edition Does Not Support Host Headers

Standard Edition does not support HTTP host header mapping. You can use Microsoft Content Management Server (MCMS) 2002 with SP1a Enterprise Edition to serve multiple domains without redirection by mapping the names of channels to host header names. This mapping allows users to view a channel simply by entering the channel name instead of the entire domain, computer, and channel name.

In Standard Edition, users must enter the entire domain to view a channel.


Top Navigation Menus Overlap

If the top channel of your Microsoft Content Management Server (MCMS) site has a very long name, is presented in a large font (for example Large Size - 120 dpi), or if the site has too many top channels, the top navigation menus will overlap.

To prevent the top navigation menus from overlapping, use fewer top channels with shorter names in a smaller font, or change the navigation method you use for your site.


Left Navigation Has Scrollbars

If channel names are too long for the left navigation pane in your Microsoft Content Management Server (MCMS) site, or if there are too many levels expanded, the left navigation pane will have scrollbars.


Using MCMS 2002 with SP1a with Visual Studio .NET

Microsoft Visual Studio .NET 2002 is used to build Web applications based on Microsoft .NET Framework Version 1.0. When these applications are deployed, the target computers must have .NET Framework 1.0 (or .NET Framework 1.1) installed in order for these applications to run. Note that you can only run .NET Framework 1.0 applications on Microsoft Windows Server 2003 using .NET Framework 1.1 because .NET Framework 1.0 is not supported on Windows Server 2003.

Visual Studio .NET 2003 is used to build Web applications based on .NET Framework 1.1. When these applications are deployed, the target computers must have .NET Framework 1.1 installed in order for these applications to run. See the section Using MCMS 2002 with SP1a with .NET Framework 1.1 for more information.


Creating New ASP.NET Application Takes a Long Time

If Microsoft SQL Server is stopped, creating a new Microsoft Content Management Server (MCMS), ASP.NET-based application will take a long time to complete. Additionally, the Application Log in Event Viewer will contain the message SQL Server does not exist or access denied.


Cannot Add Placeholder Controls to the Template File or Added Placeholder Controls Are Invisible

If you are using grid layout in Microsoft Visual Studio .NET when you design your template, when the template is published, placeholder controls may appear in different locations from where they were positioned by the template designer. If placeholder controls overlap, it will appear as though the covered placeholder control was not added to the template.


Cannot Copy or Change the Value of a Property in a Checked-In Template

If the template file is not checked out from your source control application, you will not be able to change property values in it.


Cannot Drag and Drop Placeholder Controls onto the Template File

If your template file is not in Design View, you will not be able to drag and drop placeholder controls onto the template.


Cannot Bind a Placeholder Control to the Associated Placeholder Definition

If you are unable to bind a placeholder control to the placeholder definition, the PlaceholderToBind property may not be set correctly.


Cannot View Select File Dialog Box

When a template is selected in Microsoft Content Management Server (MCMS) Template Explorer, in the Microsoft Visual Studio .NET Properties window, you should be able to view the Select File dialog box.


Cannot Load Root Template Gallery

If you do not have rights to the root template gallery or if assemblies are missing, the "Cannot load root template gallery" error message will appear, and you will not be able to access Template Explorer.


MCMS Projects Folder is Empty When Trying to Create a New MCMS Project

The MCMS Projects folder may be empty when you try to create a new Microsoft Content Management Server (MCMS) project in Microsoft Visual Studio .NET if MCMS 2002 is installed to a non-system drive (for example, drive d:), or you enable a Microsoft Visual C#™ Web application for MCMS and try to add a new MCMS template item.


MCMS Options Do Not Appear in Visual Studio .NET

If the file DeveloperTools.xml, located in the <installation drive>\Program Files\Microsoft Content Management Server\DevTools directory is invalid, the Enable as MCMS Project option will not be available in Microsoft Visual Studio .NET.


Cannot Browse IIS Web Sites Located on Localhost on Ports Other than the Default Port 80

The Microsoft Visual Studio .NET integration with Microsoft Content Management Server (MCMS) only allows you to access the default MCMS Internet Information Services (IIS) Web site.


Placeholder Object: Timeout Error When Setting XML Placeholder with XML Data

During the setting of XML placeholder contents, the following error message appears: The operation has timed-out.


Site Author Tutorial

Microsoft Content Management Server (MCMS) 2002 allows multiple content contributors to create and update many parts of a site simultaneously. This functionality allows organizations to overcome the limitations of traditional Web publishing models by:

  • Effectively separating content from format with in-context, template-driven page creation
  • Removing the bottleneck caused by having all content directed through a single site administrator (authors can contribute content independently of site administrators and template designers)
  • Enabling business users to quickly create, update, and publish pages from anywhere using familiar applications and tools (whether directly through the site itself using a Web browser or through Microsoft Word 2002)

This tutorial uses the WoodgroveNet sample site to demonstrate the MCMS authoring environment and to showcase key MCMS features, including:

  • Web Author — The Web browser environment for creating and editing site content
  • Authoring Connector — The feature for creating and editing site content using Microsoft Word 2002
  • Site Manager — The feature for managing channels, resources, templates, and user roles

At the completion of this tutorial, you will have first-hand experience in creating and updating pages on the WoodgroveNet sample site using the Web Author and Authoring Connector.

This section contains:

  • Preparing to Use the Site Author Tutorial
  • Lab 1: Exploring the Interface
  • Lab 2: Using the Web Author
  • Lab 3: Using Authoring Connector


Preparing to Use the Site Author Tutorial

To successfully complete this tutorial, you must complete the following requirements:

  • Install Microsoft Word 2002, as described in the Microsoft Word (or Office) online documentation.
  • Install Microsoft Content Management Server (MCMS), as described in the installation instructions located at http://go.microsoft.com/fwlink/?LinkId=9918.
  • Install the WoodgroveNet sample site, available for download from http://go.microsoft.com/fwlink/?LinkId=20020.
  • Install Authoring Connector, available for download from http://go.microsoft.com/fwlink/?LinkId=20021.
  • Understand the MCMS publishing process, workflow, user roles and rights, and containers as described in Concepts and Architecture.
  • Configure user roles and rights, as described in Lab 1: Setting Up User Roles and Rights.


Lab 1: Exploring the Interface

This lab gives you the opportunity to become familiar with the authoring elements that comprise the Microsoft Content Management Server (MCMS) user interface. MCMS provides two applications for contributing content — the Web Author and Authoring Connector.

In this lab, you first view the Web Author interface to browse the live site, verify page status, view the Production Manager, view the Approval Assistant, and view the Resource Manager.

Then you view the Authoring Connector interface to see how Microsoft Word documents are submitted to MCMS.

The following table lists the advantages and disadvantages of using the Web Author and Authoring Connector.

Publishing Tool Advantages Disadvantages
Web Author

  • Allows users to view content by switching between Live Site and Edit Site mode
  • Accessible through Microsoft Internet Explorer
  • Separates content from format
  • Provides resource addition functionality

  • Requires users to learn the MCMS 2002 concepts and workflow
  • Requires users to learn the MCMS 2002 Web Author interface
Authoring Connector

  • Simplifies the publishing process for some tasks
  • Takes advantage of familiarity with Microsoft Word

  • Provides limited functionality for publishing content
  • Users have a limited view of the content they are developing
  • Requires Microsoft Word 2002 to be installed
  • Requires users to associate text in Microsoft Word with placeholders in MCMS templates

This section contains:

  • Lesson 1: Viewing the Web Author Interface
  • Lesson 2: Viewing the Authoring Connector Interface

See Also

Authoring Content from the Web Site

Authoring Content with Word 2002


Lesson 1: Viewing the Web Author Interface

The Microsoft Content Management Server (MCMS) Web Author allows you to view and edit pages of an MCMS site using Microsoft Internet Explorer. In Live Site mode, the Web Author acts just like a browser, allowing users to browse the live site. In Edit Site mode, the Web Author displays an Authoring Console that allows users to select tasks for creating and updating pages of the site.

The following figure shows the Web Author in Edit Site mode.

Page in edit mode

This section contains:

  • Step 1: Browsing the Live Site
  • Step 2: Verifying Page Status
  • Step 3: Viewing the Production Manager
  • Step 4: Viewing the Approval Assistant
  • Step 5: Viewing the Resource Manager


Step 1: Browsing the Live Site

In this step, you browse the live site.

To browse the live site

  1. Click Start, point to Programs, and then click Internet Explorer.
  2. In Internet Explorer, in the Address box, type http://<computername>/Woodgrovenet, where <computername> is the name of your computer or the computer where the sample site is installed.
  3. If prompted, enter an account and password that has access to the site.
  4. The default home page appears. Click around the site to explore its contents.

The following figures will help you familiarize yourself with the appearance, structure, and content of the WoodgroveNet sample site.

Figure Showing Default Home Page

Figure Showing Sample Site Structure

Table Describing Pages in Sample Site

After you have finished browsing the live site and are familiar with the contents of the site, proceed to Step 2: Verifying Page Status.


Step 2: Verifying Page Status

In this step, you verify the status of a page. Once you switch to Edit Site mode, the status of the page is revealed in the Authoring Console. The following table describes each possible page status.

Page Status | Description
New | A new page has been created, but has not yet been saved for the first time.
Saved | The page has been saved, but has not yet been submitted for approval.
Waiting for Approval | The page has been submitted for approval, but has not yet been approved.
Approved | The page has been approved.
Declined | The page has been declined (did not meet approval) and must be resubmitted after modification.
Expired | The approved page has expired (exceeded the expiration time specified in the publishing schedule for the page).
Published | The page has been published on the live site.

To verify the status of a page

  1. In the Authoring Console, click Switch to Edit Site.
  2. Verify the status of the page in the Authoring Console. In Edit Site mode, the Authoring Console (along with the status of the page) is displayed as you browse through different pages on the site.

The following figure shows the status of a page in the Authoring Console.

Authoring Console view

After you have verified the status of the page, proceed to Step 3: Viewing the Production Manager.


Step 3: Viewing the Production Manager

In this step you view the Production Manager. The Production Manager lists all pages that are currently in production (meaning that the pages have not been published on the site) that belong to the current user.

To view the Production Manager

  1. In Edit Site mode, click Production Manager in the Authoring Console.

    The Production Manager window opens.

  2. In the Production Manager window, verify that no pages are currently in production.

    Later in the tutorial, after you have created and saved pages, the Production Manager window will display the status and channel of pages that are currently in production.

  3. Close the Production Manager window.

The following figure shows the appearance of the Production Manager window.

Production Manager view

After you have finished viewing the Production Manager, proceed to Step 4: Viewing the Approval Assistant.


Step 4: Viewing the Approval Assistant

In this step, you view the Approval Assistant. The Approval Assistant lists all pages that are currently waiting for approval by the current user.

To view the Approval Assistant

  1. In the Authoring Console, in Edit Site mode, click Approval Assistant.

    The Approval Assistant window opens.

  2. In the Approval Assistant window, verify that no pages are currently waiting for approval.

    Later in the tutorial, after you have submitted pages, the Approval Assistant window will display the location, status, and owner of pages that are waiting for your approval.

  3. Close the Approval Assistant window.

The following figure shows the appearance of the Approval Assistant window.

Approval Assistant view

After you have finished viewing the Approval Assistant, proceed to Step 5: Viewing the Resource Manager.


Step 5: Viewing the Resource Manager

In this step, you view the Resource Manager. The Resource Manager lists all available resources (images and file attachments) that can be inserted into pages on the site by the current user. The Resource Manager categorizes these resources by resource galleries, which are created and managed by resource managers and template designers.

To view the Resource Manager

  1. In the Authoring Console, in Edit Site mode, click Resource Manager.

    The Resource Manager window opens.

  2. In the Resource Manager window, click a Resource Gallery to view the available resources.
  3. Close the Resource Manager window.

The following figure shows the appearance of the Resource Manager window.

Resource Manager page view

After you have finished viewing the Resource Manager, proceed to Lesson 2: Viewing the Authoring Connector Interface.


Lesson 2: Viewing the Authoring Connector Interface

This section allows you to explore the Authoring Connector interface and see how it is used to publish documents to Microsoft Content Management Server (MCMS). You use Authoring Connector through the Authoring Connector Wizard in Microsoft Word 2002. This wizard masks the complexities and simplifies the task of publishing Word documents to MCMS sites. In this lesson, you will glance at each page in the wizard for an idea of the types of publishing options you can set when using Authoring Connector.

To view the Authoring Connector interface

  1. Click Start, point to Programs, and then click Microsoft Word.
  2. Enter some text and save the Word file.
  3. Click File, point to Send to MCMS, and then click Create New Page.

    This step starts the Authoring Connector Wizard.

  4. On the Welcome to the Authoring Connector Wizard page, click Next.
  5. If you are prompted to log on, enter a user name and password with sufficient privileges to update content on the sample site, and then click Continue.
  6. On the Publishing Task page, select a publishing task, and then click Next.
  7. On the Page Information page, enter any name for Page name, select Make the title the same as the page name, and then click Next.
  8. On the Publishing Dates and Times page, click Next.
  9. On the Page Submission page, click Cancel.

See Also

Authoring Content with Word 2002


Lab 2: Using the Web Author

This lab shows you how to create and publish pages using the Web Author. In this lab you publish a page for the Wingtip Toys case study on the WoodgroveNet sample site. For more information about using the Web Author, see Authoring Content from the Web Site.

This section contains:

  • Lesson 1: Creating Pages
  • Lesson 2: Publishing Pages
  • Lesson 3: Updating Pages
  • Lesson 4: Viewing Page Properties


Lesson 1: Creating Pages

This lesson shows you how to create pages using the Web Author.

This section contains:

  • Step 1: Selecting a Template
  • Step 2: Adding Content to a Page
  • Step 3: Inserting Graphics and Resources onto a Page
  • Step 4: Previewing a Page
  • Step 5: Saving a Page


Step 1: Selecting a Template

In this step you select a template for creating the new case study page for Wingtip Toys.

To select a template

  1. Click Start, point to Programs, and then click Internet Explorer.
  2. In Internet Explorer, in the Address box, type http://<computername>/Woodgrovenet, where <computername> is the name of your computer or the computer where the sample site is installed.
  3. If prompted, enter an account and password that has access to the site.

    The default WoodgroveNet home page appears.

  4. Click Switch To Edit Site.
  5. In the Authoring Console, click Create New Page.

    The Select Template Gallery window opens, allowing you to specify a template for the page.

  6. In the Select Template Gallery window, click Small Business Net.
  7. In the Select Template window, select Case Studies ASPX. You must click the hand icon Button art under the Select column instead of the template name.

    The Web Author loads the selected template, allowing you to enter content in the placeholders.

    The following figure shows the Case Studies template with its placeholders. To view an entire template on your computer, you might need to scroll down in your browser window.

    Empty template preview

By only providing placeholders in the context of site design and presentation (with few or no options for formatting or layout), MCMS enforces site consistency and enables you to focus on contributing content. You can create, update, and publish content directly without the need for site administrators and template designers to review your changes before publishing them on the site.

After you have finished selecting the template, proceed to Step 2: Adding Content to a Page.


Step 2: Adding Content to a Page

In this step, you add content to the case study page for Wingtip Toys using the Case Studies template you selected in Step 1: Selecting a Template.

To add content to a page

  1. Add content to the first placeholder. In the first text box, type Playing Generates Profits for Wingtip Toys as a title for the case study.
  2. Add content to the second placeholder. In the second text box, type the following text as a description for the customer:

    Wingtip Toys provides a wide variety of toys, from educational toys and books to collectibles and video games.

  3. Add content to the third placeholder. In the third text box, type the following text that describes how Woodgrove helped Wingtip Toys increase its revenue stream:

    While the retail stores have been performing well, Wingtip Toys applied for a small business loan to develop an online store. This online store will increase revenue and reduce operating costs, allowing Wingtip Toys to stabilize as a business and overcome the highly volatile, seasonal sales fluctuations that are inherent to the toy industry.

After you have finished entering the content, proceed to Step 3: Inserting Graphics and Resources onto a Page.


Step 3: Inserting Graphics and Resources onto a Page

In this step, you insert graphics and resources onto the case study page for Wingtip Toys. If you have not selected a template yet, see Step 1: Selecting a Template.

To insert an image onto a page

  1. Click the Button art icon for Add or Edit Image.

    The Select Source window opens.

  2. In the Select Source window, click Insert Shared Image.

    The Select Resource Gallery window opens.

  3. In the Select Resource Gallery window, click Small Business.

    The Select Image window opens.

  4. In the Select Image window, select bicycles.jpg. You must click the hand icon Button art under the Select column instead of the image or resource name.

    The Insert Image window opens, allowing you to specify optional properties.

  5. In the Insert Image window, in the Alternate Text box, type Racing Bicycles, and then click Insert.

    The Web Author displays the page with the selected image inserted.

The following figure shows the Case Studies template with the added content in the placeholders. To view an entire template on your computer, you might need to scroll down in your browser window.

Page template preview

After you have finished inserting the graphic, proceed to Step 4: Previewing a Page.


Step 4: Previewing a Page

In this step, you preview the case study page for Wingtip Toys. Once you have entered content onto the page, you can preview the page to see how it would appear in a browser window. Previewing a page is useful because it allows you to verify the content and appearance of the page before saving and submitting the page for publication.

If you have not selected a template yet, see Step 1: Selecting a Template.

To preview a page

  1. In the Authoring Console, click Preview.

    A new window opens displaying the new case study page for Wingtip Toys.

  2. Verify the content and appearance of the page, and then close the window.

The following figure shows the case study page for Wingtip Toys in the Preview window.

Published page preview

After you have finished previewing the page, proceed to Step 5: Saving a Page.


Step 5: Saving a Page

In this step, you save the case study page for Wingtip Toys. Once you have previewed the page and verified its content and appearance, use the following procedure to save the page. If you have not selected a template yet, see Step 1: Selecting a Template.

To save a page

  1. In the Authoring Console, click Save New Page.

    The Save New Page window opens.

  2. In the Save New Page window, in the Name box, type Wingtip Toys Case Study. In the Display Name box, type Wingtip Toys, and then click OK.

    The template window (containing the placeholders and your content) closes and the Web Author displays the new page. MCMS maintains your placeholder content in the associated database on Microsoft SQL Server.

  3. In the Authoring Console, verify that the status of the new page is Saved.

    The following figure shows the appearance of the case study page for Wingtip Toys after it has been saved.

    Page saved view

  4. In the Authoring Console, click Production Manager.

    The Production Manager window opens.

  5. In the Production Manager window, verify that the new case study page for Wingtip Toys is listed and that its status is Saved.

    The following figure shows the Production Manager window listing the case study page for Wingtip Toys as a page that is currently in production.

    Production manager view

  6. Close the Production Manager window.

After you have finished saving the page, proceed to Lesson 2: Publishing Pages.


Lesson 2: Publishing Pages

This lesson shows you how to publish pages using the Web Author.

This section contains:

  • Step 1: Submitting a Page
  • Step 2: Setting the Publishing Schedule
  • Step 3: Approving a Page
  • Step 4: Viewing the Completed Page


Step 1: Submitting a Page

In this step, you submit a page for approval. Once you have created and saved the case study page for Wingtip Toys, you can submit it to an editor (and optionally, a moderator) for approval before the page is published on the site. Use the following procedure to submit the case study page for Wingtip Toys.

To submit a page

  1. In the Authoring Console, click Submit.

    The Page Status changes to Waiting For Editor Approval.

  2. In the Authoring Console, click Production Manager to view the pages in production.

    The Production Manager window opens.

  3. In the Production Manager window, verify that the case study page for Wingtip Toys is listed and that its status is Waiting For Editor Approval.
  4. Close the Production Manager window.

After you have finished submitting the page, proceed to Step 2: Setting the Publishing Schedule.


Step 2: Setting the Publishing Schedule

In this step, you set the publishing schedule for a page. Once you have submitted the case study page for Wingtip Toys, you can set the publishing schedule to specify the times that subscribers can view the page on the live site. Editors and moderators can also set the publishing schedule. Use the following procedure to set the publishing schedule for the Wingtip Toys case study page.

If you have not submitted a page yet, see Step 1: Submitting a Page.

To set the publishing schedule

  1. In the Authoring Console, click Page Properties.

    The Page Properties window opens.

  2. On the Standard tab, in the Publishing Options section, for the Start Publishing option, click Immediately.
  3. For the Stop Publishing option, click Never.
  4. Click Save Changes to close the Page Properties window.

The following figure shows the appearance of the publishing schedule for a sample page.

Calendar window options

After you have finished setting the publishing schedule, proceed to Step 3: Approving a Page.


Step 3: Approving a Page

In this step, you approve a page for publishing using the Approval Assistant. For this tutorial, you will assume the tutorial editors role and approve the case study page for Wingtip Toys.

If you have not submitted a page yet, see Step 1: Submitting a Page.

To approve a page

  1. 3In the Authoring Console, click Approval Assistant to approve the case study page for Wingtip Toys.

    The Approval Assistant window opens.

  2. In the Approval Assistant window, select the check box beside the case study page for Wingtip Toys, and then click Approve. Under normal circumstances outside of this tutorial, an editor should Go To the page they want to approve and review it in preview mode, then check its publishing schedule before approving the page.
  3. Close the Approval Assistant window.
  4. Refresh the browser window and verify that the status of the page has changed to Published.
  5. In the Authoring Console, click Production Manager.

    The Production Manager window opens.

  6. In the Production Manager window, verify that the approved case study page for Wingtip Toys does not appear in the list of pages in production.
  7. Close the Production Manager window.
  8. In the Authoring Console, click Approval Assistant.

    The Approval Assistant window opens.

  9. In the Approval Assistant window, verify that the approved case study page for Wingtip Toys does not appear in the list of pages waiting for approval.
  10. Close the Approval Assistant window.
  11. Click Switch to Live Site and navigate to the new case study page to verify that it is now published on the live site.

After you have finished approving the page, proceed to Step 4: Viewing the Completed Page.


Step 4: Viewing the Completed Page

In this step, you view the completed case study page for Wingtip Toys in a browser. If you have not submitted a page yet, see Step 1: Submitting a Page.

To view the completed page

  1. Click Start, point to Programs, and then click Internet Explorer.
  2. In Internet Explorer, in the Address box, type http://<computername>/Woodgrovenet, where <computername> is the name of your computer.
  3. If prompted, enter an account and password that has access to the site.

    The default home page appears.

  4. In the top navigation bar, point to Small Business, and then click Case Studies.
  5. On the Case Studies page, click Wingtip Toys to view the completed page.

The following figure shows the completed case study page for Wingtip Toys.

Published page preview

After you have finished viewing the completed page, proceed to Lesson 3: Updating Pages.


Lesson 3: Updating Pages

This lesson shows you how to update pages using the Web Author.

This section contains:

  • Step 1: Editing an Existing Page
  • Step 2: Viewing the Updated Page
  • Step 3: Moving a Page
  • Step 4: Creating Connected Pages
  • Step 5: Deleting a Page


Step 1: Editing an Existing Page

In this step, you edit an existing page using the Web Author. For this tutorial, you will edit the case study page for Wingtip Toys by updating the caption on the page. If you have not created a page yet, see Lesson 1: Creating Pages.

To edit an existing page

  1. Click Start, point to Programs, and then click Internet Explorer.
  2. In Internet Explorer, in the Address box, type http://<computername>/Woodgrovenet, where <computername> is the name of your computer.
  3. If prompted, enter an account and password that has access to the site.

    The default home page appears.

  4. In the top navigation bar, point to Small Business, and then click Case Studies.
  5. On the Case Studies page, click Wingtip Toys.
  6. Click Switch to Edit Site.
  7. In the Authoring Console, click Edit.

    The Web Author displays the case study template with the content you have previously entered.

  8. Change the title of the case study. In the first text box, replace the existing text from Playing Generates Profits for Wingtip Toys to eTail Store Grows Profits for Wingtip Toys.
  9. In the Authoring Console, click Save and Exit.

    The Web Author saves the page and returns to Edit Site mode. Notice in the Authoring Console that the Page Status changes to Saved. Since you have edited the page, the Web Author adds a new entry under Page Status called Version.

    Until the Tutorial Editor approves the page, this value will always be Page has Live Version because the page on the live site currently displays the existing page title (Playing Generates Profits for Wingtip Toys).

  10. In the Authoring Console, click Submit.
  11. In the Authoring Console, click Production Manager to view the pages that are currently in production.

    The Production Manager window opens.

  12. In the Production Manager window, view the entry for the case study page for Wingtip Toys and verify that its status is Waiting For Editor Approval.
  13. Close the Production Manager window.
  14. In the Authoring Console, click Approval Assistant to approve the case study page for Wingtip Toys (with the new title).

    The Approval Assistant window opens.

  15. In the Approval Assistant window, select the check box beside the case study page for Wingtip Toys, and then click Approve.
  16. Close the Approval Assistant window.
  17. Refresh the browser window and verify that the status of the page has changed to Published.
  18. Click Switch to Live Site to verify that the change has been published on the live site.

After you have finished editing the existing page, proceed to Step 2: Viewing the Updated Page.


Step 2: Viewing the Updated Page

In this step, you view the updated page using a browser. This step lets you verify that the page title has been updated on the live site. If you have not created a page yet, see Lesson 1: Creating Pages.

To view the updated page

  1. Click Start, point to Programs, and then click Internet Explorer.
  2. In Internet Explorer, in the Address box, type http://<computername>/Woodgrovenet, where <computername> is the name of your computer.
  3. If prompted, enter an account and password that has access to the site.

    The default home page appears.

  4. In the top navigation bar, point to Small Business, and then click Case Studies.
  5. On the Case Studies page, click Wingtip Toys to view the updated page.
  6. Verify that the title of the page has changed from Playing Generates Profits for Wingtip Toys to eTail Store Grows Profits for Wingtip Toys.

The following figure shows the updated case study page for Wingtip Toys.

Page updated view

After you have finished viewing the updated page, proceed to Step 3: Moving a Page.


Step 3: Moving a Page

In this step, you move a page to another channel on the site using the Web Author. For instructions about moving pages within a folder or directory, see Sorting the Channel Structure. If you have not created a page yet, see Lesson 1: Creating Pages.

To move a page

  1. In the top navigation bar of the Web Author, point to Small Business, and then click Case Studies.
  2. On the Case Studies page, click Wingtip Toys.
  3. In the Authoring Console, click Switch to Edit Site.
  4. In the Authoring Console, click Move.

    The Move Page window opens, allowing you to select a destination channel.

  5. In the Move Page window, expand WoodgroveNet, expand About Us, and then click Press Releases.
  6. Make sure that the destination channel name appears in the Destination Channel text box, and then click OK.
  7. Navigate to the Case Studies and About Us sections to verify that the case study page for Wingtip Toys has moved from the Case Studies section under Small Business to the Press Releases section under About Us.
  8. Move the page back to its original location by navigating to the case study page for Wingtip Toys (now in the Press Releases section under About Us).
  9. In the Authoring Console, click Move.
  10. In the Move Page window, expand WoodgroveNet, expand Small Business, and then click Case Studies.
  11. Make sure that the destination channel name appears in the Destination Channel text box, and then click OK.
  12. Navigate to the Case Studies and About Us sections to verify that the case study page for Wingtip Toys has moved back to its original location in the Case Studies section under Small Business.

After you have finished moving the page, proceed to Step 4: Creating Connected Pages.


Step 4: Creating Connected Pages

In this step, you create a connected page that uses the content from the case study page for Wingtip Toys. For more information about creating connected pages, see Creating Connected Pages. If you have not created a page yet, see Lesson 1: Creating Pages.

To create a connected page

  1. In the top navigation bar of the Web Author, point to Small Business, and then click Case Studies.
  2. On the Case Studies page, click Wingtip Toys.
  3. In the Authoring Console, click Create Connected Page.

    The Create Connected Page window opens, allowing you to select a destination channel.

  4. In the Create Connected Page window, expand WoodgroveNet, expand Small Business, and then click Services.
  5. In the Select Template window, select Case Studies ASPX. You must click the hand icon Button art.

    This step creates the connected page in the Services section under Small Business. This connected page uses the Case Studies ASPX template.

  6. In the Authoring Console, click Preview to view the connected page.

    The Web Author displays the new page in a new window.

  7. Close the preview window.
  8. In the Authoring Console, click Preview Connected Pages to display a list of pages that are connected to the current page.

    The Preview Connected Page window opens, allowing you to preview any connected page from the list. All pages listed use the same content or template as the current page.

  9. Close the Preview Connected Page window.
  10. In the Authoring Console, click Save New Page.

    The Create Connected Page window opens, allowing you to specify a Display Name for the new connected page.

  11. Click OK to save the new connected page. Note that the Page Status changes to Saved.
  12. In the Authoring Console, click Submit. Note that the Page Status changes to Waiting for Editor Approval.
  13. In the Authoring Console, click Approve. Note that the Page Status changes to Published.
  14. View the new connected page in the Services section under Small Business. This new connected page uses the same content and template as the case study page for Wingtip Toys in the Case Studies section under Small Business.

After you have finished creating the connected page, proceed to Step 5: Deleting a Page.


Step 5: Deleting a Page

In this step, you will delete the new connected case study page for Wingtip Toys that you created in the previous step. If you have not created a page yet, see Lesson 1: Creating Pages.

To delete a page

  1. Click Small Business, and then click Services.
  2. Under Services, click Wingtip Toys.
  3. In the Authoring Console, click Delete.
  4. In the confirmation window, click OK.

The page is removed from the site.

See Also

About Content Structure

About Site Management

Setting Up the Publishing Environment


Lesson 4: Viewing Page Properties

In this lab, you view the page properties for the case study page that you published in the previous lab. These properties include the publishing schedule and revision history for the page. For more information about managing a Web site, see About Site Management. For more information about publishing site content, see Setting Up the Publishing Environment.

This section contains:

  • Step 1: Viewing the Publishing Schedule
  • Step 2: Viewing the Revision History
  • Step 3: Comparing Versions


Step 1: Viewing the Publishing Schedule

In this step, you view the publishing schedule for the Wingtip Toys case study page. Microsoft Content Management Server (MCMS) displays published pages in the period specified between the Start Publishing and Stop Publishing dates and times. Subscribers cannot view published pages before the Start Publishing time or after the Stop Publishing time.

To view the publishing schedule

  1. In the top navigation bar of the Web Author, point to Small Business, and then click Case Studies.
  2. On the Case Studies page, click Wingtip Toys.
  3. In the Authoring Console, click Page Properties.
  4. The Page Properties window opens, allowing you to set the Start Publishing and Stop Publishing times for the page. You can also edit the Name and Display Name for the page, or enable any of the following page options:
    • Important Page - marks the page as important
    • Hide When Published - hides the page from visitors on the live site
    • Web Robots Can Crawl Links - allows Web search engines to search the content on this page
    • Web Robots Can Index This Page - allows Web search engines to index the content on this page
  5. In the Page Properties window, click Cancel.

The following figure shows the appearance of the publishing schedule for a sample page.

Calendar window options

After you have finished viewing the publishing schedule, proceed to Step 2: Viewing the Revision History.


Step 2: Viewing the Revision History

In this section, you view the revision history for the Wingtip Toys case study page.

To view the revision history

  1. In the Authoring Console, click Revision History.

    The Revision History window opens, allowing you to view and compare previous versions of this page.

  2. To view a specific version, click the View Revision icon Button art next to the entry for the desired version.
  3. To view the properties for a specific version, click the Properties icon Button art for the desired version.

After you have finished viewing the revision history, proceed to Step 3: Comparing Versions.


Step 3: Comparing Versions

In this step, you compare two versions of the Wingtip Toys case study page.

To compare versions

  1. In the Authoring Console, click Revision History.
  2. In the Revision History window, select the check boxes beside the versions that you want to compare (listed under the Approved Revisions section), and then click Compare (under the Revisions to Compare section).
  3. A new Revision History window opens, displaying the differences between the two versions that you selected.

After you have finished comparing versions, close both Revision History windows.

See Also

About Content Structure

About Site Management

Setting Up the Publishing Environment


Lab 3: Using Authoring Connector

In this lab, you create a document in Microsoft Word 2002, and then submit this document as a page to Microsoft Content Management Server (MCMS) for publication using Authoring Connector. For more information about using Authoring Connector, see Authoring Content with Word 2002.

This section contains:

  • Step 1: Creating a New Word Document
  • Step 2: Submitting a New Word Document
  • Step 3: Publishing a New Word Document
  • Step 4: Editing an Existing Word Document
  • Step 5: Viewing the Updated Word Document


Step 1: Creating a New Word Document

In this step, you create a new document in Microsoft Word 2002. Later in the tutorial, you will submit this new document to MCMS for publication using Authoring Connector.

To create a new Word document

  1. Click Start, point to Programs, and then click Microsoft Word.
  2. Type the following text into the document that opens:

    Sample Small Business Service

    This sample page demonstrates the publishing capabilities of Authoring Connector.

    Summary

    Authoring Connector provides the following benefits:

    • Allows users to publish Word documents to MCMS sites
    • Eliminates the need for users to learn new applications for publishing content; leverages existing knowledge and familiarity with Microsoft Word
    • Maintains site consistency with templates

    Details:

    Authoring Connector simplifies the process of publishing content by providing a wizard. You can use this wizard for submitting the content in Word documents to MCMS as placeholder content (Web page content).

    Contacts:

    For more information about Authoring Connector, see "Authoring Content with Word 2002" in MCMS 2002 Help.

  3. Save the file.

After you have finished entering content and saving the file, proceed to Step 2: Submitting a New Word Document.


Step 2: Submitting a New Word Document

In this step, you submit the new Microsoft Word document that you created in the previous step to Microsoft Content Management Server (MCMS) using the Authoring Connector Wizard.

To submit a new Word document

  1. Click File, point to Send to MCMS, and then click Create New Page.

    This step starts the Authoring Connector Wizard.

  2. On the Welcome to the Authoring Connector Wizard page, click Next.
  3. If you are prompted, log on using an account with sufficient privileges to create content on the site, and then click Continue.
  4. On the Publishing Task page, select a publishing task, and then click Next.
  5. On the Page Information page, next to Page name, type Sample Service. Select the check box next to Make the title the same as page name, and then click Next.
  6. On the Publishing Dates and Times page, under Start, click Immediately. Under End, click Never. Select Advanced page properties, and then click Next.
  7. On the Advanced Page Properties page, do the following:
    Use this | To do this
    Mark page as special page | Select this box to mark the page as Important. Template designers and channel managers may choose to display Important pages differently than other pages.
    Allow Web robots to crawl links | Select this box to allow Web search engines to search the content on this page.
    Hide page from subscriber when published | Select this box to hide the page from visitors on the live site.
    Allow Web robots to index this page | Select this box to allow Web search engines to index the content on this page.
  8. Click Next.
  9. On the Page Submission page, click Preview Page to examine the page as it would appear on the live site without actually publishing the page. This preview feature lets you review the contents of the page and make any changes to your Word document before submitting the page for publication to the site.

    The Web Author loads the preview page in a new browser window.

  10. In the Web Author, log on using an account with sufficient privileges to create content on the site, and then click Continue.
  11. Close the Web Author browser once you have reviewed the page, and are ready to publish the page.
  12. In the Page Submission page, click Next.

    The page is submitted for publication.

  13. In the Completing the Authoring Connector Wizard page, click Finish.

After you have finished submitting the new sample service page, proceed to Step 3: Publishing a New Word Document.


Step 3: Publishing a New Word Document

In this step, you approve and publish the new Word document that you submitted in the previous step.

To publish a new Word document

  1. Using the WebAuthor in Edit Site mode, navigate to the Wingtip Toys case study page to verify that the Page Status is Waiting For Editor Approval, and then click Approve.

    You can also use Approval Assistant to approve the page for publication by selecting the check box next to the Wingtip Toys case study page, and then clicking Approve.

    The Page Status changes to Published, and subscribers can now view the new page.

  2. Click Logoff in the upper-right hand corner to log off of the site as an author.
  3. Log back onto the site using the Subscriber account to view the new page on the live site.

After you have finished viewing the published page, proceed to Step 4: Editing an Existing Word Document.


Step 4: Editing an Existing Word Document

In this step, you edit an existing Microsoft Word document by updating the sample service information that you previously created.

To edit an existing Word document

  1. Open the Word document for the sample service that you created in the previous step.
  2. In the document that opens, change the title of the page from Sample Small Business Service to Sample Service, and then save the changes.
  3. Click File, point to Send to MCMS, and then click Update Same Page.

    The Authoring Connector Wizard opens.

  4. On the Welcome to the Authoring Connector Wizard page, click Next.
  5. On the Page Information page, click Next. MCMS will use the options that you specified when you first created this page.
  6. On the Publishing Times page, click Next. MCMS will use the publishing options that you specified when you first created this page.
  7. On the Page Submission page, click Preview Page.
  8. If you are prompted, log on using an account with sufficient privileges to create content on the site, and then click Continue.

    The Web Author loads the preview page.

  9. Verify that the title of the page has changed from Sample Small Business Service to Sample Service, and then close the Web Author window.
  10. On the Page Submission page, click Next.

    The updated page is submitted for publication.

  11. On the Completing the Authoring Connector Wizard page, click Finish.

After you have finished editing the existing Word document, proceed to Step 5: Viewing the Updated Word Document.


Step 5: Viewing the Updated Word Document

In this step, you view the updated Word document by approving the changes and viewing the live site.

To view the updated Word document

  1. In the Web Author, click Small Business, then click Services, and then click Sample Service.

    This step navigates to the Sample Service page that you previously created.

  2. In the Authoring Console, verify that the Page Status is Waiting For Editor Approval, and then click Approve. Or use Production Manager to approve the changes for this page.

    The Page Status changes to Published, and subscribers can now view the updated page.

  3. Click Logoff in the upper-right hand corner to log off of the site as an author.
  4. Log back onto the site using the Subscriber account.
  5. Navigate to the Sample Service page to view the updated page on the live site.


Site Manager Tutorial

Microsoft Content Management Server (MCMS) site managers are tasked with certain aspects of the creation and management of MCMS Web sites. For example, MCMS site managers manage MCMS rights groups, create and modify channels in the MCMS Web site, and manage the resource and template galleries used by the site authors.

This section contains:

  • Preparing to Use the MCMS Site Manager Tutorial
  • Lab 1: Setting Up User Roles and Rights
  • Lab 2: Setting Up Channel Structure
  • Lab 3: Assigning Rights Groups to the Case Studies Channel


Preparing to Use the MCMS Site Manager Tutorial

The following must be true before you can successfully complete this tutorial:

  • MCMS has been installed.
  • The WoodgroveNet sample site has been installed.
  • You have administrator rights for the MCMS site.
  • All users that you want to add to rights groups must exist on the domain on which MCMS is installed. Ask your system administrator about users on the domain. For information about creating user accounts, see the installation instructions located at http://go.microsoft.com/fwlink/?LinkId=9918. For information about Microsoft Windows® User Accounts, see Microsoft Windows Help.


Lab 1: Setting Up User Roles and Rights

You use the Microsoft Content Management Server (MCMS) Site Manager application to set up user roles and to grant the appropriate rights. MCMS uses roles to associate job functions with user rights. This association allows site managers to control user rights with fine granularity. For more information about the different roles in MCMS, see MCMS User Roles.

In this lab, you configure the MCMS guest rights group, and create and configure the Tutorial Authors and Tutorial Editors rights groups. You then assign a user to a rights group. In the next lab, you will create channels and then specify which channels, resource galleries, and template galleries the rights group members have rights to.

This section contains:

  • Lesson 1: Configuring the MCMS Guest Role
  • Lesson 2: Creating and Configuring the Tutorial Authors Role
  • Lesson 3: Creating and Configuring the Tutorial Editors Role


Lesson 1: Configuring the MCMS Guest Role

In this step, you configure the MCMS guest role, which gives read-only privileges to users who visit your site, including members of the authors and editors rights groups. Before you can add the IUSR_<servername> guest user account to the CMS Guest rights group, the system administrator must configure the MCMS server and set up guest access to the site.

For information about configuring the MCMS server, see Using the Server Configuration Application.

For information about setting up guest access on the WoodgroveNet site, see Enabling Guest Access.

To make IUSR_<servername> a member of the CMS Guest rights group

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, do the following:
    Use this | To do this
    Log in as the following user | Select to log in as the MCMS site manager.
    Domain | Type the domain name for the site manager account.
    User Name | Type the user name for the site manager account.
    Password | Type the password for the site manager account.
  3. Click Start.
  4. In Site Manager, click User Roles.
  5. In the User Roles pane, click Subscribers.
  6. In the Subscribers pane, right-click CMS Guest, and then click Properties.
  7. In the CMS Guest Properties dialog box, on the Group Members tab, click Modify.
  8. In the Modify Members – CMS Guest dialog box, in the NT Domains section, do the following:
    Use this | To do this
    NT Domains domain list | From the list of domains, select the MCMS server.
    NT Domains drop-down list | From the drop-down list, select Select from list of all groups and users.
    NT Domain user list | From the list of users and groups, select IUSR_<server name>.
    Add | Click to add IUSR_<server name> to the Rights Group Members list.
  9. Click OK to close the Modify Members – Tutorial Subscribers dialog box.
  10. Click OK to close the CMS Guest Properties dialog box.

After you have made the IUSR_<server name> a member of the CMS Guest rights group, you can create and configure the Tutorial Authors rights group. For information about creating and configuring the Tutorial Authors rights group, see Lesson 2: Creating and Configuring the Tutorial Authors Role.


Lesson 2: Creating and Configuring the Tutorial Authors Role

In the following steps, you create the Tutorial Authors rights group, which is designated for users who create and edit pages of the Woodgrove sample site and add a user to the rights group. To configure this role:

  • Step 1: Create a rights group for the Tutorial Authors role
  • Step 2: Add a member to the Tutorial Authors rights group


Lesson 3: Creating and Configuring the Tutorial Editors Role

In the following steps, you create the Tutorial Editors rights group, which is designated for users who edit content and approve or decline pages of the WoodgroveNet sample site and add a user to the rights group. To configure this role:

  • Step 1: Create a rights group for the Tutorial Editors role
  • Step 2: Add members to the Tutorial Editors rights group


Lab 2: Setting Up Channel Structure

You use the Microsoft Content Management Server (MCMS) Site Manager application to create containers that store the different types of content that make up an MCMS site. The MCMS Site Manager application and the MCMS Web Author use containers to organize and store pages, resources, templates, and rights groups.

The following table lists the four types of containers.

Container type | Used to store
Channel | Pages
Resource Gallery | Resources
Template Gallery | Templates
User Roles | Rights groups

In this lab, you will use the MCMS Site Manager application to create a channel to store mortgage case studies for Woodgrove Bank and to set the properties for the new channel.

This lab contains:

  • Lesson 1: Creating the Mortgage Case Studies Channel
  • Lesson 2: Setting Operation Options for the Mortgage Case Studies Channel
  • Lesson 3: Setting the Start and Expiration Dates for the Mortgage Case Studies Channel
  • Lesson 4: Selecting the First Page for the Mortgage Case Studies Channel
  • Lesson 5: Setting the Web Author Default Galleries


Lesson 1: Creating the Mortgage Case Studies Channel

In Microsoft Content Management Server (MCMS), channels are used to store, organize, and manage access to pages. Site managers use the MCMS Site Manager application to create channels that organize pages into a hierarchy and manage access to pages, allowing MCMS users to author and publish page content.

The channel hierarchy determines the structure for an MCMS site. It is recommended that you create the channels and specify channel hierarchies before you create other containers.

To create the Mortgage Case Studies channel

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, do the following:
    Use this | To do this
    Log in as the following user | Select to log in as the MCMS site manager.
    Domain | Type the domain name for the site manager account.
    User Name | Type the user name for the site manager account.
    Password | Type the password for the site manager account.
  3. Click Start.
  4. In Site Manager, click Channels.
  5. In the left Channels pane, expand Channels, right-click WoodgroveNet, and then select New Channel.
  6. In the New Channel dialog box, do the following:
    Use this | To do this
    Name | Type Mortgage Case Studies as the name of the channel. MCMS uses this name in the URL for the pages in the channel. For information about channel naming conventions, see Creating Channels.
    Display Name | Type Mortgage Case Studies as the display name for the channel. MCMS shows the display name of the channel on the site.
    Description | Type Woodgrove mortgage case studies to describe the channel.
  7. Click OK.

After you create the Mortgage Case Studies channel, you can set the operation options for it. For information about setting operational options for the channel, see Lesson 2: Setting Operation Options for the Mortgage Case Studies Channel.


Lesson 2: Setting Operation Options for the Mortgage Case Studies Channel

When you create a new channel, you can set options that control how the channel operates.

To set the channel options

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, do the following:
    Use this | To do this
    Log in as the following user | Select to log in as the site manager.
    Domain | Type the domain name for the site manager account.
    User Name | Type the user name for the site manager account.
    Password | Type the password for the site manager account.
  3. Click Start.
  4. In Site Manager, click Channels.
  5. In the left Channels pane, expand Channels, expand WoodgroveNet, right-click Mortgage Case Studies, and then click Properties.
  6. In the Mortgage Case Studies Properties dialog box, on the Publishing tab, in the Options section, do the following:
    Use this | To do this
    Web Robots Can Crawl Links | Select this box to allow users to perform full-text searches on your site using an Internet search engine.
    Web Robots Can Index This Channel's Navigation | Select this box to allow the content on your site to be indexed by an Internet search engine.
  7. Click OK to close the Mortgage Case Studies Properties dialog box.

After you set the operation options for the Mortgage Case Studies channel, you can set the start and expiration dates for it. For information about setting the start and expiration dates for the channel, see Lesson 3: Setting the Start and Expiration Dates for the Mortgage Case Studies Channel.


Lesson 3: Setting the Start and Expiration Dates for the Mortgage Case Studies Channel

You use the MCMS Site Manager application to specify a publishing schedule for the Mortgage Case Studies channel by setting start and expiration dates. MCMS starts publishing content for the Mortgage Case Studies channel to the WoodgroveNet site on the start date and stops publishing the content on the expiration date.

In this lesson, you will specify that pages in the Mortgage Case Studies channel will be published to the WoodgroveNet site for one month, starting immediately.

Note Channel start and expiration dates take precedence over start and expiration dates for individual pages in the channel. None of the pages in a channel will be visible until the start publishing date for that channel, even if the publishing date for a page is "immediate."

To set the start and expiration dates for the Mortgage Case Studies channel

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, do the following:
    Use this | To do this
    Log in as the following user | Select to log in as the site manager.
    Domain | Type the domain name for the site manager account.
    User Name | Type the user name for the site manager account.
    Password | Type the password for the site manager account.
  3. Click Start.
  4. In Site Manager, click Channels.
  5. In the left Channels pane, expand Channels, expand WoodgroveNet, right-click Mortgage Case Studies, and then click Properties.
  6. In the Mortgage Case Studies Properties dialog box, on the Publishing tab, in the Lifetime section, click Set.
  7. In the Set Channel Lifetime dialog box, do the following:
    Use this | To do this
    Immediately | Select to start publishing channel contents immediately.
    Interval | Select to set a stop publishing interval, and then from the drop-down list, select 1 month.
  8. Click OK to close the Set Channel Lifetime dialog box.
  9. Click OK to close the Mortgage Case Studies Properties dialog box.

After you set the start and expiration dates for the Mortgage Case Studies channel, you can select the first page for it. For information about setting the first page for the channel, see Lesson 4: Selecting the First Page for the Mortgage Case Studies Channel.


Lesson 4: Selecting the First Page for the Mortgage Case Studies Channel

When you create a new channel, you must specify a default page that the channel will display. This page is the first page that users see when they visit your site. In this lesson, you will set the first page in the channel to be the first page a user sees when they select the channel on the site.

To select a first page for a channel

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, do the following:
    Use this | To do this
    Log in as the following user | Select to log in as the site manager.
    Domain | Type the domain name for the site manager account.
    User Name | Type the user name for the site manager account.
    Password | Type the password for the site manager account.
  3. Click Start.
  4. In Site Manager, click Channels.
  5. In the left Channels pane, expand Channels, expand WoodgroveNet, right-click Mortgage Case Studies, and then click Properties.
  6. In the Mortgage Case Studies Properties dialog box, on the Publishing tab, in the Channel Rendering section, click Select.
  7. In the Select Channel Rendering dialog box, in the Default Page section, select Use first page, and then click OK.
  8. Click OK to close the Mortgage Case Studies Properties dialog box.

After you set the first page for the Mortgage Case Studies channel, you can set the Web Author default galleries. For information about setting the Web Author default galleries, see Lesson 5: Setting the Web Author Default Galleries.


Lesson 5: Setting the Web Author Default Galleries

You use the MCMS Site Manager application to set default locations for the Case Studies channel template and resource galleries. MCMS stores the templates and resources for the Case Studies channel in these galleries. Authors use the templates and resources in the channel galleries when creating and updating pages in the Web Author.

To set the Web Author default galleries

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, do the following:
    Use this | To do this
    Log in as the following user | Select to log in as the site manager.
    Domain | Type the domain name for the site manager account.
    User Name | Type the user name for the site manager account.
    Password | Type the password for the site manager account.
  3. Click Start.
  4. In Site Manager, click Channels.
  5. In the left Channels pane, expand Channels, expand WoodgroveNet, right-click Mortgage Case Studies, and then click Properties.
  6. In the Mortgage Case Studies Properties dialog box, on the Web Authoring tab, do the following:
    Use this | To do this
    Template Gallery | Click […] to open the Select Template Gallery dialog box, select WoodgroveNet, and then click OK.
    Resource Gallery | Click […] to open the Select Template Gallery dialog box, select WoodgroveNet, and then click OK.
  7. Click OK to close the Mortgage Case Studies Properties dialog box.

After you set the Web Author default galleries for the Mortgage Case Studies channel, you can assign rights groups to the channel. For information about assigning rights groups to the channel, see Lab 3: Assigning Rights Groups to the Case Studies Channel.


Lab 3: Assigning Rights Groups to the Case Studies Channel

You use the Microsoft Content Management Server (MCMS) Site Manager application to grant access for rights groups to containers, depending on the role of the rights group members in the MCMS publishing environment. When you assign rights groups to a channel, you are granting permission to the rights group members to access that channel.

You can assign channel access to a rights group with the following two methods:

  • Through channel properties
  • Through rights group properties

In this lab, you will use both methods to assign channel access:

  • Lesson 1: Assigning Channel Access to the Tutorial Authors Rights Group Through Channel Properties
  • Lesson 2: Assigning Channel Access to the Tutorial Editors Rights Group Through Rights Group Properties


Lesson 1: Assigning Channel Access to the Tutorial Authors Rights Group Through Channel Properties

You use the MCMS Site Manager application to assign channel access to a rights group. You can assign access to a channel through the channel properties.

To assign the Tutorial Authors rights group access to the Mortgage Case Studies channel

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, do the following:
    Use this | To do this
    Log in as the following user | Select to log in as the site manager.
    Domain | Type the domain name for the site manager account.
    User Name | Type the user name for the site manager account.
    Password | Type the password for the site manager account.
  3. Click Start.
  4. In Site Manager, click the Channels icon to display the channels hierarchy.
  5. In the channels hierarchy, expand Channels, expand WoodgroveNet, right-click the Mortgage Case Studies channel, and then click Properties.
  6. In the Mortgage Case Studies Properties dialog box, on the Rights tab, click Modify.
  7. In the Select User Rights for Channel dialog box, do the following:
    Use this | To do this
    Look In | From the drop-down list, select Authors, and then in the rights group members box, select Tutorial Authors.
    Add | Click to add the Tutorial Authors rights group to the Mortgage Case Studies channel.
    Add Parent's Right Click to allow users in the Tutorial Authors rights group to view pages in the Mortgage Case Studies channel. To view pages in a channel, a user must have rights to all the channels above it in the channel hierarchy.

    Note You can also assign channel access to a rights group in the properties for the rights group.
  8. Click OK to close the Select User Rights for Channel dialog box.
  9. Click OK to close the Mortgage Case Studies Properties dialog box.

Members of the Tutorial Authors rights group have access to the Mortgage Case Studies channel.

After you have assigned the Tutorial Authors rights group access to the Mortgage Case Studies channel using channel properties, you can assign the Tutorial Editors rights group access to the channel using the properties of the rights group. For information about assigning the Tutorial Editors rights group access to the channel using the properties of the rights group, see Lesson 2: Assigning Channel Access to the Tutorial Editors Rights Group Through Rights Group Properties.


Lesson 2: Assigning Channel Access to the Tutorial Editors Rights Group Through Rights Group Properties

You use the MCMS Site Manager application to assign channel access to a rights group. You can assign access to a channel through the rights group properties.

To assign the Tutorial Editors rights group access to the Case Studies channel

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, do the following:
    Use this | To do this
    Log in as the following user | Select to log in as the site manager.
    Domain | Type domain name for the site manager account.
    User Name | Type the user name for the site manager account.
    Password | Type the password for the site manager account.
  3. Click Start.
  4. In Site Manager, click User Roles.
  5. In the User Roles pane, click Editors.
  6. In the Editors pane, right-click Tutorial Editors, and then click Properties.
  7. In the Tutorial Editors Properties dialog box, on the Group Rights tab, under Channels, expand WoodgroveNet, and then click the X to the left of Mortgage Case Studies.

    Note You can also assign channel access to a rights group in the properties for the channel.

  8. Click OK to close the Tutorial Editors Properties dialog box.

Members of the Tutorial Editors rights group now have access to the Mortgage Case Studies channel.

After you have assigned the Tutorial Editors rights group access to the channel using the properties of the rights group, you can explore the MCMS content creation tools. For information about using the MCMS content creation tools, see Site Author Tutorial.


Authoring Content with Word 2002 or 2003

Microsoft Content Management Server (MCMS) 2002 Authoring Connector enables business users to author and edit documents in Microsoft Word 2002 or 2003 and to submit them for approval and publication to an MCMS Web site. An Authoring Connector site author must have the assigned role of author, editor, or administrator on the MCMS Web site. Authoring Connector is accessed through Microsoft Word 2002 or 2003.

After Authoring Connector has been installed, your Word File menu will have a new Send to MCMS drop-down menu. The Send to MCMS menu includes the options Create New Page, Update Same Page, and Replace Any Page.

Note MCMS Authoring Connector does not support submitting a template in the form of a .dot file. Save the template as a .doc file, and then submit to MCMS.

This section contains:

  • Creating a Web Page from a Word File
  • Updating an Existing Page
  • Replacing a Page
  • Submitting Selected Content
  • Submitting Content to Other MCMS Content Servers


Deployment architecture

The following diagram shows the standard MCMS deployment architecture and information flow. A standard deployment configuration contains an internal development server; a content authoring server and a staging server behind a firewall; and a production server outside the firewall.

Site deployment overview

The following table describes the four servers involved in the most common MCMS site deployment scenarios. These servers are shown in the diagram above.

MCMS Server | Description
Development Server | The development server has a database that contains the site structure, logic, server updates, server-side include files, and database templates on the file system that are used in the content presentation. This server also contains external assets, such as applications. The development server resides inside the internal firewall and has a short list of authorized users.
Content Authoring Server | The content creation server is where, using the templates and structure from the development server, all of the content for the site is developed and then stored in a database. This server is inside the internal firewall and all content developers are authorized users.
Staging Server | The Staging server is where the content is tested before being deployed to the production server(s). This server sits outside the internal firewall, but inside the external firewall in the perimeter network (also known as demilitarized zone (DMZ), and screened subnet).
Production Server(s) | The production server(s) is the live site where users access the content. This server is typically read-only with one write enabled port for deployment, and sits outside the internal firewall, but inside the external firewall in the perimeter network.


Step 3 - Editing Content

An editor reviews the content and approves or declines it. If approved, MCMS publishes the page. However, subscribers cannot view the page until a moderator approves it. Moderators ensure that channels contain relevant and timely content. If the author did not set the publishing schedule, the editor or moderator can do so.

Published page preview


About Content Structure

Microsoft Content Management Server (MCMS) 2002 uses templates and placeholders to structure content on the pages of a Web site. Channels, template galleries, and resource galleries function as containers to store the content for the site.

This section contains:

  • About Templates
  • About Placeholders
  • About Template Galleries and Resource Galleries
  • About Channels


Step 4 - Approving Publishing Details

Once an editor approves the page content, a moderator (such as a marketing executive, vice president, or business manager) checks the location and publishing schedule for the page, and approves or declines the page. Once approved, MCMS publishes the page.

You can have authors publish pages directly, without editor or moderator approval, in any channel. To do this:

  • Do not assign an editor to the channel.
  • Do not assign a moderator to the channel.

You can use the automatic approval system to allow content approval by an editor only or a moderator only.

Calendar window options


Authoring Connector

Authoring Connector simplifies the process of publishing content by enabling you to easily create content with default settings such as Create New Page and to determine where your Web page will be located while working in the Microsoft Word environment.

MCMS Authoring Connector enables you to:

  • Submit content created in Word directly to a page on an MCMS Web site. The content is stored inside a placeholder on the page.
  • Select publishing details, such as start and stop times for publishing your document to the Web site.
  • Specify custom properties before submitting the document. For example, you may want to set the custom property of a page to high importance so that it will appear in a predefined and prominent place on the Web site.
  • Embed graphics within a Word document.

For more information, see Authoring Content with Word 2002 or 2003.

See Also

Site Author Tutorial

Authoring Content from the Web Site

Authoring Content with Word 2002 or 2003


MCMS and the Windows Server System

The Microsoft Windows Server System is comprehensive, integrated server software that reduces IT complexity, enabling business agility and greater success for IT. Although Microsoft Content Management Server (MCMS) 2002 is a stand-alone product, you can use the Windows Server System integrated server software to build systems that integrate MCMS 2002 Web sites with the rest of your management information systems.

Some of the technologies that are used with MCMS 2002 include:

  • Microsoft Visual Studio .NET
  • Microsoft SQL Server 2000
  • Microsoft Commerce Server 2002
  • Microsoft Solution for Internet Business
  • Microsoft Application Center 2000 and Later
  • Microsoft SharePoint Portal Server 2001
  • Microsoft Internet Security and Acceleration Server 2000
  • Microsoft BizTalk Server 2002 and Later
  • Microsoft Host Integration Server 2000
  • Microsoft Operations Manager 2000


Step 2 - Adding Content

An author, who can be any content creator in your organization, adds content to the template and saves the changes. When the author considers the content ready for publication on the Web site, the author submits the page to an editor for content approval. To specify when subscribers can view the content, the author can set a time period for publishing the page, or accept the default publishing schedule. The following figure shows the appearance of a template with content added to its placeholders. To view an entire template on your computer, you might need to scroll down in your browser window.

Page template preview


Concepts and Architecture

Before you use Microsoft Content Management Server (MCMS) 2002, you should be familiar with the concepts and architecture that are fundamental to its purpose and design.

This section contains:

  • MCMS Architecture
  • About Site Deployment
  • About Content Structure
  • MCMS User Roles
  • Publishing Workflow
  • About Site Authoring Tools
  • Authentication and Authorization Concepts
  • About Caching
  • MCMS and the Windows Server System


Step 1 - Creating a Template

A template designer creates a template using Microsoft Visual Studio .NET. The finished template has placeholders that may contain default content. The following figure shows the appearance of a finished template with its empty placeholders. To view an entire template on your computer, you might need to scroll down in your browser window.

Empty template preview


Step 5 - Viewing Content

Once the editor (and optionally, a moderator) approves a page, MCMS publishes it on the site according to the specified start and expiration dates. Once MCMS publishes a page in a channel, subscribers to that channel can read the page.

When a subscriber navigates to a page in a channel, MCMS dynamically combines the content with the template to create the Web page. When the page reaches the expiration date, it is no longer visible.

Published page preview

See Also

Getting Started

About Content Structure

MCMS User Roles

Managing Site Structure and Workflow


Web Author

The MCMS Web Author makes it possible for you to:

  • Create and publish Web pages easily and quickly without the need for programming language skills or HTML experience.
  • Use the Authoring Console to edit pages and view status from within the Web site.
  • Avoid the bottleneck caused by having only a Web master approve all pages submitted to the Web as occurs in traditional Web content creation.
  • Set the start and stop publication dates of pages.

The Authoring Console is an area reserved on your Web site home page where menu selections can be made for tasks such as logging on, creating a page, assigning page properties, submitting a page, and viewing the revision history of a page. The Authoring Console of the Web Author is user-configurable so it will be different for every company.

The selections that are available in the Authoring Console vary depending on whether you are in live mode or edit mode and on the rights that you have logged on with. For example, an editor can select Approve on a page that is Waiting for Editor Approval, but an author or moderator cannot. For more information, see Authoring Content from the Web Site.


Tools for performing deployment tasks

In MCMS 2002, there are three options for performing deployment tasks:

  • Site Deployment API in conjunction with Application Center. For non-MCMS managed sites (either Active Server Page (ASP) or ASP.NET scripts), you can use two parallel application programming interfaces (APIs), the client-side and server-side Site Deployment APIs, together with Microsoft Application Center 2000 to perform incremental deployments. For more information about the Site Deployment API, see COM-Based Site Deployment API. For more information about Application Center 2000, see http://go.microsoft.com/fwlink/?LinkId=9514
  • MCMS Site Manager. An administrative component you use to deploy dynamic objects, which are assembled into content at run time, from one MCMS server to one or more MCMS servers. For more information, see Deploying Web Site Content.
  • Site Stager. An MCMS component that converts MCMS dynamic content into a static Hypertext Markup Language (HTML) image, which can then be browsed on any Web server regardless of platform. For more information about Site Stager, see Staging a Site.

    Note Site Stager does not work with ASP.NET-based sites.

See Also

Types of Site Deployment

Deploying MCMS 2002

Creating Site Deployment Scripts

COM-Based Site Deployment API


Microsoft Solution for Internet Business

Microsoft Solution for Internet Business (MSIB) integrates Microsoft products such as Microsoft Content Management Server 2002, Commerce Server 2002, Microsoft SQL Server 2000, Microsoft Internet Security and Acceleration Server 2000, and Microsoft BizTalk Server, on the Windows 2000 Server core platform for e-commerce and line-of-business (LOB) applications.

MSIB was developed to help businesses create complex, feature-rich Internet sites; automate business processes such as selling and purchasing; provide personalized Web content for customers; and collect customer data for analysis. The solution includes the following:

  • High quality, pre-tested templates and site tools
  • Windows Server System integrated server software components
  • Proven prescriptive architecture guidance
  • Microsoft and partner program services
  • Post-implementation technical support

For information about Microsoft Solution for Internet Business (MSIB), see http://go.microsoft.com/fwlink/?LinkId=9156.


Deployment Checklists

Before you deploy your site, review the following checklists to ensure that your planning is complete.

For a detailed list of checklists and best practices go to http://go.microsoft.com/fwlink/?LinkId=9615.

This section contains:

  • Business Processes Checklist
  • Site Development and Testing Checklist
  • Network Topology and Architecture Checklist


Deploying MCMS 2002

You deploy a Microsoft Content Management Server (MCMS) 2002 installation by obtaining and configuring the required hardware and software, installing MCMS 2002, and putting in place the procedures for monitoring and managing your site. This section provides sample deployment configurations, deployment checklists, and lists issues that you should consider before deploying MCMS 2002.

Site deployment involves the movement of your Web site between three distinct hardware environments — from development, to test, to production. The actual appearance of these environments depends on the size of your site and your business goals.

For information about site deployment, site deployment scripts, and site deployment APIs, see About Site Deployment, Creating Site Deployment Scripts, and COM-Based Site Deployment API.

For detailed information about deployment best practices, supported scenarios, prescriptive guidance, and general deployment information, go to http://go.microsoft.com/fwlink/?LinkId=9615.

This section contains:

  • Deployment Checklists
  • Planning for Deployment
  • Deployment Scenarios
  • Types of Site Deployment
  • Creating Site Deployment Scripts


Creating Site Deployment Scripts

In Microsoft Content Management Server (MCMS) 2002, there are two types of Web site assets that are subject to deployment between servers being used for different purposes (development, authoring, staging, and production):

  • Database-based assets are those assets that are maintained in the MCMS Content Repository (a Microsoft SQL Server database). These assets include pages, page content, templates, resources (such as images), containers of various types, and so on.
  • Non-database-based assets include those assets that are maintained in the file system, registry settings, Microsoft Internet Information Services (IIS) meta-base entries, and so on. Examples of assets that are maintained in the file system are the ASPX template files that are associated with the database-based MCMS templates.

Microsoft Application Center 2000 is the recommended solution for the deployment of non-database-based Web site assets. Creating scripts that use the Application Center application programming interfaces (APIs) is beyond the scope of this documentation. For more information about Application Center 2000, see http://go.microsoft.com/fwlink/?LinkId=9514.

This section provides conceptual information about the MCMS site deployment API. One of the main purposes of this API is to create scripts that can convert database-based Web site assets into a Site Deployment Object (SDO) file (known as exporting) that can be copied to another server and then converted back to database-based assets (known as importing). SDO files use the extension ".SDO". While these database-based assets exist in an SDO file, they can be deployed in the same manner as other files.

There are several ways in which database-based Web site assets can be converted into a file so that they can be copied or otherwise moved to a destination server:

  • An MCMS system administrator (and for export operations, a channel manager) can use Site Manager to selectively export database-based assets to a file and to import database-based Web site assets from such files. The Site Deployment Export dialog box provides the former functionality, and the Site Deployment Import dialog box provides the latter functionality. For more information about how to use these aspects of Site Manager, see Exporting Objects and Importing Objects, respectively.
  • An MCMS system administrator can use scripts written by site developers to perform export and import operations that provide incremental deployment functionality that is not available through the user interface provided by Site Manager. Such scripts can be written to use either the server-side or client-side versions of the CmsDeployExport and CmsDeployImport objects to perform export and import operations that take into account whether Web site assets have changed since the last such operation, or have changed since a specified time.

    Because the MCMS Site Deployment API is designed for incremental deployment, any scripts that use it will generally be used after another method of full deployment has been completed.

    For reference topics about the APIs for exporting database-based assets to an SDO file, see Client-Side CmsDeployExport Object and Server-Side CmsDeployExport Object.

    For reference topics about the APIs for importing database-based assets that have been exported to an SDO file, see Client-Side CmsDeployImport Object and Server-Side CmsDeployImport Object.

  • SQL Server provides mechanisms for creating backups of entire databases that can then be copied to another server and restored as a clone of the database on that server. An important issue in this scenario, with respect to MCMS, is that the various types of servers in a typical MCMS installation (development, authoring, staging, and production) often have different requirements with respect to the users who are authorized to perform different activities, and perhaps entirely different sets of users. MCMS addresses this issue with the server-side and client-side versions of the CmsDeployUserGroupBackupRestore object. A site developer might need to create one or more scripts that use this object so that an MCMS system administrator can deploy MCMS using this process. Such scripts may or may not also include the SQL Server scripting required for the database cloning aspects of the process.

    For reference topics about the APIs for backing up and restoring rights groups and their user lists, see Client-Side CmsUserGroupBackupRestore Object and Server-Side CmsUserGroupBackupRestore Object.

This section contains:

  • Client-Side Versus Server-Side Scripts
  • Creating Export Scripts for Incremental Deployment
  • Creating Import Scripts for Incremental Deployment
  • Creating Backup Scripts to Run Before Replacing an Entire MCMS Database
  • Creating Restore Scripts to Run After Replacing an Entire MCMS Database


Planning for Deployment

Deploying Content Management Server (MCMS) 2002 requires planning. Develop a comprehensive deployment plan so that you can meet your business requirements in a timely and organized manner. Before you actually deploy MCMS 2002, review the information presented here and at http://go.microsoft.com/fwlink/?LinkId=9615.

Make sure your organization has developed its own plan, and that it includes input from site managers, system administrators, site developers, and site authors.

Site deployment involves the movement of your Web site between three distinct hardware environments — from development, to test, to production. The following figure shows these environments in a simplified manner.

Site deployment overview

Before you deploy MCMS 2002, make sure your deployment plan answers the following questions:

  • Which deployment scenario, internet or intranet, will you use as a model for implementing your own deployment? For more information, see Deployment Scenarios.
  • What other software will be used in the development environment? For example, will you use Microsoft Visual Studio .NET or Microsoft Visual SourceSafe?
  • Will content authoring occur on the production server or will it occur on a staging server?
  • How will MCMS Site Deployment Manager be used to deploy content, site structure, and users among servers? Will the process be automated or scheduled?
  • Where is the server for Microsoft Windows® Active Directory® services?
  • What is the load on the public facing the Web site? Do MCMS servers need to be clustered and load-balanced? If so, what software or hardware will be used?
  • How will you deploy functional include files between servers?
  • What types of security are in place on the production servers?
  • How will you scale the deployment?
  • How will you maintain availability?
  • How will you monitor and update the components, such as the database, which are involved in the deployment?
  • Has an independent, outside company completed a security audit of your site? Such a review is an effective means for discovering security risks. Have you addressed any issues resulting from the audit? How are these deployment specifications used to verify the environments and deployment during the system test phase?

For information about site deployment, site deployment scripts, and site deployment APIs, see About Site Deployment, Creating Site Deployment Scripts, and COM-Based Site Deployment API.

This section contains:

  • Isolating the Network Tiers
  • Clustering Concepts
  • Firewall Configurations


Development Environment Considerations

You use the development environment for content development.

Each site developer uses a separate Content Management Server to access the same database. All functional code that is used in templates and navigation is contained in include files that are stored in Microsoft Visual SourceSafe. Templates contain HTML code and Content Management Placeholders. When functional code is checked in, it is run on the build server. If a developer needs to test new functionality that may "break" the site, he or she takes a backup of the build database and restores it on his or her local development server to test the changes.

  • The database is backed up nightly using SQL Server backup.
  • The first time the site is ready to be deployed into the test/content production environment, a Microsoft SQL Server database transfer (or backup and restore) is used to move the entire site. Microsoft Application Center 2000 is used to deploy any include files. For any subsequent incremental changes, Site Deployment Manager is used to move site structure, templates, and content.
  • The development environment uses its own domain, which has a two-way trust relationship with the test/content production domain. It also has a one-way trust relationship with the domain for the ADS users. This configuration is optional. Test and development servers can also be members of the same domain.


Production Environment Considerations

The production environment is used for creating content and browsing the intranet site.

  • Two servers are clustered and directed to the same database. Depending on the amount of content authored and the site traffic, authoring and browsing activities may each be directed to a different server. The ADS server is used for user authentication across the organization.
  • This domain has a one-way trust relationship with the domain for the ADS server, and a two-way trust relationship with the development environment domain. The ADS server is used for user authentication across the organization.

See Also

Internet Deployment

Deploying MCMS 2002

About Site Deployment

Creating Site Deployment Scripts

COM-Based Site Deployment API


Production Environment Considerations

The production environment serves the site to the outside world.

  • Content servers are clustered. One IP address is available to the Internet, and Network Load Balancer (NLB) directs traffic among the servers to ensure performance and availability.
  • The environment is protected by a firewall between the servers and the Internet, and between the servers in this environment and the internal corporate network.
  • This domain does not have a trust relationship with any other domains. All users to the public site are guest users, so ADS user authentication is not required.

See Also

Intranet Deployment

Deploying MCMS 2002

About Site Deployment

Creating Site Deployment Scripts

COM-Based Site Deployment API


Types of Site Deployment

Microsoft Content Management Server (MCMS) 2002 enables you to perform a full, incremental, or selective site deployment of MCMS managed objects. MCMS managed objects are objects created and maintained by MCMS. Objects make up the MCMS Web site contents. In MCMS, site deployment is the process of transferring MCMS-managed objects from one site to another. The transfer of these objects occurs between servers in the development, content authoring, staging, and production phases.

The following figure shows the transfer of objects between servers in the development, content authoring, staging, and production phases.

Site deployment overview

Note You are not able to deploy a read-only site. Use the Web tab in the Server Configuration Application (SCA) to set up another Web site or point to an existing Web site with authoring enabled to the same server on which the read-only site resides. For more information about SCA, see Using the Server Configuration Application.

The three types of deployments are:

  • A full site deployment deploys the entire Web site contents.
  • An incremental site deployment deploys only the Web changes made since the last site deployment.
  • A selective site deployment deploys only objects you specify using the Site Manager.


Deploying for the first time

The initial deployment of a Web site copies the entire Web site database from the source MCMS server to one or more destination MCMS servers. Deploying all of the content at once (full site deployment) is faster and more efficient using the SQL Server backup and restore process. Using the SQL Server backup and restore process copies the entire database. For more information about the SQL Server backup and restore process, see http://go.microsoft.com/fwlink/?LinkId=9559.


Firewall Configurations

Regardless of the size of your MCMS 2002 configuration, you need to decide how to deploy firewalls. Additional firewalls increase your costs, but help you isolate customers, corporate employees, and sensitive data. Cost is not the only issue, however. Each firewall solution has advantages and disadvantages.

This section contains:

  • Using a Single-Firewall Configuration
  • Using a Two-Firewall Configuration
  • Using a Three-Firewall Configuration


Deploying to an existing site

You deploy to an existing Web site when you want to maintain the same user rights groups on the updated Web site. You must use the Site Deployment application programming interface (API) and SQL Server when you merge users and rights group. For information about the Site Deployment API, see Creating Site Deployment Scripts and COM-Based Site Deployment API.

See Also

About Site Deployment


Test and Content Production Environment Considerations

You use the test and content production environment for quality control.

  • Content is added to the site by content contributors using the Web Author or the Authoring Connector. The test and production environment is the final staging or test environment before the site is live. ADS users are drawn from a separate server that is outside the Internet deployment environment and is used for other user authentication across the organization. This entire environment is behind the corporate firewall or firewalls.
  • The first time the site is ready to be deployed into the test/content production environment, Microsoft SQL Server database transfer (or backup and restore) is used to move the entire site. Microsoft Application Center 2000 is used to deploy any include files. For any subsequent incremental changes, the Site Deployment Manager is used to move site structure, templates, and content. The domain for the test/content production environment has a two-way trust relationship with the domain for the ADS users.


Development Environment Considerations

You use the development environment for content development and quality control.

  • Each developer has his or her own development server, each accessing a central "build" database. All functional code that is used in templates and navigation is contained in include files that are stored in Microsoft Visual SourceSafe. Templates contain HTML code and Content Management placeholders. When functional code is checked in, it is run on the build server. If a developer needs to test new functionality that may "break" the site, he or she takes a backup of the build database and restores it on his or her local development server to test the changes.
  • All testing is done in the development environment before any changes are moved to the production environment, including the testing of content creation using templates.
  • The database is backed up nightly using SQL Server backup.
  • The first time the site is ready to be deployed into the test/content production environment, SQL Server database transfer (or backup and restore) is used to move the entire site. Microsoft Application Center 2000 is used to deploy any include files. For any subsequent incremental changes, the Site Deployment Manager is used to move site structure, templates, and content.
  • This domain has a one way trust relationship with the domain for the Microsoft Active Directory directory service (ADS) server, and a two-way trust relationship with the production environment domain.


Deployment Scenarios

This section provides an overview of the two most common deployment scenarios. The information provided in this section is for evaluation purposes only. For information about supported deployment scenarios and deployment best practices for the most common deployments, see http://go.microsoft.com/fwlink/?LinkId=9615.

For information about site deployment, site deployment scripts, and site deployment APIs, see About Site Deployment, Creating Site Deployment Scripts, and COM-Based Site Deployment API.

This section contains:

  • Intranet Deployment
  • Internet Deployment


Deploying non-MCMS managed objects

For non-MCMS managed objects (for example, Active Server Pages (ASP) or ASP.NET scripts not created by MCMS), you can use Microsoft Application Center 2000 to transfer Web contents between servers. Application Center 2000 is a deployment and management tool that can be used to synchronize files that are not stored in the MCMS content repository across servers and server clusters.

For more information about Application Center 2000, see http://go.microsoft.com/fwlink/?LinkId=9514.

For information about the Site Deployment application programming interface (API) scripts, see Creating Site Deployment Scripts. For more information about Site Deployment API, see COM-Based Site Deployment API.

This section contains:

  • Full Site Deployment
  • Incremental Site Deployment
  • Selective Site Deployment


Using MCMS Help

The Microsoft Content Management Server (MCMS) 2002 Help system provides documentation for site developers, system administrators, and business managers.

MCMS 2002 Help is installed with MCMS in a compiled HTML file (it has a .chm extension).

This section contains:

  • Using the Help Viewer
  • Searching for a Help Topic
  • Bookmarking a Help Topic
  • Printing a Help Topic
  • Copying a Help Topic
  • Using Help Viewer Keyboard Shortcuts


About roles and responsibilities

The roles defined by Microsoft Content Management Server (MCMS) 2002, both the general categories of users and the specific roles defined with respect to setting access rights, are not directly related to the process of defining and designing your Web site. Users in all of the categories will often have valuable contributions to make to the definition and design process.

Think of the MCMS user categories and specific roles as implementation roles. Once the definition and design process has reached the stage where implementation can begin, users in these different roles will perform different tasks in the course of initially implementing the Web site and in the course of maintaining and updating the Web site over time.

Depending on the size of your organization, one person may be assigned a single role or multiple roles. For example, site developers, nominally in the MCMS role of template designers, will often act in all of the various roles, especially during the early stages of Web site development when they are developing prototypes of the Web site.


Design phase

During the design phase of a Web site project, requirements are gathered and the Web site pages are defined. The set of possible Web pages should be divided into different sets of similar pages, and MCMS enables the implementation of this with its template-based approach. The result of this phase includes a description of the required templates and the channel, resource, and template hierarchies in which the MCMS objects will reside.

  • Site Developers. Key site developers may be involved in the site design process, particularly in terms of understanding MCMS. Site developers may also build prototypes of the site to aid the design process.
  • System Administrators. System administrators are not likely to contribute to the design process. They are however, involved in capacity planning at this phase, helping to determine the requirements of the production environment given Web site traffic predictions.
  • Site Managers. Key site managers are likely to be involved in the site design process because they need to understand the content space.
  • Site Authors. Key site authors may participate in the site design process as they are likely to be most expert in the content space.


Editions of MCMS 2002 with SP1a

The following editions of Microsoft Content Management Server (MCMS) 2002 with SP1a are currently available:

  • Evaluation Edition is for users who need to evaluate MCMS. It includes the same features as the Enterprise Edition, but will stop processing 120 days after it is installed.
  • Developer Edition is for developers and development teams who build sites for other organizations. It includes the same features as Enterprise Edition. However, the Developer Edition is not licensed to be used in a production environment.
  • Standard Edition is for small or medium sized organizations. It can also be used for individual departments within a large enterprise. Standard Edition includes many of the same features as Enterprise Edition, but is designed to support a smaller organization. Standard Edition will only use a single processor, limits server clustering, and supports up to 15 authorized users. Standard Edition does not include support for staging ASP sites.
  • Enterprise Edition is for large enterprises. Enterprise Edition takes advantage of multiple processors, supports clustering, and supports an unlimited number of rights groups and users. Additionally, Enterprise Edition includes support for staging ASP sites.

For a description of feature differences between Enterprise Edition and Standard Edition, see Comparing Standard Edition and Enterprise Edition and Standard Edition Features.


What's New and Different in MCMS 2002 with SP1a

This section outlines new features included in Microsoft Content Management Server (MCMS) 2002 with SP1a.

This section contains:

  • MCMS 2002 with SP1a Standard Edition Now Available
  • Changes to Allowed Characters in Placeholder Names, Query Strings, and Custom Property Names
  • Adding Valid Characters to Query String Contents
  • Configuring the Resource View in the Web Author
  • Web Author Dialog Boxes Converted to UTF-8
  • New APIs in MCMS 2002 with SP1a


Summary of user categories

The following table lists the four general categories of MCMS users within an organization.

User Category | Responsibilities | Primary tools and user interfaces
Site developer | Builds the infrastructure upon which the MCMS Web site will rely. Implements the templates upon which Web pages will be based, the organizational structure for templates into template galleries, and the navigation scheme for the site. | Visual Studio .NET, and at some stages of development, all of the other tools and interfaces.
System administrator | Establishes and maintains site security, including the configuration of authentication, often in conjunction with site developers. Deploys the Web site from intermediate versions where changes are staged and tested to the production environment from which the Web site is used. | Database Configuration Application (DCA) Server Configuration Application (SCA) Site Manager (for deployment functionality) Site Stager
Site manager | Implements the visible site structure in terms of channels, and the site asset management structure in terms of resource galleries. Assigns rights to users. | Site Manager
Site author | Writes and edits content. Publishes content. | Web Author Authoring Connector


MCMS performance counters

Performance counters allow you to monitor specific aspects of work performed on the site or system by service. Performance counters can help you identify and troubleshoot server performance issues.

The following table lists the performance counters available in Microsoft Content Management Server (MCMS) 2002.

Counter | Description
Active Enterprise (AE) Node objects | Number of active MCMS COM objects on the server
AE Node objects created /sec | Number of AE node objects created per second
Guest sessions | Number of guest sessions on the server
Guest sessions opened/sec | Number of guest sessions opened per second
Authenticated sessions | Number of authenticated sessions connected to server
Authenticated sessions opened/sec | Number of authenticated sessions opened per second
Edit sessions | Authoring or development sessions connected to server
Edit sessions opened/sec | Number of authoring or development sessions opened per second
ISAPI sessions | Number of Internet Server API (ISAPI) sessions opened by server
ISAPI sessions opened/sec | Number of ISAPI sessions opened per second
Master cache nodes | Number of items in internal MCMS master cache
Shared nodes | Number of items/nodes referenced by server, including master cache items
Shared nodes created/sec | Shared nodes created per second
Cache hits/sec | Rate of cache hits on master cache
Cache misses/sec | Rate of cache misses on master cache
Data access operations/sec | Number of data access operations executed per second
Exceptions thrown | Number of exceptions thrown by server
Number of MCMS connections | Number of open CMS application connections
MCMS connections opened/sec | CMS connections opened per second

To access performance counters

  1. On the Desktop, click Start, point to Programs, point to Administrative Tools, and then click Performance.
  2. In the Performance dialog box, click + (Add).
  3. In the Add Counters dialog box, from the Performance object drop down list, select CMS Performance Counters, and then click Add.
  4. In the Add Counters dialog box, do one of the following:
    Use this | To do this
    All counters | Select this option to select all counters from the provided list.
    Select counters from list | Select this option to select specific counters from the provided list.
  5. After selecting the counters, click Add and then Close.

    The selected performance counters appear on the Performance screen.


Welcome to Microsoft Content Management Server (MCMS) 2002

Last Updated: October 2005

Note The Installation, Upgrade and Developer sections of MCMS 2002 Help have moved. For the latest versions of the MCMS Installation and Upgrade Guides, see http://go.microsoft.com/fwlink/?LinkId=9918. For the latest version of the MCMS SDK, see http://go.microsoft.com/fwlink/?LinkId=44604&clcid=0x409.

For key topics in MCMS 2002 Help, see:

  • What's New and Different in MCMS 2002
  • Tutorials

For additional information on http://www.microsoft.com, see the following Web sites:

  • Microsoft Content Management Server Support
  • Microsoft Content Management Server Partners
  • Microsoft Security Web Site


Maintenance phase

During the maintenance phase of a Web site project, users in the different categories begin to have a different set of responsibilities than they had during the implementation phase. This phase lasts as long as the Web site itself.

  • Site Developers. One of the main purposes of the MCMS design is to free site developers from day-to-day involvement in the ongoing maintenance of a Web site. Their involvement is not required in the ongoing process of cycling changing content through the Web site. They can focus on developing new versions of the Web site in a separate environment, or developing new areas of the Web site that are going through their own design and implementation phases.
  • System Administrators. System administrators perform a variety of generic system administration tasks during this phase, such as database and file system backups, various types of hardware and software troubleshooting and upgrades, and monitoring system security. They also focus on Web site deployment according to the strategies they helped develop in previous phases.
  • Site Managers. During this phase, site managers focus on implementing re-organizations of the Web site, in accordance with changing design needs. This is something that MCMS is designed to enable without the need for involving site developers, who can remain focused on longer term objectives. Site managers are also involved with managing the rights associated with a population of users that is changing over time.
  • Site Authors. This is the phase of the Web site life cycle that is most focused on site authors. The workflow built into MCMS is designed to accommodate the different roles played by people in this category of users. Writers are continually producing new content for their assigned areas of the Web site. Their editors are continually working one step behind, making sure that the new content is error-free. Moderators, when they are used, perform the final step in the content quality assurance process.

See Also

MCMS User Roles

Getting Started for System Administrators

Getting Started for Site Managers

Getting Started for Site Authors


Implementation phase

During the implementation phase of a Web site project, users in the different categories have different responsibilities with respect to implementing the Web site design that was described during the design phase. The implementation phase ends when the Web site goes live for the first time.

  • Site Developers. Site developers create and debug templates and associated template files during the implementation phase. They might also develop or integrate third-party extensions to the standard functionality of MCMS, such as custom placeholder controls, or workflow modifications.
  • System Administrators. System administrators establish various computer environments during this phase, such as the staging environment and production environment. They perform multiple installations of MCMS and focus on operational planning.
  • Site Managers. Site managers work closely with site developers during this phase to establish a channel and resource gallery structure that works well with the templates and template gallery structure being created by the site developers. Site managers also establish a proper user rights infrastructure for the initial set of users and the emerging structure of the Web site and its MCMS infrastructure (such as the resource gallery hierarchy).
  • Site Authors. Site authors are more involved near the end of this stage, as the templates and Web site structure reach a point where content can be created for the initial introduction of the Web site.


Microsoft Windows 2000 Server accessibility features

MCMS 2002 supports the following accessibility features of Microsoft Windows® 2000 Server.

  • Magnifier. Enlarges a portion of your screen in a separate window for easier viewing.
  • Narrator. Reads information on your screen, including dialog box names, menus, entered text, and so on. Narrator provides a minimum level of accessibility so that people who are blind or who have low vision can interact with Commerce Server during configuration or emergency situations.

    Note Narrator is available only with the U.S. English release of Windows 2000 Server.

  • On-Screen Keyboard. Displays a virtual keyboard so you can enter information by using a pointing device, such as a mouse or a switch input device. On-Screen Keyboard is compatible with many, but not all, keyboards and keyboard settings.

For more information about using these and other accessibility options, see "Accessibility for People with Disabilities" in the Windows 2000 Server Help.


For additional accessibility information

For information about accessibility options, in Windows 2000 Help, see "Accessibility for People with Disabilities" in the Getting Started with Windows 2000 Server book.

For information about accessibility options in Microsoft SQL Server, see "Accessibility for People with Disabilities" in SQL Server Books Online.

To learn more about Microsoft products available for people with disabilities, visit http://go.microsoft.com/fwlink/?LinkId=6683. This site contains:

  • Complete information about accessibility services for Microsoft products.
  • Information about a wide variety of third-party hardware and software products that are available to make it easier to use personal computers.
  • An overview of other accessibility products, services, and resources available from Microsoft and other organizations.


Contacting Microsoft Technical Support

Title | Description
Product Name | Microsoft Content Management Server (MCMS) 2002
OEM distributed | If your product came installed with a new computer or device, the hardware manufacturer provides technical support and assistance for this software. Please contact your manufacturer directly for support.
Support Info Online | http://go.microsoft.com/fwlink/?LinkId=9957 In Canada, visit http://go.microsoft.com/fwlink/?LinkId=9958
TTY Users | Microsoft text telephone (TTY/TDD) services are available at (425) 635-4948 in Washington state or (800) 892-5234 in the U.S. Call (905) 568-9641 in Canada.
Worldwide | The support terms listed here are available in the United States and Canada only. Support outside the United States and Canada may vary; please see our International Support list for regional contact details. (http://go.microsoft.com/fwlink/?LinkId=9959)
Conditions | Microsoft support services are subject to then-current prices, terms, and conditions, which are subject to change without notice.

Note Microsoft support services are subject to the then-current prices, terms, and conditions of Microsoft, which are subject to change without notice.

This section contains:

  • MCMS Newsgroups
  • Professional Support Options
  • Additional Support Options
  • International Product Support


Figure Showing Default Home Page

The following figure shows the default home page for the WoodgroveNet sample site.

Sample home page view


Table Describing Pages in Sample Site

The following table describes each page in the WoodgroveNet sample site.

Page | Purpose | Path
About Us | Provides information about Woodgrove Bank | WoodgroveNet/About Us
Account Manager | Describes the account manager job opening | About Us/Careers/Account Manager
April 23, 2002 | Publicizes the April 23 press release | About Us/Press Releases/April 23, 2002
August 30, 2001 | Publicizes the August 30 press release | About Us/Press Releases/August 30, 2001
Blue Yonder Airlines | Explains how Woodgrove Bank helped Blue Yonder Airlines | Small Business/Case Studies/Blue Yonder Airlines
Careers | Lists job openings at Woodgrove Bank | About Us/Careers
Case Studies | Lists case studies for Woodgrove Bank | Small Business/Case Studies
Fabrikam | Explains how Woodgrove Bank helped Fabrikam | Small Business/Case Studies/Fabrikam
Help Desk Analyst | Describes the Help Desk analyst job opening | About Us/Careers/Help Desk Analyst
IT Assistant | Describes the IT assistant job opening | About Us/Careers/IT Assistant
Legal Disclaimer | Legal disclaimer | WoodgroveNet/Legal Disclaimer
Line of Credit | Lists some ways to use a small business line of credit with Woodgrove Bank | Small Business/Services/Line of Credit
March 13, 2002 | Publicizes the March 13 press release | About Us/Press Releases/March 13, 2002
Partner Services | Describes services for partners | Partner/Services
Partners | Provides information for Woodgrove Bank partners only | WoodgroveNet/Partners
Partners Line of Credit | Describes a line of credit for partners | Partner/Services/Line of Credit
Press Releases | Lists press releases about Woodgrove Bank | About Us/Press Releases
September 4, 2001 | Publicizes the September 4 press release | About Us/Press Releases/September 4, 2001
Services | Provides information about the services of Woodgrove Bank | Small Business/Services
Small Business | Describes small-business offerings of Woodgrove Bank | WoodgroveNet/Small Business
WoodgroveNet (Home) | Displays the default page and the latest press releases | http://localhost/WoodgroveNet

After you have finished browsing the live site, proceed to Step 2: Verifying Page Status.


Figure Showing Sample Site Structure

The following figure shows the structure of the WoodgroveNet sample site.

Site structure view


Tutorials

Microsoft Content Manager Server (MCMS) includes the following tutorials:

Site Author Tutorial

The Site Author tutorial provides step-by-step procedures for creating and publishing pages on the WoodgroveNet sample site with the MCMS Web Author, using the MCMS roles to perform different publishing tasks in the workflow, and submitting content to the WoodgroveNet sample site from a Word 2002 document with the MCMS Content Connector Wizard.

Site Manager Tutorial

The Site Manager tutorial provides step-by-step procedures for creating rights groups and adding users to them, creating channels, and granting rights groups access to channels.

This section contains:

  • Site Author Tutorial
  • Site Manager Tutorial


Step 1: Create a rights group for the Tutorial Authors role

In this step you create a rights group for the Tutorial Authors role.

To create a rights group for the Tutorial Authors role

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, do the following:
    Use this | To do this
    Log in as the following user | Select to log in as the site manager.
    Domain | Type the domain name for the site manager account.
    User Name | Type the user name for the site manager account.
    Password | Type the password for the site manager account.
  3. Click Start.
  4. In Site Manager, click User Roles.
  5. In the User Roles pane, right-click Authors, and then select New Rights Group.
  6. In the Authors pane, right-click New Rights Group, click Rename, and then type Tutorial Authors.
  7. Press ENTER.


Step 2: Add a member to the Tutorial Authors rights group

In this step, you add yourself to the Tutorial Authors rights group.

To add a member to the Tutorial Authors rights group

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, do the following:
    Use this | To do this
    Log in as the following user | Select to log in as the site manager.
    Domain | Type domain name for the site manager account.
    User Name | Type the user name for the site manager account.
    Password | Type the password for the site manager account.
  3. Click Start.
  4. In Site Manager, click User Roles.
  5. In the User Roles pane, click Authors.
  6. In the Authors pane, right-click Tutorial Authors, and then click Properties.
  7. In the Tutorial Authors Properties dialog box, on the Group Members tab, click Modify.
  8. In the Modify Members – Tutorial Authors dialog box, in the NT Domains section, click the domain to which you belong, and then from the NT Domains drop-down list, select Select from list of all groups and users.
  9. In the Modify Members – Tutorial Authors dialog box, in the NT Domains section, from the Select from list of all groups and users list, select the Users group, and then click Members.
  10. In the NT Group Members dialog box, in the Members box, select your account, and then click OK.
  11. Click OK to close the Modify Members – Tutorial Authors dialog box.

After you have created and configured the Tutorial Authors role, you can create and configure the Tutorial Editors role. For information about creating and configuring the Tutorial Editors role, see Lesson 3: Creating and Configuring the Tutorial Editors Role.


Step 1: Create a rights group for the Tutorial Editors role

In this step you create a rights group for the Tutorial Editors role.

To create a rights group for the Tutorial Editors role

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, do the following:
    Use this | To do this
    Log in as the following user | Select to log in as the site manager.
    Domain | Type the domain name for the site manager account.
    User Name | Type the user name for the site manager account.
    Password | Type the password for the site manager account.
  3. Click Start.
  4. In Site Manager, click User Roles.
  5. In the User Roles pane, right-click Editors, and then click New Rights Group.
  6. In the Editors pane, right-click New Rights Group, click Rename, and then type Tutorial Editors.
  7. Press ENTER.


Step 2: Add members to the Tutorial Editors rights group

In this step, you add members to the rights group.

To add members to the Tutorial Editors rights group

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In Site Manager dialog box, do the following:
    Use this | To do this
    Log in as the following user | Select to log in as the site manager.
    Domain | Type the domain name for the site manager account.
    User Name | Type the user name for the site manager account.
    Password | Type the password for the site manager account.
  3. Click Start.
  4. In Site Manager, click User Roles.
  5. In the User Roles pane, click Editors.
  6. In the Editors pane, right-click Tutorial Editors, and then click Properties.
  7. In the Tutorial Editors Properties window, on the Group Members tab, click Modify.
  8. In the Modify Members — Tutorial Editors dialog box, in the NT Domains section, click the domain to which you belong, and then from the drop-down list, select Select from list of all groups and users.
  9. In the Modify Members — Tutorial Editors dialog box, in the NT Domains section, from the Select from list of all groups and users list, select the Users group, and then click Members.
  10. In the NT Group Members dialog box, in the Members box, select your account, and then click OK.
  11. Click OK to close the Modify Members — Tutorial Editors dialog box.

After you have created and configured the Tutorial Editors role, you can set up the channel structure for your site. For information about setting up the channel structure for your site, see Lab 2: Setting Up Channel Structure.


Recommended Configurations for Authentication

This section describes authentication scenarios that you can use with Microsoft Content Management Server (MCMS) 2002.

This section contains:

  • Configuring Intranet Sites
  • Configuring Extranet Sites
  • Configuring Internet Sites


Synchronizing server keys

Microsoft Content Management Server (MCMS) uses server keys as encryption keys when creating authentication tickets for users browsing the site. The server keys must be the same on all Web servers in a cluster for authentication cookies to work consistently. If there is variation in server keys, a user session that is routed to one server will be re-authenticated every time it is routed to a different server.

The Managekey application enables you to export a server encryption key from one computer in the cluster and import it into other computers in the cluster.

Note You have to be a local administrator or a system administrator to perform the following procedure.

To synchronize server keys by using the Managekey application

  1. On the computer that contains your MCMS installation, navigate to <InstallDrive>:\Program Files\Microsoft Content Management Server\Server\bin, and double-click the managekey.exe file.
  2. In the MCMS Managekey dialog box, click Export Key.
  3. In the Please enter the name of the file to which to export the key dialog box, type the name of the file or select the name of the file from the drop-down list, select the file type from the drop-down list, and then click Save.
  4. Run the managekey.exe file on each server in the cluster, and then click Import Key to synchronize server keys and settings.

Important Given the sensitivity of the information stored in the server key, be sure to use security best practices when securing this file. For information about security best practices, go to http://go.microsoft.com/fwlink/?LinkId=9531.


Sharing encryption keys

ASP.NET uses a key to encrypt or hash data so that the data is only accessible from the server that created the data. In a multi-server environment in which a request is directed to a farm of Web servers, each server in the farm needs to share the same machine key. That way server A and server B can encrypt, decrypt, or hash the same values, so that the data created on server A can be understood and used on server B and vice-versa. Machine Key is the setting used in an ASP.NET machine-level configuration file to encrypt or decrypt the data. It has three attributes for the XML-entry: validationKey, validation, and decryptionKey.

ValidationKey attribute

Validation attribute

DecryptionKey attribute

ValidationKey attribute

You use the validationKey attribute for data validation, such as the hashing scheme for Forms-based authentication cookies. You use the validation key as part of the hashing scheme so that the hashed data can only be recomputed by ASP.NET-based applications that have the appropriate validationKey. The default setting is auto generated but you can configure it yourself. Valid values are from 40 to 128 hexadecimal characters.

Validation attribute

The validation attribute is used to determine what type of hashing scheme is to be computed. Valid values include MD5, SHA1 or 3DES. The hash can be sent to the client along with, for example, the Forms-based authentication cookie. The server can validate the data in the cookie by re-hashing the values with the validationKey attribute and the appropriate algorithm determined by the validation attribute.

If the values match, the data is considered valid; if not, the data represented by the hash is considered invalid. The validationKey attribute guarantees that the data is valid. The attribute decryptionKey guarantees that the plain text of the message cannot be read by non-trusted parties.

DecryptionKey attribute

The decryptionKey attribute is used to encrypt data stored in the Forms-based authentication cookie. The default value in ASP.NET is auto generated but this value is not suitable for server clusters so you must set your own custom value. Valid values range from 16 to 48 hexadecimal characters. Each server in a Web farm needs to use an identical value for this key.

For more information about working with the ASP.NET machine.config file, go to http://go.microsoft.com/fwlink/?LinkId=9599.


Authenticating Users

Authentication is the process by which user credentials are identified and verified. For a system to authenticate a user, the user is typically required to provide credentials, including a user name or password, during the logon process. In Microsoft Content Management Server (MCMS) 2002, the system uses these credentials to determine what data the user has rights to view and which operations the user is authorized to perform on the Web site.

In MCMS, every user is associated with a user account. This account can be a Microsoft Windows 2000 account or an Active Directory directory service account. Through authentication, the identity of a user is verified so that the user can exercise the rights associated with the accounts of the user. The authentication method an administrator chooses to use for the Web site is dependent on the site requirements.

This section contains:

  • Windows Authentication
  • Forms-Based Authentication
  • Certificate Authentication
  • Custom Authentication
  • Recommended Configurations for Authentication
  • Best Practices for Authentication for Mixed Sites
  • Best Practices for Authentication for Web Farms


Best practices for configuring local users and groups across Web farms

When configuring local user accounts across Web farms, be aware that:

  • Local users and groups apply across all computers in the cluster. If "Computer A" has a local user named Bob and assigns Bob to a subscriber group, he will also be able to log onto "Computer B" (if there is a local user named Bob on "Computer B"), even if the passwords are different.
  • With Forms-based authentication, both ASP and MCMS cookies will work across clusters, even if the user does not exist on the other cluster. This is because authentication tokens contain the access rights of the user as well as the user ID.

    If you want to configure a guest user across a cluster, but do not want to have a Domain Controller, you can set the guest user to be <"localcomputer\BOB">; ensuring that <BOB> exists on all the servers.

See Also

Recommended Configurations for Authentication


Forms-Based Authentication

Forms-based authentication is a type of ASP.NET-based authentication in which an unauthenticated user is directed to an HTML form. Once the user provides credentials, the system issues a cookie containing a ticket. On subsequent requests, the system first checks the cookie to see if the user was already authenticated.

Use Secure Sockets Layer (SSL) for all communications with the site to prevent hackers from "stealing" the user's cookie. SSL enables clients and servers to authenticate each other, and to ensure no other computers can read the contents of communications between the two computers. All data sent from a client through an SSL connection is encrypted so that malicious users cannot intercept passwords or data sent to a Microsoft Content Management Server (MCMS) server.

Note Forms-based authentication may degrade site performance on high volume sites due to the encryption procedure that is performed each time a user logs on to the site.

Forms-based authentication is an appropriate authentication method in the following cases:

  • You need to store user name and passwords somewhere other than in a Microsoft Windows account or Active Directory. Note that it is possible to use Forms-based authentication with a Windows account.
  • You need to deploy the site outside a firewall.
  • You need to have both a public and private area available on the site. The public area is available to anyone. The private area is available only to users with the appropriate credentials.
  • You need to support all browsers and client operating systems.
  • You need to provide your own user interface form as a logon page between different pages on the site.

This section contains:

  • Step 1: Configuring Anonymous Authentication in IIS
  • Step 2: Implementing Secure Sockets Layer
  • Step 3: Creating a Logon Page
  • Step 4: Modifying the Web.config File in the Web Application


Certificate Authentication

A certificate is a digital "key" installed on a computer. When the computer tries to access a server, the key is automatically presented to authenticate the user. Client certificates can be mapped to Microsoft Windows accounts either in a domain or in Active Directory directory service. If you use ASP.NET authentication providers, MCMS will run as the user to which the certificate is mapped. You can also implement custom authentication in ASP.NET where, for example, you could use the e-mail address (or a similarly unique field) contained within the certificate. From the perspective of the client, security is seamless, as the client is not required to log in using a logon page. This makes certificates an attractive option for automated business processes.

You can set up a site so that users without certificates are logged in as guests, but users with certificates are logged in as the user to which their certificate maps. You can then issue different certificates to each of their partners and customize the site based on the certificate.

Certificate authentication is an appropriate authentication method in the following cases:

  • The data you are protecting is considered very sensitive and you require a very secure solution.
  • You do not want to use Forms-based authentication.
  • You do not want to give direct access to your domain.
  • You require mutual authentication.
  • You want a third party to be able to manage the relationship between the server and the certificate holder.
  • You want the client interaction to be seamless, for example, for an automated business-to-business exchange.

You should not consider Certificate authentication when the cost of issuing and managing client certificates outweighs the value of the added security.

You can map certificates to Domain or Active Directory accounts. If you need to authenticate individual users, you can use a technique known as one-to-one mapping where a certificate is mapped to an individual account. There is no limit on one-to-one mapping if you use Active Directory mapping.

If you need to authenticate all of the users from a particular group or organization, you can use many-to-one mapping where, for example, any certificate containing a common company name is mapped to a single account.

For more information about working with Microsoft Windows security groups and MCMS rights groups see Windows 2000 Groups for MCMS Rights Groups.

For information about mapping public key certificates to Windows 2000 user accounts, including certificate mapping rules, go to http://go.microsoft.com/fwlink/?LinkId=9689.

For more in-depth information about certificates, see the Microsoft Press book Designing Secure Web-Based Applications for Microsoft Windows 2000 by Michael Howard.

This section contains:

  • Step 1: Configuring Anonymous Authentication in IIS
  • Step 2: Creating and Administering Server Certificates


Ensure authentication models are compatible

To ensure that users can navigate seamlessly between ASP-based and ASP.NET-based areas of your site:

  • Give both ASP and ASP.NET cookies the same expiration time. When a user accesses the MCMS site, both MCMS and ASP.NET write a cookie. If the expiration times of the two cookies are different, the user has to re-authenticate at the earlier of the two times. The default cookie timeout is 30 minutes.
  • Use an ASP.NET logon page to create both your ASP and ASP.NET cookies. Both ASP-based and ASP.NET-based templates use the same cookies. If you are using a Forms-based logon page and have both ASP-based and ASP.NET-based templates, you should configure the file authenticate.inc to use an ASP.NET logon page.

    To change which page displays as the manual logon page, you must modify the new MANUALLOGINURL variable to point to the correct manual logon page. You need to make the MANUALLOGINURL variable match the URL that is specified in the <forms ... loginUrl="xxxxxxxx" .../> tag in the Web.config file for the Web application(s). The MANUALLOGINURL variable is located in <InstallDirectory>:\Server\IIS_NR\System\Access\ManualLogin.inc. and IIS_NR_RO_ASP\System\Access\ManualLogin.inc.

  • Ensure your ASP.NET site supports cookies. You cannot run Forms-based ASP.NET sites in cookie-less mode. The ASP.NET feature <sessionState cookieless="true"> is not supported by MCMS 2002. If you have a Forms-based site with some areas that you have not configured for guest access, your non-guest users must enable cookies in their browsers.
  • Move Microsoft Site Server users to Active Directory. MCMS 2002 does not support Microsoft Site Server-based authentication, so administrators cannot assign Site Server users to MCMS rights groups. To integrate Site Server users into MCMS rights groups, you need to move your users to Active Directory®.

See Also

Recommended Configurations for Authentication


Standardize the event model

Microsoft Content Management Server (MCMS) Publishing API events replace ASP-based hooks in MCMS 2002. If, for example, you create an ASP-based e-mail notification mechanism, it will not be available until you convert it to the corresponding event in the new event model. As a best practice, standardize the event model in use throughout your site for maximum functionality.


Ensure application contexts are compatible

To ensure that users can navigate seamlessly between ASP-based and ASP.NET-based areas of your site, check that the application contexts are compatible. For example, define global settings or scope variables, such as custom authentication, authorization settings, and session state handlers, in the global.asa file for ASP-based applications, and in the global.asax file for ASP.NET-based applications. Similarly, the Web.config file applies to ASP.NET-based applications, but not to ASP-based applications.


Custom Authentication

You can use custom authentication to authenticate Microsoft Content Management Server (MCMS) users against an authority other than Active Directory directory service. Custom authentication involves mapping external users to Active Directory users; therefore, custom authentication should only be used for sites that allow a limited number of types of subscribers, such as employee, partner, and public access.

Note If your site requires a one-to-one or many-to-one mapping of many external users to Active Directory users, you use Certificate authentication. For more information about configuring Certificate authentication, see Certificate Authentication.

Custom authentication appears to users much like Forms-based authentication. When users try to access a privileged section of the site (or try to obtain authoring rights), they are redirected to a special page that determines to which Active Directory account they should be mapped. They are then logged on as that user.

Typically, sites that use custom authentication have the following characteristics:

  • They contain large sections that allow anonymous access (do not require the user to log on).
  • They contain a private section with privileged content that is protected by MCMS role membership.
  • They use an external authentication source instead of direct Active Directory membership for privileged users. This may be an extension of a personalization profile.
  • They do not allow authoring on the production site. They rely on an internal site for authoring and then deploy to the production site.
  • All simple external site requirements also apply to Custom authentication sites.

This section contains:

  • Step 1: Creating Active Directory Users
  • Step 2: Creating MCMS Subscriber Groups
  • Step 3: Configuring Forms-Based Authentication
  • Step 4: Modifying the Logon Page


Windows Authentication

Microsoft Windowsauthentication (either NTLM challenge/response or Kerberos) involves authenticating users who have either Microsoft Windows NTdomain or Active Directorydirectory service accounts.

Windows 2000 offers three authentication methods: Basic, Digest, and Integrated Windows. You can use any of these authentication methods on a Microsoft Content Management Server (MCMS) Web site.

For most MCMS Web sites, if you want to use Windows authentication, you should use Integrated Windows authentication.

Integrated Windows authentication does not initially prompt users for their user name or password information. Rather, it uses the current Windows user information on the client computer for authentication.

Integrated Windows authentication uses hashing technology to identify the user. Instead of sending user information over the network, credentials are exchanged in a cryptographic manner. Authentication credentials are processed in a one-way method only, which is often referred to as "hashing." The result of this process is called a "hash" or "message digest" and is very difficult to decrypt.

Integrated Windows authentication is an appropriate authentication method for your site in the following cases:

  • Your users have Windows NT or Active Directory accounts.
  • Your site is located inside a firewall.
  • You need a simple procedure for allowing domain users to log on to the site.
  • Credentials must be verified to view anything on the site. There are no "public" sections of the site.
  • Your organization uses Microsoft Internet Explorer exclusively.

Integrated Windows authentication is best suited for an intranet environment, where both user and Web server computers are part of the same domain, and where administrators can ensure that all users have Microsoft Internet Explorer as their browser.

Integrated Windows authentication (both NTLM and Kerberos) is highly secure because it does not allow privileged information to be transmitted over the network. With Kerebos, there is an additional level of security because users can authenticate the server to which they are connecting.

You configure Integrated Windows authentication using Microsoft Internet Information Services (IIS). With IIS authentication, credentials are verified by mapping to a Microsoft Windows NT account.

This section describes the steps to configure Integrated Windows authentication in IIS, the ASP.NET Web.config file, and the Server Configuration Application (SCA) component of MCMS 2002.

This section contains:

  • Step 1: Configuring Integrated Windows Authentication in IIS
  • Step 2: Modifying the Web.config File in the Web Application


Limit customization opportunities

In general, it is strongly recommended that you limit the customization opportunities for mixed sites in order to keep the functionality of the site as uniform as possible between the ASP-based and ASP.NET-based areas of a mixed site. For example, while ASP-based templates use an ASP-based console, ASP.NET-based templates use an ASP.NET-based console. Therefore, if you have a mixed application, be aware that the functionality and user experience may be quite different in each case.


Site developers best practices

  • Limit the number of placeholders on a page to fewer than 100.
  • Limit the number of site resources (images, video clips, etc.) per page.
  • Limit the use of site custom property searches.
  • Use caching whenever possible when you access content from outside of the Microsoft Content Management Server (MCMS) site.


Types of caches used for MCMS sites

Caching is the process of storing frequently used documents, images, user controls, and rendered Web pages in memory in order to expedite data retrieval. The system administrator optimizes the node cache and disk cache and ensures there is adequate memory in the Microsoft SQL Server cache. Site developers use ASP.NET output cache. The following is a list describing the four cache types.

  • The system administrator uses a node cache to cache postings, channels, template metadata, resource metadata, template gallery resources, or resource galleries. Make sure the node cache is sufficiently sized to store frequently accessed data but not large enough to be stored in the virtual memory. This can be done by monitoring the physical memory usage in Task Manager.
  • The system administrator uses disk cache to cache resources. You should increase the size of this cache to accommodate a large Web site or a Web site with heavy traffic. The disk cache should hold as many resources as your disk will accommodate.

    If the disk cache directory for the server is installed on the same drive as Microsoft Windows, consider moving the Internet Information Services (IIS) log files from the default location in the Windows directory to another drive. This prevents the accumulation of log files which can cause problems with the ability to cache data or move the disk cache directory to another drive.

  • Site developers implement an ASP.NET output cache on template files or user controls in an MCMS Web application.
  • Database administrator ensures that the SQL Server cache has sufficient memory to ensure optimal performance. For more information about SQL Server performance tuning, see http://go.microsoft.com/fwlink/?LinkId=9512.

See Also

Specifying Cache Properties


Content providers best practices

  • Avoid the use of large resources. Compress resources whenever possible. For example, for pictures, use .jpg files instead of .bmp files.


Using the Server Configuration Application (SCA)

To optimize site performance, you use the Server Configuration Application (SCA) to:

  • Set the maximum disk cache size to ensure it is large enough to hold as much of the binary data as possible.

    Note The disk cache size is initialized during MCMS installation.

  • Set the maximum nodes in the memory cache so that it is large enough to hold the most frequently accessed pages on your site. A single page may require many nodes to be displayed, depending on navigation, page complexity (number of placeholders), and siblings (connected postings).

For more information about Server Configuration Application (SCA), see Using the Server Configuration Application.


Site Manager best practices

  • Limit the depth of container hierarchy.
  • Limit the number of containers under the root node. (For example, channels should not have more than 10 to 15 immediate children containers.)
  • Limit the items in a container (to about 300).
  • Distribute items over multiple containers, to ensure that the number of items in each container does not exceed 300.


Server Configuration Application (SCA) best practices

  • All MCMS servers that are not used for authoring should be set to read-only access. Setting a server to read-only increases performance.
  • In your ASP.NET sites, remove the authorization module from the Web.config file; this can significantly improve performance. For more information about the authorization module, see Configuring Internet Sites.

    Caution You should only remove the authorization module in sites that contain content for guest access only. If the site contains sensitive data meant only for registered (non-guest) users, this data may become accessible to guest users if the authorization module is removed.


MCMS Performance Considerations

The system administrator can use a number of methods and tools to plan, analyze, and test a Microsoft Content Management Server (MCMS) Web site in order to optimize its performance and ensure that it can meet the required capacity load.

Note Make sure you coordinate your efforts with your site developer to configure and implement performance improvements to a site.

This section contains:

  • Measuring and Testing Site Performance
  • Optimizing MCMS Site Performance
  • Using MCMS Background Cleanup
  • Best Practices for MCMS Site Performance
  • Planning for Hardware Capacity


Performance testing methodologies

When you measure and test site performance, you should consider the following methodologies:

Configure the test environment

Your test environment should resemble your production environment as closely as possible. This ensures that the data you collect from the test environment is accurate.

Create and measure test performance

Creating and measuring test performance involves three stages. First, create a usage profile of the site. Second, use the usage profile data to create a test script using Microsoft Web Application Stress (WAS) tool. Third, measure throughput and response time of the site.

  • Create a usage profile of the site. When measuring and testing site performance, you must consider what the business is trying to achieve, user behaviour on the site, and the number of site visitors who will be served. These considerations will help you understand the profile usage of your site. Create a list of transactions that will be performed on the site so you can measure the site performance baseline.

    For more information about usage profile, see Creating a Usage Profile for Site Capacity Planning http://go.microsoft.com/fwlink/?LinkId=9508. This article provides instructions for creating a usage profile.

  • Use the usage profile data to create a test script by using the WAS tool. The WAS tool is used to test the stress and endurance of the site. During stress testing, a high load is placed on the server for a period of time. A high load is defined as one that uses 85 to 90 percent of the server capacity. A normal load is defined as one that uses 50 percent of the server capacity. In endurance testing, normal load levels are run over an extended period of time.
  • Measure the throughput and response time of the site. Throughput is an important measurement in identifying performance bottlenecks and improving system performance. Throughput refers to the number of client requests processed within a certain unit of time. Typically, the unit of measurement is requests per second or pages per second.

    For more information about throughput, see "Understanding Performance Testing" http://go.microsoft.com/fwlink/?LinkId=9511.

Transaction Cost Analysis

You can use Transaction Cost Analysis (TCA) methodology to aid in capacity planning and to detect performance bottlenecks. For more information about TCA concepts and methodologies, see the following articles:

  • "Capacity Model for Internet Transactions." http://go.microsoft.com/fwlink/?LinkId=9507. This article provides an overview of TCA methodology.
  • "Using Transaction Cost Analysis for Site Capacity Planning." http://go.microsoft.com/fwlink/?LinkId=9509. This article provides a hands-on guide to using TCA.


Exporting and Importing Objects for Site Deployment

Using Microsoft Content Management Server (MCMS) 2002, the system administrator can transfer MCMS-managed Web content from one site to another. This process is known as site deployment.

This section contains the basic procedures required to export and import objects using the MCMS Site Manager. For more complete information about site deployment, see Deploying Web Site Content, which also contains these procedures.

This section contains:

  • Exporting Objects
  • Importing Objects


Performing Administrative Tasks

Microsoft Content Management Server (MCMS) 2002 provides a set of tools and technologies to help administrators and site developers:

  • Optimize the performance of an MCMS Web site using tools for measurement and testing, and ensure the site can meet the required capacity load.
  • Configure server settings such as the URL format, cache properties, and security settings.
  • Implement an effective, secure authentication model using Microsoft Internet Information Services (IIS), ASP.NET, and the MCMS Server Configuration Application (SCA).
  • Convert dynamic database-driven MCMS 2002 sites into static, file-based (.htm and .asp files) sites using MCMS Site Stager. Site Stager works with Active Server Pages (ASP) sites only, and not with ASP .NET-based sites.
  • Perform import and export operations to deploy site content.

Note For complete information about deploying site content between different environments (such as development, staging, test, or production), see Deploying Web Site Content. For information about sample deployment configurations, deployment checklists, and issues that you should consider before deploying MCMS 2002, see Deploying MCMS 2002.

This section contains:

  • MCMS Performance Considerations
  • Using the Server Configuration Application
  • Authenticating Users
  • Staging a Site
  • Exporting and Importing Objects for Site Deployment


Using the Server Configuration Application

You can use the Server Configuration Application (SCA) to view and if necessary, to change, the configuration values for the Server component in Microsoft Content Management Server (MCMS). You can use the SCA if you have administrator rights on the computer that is running the server and you are responsible for the configuration and general maintenance of a single server or multiple connected servers (as in a cluster).

To support multiple servers, MCMS separates configuration properties into the following properties:

  • Entry-point properties affect one entry point of a server. You can put the SCA on a secure port.
  • Local properties affect all of the entry points to the local server. For example, some servers can be read/write while others are read-only.
  • Global properties affect all of the servers that point to a particular database.
  • Global defaults are stored in the database and affect all servers that point to that database, unless they are individually overridden with a local setting.

This section contains:

  • Launching the Server Configuration Application
  • Setting General Server Properties
  • Specifying Cache Properties
  • Specifying Web Entry Points
  • Adding Domains
  • Setting Server Security Properties
  • Viewing License Information


Setting Server Security Properties

This section provides information on setting server security properties such as the Microsoft Content Management Server (MCMS) System Account, guest access, and cookie properties.

This section contains:

  • Specifying the MCMS System Account
  • Enabling Guest Access
  • Setting Cookie Properties


Setting General Server Properties

This section provides information on setting general server properties, such as background cleanup settings and how Microsoft Content Management Server (MCMS) displays the URL format of pages in browsers.

This section contains:

  • Specifying a URL Format
  • Mapping Channel Names to Host Header Names
  • Viewing the ASP Compatibility Mode


Specifying Cache Properties

This section provides information on specifying the location and size of the cache. You can specify a directory for the cache, and the maximum sizes of the cache in megabytes (MB) and number of nodes in memory.

This section contains:

  • Specifying Cache Location
  • Specifying Maximum Cache Size
  • Clearing the Memory Cache


Specifying a URL Format

In the Microsoft Content Management Server (MCMS) Server Configuration Application (SCA), you can specify how MCMS identifies (or references) your pages using one of the following URL formats:

  • Hierarchical, which duplicates the channel structure in Site Manager to identify pages
  • Unique ID based, which assigns random numbers and letters to identify pages

By default, MCMS uses hierarchical URLs. You can switch to unique ID-based URLs using the SCA. For more information, see Specifying Hierarchy-Based or Unique ID-Based URLs.

Because your system could be using either unique ID-based URLs or hierarchy-based URLs, the safest method of addressing the link is to navigate to the page or channel in your browser, and copy the URL from the address box. You may need to periodically update the link, because the URL is subject to changes made in the channel hierarchy.

This section contains:

  • About Hierarchy-Based URLs and Non-English Languages
  • Specifying Hierarchy-Based or Unique ID-Based URLs


Check for Staging mode

  • Check for the staging mode in script that contains a publishing mode check.
  • Prevent the staging of dynamic resources by using the following check:

If Not Autosession.IsModeStaging Then
' execute for non-staging modes only
End If


Staging Script

The template designer can use the following tags to mark up script that will be staged. There are two tags created for staging script, two tags for staging include statements and the files to which they refer, and one tag used to specify the suffix of staged output files.

This section contains:

  • RESX STAGE_SCRIPT
  • RESX RUN_AND_STAGE_SCRIPT LANG=VBSCRIPT
  • RESX STAGE_INCLUDE
  • RESX RUN_AND_STAGE_INCLUDE
  • RESX STAGE_EXT
  • Best Practices for Developing Staged Script


Site Stager Script Generator

The Site Stager Script Generator is a command line utility that processes one or more .ASP template files containing RESX tags to enable them to operate correctly with the MCMS 2002 Site Stager application.

In Microsoft Content Management Server (MCMS) 2002, templates are always on the file system, so the RESX tags are not automatically processed when templates are cached from the MCMS database onto the filesystem.

To allow MCMS 2002 .ASP templates with RESX tags to be staged, two versions of all templates are stored on the filesystem: the editable source file, and the staging-capable output file. Template authors should edit the source files only, and then run the Site Stager Script Generator (GenSiteStager.exe) tool to create the processed version of the templates. The processed versions (which are linked to from the MCMS template gallery items) will work both in staging mode, and in regular run-time mode.

This section contains:

  • Operation and Options
  • Configuration File


Staging a Site

You use Microsoft Content Management Server (MCMS) Site Stager to convert dynamic Active Server Pages (ASP)-based MCMS 2002 sites into static, file-based (.htm and .asp files) sites. MCMS Site Stager converts MCMS content, navigation, and links to static HTML or ASP for deployment on any Web server.

You can use Site Stager to make an HTML or ASP copy of your Web site available for multiple platforms. Because you can select the parts of an MCMS 2002 site that you want to stage, you can set up more than one version of the Web site in order to meet specific audience needs, and you can automatically update these sites at regular intervals.

Important Site Stager only works with Active Server Pages (ASP)-based sites and not with ASP.NET-based sites.

This section contains:

  • About Site Stager
  • Granting Access to the Staging Computers
  • Preparing to Stage a Site
  • Staging a Site Automatically
  • Staging a Site Manually
  • Site Stager Template Best Practices
  • Site Stager Redirection
  • Staging Script
  • Site Stager Script Generator


Limit Use of API Values in Staged Script

Although the staged script cannot make use of the Publishing API, you can stage numerical and string properties retrieved from the API so that they can be used in the staged script by outputting script that consists of assigning API literal values to variables. These variables can then be used inside the staged script. The following code example shows this technique.

<!-- RESX STAGE_SCRIPT -->
<%
Dim username
username = <!-- /RESX STAGE_SCRIPT -->
<%
Response.Write """" + Autosession.Username + """"
%>
<!-- RESX STAGE_SCRIPT -->
Response.Write username
%>
<!-- /RESX STAGE_SCRIPT -->

The following code example shows the staged output.

<%
Dim username
username = "WinNT://NCOMPASS-LABS/RESADMIN"
Response.Write username
%>


About Site Stager

Before you use Microsoft Content Management Server (MCMS) Site Stager to convert an MCMS site into a static, file-based site, you must install the MCMS Site Stager application and grant access to the remote staging computers if you are working with a distributed MCMS installation.

For information about installing MCMS Site Stager, see "Installing Site Stager" in the Installation Guide at http://go.microsoft.com/fwlink/?LinkId=9918.

For information about granting access to remote staging computers, see Granting Access to the Staging Computers.

During the installation process, the MCMS Site Stager application creates a number of directories called "destination directories" on the installation computer. It is important that you understand the structure and purpose of the Site Stager destination directories and that you do not remove or alter them. Site Stager uses the destination directories to store files during the staging process. For more information about Site Stager destination directories, see Destination Directories.

When Site Stager stages a site, it requires two Microsoft Windows user accounts: stage-as and destination user. Site Stager uses the stage-as user account to determine which channels are to be staged. You specify channels to be staged by adding the stage-as account to the appropriate rights groups in Site Manager, and granting the account rights to the appropriate channels. Site Stager impersonates the destination user account when staging the site. For information about the stage-as and destination user accounts, see Stage-as and Destination User Accounts.

This section contains:

  • Destination Directories
  • Stage-as and Destination User Accounts
  • Staging Profiles


Package ActiveX objects and Java applets

  • Package Microsoft Active objects and Java applets in CAB files (for ActiveX objects) or JAR files (for Java Applets). If you store these resources outside of MCMS and reference them in server-side script, wrap the references with ResolveURL().

    Note JAR files stored in a resource gallery only function if the name of the file is the same as the name of its initial class.

  • Use the following code to reference an external CAB file:

<object id="UserControl1"
classid="CLSID:FD68B14F-442C-11D1-9B8B-DAFE8593593D"
codebase="<%=Autosession.ResolveURL _
("somedir/Demo1.CAB#version=1,0,0,0")%>"
align="baseline" border="0" width="349" height="231">
</object>
  • Use the following code to reference an external JAR file:

<applet code="PieChart.class" archive="
<%=Autosession.ResolveURL _
("somedir/survey.jar")%>"
width="300" height="300">
     <param name=excellent value=
          "<%= g_GradeArray(1,2) %>">
     <param name=good value="<%= g_GradeArray(2,2) %>">
     <param name=fair value="<%= g_GradeArray(3,2) %>">
     <param name=poor value="<%= g_GradeArray(4,2) %>">
</applet>


Qualify URLs

  • Make references to URLs on a different Web server fully qualified, and ensure that the URLs are accessible from the server on which the staged site is deployed. If you use Response.Redirect to redirect browsers, the URL to which you are redirecting should be a full path, such as /files/recent/headline.html. Redirecting to relative URLs will lock the Site Stager in an infinite loop. For more information, see Site Stager Redirection.


Preparing to Stage a Site

After you have installed Site Stager and granted access to the remote staging computers, you are ready to begin staging sites. You must prepare your site for staging before you begin the staging process.

To prepare a site for staging, you must complete the following steps:

  • Step 1: Creating a Stage-as User Account
  • Step 2: Creating a Destination User Account
  • Step 3: Creating an MCMS Subscriber Rights Group for the Stage-as User Account
  • Step 4: Assigning Access for the Channels You Want to Stage
  • Step 5: Creating a Staging Profile


Use ResolveURL

  • Wrap the ResolveURL() method around all non-MCMS 2002 references to resources, such as, style sheets, linked scripts, ASP files, Java Applets, Microsoft ActiveXobjects, and other HTML pages. ResolveURL will retrieve the resource and stage a copy of it in the destination directory.
  • Do not wrap ResolveURL() around links to resources that you do not want to copy locally, such as a link to another Web site.


Specify Extensions on a Per-Page Basis

The <!-- RESX STAGE_EXT="ext"--> tag is normally used in the template source but can also be inserted in placeholder content. To do this, the author must be able to modify the HTML source of the placeholder and insert the sequence <br><!-- RESX STAGE_EXT="ext" -->. The <br> tag ensures that the <resx> tag is not stripped from the HTML source when it is saved.


Using Resource Galleries

Resource galleries hold the images, audio files, and videos that authors can include on a page. Typically, a Microsoft Content Management Server (MCMS) resource manager is responsible for managing the resources in a resource gallery.

This section contains:

  • Creating Resource Galleries
  • Editing Resource Gallery Properties
  • Copying and Moving a Resource Gallery
  • Deleting and Restoring a Resource Gallery
  • Removing a Resource Gallery
  • Adding Resources to a Resource Gallery
  • Importing Resources to a Resource Gallery
  • Copying and Moving Resources from a Resource Gallery
  • Deleting and Restoring Resources from a Resource Gallery
  • Removing Resources from a Resource Gallery


Editing Channel Properties

After you create a channel, you can edit its properties.

This section contains:

  • Changing the Name of a Channel
  • Editing Channel Display Name and Description
  • Editing Channel Options
  • Editing the Publishing Schedule
  • Editing Channel Rendering Properties
  • Editing the Web Author Default Galleries
  • Sorting the Channel Structure
  • Editing the Channel Rights
  • Customizing the Channel


Creating Channels

To set up channels, perform the following procedures:

  • Step 1: Naming and Describing a Channel
  • Step 2: Assigning Rights to a Channel
  • Step 3: Rendering a Channel
  • Step 4: Setting the Publishing Schedule
  • Step 5: Setting the Web Author Default Galleries
  • Step 6: Setting Channel Options


Using Channels

Microsoft Content Management Server (MCMS) uses channels to store, organize, and manage access to content. MCMS administrators, channel managers, and template designers use Site Manager to create channels for organizing pages into a hierarchy. The channel hierarchy determines the structure for building your site.

This section contains:

  • Creating Channels
  • Editing Channel Properties
  • Copying and Moving a Channel
  • Deleting and Restoring a Channel
  • Removing a Channel
  • Copying and Moving Pages from a Channel
  • Deleting and Restoring Pages from a Channel
  • Removing Pages from a Channel
  • Publishing Pages Consecutively
  • Publishing Channels Consecutively


Creating Template Galleries

This section describes how to create template galleries that authors can use for creating pages. When you create a template gallery, you name and describe the gallery, then assign rights groups for the gallery.

This section contains:

  • Step 1: Naming and Describing a Template Gallery
  • Step 2: Assigning Rights Groups to a New Template Gallery


Editing Resource Gallery Properties

After you create a resource gallery, you can edit its properties.

This section contains:

  • Changing the Name of a Resource Gallery
  • Editing the Description of a Resource Gallery
  • Editing the Rights of a Resource Gallery


Editing Template Gallery Properties

After you create a template gallery, you can edit its properties.

This section contains:

  • Changing the Name of a Template Gallery
  • Editing the Description of a Template Gallery
  • Editing the Rights of a Template Gallery


Creating and Using Containers

After Microsoft Content Management Server (MCMS) administrators create rights groups and assign publishing roles to users, they (as well as channel managers and template designers) organize the virtual workspace so that users can author and publish pages.

The first task in organizing the virtual workspace is to create, name, and organize containers according to the needs of your organization. This task involves creating channels, resource galleries, and template galleries.

Before you set up the channel hierarchy and organize the workspace, you should be aware of the naming conventions and limitations in Site Manager. For more information about naming containers and the characters that Site Manager allows, see Naming Conventions and Limitations.

This section contains:

  • Using Channels
  • Using Resource Galleries
  • Using Template Galleries


Creating Resource Galleries

This section describes how to create resource galleries that authors can use for adding images, audio files, and videos to a page.

This section contains:

  • Step 1: Naming and Describing a Resource Gallery
  • Step 2: Assigning Rights Groups to a New Resource Gallery


Using Template Galleries

Template galleries provide a way to store and organize templates, which authors use to create pages. After template designers create and save templates to template galleries, authors can select templates from these template galleries to create consistent pages. Templates enable content contributors to focus on site content while template designers focus on site design and layout.

This section contains:

  • Creating Template Galleries
  • Editing Template Gallery Properties
  • Copying and Moving a Template Gallery
  • Deleting and Restoring a Template Gallery
  • Removing a Template Gallery
  • Copying and Moving a Template from a Template Gallery
  • Deleting and Restoring a Template from a Template Gallery
  • Removing a Template from a Template Gallery
  • Reverting a Template
  • Finding All Pages that Use the Same Template


Managing Site Structure and Workflow

Microsoft Content Management Server (MCMS) site managers and channel managers use Site Manager to create and manage site structure (including channels, resource galleries, and template galleries), and user roles. Site managers and channel managers must complete these site configuration tasks before MCMS can publish content on your site. For information about the publishing process, see Publishing Workflow.

The Site Manager application is a client-side application that operates on a Microsoft Windows 32-bit platform. You use the Site Manager application to associate users with different roles in the publishing workflow, and then assign rights to specific channels, resource galleries, and template galleries.

For information about deploying site content between different environments (such as development, staging, test, or production), see Deploying Web Site Content. For information about sample deployment configurations, deployment checklists, and issues that you should consider before deploying MCMS 2002, see Deploying MCMS 2002.

This section contains:

  • About Site Management
  • Setting Up the Publishing Environment
  • Managing User Access
  • Deploying Web Site Content
  • Tracking Revisions


Restricting external access

As an MCMS administrator or channel manager, you should take care to restrict external visitor access to certain parts of your site. For more information about assigning rights and restricting external access, see Authenticating Users.


About Web search access (for dynamic sites)

MCMS allows Internet search engines to index only those URLs that are accessible to guests.

You can also implement your own search feature by installing a search engine directly on the site. In this case, you can allow searches for authenticated access as well.

See Also

Managing Internal Access

Requirements for Web Indexing

Authenticating Users

Setting Up the Publishing Environment


Configuring Internet Information Server for Web indexing

You must enable the Default Guest Access option in order to allow public Internet search engines (Web crawlers) to index your site. You can set the Default Guest Access option using the MCMS Server Configuration Application (SCA).

To allow full-text searching, configure Microsoft Internet Information Services (IIS) for Basic Authentication. For more information about configuring authentication, see Authenticating Users.

To enable the Basic Authentication option

  1. Click Start, point to Programs, point to Administrative Tools, and then click Internet Services Manager.
  2. In the Internet Information Services window, right-click the Web server that is hosting your MCMS site and select Properties. The Web server's Properties dialog box opens.
  3. Select the Directory Security tab.
  4. In the Anonymous Access and Authentication Control area, click the Edit button. The Authentication Methods dialog box opens.
  5. Select the Basic Authentication option, and click OK.

For recommendations on helping search engines index a Web site go to http://go.microsoft.com/fwlink/?LinkId=12312.

See Also

Managing Internal Access

Managing External Access

Authenticating Users

Setting Up the Publishing Environment


Setting up guest access for non-staged sites

Before installing MCMS, you need to create a Microsoft Windows 2000 account. For purposes of this discussion, we will call the account GuestUser (though you can use any name). For detailed instructions on creating this account, see "Step 1: Creating Windows User Accounts" in the Installation Guide at http://go.microsoft.com/fwlink/?LinkId=9918. During the installation procedure, you can enable the Guest Access option in order to allow site visitors from outside your Windows 2000 domain to view parts of your site as a Guest.

To manage guest access, set up a Guest User subscriber rights group, add the GuestUser account to the rights group, and give the group rights over those channels, resource galleries, and template galleries that guests are authorized to view.


Setting up visitor access

When creating an MCMS guest account through Microsoft Windows 2000, consider setting up user accounts for special types of visitors, with intuitive names such as Partner, Customer, Press, Contractor, or Investor, that reflect their relationship to your site. You must also set up subscriber rights groups for these visitors, and add the users to them. Distribute the user names and passwords for each visitor type to the appropriate people.

You can use these password-protected accounts to target sensitive information to certain site visitors, or to give customers or contractors access to pages from which they can download files.


Setting the title of a page template

Most search engines display the title of the pages that they index. For framed and frameless sites, the <TITLE> tag in the page template creates this title. You can use the Publishing application programming interface (API) to programmatically set the title of the document.


About Web indexing software

Most major Internet search services, as well as site indexing applications, use Web crawlers that you can purchase for use on your own Internet or intranet site.

Most Web crawlers take the top-level pages that you submit and follow all the links that are found. The collected information is stored and the links are used to guide the search patterns of the crawler. When potential customers look for your products or services through Internet search sites, the results of their queries are generated from the pages found by the Web crawler.

For a demonstration of how searching capabilities can enhance a Microsoft Content Management Server (MCMS) Web site, visit http://go.microsoft.com/fwlink/?LinkId=8426.


Managing User Access

Microsoft Content Management Server (MCMS) 2002 imports users from the network approximately every ten to fifteen minutes. Any valid logon ID on the network is a potential MCMS user. You may want to create a new Microsoft Windows® 2000 domain reserved for MCMS users.

This section contains:

  • Managing Internal Access
  • Managing External Access
  • Requirements for Web Indexing
  • Preventing Multiple Users from Accessing the Same Object


Organizing User Roles

Using the Site Manager application, you can organize users into different user roles and rights groups, then assign permissions to users based on their association with different parts of the site. By adding and removing members from rights groups, you can assign them to different roles in the publishing workflow. Then you can assign rights to specific channels, resource galleries, and template galleries based on the tasks that you have defined for each role.

For example, you can add users to a Marketing Authors rights group so that these users will only be able to create and edit pages (or whichever tasks you have defined for the Marketing Authors rights group) in the channels, resource galleries, and template galleries that you specify.

For more information about organizing users into different user roles and rights groups, see Setting Up the Publishing Environment.


Transferring Web Site Content

Using the Site Manager application, you can transfer Web site content between different servers and environments. You can export objects (such as containers and container items) from the source server and import them on the destination server. To facilitate the transfer of objects during the import and export process, MCMS packages the objects into Site Deployment Object (SDO) packages. For more information about deploying content, see Deploying Web Site Content. For information about sample deployment configurations, deployment checklists, and issues that you should consider before deploying MCMS 2002, see Deploying MCMS 2002.

This section contains:

  • Setting Site Manager Options
  • Refreshing the Site Manager


About Site Management

Site management involves using the Site Manager application to create and manage containers so that users can develop various pages of a Web site. Containers include channels, resource galleries, and template galleries. You can associate users with different roles in the publishing workflow, and then assign rights to specific containers. The way you organize your containers and user roles will help determine how your workflow functions and which users will do which jobs.


Organizing Containers

Using the Site Manager application, you can create new containers and organize the workspace for your users. The container hierarchy you arrange in Site Manager determines your site structure.

Creating more containers and sub-containers allows you to assign permissions at a finer granularity because the more containers you create, the greater your control over user access.

For example, if you create only one container, then your users will either have access to the entire container, or have no access at all. But if you organized your site into multiple containers, then you could limit access to a Marketing container to users from the Marketing department, limit access to the Human Resources container to users from the Human Resources department, and so on.

If you use Site Manager to copy a page or template, Microsoft Content Management Server (MCMS) gives ownership of the new copy to the owner of the original item rather than to the current user.

For more information about creating, removing, restoring, and deleting containers, see Creating Containers.


Controlling User Access

In the process of managing a site, you need to define which users have access to which parts of your site. You should first enable guest access, or external access, to allow subscribers to view the site. Then you should define which users have membership in which rights group for creating and updating parts of the site. For more information about controlling user access, see Managing User Access and Authenticating Users.


Creating Rights Groups

Rights give users access to specific containers. To have rights in a container, a user must be a member of one or more Microsoft Content Management Server (MCMS) rights groups that have been assigned to that container. Each rights group belongs to one of the available MCMS roles, which determine the rights the user will have in that container.

There are eight roles in MCMS: subscriber, author, editor, moderator, resource manager, template designer, channel manager, and site manager. For more information about these roles, see MCMS User Roles.

Each role has its own set of rights groups. To assign publishing rights, you must first create a rights group, add members to the group, and finally assign the group to a container.

Note Domain trust relationship issues may cause the Site Manager to be unable to display the list of users from your domain. The accounts belonging to administrators and channel managers should be on the same domain as the MCMS server.

You can create one or more rights groups for each role except the administrator. There is only one administrator rights group, which is created when MCMS is installed. Administrators have all rights in all containers so there is no need to assign them to containers. Administrator rights to containers cannot be removed. Keeping the number of members in the administrator rights group low will help to centralize administrative control of the system. Channel managers have the same rights as administrators, but only to those containers they are responsible for.

Note that if a user has any rights to a container, they will also have subscription rights in the container, which allows them to view items in that container.

This section contains:

  • Step 1: Creating a Rights Group
  • Step 2: Adding Members to a Rights Group
  • Step 3: Assigning Rights Groups to Containers
  • Windows 2000 Groups for MCMS Rights Groups


Deleting user accounts

When a user logon ID is deleted from the network, it will still appear in any rights groups to which it was previously added. If an MCMS user leaves your organization, remove the user from the rights groups they were assigned to. This will prevent them from being able to log on.

See Also

Managing User Access

Creating Rights Groups

Authentication and Authorization Concepts


Windows 2000 Groups for MCMS Rights Groups

You can save time creating rights groups by adding Microsoft Windows 2000 security groups to each rights group that you create, rather than adding members individually. When you add or remove users from the Windows 2000 groups, the rights groups will update automatically. For more information about rights groups and security, see Authenticating Users.

This section contains:

  • Active Directory Nested Groups and Logon Conventions
  • Removing Users from MCMS


Setting Up the Publishing Environment

The Microsoft Content Management Server (MCMS) publishing environment uses containers to organize and store pages, resources, templates, and rights groups in the MCMS Site Manager and Web Author. You can create, name, and sort containers to suit the needs of your organization.

An MCMS administrator, channel manager, or template designer creates new containers, and grants users rights to these containers through the use of roles. For more information about roles and rights groups, see MCMS User Roles.

Setting up the MCMS publishing environment consists of the following two tasks:

  1. Creating rights groups and adding members. This task associates users with MCMS User Roles.
  2. Creating containers for authors and editors to work in, and assigning the appropriate rights groups to these containers. The following table lists the three types of containers.
    Container type | Used to store
    Channel | Pages
    Resource Gallery | Resources (such as images, attachments, audio, or video files)
    Template Gallery | Templates

This section contains:

  • Creating Rights Groups
  • Creating and Using Containers


Using Refresh

The Refresh tool refreshes single items such as a channel. To use refresh, right-click the channel and select Refresh from the shortcut menu.


Using Global Refresh

The Global Refresh tool refreshes all containers in the Site Manager. To use the global refresh, click the Global Refresh icon on the Site Manager toolbar.

See Also

About Site Management

Setting Site Manager Options

Setting Up the Publishing Environment

Deploying Web Site Content


Naming Conventions and Limitations

Your site might not function properly if you do not adhere to the following naming conventions and limitations:

  • Each channel must have a unique name. Do not use the same channel name more than once.
  • URLs can only contain US-ASCII characters.
  • Names of channels (sites), resources, and templates can only contain alphanumeric characters (letters and numbers of the English alphabet), spaces, and the following symbols: -, _, (, ), .
  • Do not include any of the following characters in the channel name:
    #, &, %, +, /, or |.
  • Microsoft Content Management Server (MCMS) reserves the characters NR for the root virtual directory. Do not name a channel NR.
  • Do not use spaces in channel names; MCMS converts spaces to the plus sign (+) in the Web browser.
  • Channel names must be fewer than 100 characters in length.
  • MCMS automatically adds the .htm file extension to the page name in the URL. Do not add the .htm extension when creating and saving a page.

To name and describe a channel

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on using an account with administrative credentials, and then click Start.
  3. In the Site Manager window, in the left navigation pane, click the Channels icon to display the channels hierarchy.
  4. Right-click the channel in which you want to create the new channel, and then select New Channel.
  5. In the New Channel dialog box, do the following:
    Use this | To do this
    Name | Type a name or abbreviation for the new channel that will be used as part of the URL. For example, if you are publishing press releases in this channel, name it Press.
    Display Name | Type the display name for the new channel. For example, use Press Releases.
    Description | Type a description of up to 255 characters that makes the channel easy to identify for Microsoft Content Management Server (MCMS) Site Manager users. This description can briefly describe the type of content that the channel will contain, and indicate which rights groups have rights in that channel.
    Same As Name | Click this button to use the channel name as the Display Name.

After naming and describing the new channel, go to Step 2: Assigning Rights to a Channel.


About Exporting and Importing Objects

The system administrator uses Site Manager to export and import objects. Before you begin to export and import objects, review the rules that pertain to the following:

  • Import and export reports
  • Approved export objects
  • Export profile
  • Linked objects
  • Dependent objects
  • Connected pages
  • Templates
  • Destination system container hierarchy
  • Limited import object
  • SQL Server background cleanup
  • System lock
  • SQL Server fixed database role

Import and export reports

The following table lists two types of reports you can access when you export objects.

Report title | Report function
Dependency Report | Lists the pages that rely on a template. Includes the status, name, location, and owner for each page.
Export Preview | Lists the objects that will be exported.

The following table describes the information contained in the Import Preview report.

Report heading | Description
Report Information | Includes information about the object file, the date and time generated, the person who generated the report, the client machine and version, server URL, and the server version.
Import Parameters | Includes parameters such as user rights groups, destination containers for orphaned objects, and container rules.
Object Placement from Source to Destination System | Indicates the Source and Destination, by container type. The report also shows whether the object being imported is relocated (the container or object is imported to a location that is not identical to the object file).
Destination Objects that will be Deleted on Import | Includes information about objects that will be deleted during the import process.
Destination Objects that may Contain Broken Links after Import | Includes information about objects that may contain broken links after import.

The following table describes the information contains in the Export Preview report.

Report heading | Description
Report Information | Information about the object files, including the date and time they were generated, the report generator (full Microsoft Windows NT login user), the client computer, version, the source system URL, and the server version.
Selected Export Parameters | The parameters on exported objects, such as security settings.
Selected Containers and Items | The items selected by a user, shown in boldface type. The dependent objects of selected objects are not in bold. The items included are channels and pages, template galleries and templates, and resource galleries and resources.
User Rights Groups | The user rights groups and users, including the path name for the rights groups in the report.
Selected Export objects not currently available for Export | The items selected but not available for export.
Select objects containing Broken links | Links that could potentially be broken on import.

Approved export objects

Make sure that all objects to be exported have been approved by your assigned approver before exporting them. Any object that is submitted but not approved will not be exported. Objects on the destination server with dependencies to objects being imported will be affected by the import operation. For example, if a template is replaced during import, all of the pages using the template will automatically use the new template.

Export profile

An export profile is a file containing the export objects and the options to be exported. A saved export profile can be used again if you need to export the same objects and options.

Linked objects

If an object links to another object, you must export both objects; otherwise the link does not work on the destination system. You can import objects with links to objects already on the destination system.

Note Broken object links do not appear in published pages. Export and import reports list the objects that contain broken links.

Dependent objects

During a full deployment, the dependent objects are automatically exported. Objects cannot be exported without their dependent objects.

Note Only dependent objects in the MCMS database are exported, not files stored on the server, such as server-side ASPX scripts. Files stored on the server must be manually moved to the destination system server.

During import, the dependent objects of a page can replace objects on the destination system. For example, if you import a page, the dependent objects of the page (all templates and resources associated with the page) are also imported. If the templates and resources in the object file already exist on the destination system, they are replaced with the objects being imported. Use caution when you import dependent objects.

Connected pages

Connected pages are two or more pages that use the same template, or that use templates from a set of connected templates, and that reference the same content source.

Templates

When you export templates from MCMS, you must export all of the associated template files (both MCMS-managed and non-MCMS-managed template files).

Destination system container hierarchy

In the destination system container hierarchy, the links or relationships to other objects remain intact, even after existing objects are exported and imported (for example, page to template, or page to resource).

Limited import object

Objects from the object file that do not exist on the destination system are added, while objects from the object file that exist on the destination system are replaced.

Caution If you import a template that is used by pages on the destination system, these pages switch to the new imported template.

SQL Server background cleanup

If you begin an import while background cleanup processing is active, your import will fail. However, if an import is in progress when the background processing starts, the background cleanup processing waits 30 seconds for the import to complete. If the import does not complete after 30 seconds, the import fails. For more information about background cleanup, see Using MCMS Background Cleanup.

System lock

During the import process, users are prevented from modifying and submitting pages and objects to the Web site when a system lock is in effect. The destination database is locked for both read and write access. The users have access only to the data that was already in the cache before the import process started.

SQL Server fixed database role

The MCMS system account must have the following database rights: db_ddladmin, db_datareader, and db_datawriter. For more information about SQL Server fixed database roles, see http://go.microsoft.com/fwlink/?LinkId=9594.

See Also

Managing Site Structure and Workflow

Performing Administrative Tasks

Deploying MCMS 2002


Deploying Web Site Content

Using Microsoft Content Management Server (MCMS) 2002, the system administrator can transfer MCMS-managed Web content from one site to another. This process is known as site deployment.

The system administrator uses the Site Manager to deploy Web site contents from the Web development server to the Web production sever. You export objects from the source server and you import objects from the destination server. An object can be one of the following:

  • A container such as a channel, gallery, or rights group
  • A page, resource, template, or user

An object file, also known as a site deployment object (SDO) package file contains the imported and exported objects.

Note Site developers can programmatically automate site deployment tasks using the Site Deployment application programming interface (API). For information about the Site Deployment API scripts, see Creating Site Deployment Scripts. For information about the Site Deployment API, see the COM-Based Site Deployment API.

To export objects not managed by MCMS (for example, Active Server Pages (ASP) or ASP.NET scripts), you can use Microsoft Application Center 2000 to migrate the Web contents between servers. Application Center 2000 is a Web deployment and management tool that can be used to synchronize files not stored in the MCMS Content Repository across servers and server clusters. For more information about Application Center 2000, see http://go.microsoft.com/fwlink/?LinkId=12329.

This section contains:

  • About Exporting and Importing Objects
  • Exporting Objects
  • Importing Objects
  • Importing Templates and Files


Tracking Revisions

Content providers and site managers use the revision tracking feature of Microsoft Content Management Server (MCMS) 2002 to list revisions of the following:

  • The content or shared properties of a page
  • The shared resources from a gallery used in a page

Revision tracking also enables users to compare two versions of a page. For information about how an author uses revision tracking in the MCMS Web Author, see Viewing Revision Histories.

A revision is any page change that has been approved by an editor in the Web Author. Each approved change to a page creates a new version. Changes to resource gallery items can be viewed as revisions of the pages that use them. If you add a resource such as an image file, or insert an attachment to the page, this creates a new version of the page.

New versions of pages are created for page content only, not for channels or templates. No new version is created for the channel that contains the page, or for the template script. Template script, in the form of .asp and .aspx files, is not stored in the database and is therefore not versioned. However, you can create and store different versions of script using Microsoft Visual Studio® .NET and Microsoft Visual SourceSafe® (VSS).

The revision tracking feature is always enabled. There is no limit on the number of revisions that are supported either for an individual page or for all pages in a site.

For more information about the revision tracking feature, as used by authors, see Viewing Revision Histories.

This section contains:

  • Revision Histories
  • Clearing Revisions by Time Stamp


Connected pages

The revision histories for connected pages, which are two or more pages that use the same template, or that use templates from a set of connected templates, will be similar because when a shared resource or page is updated, the revision from one connected page or template is saved in the revision history of the corresponding connected pages and templates. However, a page that was created more recently could have fewer revisions in its history because for a connected page, only the revisions that were created after the connected page was created will be displayed in its revision history.


Site deployment

When site deployment has been used to import content to the MCMS server, the revision history of a page will reflect changes to each MCMS object that is associated with that page. For example, if a page that contains two resource gallery items is deployed, and during a site deployment, the page and the two resources are all replaced, then that page and any page that is connected to it will have three new revisions in its revision history: one for the page replacement and two for the resource replacements.

For more information about site deployment, see Exporting and Importing Objects for Site Deployment .

See Also

Clearing Revisions by Time Stamp

Managing Site Structure and Workflow

Getting Started

Concepts and Architecture


Solution

If your staging profile failed to stage, check that the profile contains all of the following information:

  • A unique name to distinguish it from other profiles
  • The directory of the site to be staged
  • The channels to be staged
  • The schedule that sets the frequency of staging
  • The complete path of the program to be launched after staging is complete. Be sure to enter all arguments if they exist and separate them by a space. For example: c:\dir1\dir2\test.exe arg1 arg2.


Solution

  • After making changes, you can check each view of the pages for accuracy by clicking Preview Connected Pages in the authoring console.
  • You will only be shown connected pages that are located in channels where you have at least subscriber rights and that use templates located in template galleries where you have at least subscriber rights.
  • If the page being edited is one of a collection of connected pages, you can click Go to Connected Page to view a list of the other pages connected to the current one. Click Go to beside the page you want to view.


Solution

Checked in templates are read-only. Check out the template.


Solution

If you are editing a Microsoft Content Management Server (MCMS) template file in GridLayout, placeholder controls are added to the top left corner of the form. You will need to use a table to arrange the placeholder controls. Switch to FlowLayout for more accurate control over placeholder control placement.


Solution

To force an immediate refresh of your Site Manager, in the Modify Members dialog box, click Synchronize to show all Microsoft Windows NT domains if new users have been recently created. If the user or group is still not listed, manually enter a user or group name that exists on the selected domain.

To manually enter a user or group name, in the Modify Members dialog box, in the Group or User Name box, type the name of the rights group.

After synchronizing, if the new users still do not appear, or an error message appears when you manually enter a new user, make sure that you have configured the Microsoft Content Management Server (MCMS) server. If the server is not configured, MCMS will not see user accounts on it.

To configure the MCMS server

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Server Configuration Application.
  2. In the MCMS Configuration Application window, on the Access tab, click Configure.
  3. In the MCMS Configuration Application — Access dialog box, do the following:
    Use this | To do this
    Supported NT Domains | Type the name of the MCMS server.
    Add | Click to add the MCMS server to the list of supported NT domains.
  4. Click OK.
  5. In the MCMS Configuration Application window, click Close Application.


Solution

To display the publishing task list in the Authoring Connector Wizard, ensure that the following is true:

  • The task list is properly configured. Verify the syntax of the XML file, and the path for channels and templates.
  • You have rights to the referenced templates and channels.
  • The publish task list (an .xml file) is stored in the correct location. The task list file (Publishing Tasks.xml), is stored by default in the path: $CMSroot\server\IIS_CMS\OfficeWizard\. You can change the default location by modifying the Web.config file for Authoring Connector.


Solution

Make sure the DeveloperTools.xml file is well-formed XML and validates against the DeveloperTools.xsd schema.

If DeveloperTools.xml validates against the DeveloperTools.xsd schema, do the following:

  1. Close Visual Studio .NET.
  2. Delete all files in the <installation drive>\Documents and Settings\<User>\Application Data\Microsoft\Visual Studio\7.0\ directory.
  3. Restart Visual Studio .NET. The deleted files will be recreated.


Solution

Close the Approval Assistant window and restart the Approval Assistant.


Solution

To bind the placeholder controls in a template file to their corresponding placeholder definitions in the associated template, the PlaceholderToBind property must be set correctly.

To set the PlaceholderToBind property of a placeholder control

  1. In Microsoft Visual Studio .NET, select the control in the ASP.NET template file.
  2. In the Properties window, from the property list select PlaceholderToBind.
  3. From the PlaceholderToBind values drop-down list, select the appropriate placeholder definition.

    The values in the PlaceholderToBind values drop-down list are the combined unions of all PlaceholderDefinition names on templates which have specified the selected ASP.NET file as the TemplateFile (through the TemplateFile property for the templates).

    In addition, only PlaceholderDefinitions which are of the same type as the selected Placeholder Controls are listed.

Note If the PlaceholderToBind values drop-down list contains the value none or appears to be missing PlaceholderDefinition names, check the following:

The selected ASP.NET file is correctly bound to the Template Gallery Item which contains the PlaceholderDefinition.

The missing PlaceholderDefinition is of a type supported by the selected PlaceholderControl. For example, a SingleImagePlaceholderControl only supports ImagePlaceholderDefinitions.


Known Issues with Uninstalling MCMS 2002 with SP1a

This section contains the following known issues when uninstalling Microsoft Content Management Server (MCMS) 2002 with SP1a:

  • Error Occurs When Uninstalling MCMS 2002 with SP1a Components on Windows Server 2003
  • Files That Have Been Migrated from MCMS 2001 to MCMS 2002 Must Be Updated After You Uninstall MCMS 2002 with SP1a
  • Cached Data Remains on Client Browsers
  • Cannot Reinstall MCMS or Sample Site After Uninstalling MCMS 2002


Known Issues with Creating and Configuring the Database

The following are known issues with Creating and configuring the database:

  • Do Not Use sa Login for SQL Server
  • Cannot Upgrade a Database Created in a Different Language Version of SQL Server
  • Must Redefine Users in SQL Server if Database Has Been Moved from a Different Domain
  • Changing the MCMS system account in the SCA can cause errors
  • DCA and SCA May Not Recognize a Database User


Solution

Make sure the Site Stager schedule feature is installed and use Site Stager to create a scheduled task that runs the staging profile automatically.

To schedule a staging profile

  1. From the Site Stager computer, click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Stager.
  2. In the Site Stager Administration dialog box, and double-click the staging profile you want to schedule.
  3. In the <profile> - Properties dialog box, on the Schedule tab, do the following:
    Use this | To do this
    Scheduled Task From the drop-down list, select from the following intervals:

    Daily

    Weekly

    Monthly

    Once

    At System Startup

    At Logon

    When idle
    Start time | Type the start time for the staging profile.
    Schedule | Set the appropriate schedule information for the interval you selected.
  4. Click Apply, and then click OK to close the dialog boxes.

If a valid profile is active, the profile stages automatically according to the schedule set for it.


Solution

Make sure that the user has the proper credentials to access the root template gallery, and then refresh Microsoft Visual Studio .NET. If the Template Explorer contents do not appear in the tool window after refreshing, restart Visual Studio .NET.

If there is a problem with the installation of Visual Studio .NET, you will need to reinstall it.


Solution

You can change the expiration date of connected pages so that they expire on the same day, or you can manually delete a connected page that has not expired. You delete a single connected page in the same way that you delete a standard page. You must have the appropriate rights to delete the page. Editors, moderators, template designers, and channel managers can delete any page in any channel where they have been given rights. Authors can delete pages that they own or that are owned by everyone.

To manually remove a page

  1. In Internet Explorer, in the Address box, type the URL of your company Web site.
  2. On the Login page, log on and then type your password.
  3. From the Web site home page, navigate to the page to be deleted.
  4. From the page that you want to delete, click Switch to Edit Site on the Web Author console.
  5. Click Delete on the Web Author console.

    A confirmation window appears.

  6. Click Close if you do not want to delete the page; otherwise, click OK.


Troubleshooting MCMS 2002 with SP1a on Windows Server 2003

This section contains information about known issues with Microsoft Content Management Server (MCMS) 2002 with SP1a on Microsoft Windows Server 2003.

This section contains:

  • Error Occurs When Installing Visual Studio .NET 2002 on Windows Server 2003
  • MCMS Default Console May Not Work with High Security Level Setting
  • AESecurityService in Windows Server 2003 May Not Automatically Restart
  • Cannot Create a Web Application in Visual Studio .NET 2002
  • Error Occurs When Deploying a Site in Windows Server 2003
  • Error Occurs During Site Deployment Import on Windows Server 2003


Troubleshooting MCMS Setup and Configuration

This section describes issues you may encounter while installing or upgrading to Microsoft Content Management Server 2002, and offers possible solutions.

This section contains:

  • Known Issues with Installing MCMS 2002 with SP1a
  • Known Issues with Upgrading to MCMS 2002 with SP1a
  • Known Issues with Creating and Configuring the Database
  • Known Issues with Uninstalling MCMS 2002 with SP1a


Solution

Do not use an LDAP user account to stage a site with Site Stager. Use a Microsoft Windows user account.


Special Characters: GB18030

GB18030 is a Chinese National Standard for encoding characters that was published on March 17, 2000, by the Ministry of Information Industry, People's Republic of China. GB18030 defines not only its character repertoire, but also standardizes the character code points. It incorporates Unicode Unihan Extension A completely and provides code space for all used and unused code points of Unicode plane 0 (BMP) and its 16 additional planes. It effectively creates a 1-to-1 relationship between parts of GB18030 and the Unicode complete encoding space. GB18030 defines and applies a four-byte encoding mechanism.

Before you can enter or display GB18030 characters, you must first install the GB18030 character support package from http://go.microsoft.com/fwlink/?LinkId=20142. (Be sure to select the English version if you cannot read Simplified Chinese.)

This section contains:

  • Web Author
  • Channels, Page Names, Resources and Other Container Items
  • Custom SQL Server Automation


Troubleshooting MCMS 2002

This section addresses issues that you might encounter while using Microsoft Content Management Server (MCMS) 2002 and its components.

For technical support, Microsoft provides online newsgroups through its Web site. For more information about MCMS newsgroups see MCMS Newsgroups.

You should also review the Microsoft Content Management Server 2002 Readme. This document provides a list of known issues and late-breaking news for this version of MCMS 2002, and is included on the Microsoft Content Management Server 2002 CD.

This section contains:

  • Troubleshooting MCMS Setup and Configuration
  • Troubleshooting MCMS 2002 with SP1a on Windows Server 2003
  • Troubleshooting Standard Edition
  • Troubleshooting MCMS Applications
  • Troubleshooting MCMS Site Authoring Tools
  • Troubleshooting International Issues
  • Troubleshooting WoodgroveNet Sample Sites
  • Troubleshooting Visual Studio .NET
  • For Additional Troubleshooting Information


Solution

Make sure that the template file is part of the current project and change to Design View to enable dragging and dropping placeholder controls onto the template. If the template file is not part of the current project, Design View of the ASP.NET file is not available.


Solution

You can view and modify the values of the following properties through MCMS Publishing application programming interface (API):

  • The ChannelItem.IsHiddenModePublished property is a Boolean used to indicate whether the subchannel or posting (both inherited from ChannelItem) is hidden in the navigation hierarchy of a live (published) MCMS Web site.
  • The Channel.IsImportant property is a Boolean used to indicate whether or not a channel is marked as important. A developer using this property must define the meaning of an Important channel for the site.
  • The Posting.IsHiddenModePublished property is a Boolean used to indicate whether the page is included in any collections accessed in the Published or Staging mode.
  • The Posting.IsImportant property is a Boolean used to indicate whether or not a page is marked as Important. A developer using this property must define the meaning of an Important page for the site.


Solution

If two profiles must share the same destination directory:

  • Ensure there is enough time to move the staging results for the first staging profile out of the destination directory before the next staging occurs. The new staging results will overwrite existing files in the destination directory.
  • Confirm that the destination drive will have enough unused space to accommodate the generated Web sites.


Solution

If you are unable to view the Select File dialog box, check that the virtual directory of the Web Project is configured properly.

To check for a correctly configured virtual directory

  1. Install a copy of the Internet Information Services (IIS) Metabase editor, which is available from the Microsoft Windows 2000 Resource Kit.
  2. Run the IIS Metabase editor, and then navigate to the virtual directory for the Web project.

    For example: LM\W3SVC\1\Root\<CMSWebProjectX>.

  3. Examine the KeyType property (ID 1002). The value of the property should be the string "IIsWebVirtualDir."
  4. If the KeyType property does not exist, you will need to create it. Use the following values when you create the KeyType property:
    • User Type = Server
    • Data Type = String
    • Data = IIsWebVirtualDir

To select a template file from the Select File dialog box

  1. From the Start menu, point to Programs, point to Microsoft Visual Studio .NET, and then select Microsoft Visual Studio .NET.
  2. In Visual Studio .NET, open an MCMS enabled Web project, open the Template Explorer, and then click the template you want to edit.
  3. In the Properties window, at the right end of the property value field of the TemplateFile property, click the […] button.
  4. In the Select File dialog box, do the following:
    Use this | To do this
    Tree control on left side | Click the appropriate plus sign (+) controls to browse to the virtual directory that contains the template file you want to select.
    List on the right side | Select the appropriate template file.
  5. Click Select.

    The Select File dialog box closes and the virtual path of the selected template file appears in the property value field of the TemplateFile property in the Properties window.

  6. Save the changes to the template.


Known Issues with Upgrading to MCMS 2002 with SP1a

The following are known issues with Upgrading to MCMS 2002 with SP1a:

  • Video-Only Placeholder Controls Do Not Appear After Upgrading to MCMS 2002
  • Characters Allowed in MCMS 2001 Object Properties May No Longer Be Valid in MCMS 2002
  • Console Does Not Appear in a Newly Created Channel After Upgrading to MCMS 2002
  • Cannot Edit Placeholder Definitions for Checked Out Template Gallery Contents After Migrating to MCMS 2002
  • Rights to Directories Are Not Migrated


Troubleshooting Standard Edition

Use the information in this section to troubleshoot Microsoft Content Management Server (MCMS) 2002 with SP1a Standard Edition.

This section contains:

  • Standard Edition Controls Membership in Roles Other Than the Subscriber Role
  • Standard Edition Limits Support of Clustered Web Servers
  • Standard Edition Does Not Support Site Stager
  • Standard Edition Does Not Support Host Headers


Solution

MCMS is unable to validate the members of Active Directory distribution groups because these groups are insufficient for the purpose of granting rights. You must use Active Directory security groups to grant rights. The MCMS administrator who assigns Active Directory groups to an MCMS rights group must be careful to choose only groups that are known to be security groups.

The following table shows the differences between Active Directory distribution and security groups.

Description | Function
Security groups | Are listed in access-control lists (ACLs), which define permissions on resources and objects. Can also be used as an e-mail entity. Sending an e-mail message to the group sends the message to all the members of the group.
Distribution groups | Provide a subset of the functionality of security groups. Are not security enabled and cannot be listed in ACLs. Can be used only for grouping purposes. For example, distribution lists can be used with e-mail applications (such as Microsoft Exchange) to send e-mail to collections of users.


Solution

Restart SQL Server before creating a new ASP.NET application, or reduce the completion time by setting the timeout on Open Database Connectivity (ODBC) connections to 30 seconds.


Solution

If you want to access a different MCMS Web site, you will need to configure the Visual Studio .NET integration with MCMS.

To configure the Visual Studio .NET integration with MCMS

  1. Open the file <installation drive>\Program Files\Microsoft Content Management Server\DevTools\DeveloperTools.xml in a text editor application, such as Microsoft NotePad.
  2. Locate the following lines in the DeveloperTools.xml file:

          <CmsEnvironment>
               <Server BaseUrl="http://localhost" InstanceId="1"/>
          </CmsEnvironment>

    Note By default, the MCMS Visual Studio .NET integration uses the first IIS Web site when browsing virtual directories on the local computer. The first Web site has an IIS instance ID of 1.

  3. To browse to a different IIS Web site on the local computer, change the value of the InstanceID property in the above XML to the instance ID of the site you want to access.

    You can find the instance ID of an IIS Web site with the Metabase Editor (MetaEdit) available from the Microsoft Windows 2000 Server Resource Kit. The Metabase entry of note is: LM\W3SVC\<instance ID>.

    The ServerComment variable indicates the name of the Web site as specified in the IIS Microsoft Management Console (MMC) snap-in, and the port is specified by the ServerBindings variable. For example, if you are editing an IIS Web site called "MCMS" that is not on port 80 (the default port), open MetaEdit, look for the instance ID of the Web site, and then change the XML as indicated above to reflect that instance.

  4. After you have updated the DeveloperTools.xml file, restart Visual Studio .NET, and reload the solution. The virtual directory browser now browses the proper Web site.

    Note It is not necessary to include the port number in the TemplateFile property. MCMS will resolve the path to the template file to the correct site when a request is made through that site.


Known Issues with Installing MCMS 2002 with SP1a

The following are known issues with Installing MCMS 2002 with SP1a:

  • MCMS 2002 Components Did Not Install Successfully
  • Unexpected Event Log Messages Appear
  • Using MCMS 2002 with SP1a with .NET Framework 1.1
  • Adding Impersonation Privileges to ASPNET Users


Solution

Create content using a content creation tool, for example, MCMS Authoring Connector or Microsoft Paint. After creating content, use the MCMS Web Author resource manager to upload the content as resources.

Users with administrative rights or who belong to the channel manager, template designer, or resource manager rights group associated with a channel can upload individual resources to any resource gallery for the channel. In addition, you can use the MCMS Publishing application programmimg interface (API) to develop custom scripts that bulk upload resources.


Special Characters: Surrogate Pairs

Surrogate characters are extensions of the existing Unicode standard which allow the standard to expand beyond the approximate 65,000 character limit. There are standards either released or in development for Japanese, Simplified Chinese, Traditional Chinese, and Korean.

Unicode values from two different reserved ranges represent a single character, hence the term Surrogate Pair. Combining one high-range value with one low-range value makes a unique surrogate pair; their unique pairing maps at display time to a real-world character. The first (high) surrogate is a 16-bit code value in the range U+D800 to U+DBFF. The second (low) surrogate is a 16-bit code value in the range U+DC00 to U+DFFF. Surrogates have no interpretation except when they occur as part of a surrogate pair; standing alone, a surrogate is meaningless.

Before you can enter or display Surrogate Pairs, you must first install the appropriate Surrogate Support Package for the characters you wish to enter. Note that not all languages have a Surrogate Support Package yet. See the Global Development and Computing Portal located at http://go.microsoft.com/fwlink/?LinkId=20260 for the latest Surrogate Support packages available.

This section contains:

  • Channels, Page Names, Resources and Other Container Items
  • Custom SQL Server Automation
  • MCMS Developer Tools


Troubleshooting International Issues

This section describes problems you might encounter when using the Microsoft Content Management Server (MCMS) to create international sites, and suggests possible solutions.

This section contains:

  • Displaying Non-ASCII Characters
  • Installing MCMS on a MUI Version of Windows 2000
  • Using Different Language Versions of MCMS 2002 in the Same System
  • Installing MCMS into a Folder with Non-ASCII Characters
  • Installing MCMS Developer Tools
  • Installing MCMS Authoring Connector for Word
  • Using Customized Date Formats
  • Entering Non-ASCII Characters into the MCMS Developer Tools
  • Entering Non-ASCII Characters into the Site Manager and the DCA
  • Using the Sample Sites on Non-English Versions of MCMS
  • Japanese Web Author Encoding Issue
  • Special Characters: Surrogate Pairs
  • Special Characters: GB18030


Solution

Use a file reference for local .xsd files instead of an HTTP-based URL. Microsoft Internet Information Services (IIS) has trouble resolving HTTP-based URLs to the local computer (for example, URL http://localhost/file.xsd).


Troubleshooting MCMS Site Authoring Tools

This section describes problems you might encounter when using the Microsoft Content Management Server (MCMS) site authoring tools, MCMS Authoring Connector and the MCMS Web Author, and suggests possible solutions.

This section contains:

  • Authoring Connector Missing or Unavailable from the Word File Menu
  • Authoring Connector Wizard Displays an Empty Task List
  • Connected Page Changes Do Not Appear in Authoring Connector
  • Connected Pages Fail to Expire when Original Page Expires
  • Content Revisions Do Not Appear on Live Site
  • Content Revisions Appear on Live Site, Even Though Writer and Editor Do Not Have Rights to the Channel Containing the Updated Page
  • Cannot Modify Custom Properties on a Page
  • Selecting a Template and Clicking the HTML Placeholder Control Causes Internet Explorer to Fail
  • Attachment Image is Broken
  • Cannot Refresh Approval Assistant
  • Multiple Placeholder Controls Bound to the Same HTML Placeholder Definition Results in Unexpected Runtime Behavior


Solution

Change which rights groups have access to a container by editing the properties of the container. Container membership is stored with the container object.

To change rights group access by modifying container properties

  1. Click Start, point to Programs, point to Microsoft Content Management Server, and then click Site Manager.
  2. In the Site Manager dialog box, log on to the Site Manager.
  3. In Site Manager, click the Channels icon to display the channels hierarchy.
  4. In the channels hierarchy, expand Channels, expand the channel node that contains the channel for which you want to change rights group membership, right-click the channel, and then click Properties.
  5. In the <channel> Properties dialog box, on the Rights tab, click Modify.
  6. In the Select User Rights for Channel dialog box, do the following:
    Use this | To do this
    Look In | From the drop-down list, select the rights group container, and then in the rights group members box select the rights group to which you want to assign channel access.
    Add | Click to add the rights group to the channel.
    Add Parent's Right | Click to allow users in the rights group to view pages in the channel. To view pages in a channel, a user must have rights to all the channels above it in the channel hierarchy.
  7. Click OK twice to close the open dialog boxes.

Members of the rights group have access to the channel.


Troubleshooting Visual Studio .NET

This section describes issues you might encounter when working with Microsoft Content Management Server (MCMS) projects in the Microsoft Visual Studio .NET development environment and suggests possible solutions.

This section contains:

  • Using MCMS 2002 with SP1a with Visual Studio .NET
  • Creating New ASP .NET Application Takes a Long Time
  • Cannot Add Placeholder Controls to the Template File or Added Placeholder Controls are Invisible
  • Cannot Copy or Change the Value of a Property in a Checked-In Template
  • Cannot Drag and Drop Placeholder Controls onto the Template File
  • Cannot Bind a Placeholder Control to the Associated Placeholder Definition
  • Cannot View Select File Dialog Box
  • Cannot Load Root Template Gallery
  • MCMS Projects Folder Is Empty When Trying to Create a New MCMS Project
  • MCMS Options Do Not Appear in Visual Studio .NET
  • Cannot Browse IIS Web Sites Located on Localhost on Ports Other than the Default Port 80
  • Placeholder Object: Timeout Error When Setting XML Placeholder with XML Data


Solution

To resolve the problem, do the following:

  • Verify the installation is successful, and accept any warning dialogs that the MCMS add-on is allowed.
  • Close all active instances of Microsoft Word before installing Authoring Connector.


Solution

Verify that you are assigned the correct rights. If you are not, check with your site administrator.


Solution

Do not bind more than one each of the following placeholder controls to a single HTML placeholder definition:

  • HTML placeholder control
  • Single image placeholder control
  • Single attachment placeholder control


Troubleshooting the WoodgroveNet Sample Site

This section describes issues you might encounter when using the Microsoft Content Management Server (MCMS) WoodgroveNet sample site and suggests possible solutions.

This section contains:

  • Top Navigation Menus Overlap
  • Left Navigation Has Scrollbars


Solution

If you do not want the content to be updated for all connected pages when approved for a single page, create different content sources for each page so that they will have to be approved individually.


Troubleshooting MCMS Applications

This section describes issues you might encounter when using Microsoft Content Management Server (MCMS) applications and suggests possible solutions.

This section contains:

  • Background Processing Starting Step is Reset
  • Reselect SQL Server Database When Configuring a Restored MCMS 2001 Database
  • New Users Do Not Appear in the Site Manager Modify Members Dialog Box
  • Cannot Cancel Container Assignments in Site Manager
  • Cannot Create or Upload Content with Site Manager
  • Hidden and Important Flags Do Not Appear in Site Manager
  • Site Manager Does Not Properly Display Strings That Require Specialized Language Fonts
  • Active Directory Group Members Cannot Log On to Site Manager or Web Author
  • Content Staging Fails and No Event is Reported
  • Lightweight Directory Access Protocol (LDAP) User Cannot Stage a Site
  • Status Listed in the Site Stager Administration Window Does Not Refresh
  • Error Occurs When Two Staging Profiles Share the Same Destination Directory
  • Profile Fails to Stage
  • Site Stager Does Not Work with ASP.NET-Based Sites


Solution

Submit content revisions for approval through the publishing workflow of your organization.


Solution

You will need to reselect the database in the Database Configuration Application (DCA).


Solution

Use one of the following methods to use channels and pages that require different language scripts managed on the same MCMS 2002 Server:

  • Install Site Manager on individual computers, one each for each language with the appropriate Locale and Default Language settings, and use those computers to manage the channels that require special fonts.
  • Before accessing channel properties that require special fonts, switch the Locale and Default Language settings on the Site Manager computer to the appropriate language for the channel.


Solution

Verify that the WoodgroveNet sample site is installed, and then do the following:

  • Check the DeveloperTools.xml file for invalid paths, particularly in the <CmsVsTools> section. Any invalid values will prevent components such as Site Manager and the Database Configuration Application (DCA) from running.
  • Check the paths in the .vsz files located in the DevTools directory. Any invalid values will prevent the wizards from running.
  • For new project wizards, ensure that the key HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\VisualStudio\7.0\NewProjectTemplates\TemplateDirs\{639FD45D-6EC0-4060-AF7A-A1FD416A563E}\/1 is present with the TemplatesDir entry set to a valid path.
  • For new item wizards, ensure that the following keys are present with the TemplatesDir entry set to a valid path.
    • HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\VisualStudio\7.0\Projects\{F184B08F-C81C-45f6-A57F-5ABD9991F28F}\AddItemTemplates\TemplateDirs\{639FD45D-6EC0-4060-AF7A-A1FD416A563E}\/1.
    • HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\VisualStudio\7.0\Projects\{FAE04EC0-301F-11d3-BF4B-00C04F79EFBC}\AddItemTemplates\TemplateDirs\{639FD45D-6EC0-4060-AF7A-A1FD416A563E}\/1.
  • Run devenv.exe /setup to ensure that these changes are registered in Visual Studio .NET.


Authoring Content from the Web Site

Using Microsoft Content Management Server 2002 (MCMS) Web Author, multiple users with the appropriate MCMS rights can simultaneously create and update Web content from the Web site itself, making it easy to keep even large Web sites updated with current information. Users can create content from any computer that has access to a browser connection and, using templates, users can create pages that automatically conform to the style of your Web site.

Before you use the Web Author, you should familiarize yourself with MCMS roles and rights. For more information, see MCMS Roles and Responsibilities.

A benefit of the browser-based Web Author is its configurability. The Web Author console is a menu of options that authors and editors can use to perform actions on a page. Template designers can customize the style of the Web Author console in which an author works so that it fits in with the rest of the Web site.

The following procedures step you through a basic workflow that outlines the types of tasks you will be doing in the Web Author. Keep in mind that the actual names of menu items will vary from company to company. This topic provides orientation information only.

This section contains:

  • Web Author Console
  • Page Management Concepts
  • Creating a Page
  • Defining Standard Page Properties
  • Modifying Custom Properties
  • Approving Pages Using the Approval Assistant
  • Viewing Pages with the Production Manager
  • Editing a Page
  • Copying a Page
  • Moving a Page
  • Deleting a Page
  • Creating Connected Pages
  • Viewing Revision Histories


Viewing Revision Histories

Microsoft Content Management Server (MCMS) 2002 authors use a revision tracking feature to view the history of a page or to compare versions of a page for tracking purposes. Revision tracking is always enabled and page versions are stored by date and time. In the MCMS Web Author, a new version is created when a page is approved.

Changes to the content of a page or a resource gallery item are stored by the revision tracking feature and can be viewed in page versions. Items not a part of the page itself, such as the page schedule and custom properties, are not stored by tracking revisions because they do not affect the page content.

Revision histories display the following:

Page version Information
Latest unapproved page version

  • The date and time the page was last modified
  • The page status
Historical revisions and latest approved revision

  • The date and time the page revision was originally approved or the resource revision was originally created
  • The type of revision (page or resource)
  • The name of the person who approved the revision

This section contains:

  • Comparing Two Documents
  • Viewing a Revision by Date and Time